# Git guidelines

> **_Main/Beta branch are considered production branches!_**<br />
Don't work directly in a production branch..

<span style="color: red">
  <b>
    Refactor your code before merging!
  </b>
</span>

<br />
<hr />

## Branches

> Make a pull request before creating a new branch to make sure you're working on the latest version.

Naming branches something that describes what your working on helps others in the team understanding what changes are being made in which branch. It's also very helpful later for anyone viewing 50 different branches, to know what's going and where.

On the note of 50 branches; delete branches when they have been merged.<br />
Although there is no need to do this immediately, and we tend to let them go stale before deletion to be sure it's been merged and that we don't delete anything important.

<br />

## Pushing to git

Whenever you push to git you should write a descriptive commit message.
This commit message should in short explain what changes you have made to the project.

The exception here is taking backup of your work at any point with a commit message like:
```
Saving changes
```
Which is something I tend to do because I'm afraid to lose any work.

<br />

## Merging

When merging/creating a pull request to main/beta, the code should be production ready!<br />

What do we mean by "production ready code"?

- Your code is clean, solid and dynamic.
- There is no `console.log()` throughout the project.
- You have added comments explaining your code where it's needed.
- You have added info in the change log.
- You have tested your code on both iOS and Android(developing on an emulator is fine, but testing is not!).
