import * as React from "react"
import Svg, { Path, Circle, Ellipse } from "react-native-svg"

const Bicycle = (props) => (
  <Svg
    viewBox="0 0 965 554"
    xmlns="http://www.w3.org/2000/svg"
    xmlSpace="preserve"
    style={{
      fillRule: "evenodd",
      clipRule: "evenodd",
      strokeLinecap: "round",
      strokeLinejoin: "round",
      strokeMiterlimit: 10,
    }}
    {...props}
  >
    <Path
      d="M0 49.509-13.955 8.493 9.869 0"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#8c3425",
        strokeWidth: 9,
      }}
      transform="translate(641.395 14.555)"
    />
    <Path
      d="M-140.118-140.118h280.236"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="matrix(0 1 1 0 877.616 327.383)"
    />
    <Path
      d="M0 0h280.237"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="translate(597.379 327.383)"
    />
    <Path
      d="M-41.04-99.079h280.237"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(-45 142.7 -983.87)"
    />
    <Path
      d="M-41.04 99.079h280.237"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(45 933.073 656.486)"
    />
    <Path
      d="M-193.061-129.731H87.176"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(-1 1) rotate(67.8 -735.35 -410.537)"
    />
    <Path
      d="M-10.387-52.942H269.85"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(-22.2 -265.805 -1739.065)"
    />
    <Path
      d="M-85.82-129.17h280.237"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(-67.2 246.73 -742.427)"
    />
    <Path
      d="m-10.949 54.299 280.238-.001"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(22.8 1379.79 1371.931)"
    />
    <Circle
      cx={-151.187}
      r={151.187}
      style={{
        fill: "none",
        stroke: "#1d1d1b",
        strokeWidth: 15,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="matrix(0 -1 -1 0 737.498 176.196)"
    />
    <Ellipse
      cx={-140.118}
      rx={140.119}
      ry={140.118}
      style={{
        fill: "none",
        stroke: "#5b7e9a",
        strokeWidth: 8,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="matrix(0 -1 -1 0 737.498 187.265)"
    />
    <Path
      d="M-17.608-17.608c-9.725 0-17.608 7.883-17.608 17.608 0 9.725 7.883 17.608 17.608 17.608C-7.883 17.608 0 9.725 0 0c0-9.725-7.883-17.608-17.608-17.608"
      style={{
        fill: "#1d1d1b",
        fillRule: "nonzero",
      }}
      transform="matrix(0 -1 -1 0 737.497 309.775)"
    />
    <Path
      d="M-140.118-140.118h280.236"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="matrix(0 1 1 0 366.68 327.383)"
    />
    <Path
      d="M0 0h280.237"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="translate(86.443 327.383)"
    />
    <Path
      d="M-41.04-99.079h280.237"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(-45 -112.768 -367.116)"
    />
    <Path
      d="M-41.04 99.079h280.237"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(45 677.605 39.732)"
    />
    <Path
      d="M-193.061-129.731H87.176"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(-1 1) rotate(67.8 -479.881 -30.36)"
    />
    <Path
      d="M-10.387-52.942H269.85"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(-22.2 -521.273 -436.934)"
    />
    <Path
      d="M-85.82-129.17h280.237"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(-67.2 -8.738 -357.915)"
    />
    <Path
      d="m-10.949 54.299 280.238-.001"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#5b7e9a",
        strokeWidth: 1,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="scale(1 -1) rotate(22.8 1124.323 104.96)"
    />
    <Path
      d="M-44.283-44.283c-24.456 0-44.282 19.827-44.282 44.284 0 24.456 19.826 44.282 44.282 44.282C-19.825 44.283 0 24.457 0 .001c0-24.457-19.825-44.284-44.283-44.284"
      style={{
        fill: "#b2b2b2",
        fillRule: "nonzero",
      }}
      transform="matrix(0 -1 -1 0 226.561 283.101)"
    />
    <Circle
      cx={-151.187}
      r={151.187}
      style={{
        fill: "none",
        stroke: "#1d1d1b",
        strokeWidth: 15,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="matrix(0 -1 -1 0 226.561 176.196)"
    />
    <Ellipse
      cx={-140.118}
      rx={140.119}
      ry={140.118}
      style={{
        fill: "none",
        stroke: "#5b7e9a",
        strokeWidth: 8,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="matrix(0 -1 -1 0 226.561 187.265)"
    />
    <Path
      d="M-36.426-36.426c-20.117 0-36.425 16.308-36.425 36.426 0 20.117 16.308 36.426 36.425 36.426C-16.308 36.426 0 20.117 0 0c0-20.118-16.308-36.426-36.426-36.426"
      style={{
        fill: "#8c3425",
        fillRule: "nonzero",
      }}
      transform="matrix(0 -1 -1 0 430.294 312.729)"
    />
    <Path
      d="M-27.109-27.109c-14.972 0-27.109 12.137-27.109 27.109 0 14.972 12.137 27.109 27.109 27.109C-12.137 27.109 0 14.972 0 0c0-14.972-12.137-27.109-27.109-27.109"
      style={{
        fill: "#1d1d1b",
        fillRule: "nonzero",
      }}
      transform="matrix(0 -1 -1 0 226.561 300.274)"
    />
    <Path
      d="M-67.559-192.375h302.19l-85.628-186.142L17.807-193.14 31.783 98.645"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#8c3425",
        strokeWidth: 17,
      }}
      transform="scale(1 -1) rotate(-71.396 223.364 -406.921)"
    />
    <Path
      d="M-67.559-192.375h302.19l-85.628-186.142L17.807-193.14 31.783 98.645"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#d74539",
        strokeWidth: 15,
      }}
      transform="scale(1 -1) rotate(-71.396 223.364 -406.921)"
    />
    <Path
      d="M-65.274 134.799h343.649"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#8c3425",
        strokeWidth: 20,
      }}
      transform="scale(1 -1) rotate(51.676 682.22 404.526)"
    />
    <Path
      d="M-65.274 134.799h343.649"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#d74539",
        strokeWidth: 18,
      }}
      transform="scale(1 -1) rotate(51.676 682.22 404.526)"
    />
    <Path
      d="M-97.979-139.78s248.173-23.012 297.395 0"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#8c3425",
        strokeWidth: 20,
      }}
      transform="scale(1 -1) rotate(-70.057 334.636 -617.406)"
    />
    <Path
      d="M-97.979-139.78s248.173-23.012 297.395 0"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#d74539",
        strokeWidth: 18,
      }}
      transform="scale(1 -1) rotate(-70.057 334.636 -617.406)"
    />
    <Path
      d="M-14.638-14.638c-8.084 0-14.638 6.554-14.638 14.638 0 8.085 6.554 14.638 14.638 14.638S0 8.085 0 0c0-8.084-6.554-14.638-14.638-14.638"
      style={{
        fill: "#1d1d1b",
        fillRule: "nonzero",
      }}
      transform="matrix(0 -1 -1 0 430.295 334.517)"
    />
    <Path
      d="m0 39.7-91.887-2.723c-6.637-.632-10.936-12.498-10.304-19.135.632-6.637 7.189-18.474 13.825-17.842L2.289 15.665c6.637.632 11.505 6.525 10.873 13.162C12.53 35.464 6.637 40.332 0 39.7"
      style={{
        fill: "#1d1d1b",
        fillRule: "nonzero",
      }}
      transform="translate(381.205 38.513)"
    />
    <Path
      d="M-13.555-13.555c-7.486 0-13.555 6.069-13.555 13.556 0 7.485 6.069 13.554 13.555 13.554S.001 7.486.001.001c0-7.487-6.07-13.556-13.556-13.556"
      style={{
        fill: "#1d1d1b",
        fillRule: "nonzero",
      }}
      transform="matrix(0 -1 -1 0 651.265 0)"
    />
    <Path
      d="M0 18.955h-45.433a9.477 9.477 0 0 1-9.477-9.477C-54.91 4.243-50.667 0-45.433 0H0a9.478 9.478 0 0 1 0 18.955"
      style={{
        fill: "#1d1d1b",
        fillRule: "nonzero",
      }}
      transform="translate(537.746 343.015)"
    />
    <Path
      d="m0 40.17-38.512-24.103c-4.437-2.777-5.782-8.625-3.006-13.062 2.777-4.437 8.625-5.782 13.062-3.006l38.512 24.104A9.478 9.478 0 0 1 0 40.17"
      style={{
        fill: "#1d1d1b",
        fillRule: "nonzero",
      }}
      transform="translate(380.488 268.016)"
    />
    <Path
      d="M0-66.392 64.035-5.338 148.77 0"
      style={{
        fill: "none",
        fillRule: "nonzero",
        stroke: "#1d1d1b",
        strokeWidth: 6,
        strokeLinecap: "butt",
        strokeLinejoin: "miter",
      }}
      transform="translate(366.26 354.493)"
    />
  </Svg>
)

export default Bicycle;
