import { createSlice } from "@reduxjs/toolkit";
import { Sounds } from "./sounds";

const voiceSlice = createSlice({
    name: 'voice',
    initialState: {
        voice: Sounds.male.pj,
    },
    reducers: {
        setVoice: (state, action) => {
            state.voice = action.payload;
        }
    }
});

export const { setVoice } = voiceSlice.actions;
export default voiceSlice.reducer;