import React from 'react';
import { createNativeStackNavigator } from '@react-navigation/native-stack';

import Intro from 'src/views/intro/intro.jsx.js';
import PuzzleMain from 'src/views/puzzle/puzzle.jsx.js';
import AvatarBuilder from 'src/views/avatar-builder/avatar-builder.jsx.js';
import ActiveYou from 'src/views/active-you/active-you.jsx.js';
import PackageModule from 'src/views/packing/packing.module.js';
// import HowTo from 'src/views/how-to/how-to.component.js';
import MealModule from 'src/views/meal-planner/meal.module.js';
import MealPlanner from 'src/views/meal-planner/MealBuilder.module.js';
import HowTo from 'src/views/how-to/how-to.jsx.js';
import MealModuleSettings from 'src/views/meal-planner/mealModuleSettings.module.js';

import UserInputView from 'src/views/user-input/user-input.jsx.js';
import FamilyBuilder from 'src/views/family-builder/family-builder.jsx.js';
import VirtualTour from 'src/views/virtual-tour/virtual-tour.jsx.js';
import Info from 'src/views/info/info.jsx.js';
import Blank from 'src/views/BlankForTest.js';
import DoorSign from 'src/views/door-sign/door-sign.jsx.js';

// import NotificationView from 'src/core/notifications/notification.view.js';
// import NotificationHandler from 'src/core/notifications/notification.handler.js';

const Stack = createNativeStackNavigator();

const RouterModule = ({ navigation }) => {
  return (
    <>
      <Stack.Navigator initialRouteName='MealModule' screenOptions={{ headerShown: false, orientation: 'landscape' }}>
        <Stack.Group screenOptions={{ headerShown: false }}>

          <Stack.Screen name="Intro" component={Intro} options={{ headerShown: false }} />
          <Stack.Screen name='PuzzleMain' component={PuzzleMain} />
          <Stack.Screen name='AvatarBuilder' component={AvatarBuilder} />
          <Stack.Screen name="FamilyBuilder" component={FamilyBuilder} />
          <Stack.Screen name='ActiveYou' component={ActiveYou} />
          <Stack.Screen name='PackageModule' component={PackageModule} />
          <Stack.Screen name='UserInput' component={UserInputView} />
          <Stack.Screen name='VirtualTour' component={VirtualTour} />
          <Stack.Screen name='Info' component={Info} />
          <Stack.Screen name='Blank' component={Blank} />
          <Stack.Screen name='MealModule' component={MealModule} />
          <Stack.Screen name='MealBuilder' component={MealPlanner} />
          <Stack.Screen name='MealModuleSettings' component={MealModuleSettings} />

          <Stack.Screen name='HowTo' component={HowTo} />
          <Stack.Screen name='DoorSign' component={DoorSign} />

          {/* <Stack.Screen name='NotificationMessages' component={NotificationView} /> */}

        </Stack.Group>
      </Stack.Navigator>

      {/* Global notification handler */}
      {/* <NotificationHandler
        navigation={navigation}
      /> */}
    </>
  );
}

export default RouterModule;