import React from "react";
import { StyleSheet, View } from "react-native";

import SvgBodyPos2 from "./BodyPos2";
import Torso from './body/torso/TorsoComponent'
import Head from './body/head/HeadComponent'
import LeftShoulder from './body/shoulder/LeftShoulderComponent'
import RightShoulder from './body/shoulder/RightShoulderComponent'
import LeftArm from './body/arm/LeftArmComponent'
import RightArm from './body/arm/RightArmcomponent'
import LeftHand from './body/hand/LeftHandComponent'
import RightHand from './body/hand/RightHandComponent'
import LeftThigh from './body/thigh/LeftThighComponent'
import RightThigh from './body/thigh/RightThighComponent'
import LeftLeg from './body/leg/LeftLegComponent'
import RightLeg from './body/leg/RightLegComponent'
import LeftFoot from './body/foot/LeftFootComponent'
import RightFoot from './body/foot/RightFootComponent'
import SvgAsset3 from "./TestBody";
import HeadComponent from "./body/head/HeadComponent";
import LeftShoulderComponent from "./body/shoulder/LeftShoulderComponent";

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '90%', 
      width: '90%',
      backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '5%'
    },

    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '20.3%', 
        left: '32.46%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4.3%',
        left: '30.5%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '21.9%', 
        left: '62.72%',
        
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '21.9%', 
        left: '32.72%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '36.4%', 
        left: '61.9%'
    },
    rightArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '36.2%', 
        left: '31.9%'
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '54%', 
        left: '71.2%'
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '54%', 
        left: '41.2%'
    },
    leftThigh: {
        position: 'absolute',
        height: '49.2%', 
        width: '49.2%',
        top: '40.5%', 
        left: '44.4%'
    },
    rightThigh: {
        position: 'absolute',
        height: '49.2%', 
        width: '49.2%',
        top: '40.5%', 
        left: '24.4%'
    },
    leftLeg: {
        position: 'absolute',
        height: '51.4%', 
        width: '51.4%',
        top: '61.5%', 
        left: '43.69%'
    },
    rightLeg: {
        position: 'absolute',
        height: '51.4%', 
        width: '51.4%',
        top: '61.5%', 
        left: '23%'
    },
    leftFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '90.6%', 
        left: '64.2%'
    },
    rightFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '90.6%', 
        left: '43.5%'
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos2Component = () => {

    const pos = 2

    return (
        <View style={styles.container}>
            
            <View style={styles.rightThigh}>
         <RightThigh pos={pos}/>
        </View>
        <View style={styles.leftThigh}>
        <LeftThigh pos={pos}/>
        </View>
            <View style={styles.torso}>
             <Torso pos={pos}/>
          </View>
          <View style={styles.leftShoulder}>
          <LeftShoulderComponent pos={pos}/>
          </View>
        <View style={styles.leftArm}>
            <LeftArm pos={pos}/>
          </View>
         
          <View style={styles.rightShoulder}>
         <RightShoulder pos={pos}/>
          </View>
          <View style={styles.rightArm}>
            <RightArm pos={pos}/>
          </View>
          <View style={styles.leftHand}>
         <LeftHand pos={pos}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={pos}/>
          </View>

          <View style={styles.rightLeg}>
            <RightLeg pos={pos}/>
        </View>
        <View style={styles.leftLeg}>
      <LeftLeg pos={pos}/>
        </View>
        <View style={styles.leftFoot}>
         <LeftFoot pos={pos} />
        </View>
        <View style={styles.rightFoot}>
         <RightFoot pos={pos}/>
        </View>
        
        
          <View style={styles.head}>
          <Head pos={pos} />
          </View>  
       </View>
      );

}
export default AvatarPos2Component; 