import React from "react";
import { StyleSheet, View } from "react-native";


import Torso from './body/torso/TorsoComponent'
import Head from './body/head/HeadComponent'
import LeftShoulder from './body/shoulder/LeftShoulderComponent'
import RightShoulder from './body/shoulder/RightShoulderComponent'
import LeftArm from './body/arm/LeftArmComponent'
import RightArm from './body/arm/RightArmcomponent'
import LeftHand from './body/hand/LeftHandComponent'
import RightHand from './body/hand/RightHandComponent'
import LeftThigh from './body/thigh/LeftThighComponent'
import RightThigh from './body/thigh/RightThighComponent'
import LeftLeg from './body/leg/LeftLegComponent'
import RightLeg from './body/leg/RightLegComponent'
import LeftFoot from './body/foot/LeftFootComponent'
import RightFoot from './body/foot/RightFootComponent'
import SvgAsset3 from "./TestBody";
import HeadComponent from "./body/head/HeadComponent";
import LeftShoulderComponent from "./body/shoulder/LeftShoulderComponent";
import SvgBodyPos3 from "./BodyPos3";
import RightArmComponent from "./body/arm/RightArmcomponent";
import ClimbingGear from './aid/Pos3/ClimbingGearPos3'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '90%', 
      width: '90%',
     
      alignItems: 'center',
      justifyContent: 'center',
      top: '5%'
    },
   climbing: {
        position: 'absolute',
        height: '20%', 
        width: '20%',
        top: '42%', 
        left: '37.2%'
    },


    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '36.26%',
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.8%', 
        left: '25.0%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '34.4%', 
        left: '38.3%'
     
        
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '33.6%', 
        left: '21.7%'
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '52.1%', 
        left: '48.52%'
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '52%', 
        left: '29.15%'
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '40.8%', 
        left: '26.65%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '39.5%', 
        left: '18.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '61.5%', 
        left: '29.45%'
    },
    rightLeg: {
        position: 'absolute',
        height: '51.4%', 
        width: '51.4%',
        top: '61.5%', 
        left: '17.5%'
    },
    leftFoot: {
        position: 'absolute',
        height: '13.8%', 
        width: '13.8%',
        top: '89.7%', 
        left: '52.8%'
    },
    rightFoot: {
        position: 'absolute',
        height: '12%', 
        width: '12%',
        top: '91.6%', 
        left: '36.2%'
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3



    let clothing = props.clothing
    if(props.shoes == false){
        clothing = null
    }
let climbingGear = null
    if(props.climbing){
        climbingGear = <ClimbingGear style={styles.climbing}/>
    }
let shoes = props.clothing

if(props.shoes == 2){
    shoes = 2
}


if(props.skates){
    shoes=props.skates
}

    return (
        <View style={styles.container}>
               <View style={styles.rightLeg} >
           <RightLeg pos={1} clothing={props.clothing}/>
        </View>
    
        <View style={styles.leftLeg}>
        <LeftLeg pos={pos} clothing={props.clothing}/>
        </View>
       
        <View style={styles.rightThigh}>
         <RightThigh pos={1} clothing={props.clothing}/>
        </View>
        <View style={styles.leftThigh}>
        <LeftThigh pos={pos} clothing={props.clothing}/>
        </View>
    

        <View style={styles.leftHand}>
         <LeftHand pos={1} clothing={props.clothing}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={1} clothing={props.clothing}/>
          </View>
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos} clothing={props.clothing}/>
          </View>
        
 
        <View style={styles.leftFoot}>
       <LeftFoot pos={2} clothing={shoes}/>
       {/* <LeftFoot pos={2} /> */}
        </View>
        <View style={styles.rightFoot}>
       <RightFoot pos={1} clothing={shoes}/>
            {/* <RightFoot pos={1} /> */}
        </View>

          <View style={styles.leftArm}>
            <LeftArm pos={1} clothing={props.clothing}/>
          </View>

          <View style={styles.torso}>
           <Torso pos={3} clothing={props.clothing}/>
          </View> 
          <View style={styles.rightArm}>
           <RightArmComponent pos={1} clothing={props.clothing}/>
          </View>
          <View style={styles.rightShoulder}>
        <RightShoulder pos={pos} clothing={props.clothing}/>
          </View>
          <View style={styles.head}>
         <Head pos={pos} music={props.music} mood={props.mood}/>
          </View>  
        {climbingGear}
       </View>
      );
}
export default AvatarPos3Component; 