import React from "react";
import { StyleSheet, View } from "react-native";

import { useSelector } from "react-redux";

// import * as hues from "../../../utils/constants/hueHandler"

import { 
  selectHeadWear,
  selectHeadWearColorPrimary, 
  selectHeadWearColorSecondary, 
  // selectHeadWearColorTertiary, 
  // selectHeadWearColorQuaternary
} from 'src/global/reducers/avatar/headWearStyleSlice'

import Bow from "./Pos1/BowPos1";
import HairHoop from "./Pos1/HairHoopPos1"
import HeadBand from "./Pos1/HeadBandPos1"
import HeadSet from "./Pos1/HeadSetPos1"
import SvgHairHoopPos2 from "./Pos2/HairHoopPos2";
import SvgHeadBandPos2 from "./Pos2/HeadBandPos2";
import SvgHeadSetPos2 from "./Pos2/HeadSetPos2";

import SvgHairHoopPos3 from "./Pos3/HairHoopPos3"
import SvgHeadBandPos3 from "./Pos3/HeadBandPos3"
import SvgHeadSetPos3 from "./Pos3/HeadSetPos3"

const styles = StyleSheet.create({ 
    bowStyle: {
    position: 'absolute', 
    left: '14%',
    top: '14%',
    width: '24%',
    height: '24%'
  }, 

  bowStyle2: {
    position: 'absolute', 
    left: '34%',
    top: '14%',
    width: '24%',
    height: '24%'
  }, 
  bowStyle3: {
    position: 'absolute', 
    left: '22%',
    top: '14%',
    width: '24%',
    height: '24%'
  }, 

  hoopStyle: {
    position: 'absolute', 
    left: '22%',
    top: '-20%',
    width: '62%',
    height: '62%'
  }, 

  hoopStyle2: {
    position: 'absolute', 
    left: '18%',
    top: '-20%',
    width: '62%',
    height: '62%'
  }, 

  hoopStyle3: {
    position: 'absolute', 
    left: '24%',
    top: '-20%',
    width: '62%',
    height: '62%'
  }, 

  bandStyle: {
    position: 'absolute', 
    left: '17%',
    top: '-5%',
    width: '66%',
    height: '66%'
  },

  bandStyle2: {
    position: 'absolute', 
    left: '15%',
    top: '-2%',
    width: '66%',
    height: '66%', 
    transform: [{rotate: '20deg'}]
  },
  bandStyle3: {
    position: 'absolute', 
    left: '17%',
    top: '-5%',
    width: '68%',
    height: '68%'
  },

  headSetStyle: {
    position: 'absolute', 
    left: '8%',
    top: '-5%',
    width: '84%',
    height: '84%'
  },

  headSetStyle2: {
    position: 'absolute', 
    left: '1%',
    top: '-4%',
    width: '84%',
    height: '84%'
  },
  headSetStyle3: {
    position: 'absolute', 
    left: '2%',
    top: '-1%',
    width: '80%',
    height: '80%'
  },
})

const HeadWearComponent = (props) => {

  const pos = props.pos

let headWear = useSelector(selectHeadWear);
const primary = useSelector(selectHeadWearColorPrimary);
const secondary = useSelector(selectHeadWearColorSecondary);

if(props.music){
  headWear = 4
}


let shownHeadWear = null

if(pos == 1){
switch(headWear){
  case 0: 
    shownHeadWear = null
    break;
  case 1: 
    shownHeadWear = <Bow style={styles.bowStyle} primary={primary} secondary={secondary} />
    break;
  case 2: 
    shownHeadWear = <HairHoop style={styles.hoopStyle} primary={primary} secondary={secondary} />
  break; 
  case 3: 
    shownHeadWear = <HeadBand style={styles.bandStyle} primary={primary} secondary={secondary} />
  break; 
  case 4: 
    shownHeadWear = <HeadSet style={styles.headSetStyle} primary={primary} secondary={secondary} />
    break; 
}
} else if(pos == 2){
  switch(headWear){
    case 0: 
      shownHeadWear = null
      break;
    case 1: 
      shownHeadWear = <Bow style={styles.bowStyle2} primary={primary} secondary={secondary} />
      break;
    case 2: 
      shownHeadWear = <SvgHairHoopPos2 style={styles.hoopStyle2} primary={primary} secondary={secondary} />
    break; 
    case 3: 
      shownHeadWear = <SvgHeadBandPos2 style={styles.bandStyle2} primary={primary} secondary={secondary} />
    break; 
    case 4: 
      shownHeadWear = <SvgHeadSetPos2 style={styles.headSetStyle2} primary={primary} secondary={secondary} />
      break; 
  }
} else if(pos == 3){
  switch(headWear){
    case 0: 
      shownHeadWear = null
      break;
    case 1: 
      shownHeadWear = <Bow style={styles.bowStyle3} primary={primary} secondary={secondary} />
      break;
    case 2: 
      shownHeadWear = 
      <SvgHairHoopPos3 style={styles.hoopStyle3} primary={primary} secondary={secondary} />
    break; 
    case 3: 
    shownHeadWear =
       <SvgHeadBandPos3 style={styles.bandStyle3} primary={primary} secondary={secondary} />
      break; 
    case 4: 
      shownHeadWear = <SvgHeadSetPos3 style={styles.headSetStyle3} primary={primary} secondary={secondary} />
      break; 
  }
}
  
    return (
    shownHeadWear
      );        
}


export default HeadWearComponent;
