import React from "react";
import {
  StyleSheet,
  View
} from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'
import RightArmComponent from "../../body/arm/RightArmcomponent";

import SitSkiBack from '../../aid/Pos3/BackSitAlpinPos3'
import SitSkiFront from '../../aid/Pos3/FrontSitAlpinPos3'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '60%', 
      width: '60%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },
   skiBack: {
        position: 'absolute',
        height: '62%', 
        width: '62%', 
        bottom: '11.5%', 
        left: '22%'
    },
    skiFront: {
        position: 'absolute',
        height: '55%', 
        width: '55%', 
        bottom: '17%', 
        left: '29.5%'
    },
    
    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '36.26%',
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.8%', 
        left: '25.0%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '28.4%', 
        left: '47.3%', 
        transform: [{rotate: '-77deg'}]
     
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '34%', 
        left: '28.6%', 
        transform: [{rotate: '-56deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '36.5%', 
        left: '62.52%', 
        transform: [{rotate: '-77deg'}]
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '50%', 
        left: '42.85%', 
        transform: [{rotate: '-52deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '39.0%', 
        left: '30%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '40.5%', 
        left: '23.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '46.5%', 
        left: '39.45%', 
        transform: [{rotate: '7deg'}, {rotate: '-50deg'}]
    },
    rightLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '40%', 
        left: '44.0%', 
        transform: [{rotate: '7deg'},  {rotate: '-50deg'}]
    },
    leftFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '76.6%', 
        left: '58.2%', 
        transform: [{rotate: '-5deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '77.6%', 
        left: '51.2%', 
        transform: [{rotate: '-5deg'}]
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3

    return (
        <View style={styles.container}>
       <SitSkiBack style={styles.skiBack} />
        <View style={styles.rightLeg}>
        <LeftLeg pos={3} clothing={props.clothing}/>
        </View>
    
        <View style={styles.leftHand}>
         <LeftHand pos={1} clothing={props.clothing}/>
          </View>
          
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos} clothing={props.clothing}/>
          </View>
         
          
          <View style={styles.leftArm}>
        <LeftArm pos={3} clothing={props.clothing}/>
          </View>

         
          <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
          </View>  
         
        <View style={styles.leftThigh}>
        <LeftThigh pos={5} clothing={props.clothing}/>
        </View>
        <View style={styles.rightThigh}>
         <RightThigh pos={5} clothing={props.clothing}/>
        </View>
           <View style={styles.leftLeg}>
        <LeftLeg pos={3} clothing={props.clothing}/>
        </View>
        
        <View style={styles.torso}>
           <Torso pos={5}  isSkates={true} clothing={props.clothing}/>
          </View>
       
          <View style={styles.rightShoulder}>
        <RightShoulder pos={pos} clothing={props.clothing}/>
          </View>
         
          <View style={styles.rightArm}>
           <RightArmComponent pos={3} clothing={props.clothing}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={1} clothing={props.clothing}/>
          </View>
          <SitSkiFront style={styles.skiFront}/>
       </View>
      );
}
export default AvatarPos3Component; 
