import React from "react";
import { StyleSheet, View } from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import RightArm from '../../body/arm/RightArmcomponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'

import RightArmComponent from "../../body/arm/RightArmcomponent";

import SkiPos3 from '../../aid/Pos3/AlpinSkiPos3'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '60%', 
      width: '60%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '5%'
    },

    skiLeft: {
        height: '60%', 
        width: '60%',
        transform: [{rotate: '-104deg'}], 
        left: '19%', 
        top: '40%'
    }, 

    skiRight: {
        height: '60%', 
        width: '60%',
        transform: [{rotate: '-104deg'}], 
        left: '-14%', 
        top: '-10%'
    },

    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '36.26%',
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '19.8%', 
        left: '23.0%', 
        transform: [{rotate: '13deg'}]
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '32.4%', 
        left: '45.3%', 
        transform: [{rotate: '-70deg'}]
     
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '36.6%', 
        left: '18.4%', 
        transform: [{rotate: '-4deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '38.5%', 
        left: '61.6%', 
        transform: [{rotate: '-110deg'}]
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '56.0%', 
        left: '27.9%', 
        transform: [{rotate: '-30deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '40.8%', 
        left: '26.65%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '39.5%', 
        left: '18.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '61.5%', 
        left: '29.45%'
    },
    rightLeg: {
        position: 'absolute',
        height: '51.4%', 
        width: '51.4%',
        top: '61.5%', 
        left: '17.5%'
    },
    leftFoot: {
        position: 'absolute',
        height: '13%', 
        width: '13%',
        top: '94.0%', 
        left: '53.5%', 
        transform: [{rotate: '-10deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '13%', 
        width: '13%',
        top: '95.1%', 
        left: '38.2%'
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3

    return (
        <View style={styles.container}>
            <View style={styles.rightLeg}>
           <RightLeg pos={1} clothing={props.clothing}/>
        </View>
      
        <View style={styles.leftLeg}>
        <LeftLeg pos={pos} clothing={props.clothing}/>
        </View>
       
        <View style={styles.rightThigh}>
         <RightThigh pos={1} clothing={props.clothing}/>
        </View>
        <View style={styles.leftThigh}>
        <LeftThigh pos={pos} clothing={props.clothing}/>
        </View>

        <View style={styles.leftHand}>
         <LeftHand pos={1}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={1}/>
          </View>
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos} clothing={props.clothing}/>
          </View>
         
        
 
        <View style={styles.leftFoot}>
       <LeftFoot pos={3} clothing={props.clothing}/>
        </View>
        <View style={styles.rightFoot}>
       <RightFoot pos={3} clothing={props.clothing}/>
        </View>

          <View style={styles.leftArm}>
            <LeftArm pos={1} clothing={props.clothing}/>
          </View>

          <View style={styles.torso}>
           <Torso pos={3} clothing={props.clothing}/>
          </View> 
          <View style={styles.rightArm}>
           <RightArmComponent pos={1} clothing={props.clothing}/>
          </View>
          <View style={styles.rightShoulder}>
        <RightShoulder pos={pos} clothing={props.clothing}/>
          </View>
          
          <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
          </View>  
          <SkiPos3 style={styles.skiLeft} />
          <SkiPos3 style={styles.skiRight} />
       </View>
      );
}
export default AvatarPos3Component; 