import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice';

import SitSkiAlpin from '../Alpin/SitSkiAlpin'
import SkiingAlpin from '../Alpin/SkiingAlpin'
import SkiInHands from '../Alpin/SkiInHands'
import NoSkiSitting from '../Alpin/SittingNoSki'
import SkilatorPos3 from "../CrossCountrySkiing/SkilatorPos3";
import SitSkiCrossPos3 from "../CrossCountrySkiing/SitSkiCrossPos3";

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '100%', 
      width: '100%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    }
})

const CrossCountryBody = (props) => {
    const choice = props.choice
    const isWheelChair = useSelector(selectWheelChair);
    const isWalker = useSelector(selectWalker);
    
    let functionLevel = 1
    if(isWheelChair){
        functionLevel = 3
    } else if(isWalker){
        functionLevel = 2
    }
    
    let shownAvatar = null

    switch(choice){
        case 1: 
        shownAvatar = <NoSkiSitting mood={2} clothing={1} />
        break; 
        case 2: 
        switch (functionLevel){
            case 1: 
            shownAvatar = <SkiInHands mood={4} clothing={1}/>
            break; 
            case 2: 
            shownAvatar = <NoSkiSitting mood={4} clothing={1}/>
            break;
            case 3: 
            shownAvatar = <NoSkiSitting mood={4} clothing={1}/>
            break;
        }
        break; 
        case 3: 
        switch (functionLevel){
            case 1: 
            shownAvatar = <SkiingAlpin mood={5} clothing={1}/>
            break; 
            case 2: 
            shownAvatar = <SkilatorPos3 mood={5} clothing={1} />
            break;
            case 3: 
            shownAvatar = <SitSkiCrossPos3 mood={5} clothing={1}/>
            break;
        }
        break; 
        case 4: 
        switch (functionLevel){
            case 1: 
            shownAvatar = <SkiingAlpin mood={3} clothing={1}/>
            break; 
            case 2: 
            shownAvatar = <SkilatorPos3 mood={3} clothing={1}/>
            break;
            case 3: 
            shownAvatar = <SitSkiCrossPos3 mood={3} clothing={1}/>
            break;
        }
        break;
        case 5: 
        switch (functionLevel){
            case 1: 
            shownAvatar = <SkiInHands mood={8} clothing={1}/>
            break; 
            case 2: 
            shownAvatar = <NoSkiSitting mood={8} clothing={1}/>
            break;
            case 3: 
            shownAvatar = <NoSkiSitting mood={8} clothing={1}/>
            break;
        }
        
    }

return (
        <View style={styles.container}>
        {shownAvatar}
        </View>
    );
}
export default CrossCountryBody;
