import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice'

import Cycling1 from '../Cycling/Cycling1'
import Cycling2 from '../Cycling/Cycling2'
import Cycling3 from '../Cycling/Cycling3'
import Pos3Walker from '../Pos3Walker'
import Pos3WheelChair from '../body/SittingPos3'
import AvatarPos3 from '../../AvatarPos3Component'

import Cycle1 from '../../aid/Pos3/BicyclePos3'
import Cycle2 from '../../aid/Pos3/Cycle2pos3'
import Cycle3 from '../../aid/Pos3/Cycle3Pos3'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '100%', 
      width: '100%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '0%'
    },
    cycle1: {
        position: 'absolute',
        height: '66%', 
        width: '66%',
        top: '34%', 
        left: '24%'
    }, 
    cycle0: {
        position: 'absolute',
        height: '54%', 
        width: '54%',
        top: '40%', 
        left: '110%', 
       transform: [{rotate: '60deg'}]
    }, 
    cycle2: {
        position: 'absolute',
        height: '66%', 
        width: '66%',
        top: '24%', 
        left: '34%'
    }, 
    cycle3: {
        position: 'absolute',
        height: '66%', 
        width: '66%',
        top: '4%', 
        left: '24%'
    }, 

    wheelChairCycle: {
        position: 'absolute',
        height: '66%', 
        width: '66%',
        top: '20%', 
        left: '24%'
    }, 
    wheelChair: {
        position: 'absolute',
        height: '66%', 
        width: '66%',
        top: '20%', 
        left: '24%'
    }
})

const CyclingBody = (props) => {

const choice = props.choice
const isWheelChair = useSelector(selectWheelChair);
const isWalker = useSelector(selectWalker);

let functionLevel = 1
if(isWheelChair){
    functionLevel = 3
} else if(isWalker){
    functionLevel = 2
}

let shownAvatar = null
let shownCycle = null

switch(choice){
    case 0: 
    switch(functionLevel){
        case 1: 
        shownCycle = <Cycle1 style={styles.cycle1} />
        break; 
        case 2: 
        shownCycle = <Cycle2 style={styles.cycle2} />
        break; 
        case 3: 
        shownCycle = <Cycle3 style={styles.wheelChairCycle} />
        break; 
    }
    break; 
    case 1: 
    switch(functionLevel){
        case 1: 
        shownCycle = <Cycle1 style={styles.cycle0} />
        shownAvatar =  <AvatarPos3 mood={2} />
        break;
        case 2: 
        shownCycle = <Cycle2 style={styles.cycle0} />
        shownAvatar = <Pos3Walker mood={2}/>
        break; 
        case 3: 
        shownCycle = <Cycle3 style={styles.cycle0} />
        shownAvatar = <Pos3WheelChair  mood={2} wheelChair={true}/>
    }
    break;
   case 2: 
   switch(functionLevel){
       case 1: 
       shownCycle = <Cycle1 style={styles.cycle1} />
       shownAvatar = <AvatarPos3 mood={4} />
       break;
       case 2: 
       shownCycle = <Cycle2 style={styles.cycle2} />
       shownAvatar = <Pos3Walker mood={4}/>
       break; 
       case 3: 
       shownCycle = <Cycle3 style={styles.wheelChairCycle} />
       shownAvatar = <Pos3WheelChair mood={4} wheelChair={true}/>
   }
   break;
    case 3: 
    switch (functionLevel){
        case 1: 
        shownAvatar = <Cycling1 mood={5} />
        break; 
        case 2: 
        shownAvatar = <Cycling2 mood={5}  />
        break;
        case 3: 
        shownAvatar = <Cycling3 mood={5} />
        break;
    }
    break; 
    case 4: 
    switch (functionLevel){
        case 1: 
        shownAvatar = <Cycling1 mood={3} />
        break; 
        case 2: 
        shownAvatar = <Cycling2 mood={3}/>
        break;
        case 3: 
        shownAvatar = <Cycling3 mood={3} />
        break;
    }
    break; 
    case 5: 
   switch(functionLevel){
       case 1: 
       shownCycle = <Cycle1 style={styles.cycle1} />
       shownAvatar = <AvatarPos3 mood={8} />
       break;
       case 2: 
       shownCycle = <Cycle2 style={styles.cycle2} />
       shownAvatar = <Pos3Walker mood={8}/>
       break; 
       case 3: 
       shownCycle = <Cycle3 style={styles.wheelChairCycle} />
       shownAvatar = <Pos3WheelChair mood={8} wheelChair={true}/>
   }
   break;
}

return (
    <View style={styles.container}>
        {shownCycle}
    {shownAvatar}
    </View>
);
}
export default CyclingBody;
