import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice'

// import SitSkiAlpin from '../Alpin/SitSkiAlpin'
// import SkiingAlpin from '../Alpin/SkiingAlpin'
// import SkiInHands from '../Alpin/SkiInHands'
// import NoSkiSitting from '../Alpin/SittingNoSki'
import HikeWalking from '../Hike/HikeWalking'
import HikeSitting from '../Hike/HikeSitting'
import HikeStanding from '../Hike/HikeStanding'
import AvatarPos3 from '../../AvatarPos3Component'
import HikeRaptor from '../Hike/HikeRaptor'
import HikeRaptorFun from '../Hike/HikeRaptorFun'
import HikeRaptorScary from '../Hike/HikeRaptorScary'


const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '100%', 
      width: '100%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },
})

const HikeBody = (props) => {

const choice = props.choice
const isWheelChair = useSelector(selectWheelChair);
const isWalker = useSelector(selectWalker);

let functionLevel = 1
if(isWheelChair){
    functionLevel = 3
} else if(isWalker){
    functionLevel = 2
}

let shownAvatar = null
 
switch(choice){
    case 1: 
    shownAvatar = <HikeSitting mood={2} clothing={1} />
    break; 
    case 2: 
    switch (functionLevel){
        case 1: 
        shownAvatar = <HikeStanding mood={4} clothing={1}/>
        break; 
        case 2: 
        shownAvatar = <HikeRaptorScary mood={4} clothing={1}/>
        break;
        case 3: 
        shownAvatar = <HikeRaptorScary mood={4} clothing={1}/>
        break;
    }
    break; 
    case 3: 
    switch (functionLevel){
        case 1: 
        shownAvatar = <AvatarPos3 mood={5} clothing={1} shoes={2}/>
        // shownAvatar = <AvatarPos3 mood={5} clothing={1} />
        break; 
        case 2: 
        shownAvatar = <HikeRaptor mood={5} clothing={1} />
        break;
        case 3: 
        shownAvatar = <HikeRaptor mood={5} clothing={1}/>
        break;
    }
    break; 
    case 4: 
    switch (functionLevel){
        case 1: 
        shownAvatar = <HikeWalking mood={3} clothing={1}/>
        break; 
        case 2: 
        shownAvatar = <HikeRaptorFun mood={3} clothing={1}/>
        break;
        case 3: 
        shownAvatar = <HikeRaptorFun mood={3} clothing={1}/>
        break;
    }
    break; 
    case 5: 
    switch (functionLevel){
        case 1: 
        shownAvatar = <HikeStanding mood={8} clothing={1}/>
        break; 
        case 2: 
        shownAvatar = <HikeRaptorScary mood={8} clothing={1}/>
        break;
        case 3: 
        shownAvatar = <HikeRaptorScary mood={8} clothing={1}/>
        break;
    }
    break; 
}
return (
    <View style={styles.container}>
    {shownAvatar}
    </View>
);
}
export default HikeBody;
