import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice'
import Pos3Walker from '../Pos3Walker'
import Pos3WheelChair from '../body/SittingPos3'
import AvatarPos3 from '../../AvatarPos3Component'

import BodyOnHorse from '../Horse/Horse'
import HorseFun from '../Horse/HorseFun'
import SvgFullHorse from "../../aid/Pos3/FullHorse";

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '80%', 
      width: '80%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '30%'
    },
    horse: {
        position: 'absolute',
        height: '100%', 
        width: '100%',
        top: '-20%', 
        left: '24%'
    }, 
    horse1: {
        position: 'absolute',
        height: '100%', 
        width: '100%',
        top: '-20%', 
        left: '74%'
    }
})


const HorseBody = (props) => {

    const choice = props.choice
    const isWheelChair = useSelector(selectWheelChair);
    const isWalker = useSelector(selectWalker);
    
    let functionLevel = 1
    if(isWheelChair){
        functionLevel = 3
    } else if(isWalker){
        functionLevel = 2
    }

    let shownAvatar = null
    let shownHorse = null

    switch(choice){
        case 0: 
        shownHorse = <SvgFullHorse style={styles.horse1}/>
        break; 
        case 1: 
        shownHorse = <SvgFullHorse style={styles.horse1}/>
        switch(functionLevel){
            case 1: 
            shownAvatar = <AvatarPos3 mood={2} />
            break;
            case 2: 
            shownAvatar = <Pos3Walker mood={2}/>
            break; 
            case 3: 
            shownAvatar = <Pos3WheelChair mood={2} wheelChair={true}/>
        }
        break; 
        case 2: 
        shownHorse = <SvgFullHorse style={styles.horse}/>
        switch(functionLevel){
            case 1: 
            shownAvatar = <AvatarPos3 mood={4} />
            break;
            case 2: 
            shownAvatar = <Pos3Walker mood={4}/>
            break; 
            case 3: 
            shownAvatar = <Pos3WheelChair mood={4} wheelChair={true}/>
        }
        break; 
        case 3: 
        shownAvatar = <BodyOnHorse mood={5} />
        break;
        case 4: 
        shownAvatar = <HorseFun mood={3} />
        break; 
        case 5: 
        shownHorse = <SvgFullHorse style={styles.horse}/>
        switch(functionLevel){
            case 1: 
            shownAvatar = <AvatarPos3 mood={8} />
            break;
            case 2: 
            shownAvatar = <Pos3Walker mood={8}/>
            break; 
            case 3: 
            shownAvatar = <Pos3WheelChair mood={8} wheelChair={true}/>
        }
        break; 
    }

    return (
        <View style={styles.container}>
            {shownHorse}
        {shownAvatar}
        </View>
    );
}
export default HorseBody;
