import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice'

import Sitting from '../Music/Sitting'
// import AvatarComponent from "../../AvatarComponent";
import AvatarPos4 from '../../AvatarPos4Component'
import Dabbing from '../Music/Dancing'

import { Ionicons} from '@expo/vector-icons';

import Pos3Walker from '../Pos3Walker'
import Pos3WheelChair from '../Music/DancingChair'
import AvatarPos3 from '../../AvatarPos3Component'
import SvgHeadSetPos1 from "../../accessories/headWear/Pos1/HeadSetPos1";

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '60%', 
      width: '60%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },

    fader: {
        position: 'absolute',
        height: '200%', 
        width: '200%',
        backgroundColor: 'black',
       opacity: 0.4
    },
    ball: {
        position: 'absolute',
        height: '14%', 
        width: '14%',
        top: '50%', 
        left: '84%', 
        transform: [{rotate: '40deg'}]
    }, 
    ball2: {
        position: 'absolute',
        height: '14%', 
        width: '14%',
        top: '56%', 
        left: '34%', 
        transform: [{rotate: '18deg'}]
    }, 
    ball22: {
        position: 'absolute',
        height: '10%', 
        width: '10%',
        top: '62%', 
        left: '44%', 
        transform: [{rotate: '18deg'}]
    }, 
    ball3: {
        position: 'absolute',
        height: '20%', 
        width: '20%',
        top: '5.8%', 
        left: '60%', 
        transform: [{rotateY: '180deg'}]
    }, 
    ball4: {
        position: 'absolute',
        height: '26%', 
        width: '26%',
        top: '35.8%', 
        left: '62%', 
        transform: [{rotateY: '180deg'}]
    }, 
    ball5: {
        position: 'absolute',
        height: '36%', 
        width: '36%',
        top: '25.8%', 
        left: '22%', 
        transform: [{rotateY: '180deg'}]
    }, 
    ball6: {
        position: 'absolute',
        height: '36%', 
        width: '36%',
        top: '25.8%', 
        left: '-20%', 
        transform: [{rotateY: '180deg'}]
    }
})

const GymBody = (props) => {

    const choice = props.choice
    const isWheelChair = useSelector(selectWheelChair);
    const isWalker = useSelector(selectWalker);
    
    let functionLevel = 1
    if(isWheelChair){
        functionLevel = 3
    } else if(isWalker){
        functionLevel = 2
    }
    
    let shownAvatar = null
    let shownHeadSet = null

    switch(choice){
        case 0: 
        shownHeadSet = <SvgHeadSetPos1 primary={'#575756'} secondary={'#000000'} style={styles.ball} />
        break; 

        case 1: 
        shownHeadSet = <SvgHeadSetPos1 primary={'#575756'} secondary={'#000000'} style={styles.ball} />
        shownAvatar = <Sitting mood={2} />
        break; 
        case 2: 
        switch(functionLevel){
            case 1: 
            shownHeadSet = <SvgHeadSetPos1 primary={'#575756'} secondary={'#000000'} style={styles.ball2} />
            shownAvatar = <AvatarPos3 mood={4} />
            break; 
            case 2: 
            shownHeadSet = <SvgHeadSetPos1 primary={'#575756'} secondary={'#000000'} style={styles.ball2} />
            shownAvatar = <Pos3Walker mood={4} />
            break; 
            case 3: 
            shownHeadSet = <SvgHeadSetPos1 primary={'#575756'} secondary={'#000000'} style={styles.ball22} />
            shownAvatar = <AvatarPos4 mood={4}  wheelChair={true} />
        }
        break; 
        case 3:
        switch(functionLevel){
            case 1: 
            shownAvatar = <AvatarPos3 mood={5} music={true}/>
            break; 
            case 2: 
            shownAvatar = <Pos3Walker mood={5} music={true} walker={true} />
            break; 
            case 3: 
            shownAvatar = <Pos3WheelChair mood={5} music={true} wheelChair={true} />
            break; 
        }
        break; 
        case 4: 
        switch(functionLevel){
            case 1: 
            shownAvatar = <Dabbing  mood={3} music={2} />
            break; 
            case 2: 
            shownAvatar = <Dabbing mood={3} music={2}  walker={true}/>
            break; 
            case 3: 
            shownAvatar = <Pos3WheelChair mood={3} music={2} wheelChair={true} />
            break; 
        }
        break; 
        case 5: 
        switch(functionLevel){
            case 1: 
            shownHeadSet = <SvgHeadSetPos1 primary={'#575756'} secondary={'#000000'} style={styles.ball2} />
            shownAvatar = <AvatarPos3 mood={8} />
            break; 
            case 2: 
            shownHeadSet = <SvgHeadSetPos1 primary={'#575756'} secondary={'#000000'} style={styles.ball2} />
            shownAvatar = <Pos3Walker mood={8} />
            break; 
            case 3: 
            shownHeadSet = <SvgHeadSetPos1 primary={'#575756'} secondary={'#000000'} style={styles.ball22} />
            shownAvatar = <AvatarPos4 mood={8}  wheelChair={true} />
        }
        break; 

    }
     
    return (
        <View style={styles.container}>
            <View style={styles.fader} />
            <Ionicons name='musical-note-sharp' style={styles.ball3} size={35} color="#a6aad4"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball4} size={35} color="#00c1b3"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball5} size={35} color="#ffb93e"/>
            <Ionicons name='musical-note-sharp' style={styles.ball6} size={35} color="#a5dca3"/>
            <View style={{position: 'absolute', height: '120%', width: '120%', left: '50%'}}>
            <Ionicons name='musical-note-sharp' style={styles.ball3} size={35} color="#00b6cd"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball4} size={35} color="#ff8f59"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball5} size={35} color="#ff90a0"/>
            <Ionicons name='musical-note-sharp' style={styles.ball6} size={35} color="#a6aad4"/>
            </View>
            <View style={{position: 'absolute', height: '120%', width: '120%', right: '50%'}}>
            <Ionicons name='musical-note-sharp' style={styles.ball3} size={35} color="#00b6cd"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball4} size={35} color="#ffb93e"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball5} size={35} color="#ff90a0"/>
            <Ionicons name='musical-note-sharp' style={styles.ball6} size={35} color="#ff8f59"/>
            </View>
            <View style={{position: 'absolute', height: '120%', width: '120%', right: '50%', top: '20%'}}>
            <Ionicons name='musical-note-sharp' style={styles.ball3} size={35} color="#00b6cd"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball4} size={35} color="#ffb93e"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball5} size={35} color="#a5dca3"/>
            <Ionicons name='musical-note-sharp' style={styles.ball6} size={35} color="#a6aad4"/>
            </View>
            <View style={{position: 'absolute', height: '120%', width: '120%', right: '30%', bottom: '20%'}}>
            <Ionicons name='musical-note-sharp' style={styles.ball3} size={35} color="#a5dca3"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball4} size={35} color="#ff90a0"/>
            <Ionicons name='musical-notes-sharp' style={styles.ball5} size={35} color="#ff8f59"/>
            <Ionicons name='musical-note-sharp' style={styles.ball6} size={35} color="#a6aad4"/>
            </View>
        {shownAvatar}
      {shownHeadSet}
        </View>
    );
}
export default GymBody;
