import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice'

import Sitting from '../PlayOutside/Sitting'
// import AvatarComponent from "../../AvatarComponent";
import AvatarPos4 from '../../AvatarPos4Component'
import Dabbing from '../Gym/Dabbing'

// import Ball from '../../aid/accessories/BasketBall'

import Pos3Walker from '../Pos3Walker'
import Pos3WheelChair from '../body/SittingPos3'
import AvatarPos3 from '../../AvatarPos3Component'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '60%', 
      width: '60%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },
    avatar: {
        position: 'absolute',
        height: '80%', 
        width: '80%',
        top: '20%'
      },
    
    
 
})

const GymBody = (props) => {

    const choice = props.choice
    const isWheelChair = useSelector(selectWheelChair);
    const isWalker = useSelector(selectWalker);
    
    let functionLevel = 1
    if(isWheelChair){
        functionLevel = 3
    } else if(isWalker){
        functionLevel = 2
    }
    
    let shownAvatar = null

    switch(choice){
        case 1: 
        shownAvatar = <Sitting mood={2} clothing={7} />
        break; 
        case 2: 
        switch(functionLevel){
            case 1: 
            shownAvatar =
            <View style={styles.avatar}>
             <AvatarPos3 mood={4} clothing={7}/>
            </View>
            break; 
            case 2: 
            shownAvatar = 
            <View style={styles.avatar}>
            <Pos3Walker mood={4} clothing={7} />
            </View>
            break; 
            case 3: 
            shownAvatar = <AvatarPos4 mood={4} clothing={7} wheelChair={true} />
        }
        break; 
        case 3: 
        switch(functionLevel){
            case 1: 
            shownAvatar = <AvatarPos3 mood={5} clothing={7}/>
            break; 
            case 2: 
            shownAvatar = 
            <Pos3Walker mood={5} clothing={7} walker={true} />
            break; 
            case 3: 
            shownAvatar = <Pos3WheelChair mood={5} clothing={7} wheelChair={true} />
            break; 
        }
        break; 
        case 4: 
        switch(functionLevel){
            case 1: 

            shownAvatar = <Dabbing  mood={3} clothing={7}/>
            break; 
            case 2: 
          
            shownAvatar = <Dabbing mood={3} clothing={7} walker={true}/>
            break; 
            case 3: 
            
            shownAvatar = <Pos3WheelChair mood={3} clothing={7} wheelChair={true} />
            break; 
        }
        break;
        case 5: 
        switch(functionLevel){
            case 1: 
            shownAvatar =
            <View style={styles.avatar}>
             <AvatarPos3 mood={8} clothing={7}/>
            </View>
            break; 
            case 2: 
            shownAvatar = 
            <View style={styles.avatar}>
            <Pos3Walker mood={8} clothing={7} />
            </View>
            break; 
            case 3: 
            shownAvatar = <AvatarPos4 mood={8} clothing={7} wheelChair={true} />
            break; 
        }

    }
     
    return (
        <View style={styles.container}>
        {shownAvatar}
        </View>
    );
}
export default GymBody;
