import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice'

import Pos3Walker from '../Pos3Walker'
import Pos3WheelChair from '../body/SittingPos3'
import AvatarPos3 from '../../AvatarPos3Component'
import Pos3Sitting from '../body/SittingPos3'

import BathingHappy from '../Pool/Bathinghappy'
import BathingVHappy from '../Pool/BathingVHappy'


const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '100%', 
      width: '100%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '0%'
    }
})

const PoolBody = (props) => {

const choice = props.choice
const isWheelChair = useSelector(selectWheelChair);
const isWalker = useSelector(selectWalker);

let functionLevel = 1
if(isWheelChair){
    functionLevel = 3
} else if(isWalker){
    functionLevel = 2
}

let shownAvatar = null

switch(choice){
    case 1: 
    switch(functionLevel){
        case 1: 
        shownAvatar = <AvatarPos3 mood={2} />
        break; 
        case 2: 
        shownAvatar = <Pos3Walker mood={2} walker={true} />
        break; 
        case 3: 
        shownAvatar = <Pos3WheelChair mood={2}  wheelChair={true} />
        break; 
    }
    break;
    case 2: 
    shownAvatar = <Pos3Sitting mood={4} clothing={3} />
    break; 
    case 3: 
    shownAvatar = <BathingHappy mood={5} clothing={3}/>
    break; 
    case 4: 
    shownAvatar = <BathingVHappy mood={3} clothing={3}/>
    break; 
    case 5: 
    shownAvatar = <Pos3Sitting mood={8} clothing={3} />
    break; 
}

return (
    <View style={styles.container}>
    {shownAvatar}
    </View>
);
}
export default PoolBody;
