import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux'
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice'

import AvatarPos3 from '../../AvatarPos3Component'
import FramePos3 from '../Skates/FramePos3'
import Hockey from '../Skates/HockeySled'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '60%', 
      width: '60%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    }
})

const SkateBody = (props) => {
    const choice = props.choice
    const isWheelChair = useSelector(selectWheelChair);
    const isWalker = useSelector(selectWalker);
    
    let functionLevel = 1
    if(isWheelChair){
        functionLevel = 3
    } else if(isWalker){
        functionLevel = 2
    }
    
    let shownAvatar = null

  switch(choice){
    case 1: 
    switch(functionLevel){
        case 1: 
        shownAvatar = <AvatarPos3 mood={2} skates={4} clothing={1} />
        break; 
        case 2: 
        shownAvatar = <FramePos3 mood={2} clothing={1}/>
        break; 
        case 3: 
        shownAvatar = <Hockey mood={2} clothing={1}/>
        break; 
    }
    break; 
    case 2: 
    switch(functionLevel){
        case 1: 
        shownAvatar = <AvatarPos3 mood={4} skates={4} clothing={1} />
        break; 
        case 2: 
        shownAvatar = <FramePos3 mood={4} clothing={1}/>
        break; 
        case 3: 
        shownAvatar = <Hockey mood={4} clothing={1}/>
        break; 
    }
    break; 
    case 3: 
    switch(functionLevel){
        case 1: 
        shownAvatar = <AvatarPos3 mood={5} skates={4} clothing={1} />
        break; 
        case 2: 
        shownAvatar = <FramePos3 mood={5} clothing={1}/>
        break; 
        case 3: 
        shownAvatar = <Hockey mood={5} clothing={1}/>
        break; 
    }
    break; 
    case 4: 
    switch(functionLevel){
        case 1: 
        shownAvatar = <AvatarPos3 mood={3} skates={4} clothing={1} />
        break; 
        case 2: 
        shownAvatar = <FramePos3 mood={3} clothing={1}/>
        break; 
        case 3: 
        shownAvatar = <Hockey mood={3} clothing={1}/>
        break; 
    }
    break;
    case 5: 
    switch(functionLevel){
        case 1: 
        shownAvatar = <AvatarPos3 mood={8} skates={4} clothing={1} />
        break; 
        case 2: 
        shownAvatar = <FramePos3 mood={8} clothing={1}/>
        break; 
        case 3: 
        shownAvatar = <Hockey mood={8} clothing={1}/>
        break; 
    }
  }

return (
        <View style={styles.container}>
        {shownAvatar}
        </View>
    );
}
export default SkateBody;
