import React from "react";
import { StyleSheet, View } from "react-native";
import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'
import RightArmComponent from "../../body/arm/RightArmcomponent";

import WalkerBack from '../../aid/Pos3/BackFramePos3'
import WalkerFront from '../../aid/Pos3/FrontFramePos3'
import SvgSkilatorBackPos3 from "../../aid/Pos3/SkilatorBackPos3";
import SvgSkiLatorFrontPos3 from "../../aid/Pos3/SkiLatorFrontPos3";

import SkiPos3 from '../../aid/Pos3/AlpinSkiPos3'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '70%', 
      width: '70%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '5%'
    },
    walkerBack: {
        width: '84%', 
        height: '84%', 
        top: '144%', 
        left: '42%'
    }, 
    walkerFront:{
        width: '104%', 
        height: '104%', 
        top: '-67%', 
        left: '21%'
    },

    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '36.26%',
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.8%', 
        left: '25.0%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '34.4%', 
        left: '38.8%'
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '33.6%', 
        left: '21.6%'
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '52.1%', 
        left: '49.0%'
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '52%', 
        left: '28.9%'
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '40.8%', 
        left: '26.65%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '39.5%', 
        left: '18.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '61.5%', 
        left: '29.45%'
    },
    rightLeg: {
        position: 'absolute',
        height: '51.4%', 
        width: '51.4%',
        top: '61.5%', 
        left: '17.0%'
    },
    leftFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '89.7%', 
        left: '52.8%',
        transform: [{rotate: '6deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '12%', 
        width: '12%',
        top: '92.6%', 
        left: '39.2%'
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
    skiLeft: {
        height: '60%', 
        width: '60%',
        transform: [{rotate: '-0deg'}], 
        left: '0%', 
        top: '92%'
    }, 

    skiRight: {
        height: '60%', 
        width: '60%',
        transform: [{rotate: '-0deg'}], 
        left: '14%', 
        top: '30.5%'
    },
  });

const SkilatorPos3 = (props) => {
    const pos = 3

    return (
        <View style={styles.container}>
           
    <SvgSkilatorBackPos3 style={styles.walkerBack}/>
    <SkiPos3 style={styles.skiLeft} />
          <SkiPos3 style={styles.skiRight} />
    <View style={styles.rightLeg}>
           <RightLeg pos={1} clothing={props.clothing}/>
        </View>
        <View style={styles.leftLeg}>
        <LeftLeg pos={pos} clothing={props.clothing}/>
        </View>
       
        <View style={styles.rightThigh}>
         <RightThigh pos={3} clothing={props.clothing}/>
        </View>
        <View style={styles.leftThigh}>
        <LeftThigh pos={pos} clothing={props.clothing}/>
        </View>
        

        <View style={styles.leftHand}>
         <LeftHand pos={1}/>
          </View>
       

          <View style={styles.leftArm}>
            <LeftArm pos={1} clothing={props.clothing}/>
          </View>
 
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos} clothing={props.clothing}/>
          </View>
         
        
        <View style={styles.leftFoot}>
       <LeftFoot pos={3} clothing={6}/>
        </View>
        <View style={styles.rightFoot}>
       <RightFoot pos={3} clothing={6}/>
        </View>

          <View style={styles.torso}>
           <Torso pos={3} clothing={props.clothing}/>
          </View> 
          <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
          </View>  
       
        <View style={styles.rightHand}>
        <RightHand pos={1}/>
          </View>
        <View style={styles.rightArm}>
           <RightArmComponent pos={1} clothing={props.clothing}/>
          </View>
        <View style={styles.rightShoulder}>
        <RightShoulder pos={pos} clothing={props.clothing}/>
          </View>
        
         <SvgSkiLatorFrontPos3 style={styles.walkerFront}/>
       </View>
      );
}
export default SkilatorPos3; 