import React from "react";
import { StyleSheet, View } from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'
import RightArmComponent from "../../body/arm/RightArmcomponent";

import Cycle from '../../aid/Pos3/BicyclePos3'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '70%', 
      width: '70%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%', 
      left: '20%'
    },
cycle: {
    position: 'absolute',
    height: '65%', 
    width: '65%',
    top: '50%', 
    left: '23.5%'
},
    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%', 
        transform: [{rotate: '20deg'}]
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-3.2%',
        left: '33.0%', 
        transform: [{rotate: '18deg'}]
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '39.26%',
        transform: [{rotate: '-18deg'}]
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.4%', 
        left: '27.0%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '30.4%', 
        left: '51.0%', 
        transform: [{rotate: '-64deg'}]
     
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '32.4%', 
        left: '30.6%', 
        transform: [{rotate: '-56deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '41.5%', 
        left: '67.2%', 
        transform: [{rotate: '-60deg'}]
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '50%', 
        left: '44.85%', 
        transform: [{rotate: '-52deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '43.0%', 
        left: '23%', 
        transform: [{rotate: '36deg'}]
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '41.5%', 
        left: '22.5%', 
        transform: [{rotate: '12deg'}]
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '45.2%', 
        left: '20.45%', 
        transform: [{rotate: '52deg'}]
    },
    rightLeg: {
        position: 'absolute',
        height: '46%', 
        width: '46%',
        top: '56.6%', 
        left: '31.2%', 
        transform: [{rotate: '20deg'}]
    },
    leftFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '84.6%', 
        left: '48.6%', 
        transform: [{rotate: '30deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '76.6%', 
        left: '34.2%', 
        transform: [{rotate: '55deg'}]
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3

    return (
        <View style={styles.container}>
             <View style={styles.leftArm}>
        <LeftArm pos={3} />
          </View>
        
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos}/>
          </View>
          <View style={styles.rightLeg}>
        <LeftLeg pos={3}/>
        </View>
          <View style={styles.leftThigh}>
             <LeftThigh pos={5} isCycle={true}/>
         </View>
      
  
         <Cycle style={styles.cycle}/>
       
        <View style={styles.rightFoot}>
       <RightFoot pos={2}/>
        </View>
        <View style={styles.leftLeg}>
       <LeftLeg pos={3}/>
        </View>

        <View style={styles.rightThigh}>
         <RightThigh pos={5} isCycle={true}/>
        </View>
         
        <View style={styles.torso}>
           <Torso pos={5} isCycle={true}/>
          </View>
          <View style={styles.leftFoot}>
              <LeftFoot pos={2} />
          </View>
          <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
          </View> 
          <View style={styles.rightShoulder}>
        <RightShoulder pos={pos}/>
          </View>
          <View style={styles.rightArm}>
           <RightArmComponent pos={3}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={1}/>
          </View>
          <View style={styles.leftHand}>
         <LeftHand pos={1} />
          </View>
       </View>
      );
}
export default AvatarPos3Component; 