import React from "react";
import { StyleSheet, View } from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'
import RightArmComponent from "../../body/arm/RightArmcomponent";

import CycleFront from '../../aid/Pos3/FrontLayingCyclePos3'
import CycleBack from '../../aid/Pos3/BackLyingCyclePos3'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '60%', 
      width: '60%',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },
   cycleBack: {
        position: 'absolute',
        height: '50%', 
        width: '50%', 
        bottom: '19.9%', 
        left: '22%'
    },
    cycleFront: {
        position: 'absolute',
        height: '76%', 
        width: '76%', 
        bottom: '-10%', 
        left: '21.5%'
    },
    
    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '28.8%', 
        transform: [{rotate: '-20deg'}]
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-3.0%',
        left: '21.0%', 
        transform: [{rotate: '-8deg'}]
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '33.26%',
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '23.8%', 
        left: '20.0%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '28.4%', 
        left: '47.3%', 
        transform: [{rotate: '-77deg'}]
     
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '35.5%', 
        left: '23.5%', 
        transform: [{rotate: '-56deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '36.5%', 
        left: '62.52%', 
        transform: [{rotate: '-77deg'}]
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '53%', 
        left: '38.0%', 
        transform: [{rotate: '-52deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '37.0%', 
        left: '32%', 
        transform: [{rotate: '5deg'}], 
        transform: [{rotate: '-15deg'}]
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '41.5%', 
        left: '28.5%', 
        transform: [{rotate: '-15deg'}]
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '38.5%', 
        left: '44.45%', 
        transform: [{rotate: '7deg'}, {rotate: '-66deg'}]
    },
    rightLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '34%', 
        left: '47.0%', 
        transform: [{rotate: '7deg'},  {rotate: '-66deg'}]
    },
    leftFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '53.6%', 
        left: '76%', 
        transform: [{rotate: '-40deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '58.0%', 
        left: '72.2%', 
        transform: [{rotate: '-45deg'}]
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3

    return (
        <View style={styles.container}>
      <CycleBack style={styles.cycleBack}/>

      <View style={styles.leftFoot}>
            <LeftFoot pos={2} />
        </View>
        <View style={styles.rightLeg}>
        <LeftLeg pos={3}/>
        </View>
    
        <View style={styles.leftHand}>
         <LeftHand pos={1} />
          </View>
          
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos}/>
          </View>
         
          
          <View style={styles.leftArm}>
        <LeftArm pos={3} />
          </View>

         
        <View style={styles.leftThigh}>
        <LeftThigh pos={5} cycleLying={true}/>
        </View>
       
     
          <View style={styles.rightShoulder}>
        <RightShoulder pos={pos}/>
          </View>
         
          <View style={styles.rightArm}>
           <RightArmComponent pos={3}/>
          </View>
        
    <CycleFront style={styles.cycleFront} />
   
    <View style={styles.rightThigh}>
         <RightThigh pos={5} cycleLying={true}/>
        </View>
        <View style={styles.rightFoot}>
            <RightFoot pos={2} />
        </View>
          
        <View style={styles.torso}>
           <Torso pos={5} cycleLying={true}/>
          </View>
          <View style={styles.leftLeg}>
        <LeftLeg pos={5}/>
        </View>
          <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
          </View>  
       
          <View style={styles.rightHand}>
        <RightHand pos={1}/>
          </View>
       </View>
      );
}
export default AvatarPos3Component; 