import React from "react";
import { StyleSheet, View } from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'
import RightArmComponent from "../../body/arm/RightArmcomponent";

import SkiPos3 from '../../aid/Pos3/AlpinSkiPos3'

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '60%', 
      width: '60%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%'
    },

    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '36.26%',
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.8%', 
        left: '25.0%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '28.4%', 
        left: '41.3%', 
        transform: [{rotate: '-50deg'}]
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '36.0%', 
        left: '20.4%', 
        transform: [{rotate: '5deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '42%', 
        left: '57.3%', 
        transform: [{rotate: '-50deg'}]
    },
    ski: {
        width: '54%', 
        height: '54%', 
        top: '38.2%', 
        left: '22%', 
        transform: [{rotate: '4deg'}]
    },

    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '52.5%', 
        left: '24.1%', 
        transform: [{rotate: '64deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '39.0%', 
        left: '30%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '40.5%', 
        left: '23.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '50.5%', 
        left: '30.45%', 
        transform: [ {rotate: '-2deg'}]
    },
    rightLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '46.3%', 
        left: '39.5%', 
        transform: [{rotate: '-10deg'}]
    },
    leftFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '74.2%', 
        left: '64.9%', 
        transform: [{rotate: '-14deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '80.0%', 
        left: '54.2%', 
        transform: [{rotate: '0deg'},]
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3

    let ski = <SkiPos3 style={styles.ski}/>
    if(props.noSki){
        ski = null
    }
    return (
        <View style={styles.container}>
       

          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos} clothing={props.clothing}/>
          </View>

          <View style={styles.leftArm}>
        <LeftArm pos={3} clothing={props.clothing}/>
          </View>
         
          <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
          </View>  
    
         
        <View style={styles.rightThigh}>
              <RightThigh pos={5} />
          </View>
          <View style={styles.leftThigh}>
              <LeftThigh pos={5} />
          </View>
         
        <View style={styles.torso}>
           <Torso pos={5} isSittingSki ={true} clothing={props.clothing}/>
          </View>
          <View style={styles.rightLeg}>
        <LeftLeg pos={3} clothing={props.clothing}/>
        </View>
        <View style={styles.leftLeg}>
        <LeftLeg pos={3} clothing={props.clothing}/>
        </View>

       
          <View style={styles.rightShoulder}>
        <RightShoulder pos={pos} clothing={props.clothing}/>
          </View>
         
          <View style={styles.rightArm}>
           <RightArmComponent pos={3} clothing={props.clothing}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={1}/>
          </View>
          <View style={styles.leftHand}>
         <LeftHand pos={1} />
          </View>
          <View style={styles.leftFoot}>
       <LeftFoot pos={3} clothing={props.clothing}/>
        </View>
        <View style={styles.rightFoot}>
       <RightFoot pos={2} clothing={props.clothing}/>
        </View>
      
       </View>
      );
}
export default AvatarPos3Component; 