import React from "react";
import { StyleSheet, View } from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
// import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
// import RightLeg from '../../body/leg/RightLegComponent'
// import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'
import RightArmComponent from "../../body/arm/RightArmcomponent";


import {
    selectBottom,
  } from 'src/global/reducers/avatar/bottomStyleSlice'
  

import HorseBack from '../../aid/Pos3/BackHorsePos3'
import HorseHead from '../../aid/Pos3/HorseHead'
import Sadel from '../../aid/Pos3/HorseSadel'

import { useSelector } from "react-redux";


const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '50%', 
      width: '50%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '20%', 
      left: '20%'
    },
    horseBack: {
        top: '76%', 
        width: '140%', 
        height: '140%', 
        left: '2%'
    }, 
    sadel: {
        top: '-27.0%', 
        width: '26%', 
        height: '26%', 
        left: '-4.5%'
    }, 
    horseFront: {
        top: '-82.5%', 
        left: '24.2%', 
        width: '60%', 
        height: '60%', 
    },
    
    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '36.26%',
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.8%', 
        left: '25.0%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '28.4%', 
        left: '47.3%', 
        transform: [{rotate: '-77deg'}]
     
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '32.4%', 
        left: '28.6%', 
        transform: [{rotate: '-56deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '36.5%', 
        left: '62.52%', 
        transform: [{rotate: '-77deg'}]
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '50%', 
        left: '42.85%', 
        transform: [{rotate: '-52deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '39.0%', 
        left: '30%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '40.5%', 
        left: '23.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '48.2%', 
        left: '28.45%', 
        transform: [{rotate: '7deg'}]
    },
    rightLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '42.6%', 
        left: '44.2%', 
        transform: [{rotate: '-40deg'}]
    },
    leftFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '76.6%', 
        left: '58.2%', 
        transform: [{rotate: '-5deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '13.8%', 
        width: '13.8%',
        top: '77.6%', 
        left: '51.4%', 
        transform: [{rotate: '-5deg'}]
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3
    const pant = useSelector(selectBottom);

    let torso = 
         <View style={styles.torso}>
         <Torso pos={5} horse={true}/>
         </View>
   let leftLeg = 
         <View style={styles.leftLeg}>
        <LeftLeg pos={3} clothing={6}/>
        </View>


    let torsoLegPos = null 
    switch(pant){
        case 1: 
      torsoLegPos = <View style={{position: 'absolute', height: '100%', width: '100%'}}>{leftLeg}{torso}</View>
        break; 
        case 2: 
        torsoLegPos = <View style={{position: 'absolute', height: '100%', width: '100%'}}>{torso}{leftLeg}</View>
       break; 
       case 3: 
       torsoLegPos = <View style={{position: 'absolute', height: '100%', width: '100%'}}>{leftLeg}{torso}</View>
       break; 
    }

    return (
        <View style={styles.container}>
             <View style={styles.leftArm}>
        <LeftArm pos={3} />
          </View>
          <View style={styles.leftHand}>
         <LeftHand pos={1} />
          </View>
       <HorseBack style={styles.horseBack}/>
            <Sadel style={styles.sadel}/>
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos}/>
          </View>
      
        <View style={styles.rightFoot}>
       <RightFoot pos={2}/>
        </View>
         
          <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
          </View>  
         
        <View style={styles.rightThigh}>
         <RightThigh pos={5}/>
        </View>
         
        {torsoLegPos}
       
          <View style={styles.rightShoulder}>
        <RightShoulder pos={pos}/>
          </View>
          <HorseHead style={styles.horseFront}/>
          <View style={styles.rightArm}>
           <RightArmComponent pos={3}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={1}/>
          </View>
       </View>
      );
    }
export default AvatarPos3Component; 
