import React from "react";
import { StyleSheet, View } from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
// import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'
import RightArmComponent from "../../body/arm/RightArmcomponent";

import WheelChairPos3Front from "../../aid/wheelChair/WheelChariFrontPos3"
import WheelChairPos3Back from "../../aid/wheelChair/WheelChairBackPos3"

import { useSelector } from "react-redux";

import {
    selectBottom,
  } from 'src/global/reducers/avatar/bottomStyleSlice'
   

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '90%', 
      width: '90%',
      alignItems: 'center',
      justifyContent: 'center',
      top: '5%'
    },
    wheelChair: {
        position: 'absolute',
        height: '65%', 
        width: '65%', 
        bottom: '5.5%', 
        left: '20.8%'
    },
    wheelChairFront: {
        position: 'absolute',
        height: '46%', 
        width: '46%', 
        bottom: '10%', 
        left: '12.8%'
    },
    
    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '37.26%',
        transform: [{rotate: '-14deg'}]
        
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.2%', 
        left: '23.0%', 
        transform: [{rotate: '12deg'}]
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '16.4%', 
        left: '44.3%', 
        transform: [{rotate: '-140deg'}]
     
        
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '16.0%', 
        left: '25.7%', 
        transform: [{rotate: '220deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '15.1%', 
        left: '55.99%', 
        transform: [{rotate: '-140deg'}]
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '18.3%', 
        left: '40.65%', 
        transform: [{rotate: '-132deg'}, {rotateY: '180deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '39.0%', 
        left: '30%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '40.5%', 
        left: '23.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '48.2%', 
        left: '28.45%', 
        transform: [{rotate: '7deg'}]
    },
    rightLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '46.6%', 
        left: '35.2%', 
        transform: [{rotate: '7deg'}]
    },
    leftFoot: {
        position: 'absolute',
        height: '14.0%', 
        width: '14.0%',
        top: '77.3%', 
        left: '58.3%', 
        transform: [{rotate: '-5deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '14.0%', 
        width: '14.0%',
        top: '78.6%', 
        left: '51.4%', 
        transform: [{rotate: '-5deg'}]
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3

    let pant = useSelector(selectBottom);
    if(props.clothing == 2){
        pant = 2
    }

    let torso = 
    <View style={styles.torso}>
    <Torso pos={5} clothing={props.clothing} />
   </View>

   let leftLeg = 
   <View style={styles.leftLeg}>
        <LeftLeg pos={5} clothing={props.clothing}/>
        </View>
let rightLeg = 
<View style={styles.rightLeg}>
<LeftLeg pos={5} clothing={props.clothing}/>
</View>

let torsoLegPos = null 
switch(pant){
    case 1: 
  torsoLegPos = <View style={{position: 'absolute', height: '100%', width: '100%'}}>{leftLeg}{rightLeg}{torso}</View>
    break; 
    case 2: 
    torsoLegPos = <View style={{position: 'absolute', height: '100%', width: '100%'}}>{torso}{rightLeg}{leftLeg}</View>
   break; 
   case 3: 
   torsoLegPos = <View style={{position: 'absolute', height: '100%', width: '100%'}}>{leftLeg}{rightLeg}{torso}</View>
   break; 
}
    const isWheelChair = props.wheelChair
    let wheelChairBehind = null
    let wheelChairInFront = null 
    if(isWheelChair){
        wheelChairBehind = <WheelChairPos3Back style={styles.wheelChair}/> 
        wheelChairInFront =  <WheelChairPos3Front style={styles.wheelChairFront} />
    }

    return (
        <View style={styles.container}>
            {wheelChairBehind}
    
        <View style={styles.leftHand}>
         <LeftHand pos={1} />
          </View>
          
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos} clothing={props.clothing}/>
          </View>
         
          <View style={styles.leftArm}>
        <LeftArm pos={3} clothing={props.clothing}/>
          </View>
         
          
          <View style={styles.leftFoot}>
              <LeftFoot pos={2} clothing={props.clothing}/>
          </View>
          <View style={styles.rightFoot}>
              <RightFoot pos={2} clothing={props.clothing}/>
          </View>
           
          
        <View style={styles.leftThigh}>
        <LeftThigh pos={5} clothing={props.clothing}/>
        </View>
        <View style={styles.rightThigh}>
         <RightThigh pos={5} clothing={props.clothing}/>
        </View>
       
       {torsoLegPos}

          <View style={styles.rightShoulder }>
        <RightShoulder pos={pos} clothing={props.clothing}/>
          </View>
       
        {wheelChairInFront}
        <View style={styles.head}>
         <Head pos={pos} music={props.music} mood={props.mood}/>
          </View>  
          <View style={styles.rightArm}>
           <RightArmComponent pos={3} clothing={props.clothing}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={1}/>
          </View>
       </View>
      );
}
export default AvatarPos3Component; 
