import React from "react";
import { StyleSheet, View } from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import RightArm from '../../body/arm/RightArmcomponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'

import RightArmComponent from "../../body/arm/RightArmcomponent";
import TubeFront from "../../aid/accessories/SwimTube"
import TubeBack from "../../aid/accessories/SwimTubeBack"
import RightHandComponent from "../../body/hand/RightHandComponent";

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '90%', 
      width: '90%',
    //   backgroundColor: '#fff',
      alignItems: 'center',
      justifyContent: 'center',
      top: '5%'
    },
    tubeFront: {
        height: '50%', 
        width: '50%',
        top: '-16%', 
        left: '-4%'

    }, 
    tubeBack: {
        height: '38%', 
        width: '38%',
        top: '17.6%', 
        left: '-4%'
    },

    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '5.9%', 
        left: '40.26%',
        transform: [{rotate: '214deg'}, {rotateY: '180deg'}]
        
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '14.4%', 
        left: '21.5%', 
        transform: [{rotate: '54deg'},]
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '-7%', 
        left: '46%', 
        transform: [{rotate: '-168deg'}, {rotateY: '180deg'}]
     
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '19.1%', 
        left: '9.7%', 
        transform: [{rotate: '56deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '-8.6%', 
        left: '57.42%', 
        transform: [{rotate: '-178deg'}, {rotateY: '180deg'}]
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '32.1%', 
        left: '11.0%', 
        transform: [{rotate: '56deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '40.8%', 
        left: '26.65%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '39.5%', 
        left: '18.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '61.5%', 
        left: '29.45%'
    },
    rightLeg: {
        position: 'absolute',
        height: '51.4%', 
        width: '51.4%',
        top: '61.5%', 
        left: '17.5%'
    },
    leftFoot: {
        position: 'absolute',
        height: '14.8%', 
        width: '14.8%',
        top: '89.7%', 
        left: '52.8%'
    },
    rightFoot: {
        position: 'absolute',
        height: '12%', 
        width: '12%',
        top: '91.6%', 
        left: '36.2%'
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3

    return (
        <View style={styles.container}>
             <TubeBack style={styles.tubeBack}/>
        
          <View style={styles.rightArm}>
           <RightArmComponent pos={1} clothing={props.clothing}/>
          </View>
      
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos} isGym={true} clothing={props.clothing}/>
          </View>
         
          <View style={styles.rightShoulder}>
        <RightShoulder pos={pos} isGym={true} clothing={props.clothing}/>
          </View>
          <View style={styles.rightHand}>
              <RightHand pos={1} />
          </View>
    
          <View style={styles.torso} >
           <Torso pos={3} clothing={props.clothing}/>
          </View> 
          <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
         
          </View>  
          <TubeFront style={styles.tubeFront} />
          <View style={styles.leftArm}>
            <LeftArm pos={1} clothing={props.clothing}/>
          </View>
          <View style={styles.leftHand}>
         <LeftHand pos={1}/>
          </View>
       </View>
      );
}
export default AvatarPos3Component; 