import React from "react";
import { StyleSheet, View } from "react-native";

import Torso from '../../body/torso/TorsoComponent'
import Head from '../../body/head/HeadComponent'
import LeftShoulder from '../../body/shoulder/LeftShoulderComponent'
import RightShoulder from '../../body/shoulder/RightShoulderComponent'
import LeftArm from '../../body/arm/LeftArmComponent'
import LeftHand from '../../body/hand/LeftHandComponent'
import RightHand from '../../body/hand/RightHandComponent'
import LeftThigh from '../../body/thigh/LeftThighComponent'
import RightThigh from '../../body/thigh/RightThighComponent'
import LeftLeg from '../../body/leg/LeftLegComponent'
import RightLeg from '../../body/leg/RightLegComponent'
import LeftFoot from '../../body/foot/LeftFootComponent'
import RightFoot from '../../body/foot/RightFootComponent'
import RightArmComponent from "../../body/arm/RightArmcomponent";

import WheelChairPos3Front from "../../aid/wheelChair/WheelChariFrontPos3"
import WheelChairPos3Back from "../../aid/wheelChair/WheelChairBackPos3"

const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      height: '90%', 
      width: '90%',
      alignItems: 'center',
      justifyContent: 'center',
      top: '5%'
    },
    wheelChair: {
        position: 'absolute',
        height: '65%', 
        width: '65%', 
        bottom: '5.5%', 
        left: '20.8%'
    },
    wheelChairFront: {
        position: 'absolute',
        height: '46%', 
        width: '46%', 
        bottom: '10%', 
        left: '12.8%'
    },
    
    torso: {
        position: 'absolute',
        height: '34.9%', 
        width: '34.9%',
        top: '21%', 
        left: '29.8%'
    },
    head: {
        position: 'absolute',
        height: '38.9%', 
        width: '38.9%',
        top: '-4%',
        left: '27.2%'
    },
    leftShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.9%', 
        left: '36.26%',
    },
    rightShoulder: {
        position: 'absolute',
        height: '32.3%', 
        width: '32.3%',
        top: '20.8%', 
        left: '25.0%'
    },
    leftArm: {
        position: 'absolute',
        height: '32.4%', 
        width: '32.4%',
        top: '27.6%', 
        left: '46.2%', 
        transform: [{rotate: '-77deg'}]
     
    },
    rightArm: {
        position: 'absolute',
        height: '33.7%', 
        width: '33.7%',
        top: '32.4%', 
        left: '28.6%', 
        transform: [{rotate: '-56deg'}]
    },
    leftHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '36.0%', 
        left: '62.52%', 
        transform: [{rotate: '-77deg'}]
     
    },
    rightHand: {
        position: 'absolute',
        height: '15.4%', 
        width: '15.4%',
        top: '50%', 
        left: '42.85%', 
        transform: [{rotate: '-52deg'}]
    },
    leftThigh: {
        position: 'absolute',
        height: '50.7%', 
        width: '50.7%',
        top: '39.0%', 
        left: '30%'
    },
    rightThigh: {
        position: 'absolute',
        height: '50.5%', 
        width: '50.5%',
        top: '40.5%', 
        left: '23.5%'
    },
    leftLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '48.2%', 
        left: '28.45%', 
        transform: [{rotate: '7deg'}]
    },
    rightLeg: {
        position: 'absolute',
        height: '50.4%', 
        width: '50.4%',
        top: '46.6%', 
        left: '35.2%', 
        transform: [{rotate: '7deg'}]
    },
    leftFoot: {
        position: 'absolute',
        height: '14.0%', 
        width: '14.0%',
        top: '77.3%', 
        left: '58.3%', 
        transform: [{rotate: '-5deg'}]
    },
    rightFoot: {
        position: 'absolute',
        height: '14.0%', 
        width: '14.0%',
        top: '78.6%', 
        left: '51.4%', 
        transform: [{rotate: '-5deg'}]
    },
    leftArmRotate: {
        position: 'absolute',
        height: '32%', 
        width: '32%',
        top: '26.6%', 
        right: '18%', 
        transform: [{rotate: '-100deg'}]
    }, 
    leftHandRotate: {
        position: 'absolute',
        height: '15.6%', 
        width: '15.6%',
        top: '30.2%', 
        right: '18.5%', 
        transform: [{rotate: '-100deg'}]
    },
  });

const AvatarPos3Component = (props) => {
    const pos = 3


    return (
        <View style={styles.container}>
       
    
        <View style={styles.leftHand}>
         <LeftHand pos={1} />
          </View>
          
          <View style={styles.leftShoulder}>
          <LeftShoulder pos={pos} clothing={props.clothing}/>
          </View>
         
          <View style={styles.leftArm}>
        <LeftArm pos={3} clothing={props.clothing}/>
          </View>
          
        <View style={styles.leftThigh}>
        <LeftThigh pos={2} clothing={props.clothing}/>
        </View>
        <View style={styles.rightThigh}>
         <RightThigh pos={2} clothing={props.clothing}/>
        </View>
         
        <View style={styles.torso}>
           <Torso pos={5} clothing={props.clothing} />
          </View>
      
          

          <View style={styles.rightShoulder }>
        <RightShoulder pos={pos} clothing={props.clothing}/>
          </View>
       
        <View style={styles.head}>
         <Head pos={pos} mood={props.mood}/>
          </View>  
          <View style={styles.rightArm}>
           <RightArmComponent pos={3} clothing={props.clothing}/>
          </View>
          <View style={styles.rightHand}>
        <RightHand pos={1}/>
          </View>
       </View>
      );
}
export default AvatarPos3Component; 