import * as React from "react";
import Svg, { Defs, ClipPath, Circle, G, Path } from "react-native-svg";

const SvgBall = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    viewBox="0 0 146.88 146.97"
    {...props}
  >
    <Defs>
      <ClipPath id="ball_svg__a" transform="translate(2.92 2.97)">
        <Circle
          cx={70.52}
          cy={70.52}
          r={70.02}
          style={{
            strokeMiterlimit: 10,
            stroke: "#9f5c43",
            fill: "#dc7946",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <G data-name="Lag 1">
        <Circle
          cx={73.43}
          cy={73.48}
          r={70.02}
          style={{
            fill: "#dc7946",
          }}
        />
        <G
          style={{
            clipPath: "url(#ball_svg__a)",
          }}
        >
          <Path
            d="M70.48 142.5c-37.44 0-53.85-31.34-51-72 2.74-39.66 22.85-72 51-72"
            transform="translate(2.92 2.97)"
            style={{
              stroke: "#1d1d1b",
              strokeWidth: 3,
              fill: "none",
              strokeMiterlimit: 10,
            }}
          />
          <Path
            d="M142.47 70.52c0 10.69-32.25 18-72 19.36-40.63 1.45-71.9-3.11-71.9-16.62M125.45 24C77 17.42 53.15 75.24 19.44 66.48c-20.31-5.27-12.34-30-12.34-30M108.65 131.58c-40.74 5.56-59.2-21.85-85.94-25.61-8.38-1.17-10.58 2.32-12.49 3.88"
            transform="translate(2.92 2.97)"
            style={{
              stroke: "#1d1d1b",
              strokeWidth: 3,
              fill: "none",
              strokeMiterlimit: 10,
            }}
          />
        </G>
        <Circle
          cx={73.43}
          cy={73.48}
          r={70.02}
          style={{
            fill: "none",
            strokeMiterlimit: 10,
            stroke: "#9f5c43",
          }}
        />
      </G>
    </G>
  </Svg>
);

export default SvgBall;

