import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from "react-redux";
import {
  selectBody,
  selectBodyColors,
  selectBottom, 
  selectTop,
  selectTopColors,
  selectBottomColors,
  selectShoes,
  selectShoeColors,
  selectHair,
  selectHairColors,
  selectGlasses,
  selectSunGlasses,
  selectEyeColor,
  selectBeard
} from "src/global/reducers/avatar/familyMemberSlice";
import SvgManPos1Svg from "./ManPos1";
import SvgWomanPos1 from "./WomanPos1";
// import * as hues from '../../../utils/constants/hues'
import HairComponent from "../../hair/HairComponent";
import SvgSweaterComplete from "../../clothing/tops/sweater/Pos1/SweaterFull";
import SvgTSHirtComplete from "../../clothing/tops/tShirt/TshirtFull";
import SvgTankTop from "../../clothing/tops/tankTop/Pos1/TankTop";
import SvgHoodieComplete from "../../clothing/tops/hoodie/Pos1/HoodieFull";
import SvgPantComplete from "../../clothing/bottoms/pant/Pos1/PantFull";
import SvgShortsComplete from "../../clothing/bottoms/shorts/Pos1/ShortsFull";
import SvgSkirtComplete from "../../clothing/bottoms/skirt/SkirtFull";
import SvgBallerina from "../../clothing/shoes/ballerinas/BallerinaPos1";
import SvgSneaker from "../../clothing/shoes/sneakers/SneakerPos1";
import Glasses from '../../accessories/glasses/Pos1/GlassesPos1'
import SunGlasses from '../../accessories/glasses/Pos1/SunglassesPos1'

import { selectActiveMember } from "src/global/reducers/closet/closetSlice";
import {
  selectBodyTwo,
  selectTopColorsTwo,
  selectBottomColorsTwo,
  selectShoeColorsTwo,
  selectBodyColorsTwo,
  selectBottomTwo,
  selectShoesTwo,
  selectTopTwo,
  selectHairTwo,
  selectHairColorsTwo,
  selectEyeColorTwo,
  selectGlassesTwo,
  selectSunGlassesTwo,
  selectBeardTwo
} from "src/global/reducers/avatar/familyMemberTwoSlice";

const FamilyBodyComponent = (props) => {

    const styles = StyleSheet.create({
        container: {
            flex: 1,
            aspectRatio: 3/2.8,
        },

        body: {
            width: '92%', 
            height: '92%', 
            top: '6%', 
            left: '4%', 
        }, 
        hair: {
            top: '5.3%',
            position: 'absolute',
            width: '18.6%', 
            height: '18.6%', 
            left: '40.6%', 
        }, 
        hair2: {
            top: '5.45%',
            position: 'absolute',
            width: '18.3%', 
            height: '18.3%', 
            left: '40.8%', 
        }, 
        hair4: {
            top: '5.7%',
            position: 'absolute',
            width: '18.2%', 
            height: '18.2%', 
            left: '40.8%', 
        }, 
        hair5: {
            top: '4.6%',
            position: 'absolute',
            width: '22.2%', 
            height: '22.2%', 
            left: '38.85%', 
        }, 
        topStyle: {
            top: '23.9%',
            position: 'absolute',
            width: '31.2%', 
            height: '31.2%', 
            left: '34.25%', 
        }, 
        tshirtStyle: {
            top: '23.6%',
            position: 'absolute',
            width: '27.2%', 
            height: '27.2%', 
            left: '36.25%', 
        }, 
        tankStyle: {
            top: '25.0%',
            position: 'absolute',
            width: '23.2%', 
            height: '23.2%', 
            left: '38.25%', 
        }, 
        hoodieStyle: {
            top: '23.7%',
            position: 'absolute',
            width: '33.5%', 
            height: '33.5%', 
            left: '33.2%', 
        }, 
        pantStyle: {
            top: '45.2%',
            position: 'absolute',
            width: '48.5%', 
            height: '48.5%', 
            left: '25.7%', 
        }, 
        shortsStyle: {
            top: '46.2%',
            position: 'absolute',
            width: '21.5%', 
            height: '21.5%', 
            left: '39.2%', 
        }, 
        skirtStyle: {
            top: '44%',
            position: 'absolute',
            width: '30.5%', 
            height: '30.5%', 
            left: '34.7%', 
        }, 
        ballerinaLeftStyle: {
            top: '93.7%',
            position: 'absolute',
            width: '5.5%', 
            height: '5.5%', 
            left: '53.3%', 
        }, 
        ballerinaRightStyle: {
            top: '93.7%',
            position: 'absolute',
            width: '5.5%', 
            height: '5.5%', 
            right: '53.4%', 
            transform: [{rotateY: "180deg"}]
        }, 

        sneakerLeftStyle: {
            top: '93.5%',
            position: 'absolute',
            width: '5.9%', 
            height: '5.9%', 
            left: '53.1%', 
        }, 
        sneakerRightStyle: {
            top: '93.5%',
            position: 'absolute',
            width: '5.9%', 
            height: '5.9%', 
            right: '53.1%', 
            transform: [{rotateY: "180deg"}]
        }, 
        glasses: {
            position: 'absolute', 
            left: '44.2%',
            top: '10.2%',
            width: '11.5%',
            height: '11.5%'
          }, 
    })
    let familyMember = useSelector(selectActiveMember)
    if(props.member){
        familyMember= props.member
    }

    const body = familyMember == 1 ? useSelector(selectBody) : useSelector(selectBodyTwo)

    let topColors = familyMember == 1 ? useSelector(selectTopColors) : useSelector(selectTopColorsTwo)
    let bottomColors = familyMember == 1 ? useSelector(selectBottomColors) : useSelector(selectBottomColorsTwo)
    let shoeColors = familyMember == 1 ? useSelector(selectShoeColors) : useSelector(selectShoeColorsTwo)
    let bodyColors = familyMember == 1 ? useSelector(selectBodyColors) : useSelector(selectBodyColorsTwo)

    let bottomStyle = familyMember == 1 ? useSelector(selectBottom) : useSelector(selectBottomTwo)
    let shoeStyle = familyMember == 1 ? useSelector(selectShoes) : useSelector(selectShoesTwo)
    let topStyle = familyMember == 1 ? useSelector(selectTop) : useSelector(selectTopTwo) 

    let hairStyle = familyMember == 1 ? useSelector(selectHair) : useSelector(selectHairTwo)
    let hairColors = familyMember == 1 ? useSelector(selectHairColors) : useSelector(selectHairColorsTwo)
    let eyeColor = familyMember == 1 ? useSelector(selectEyeColor) : useSelector(selectEyeColorTwo)

    let glasses = familyMember == 1 ? useSelector(selectGlasses) : useSelector(selectGlassesTwo)
    let sunGlasses = familyMember == 1 ? useSelector(selectSunGlasses) : useSelector(selectSunGlassesTwo)

    let beard = familyMember == 1 ? useSelector(selectBeard) : useSelector(selectBeardTwo)

    let hairColor = hairColors? hairColors.hairPrimary : null
    let hairDef = hairColors? hairColors.hairDef : null
    let beardColor = beard? hairColor : null
    let beardDef = beard? hairDef : null

    let skin = bodyColors? bodyColors.primary : null
    let def = bodyColors? bodyColors.definition : null
    let mouth = bodyColors? bodyColors.mouth : null

    let primaryTop = topColors? topColors.topPrimaryColor : null
    let secondaryTop = topColors?  topColors.topSecondaryColor : null
    let tertiaryTop = topColors?  topColors.topTertiaryColor : null
    let qtrTop = topColors?  topColors.topQuaternaryColor : null

    let primaryBottom = bottomColors? bottomColors.bottomPrimaryColor : null
    let secondaryBottom = bottomColors?  bottomColors.bottomSecondaryColor : null
    let qtrBottom = bottomColors?  bottomColors.bottomQuaternaryColor : null

    let shoesPrimary = shoeColors? shoeColors.shoePrimaryColor : null
    let shoeSecondary = shoeColors? shoeColors.shoeSecondaryColor : null
    let shoeQtr = shoeColors? shoeColors.shoeQuaternaryColor : null

    let shownBody = null
    let shownHair = null 
    let shownTop = null
    let shownPant = null
    let shownShoes = null
    let shownGlasses = null

    if(body == 1){
        shownBody = <SvgManPos1Svg style={styles.body} beardColor={beardColor} beardDef={beardDef} mouth={mouth} eyecolor={eyeColor} hair={hairDef} skinPrimary={skin} def={def}/>
    } else {
        shownBody = <SvgWomanPos1 style={styles.body}  mouth={mouth} eyecolor={eyeColor} hair={hairDef} skinPrimary={skin} def={def}/>
    }

    switch(hairStyle){
        case 1: 
        shownHair = <View style={styles.hair}><HairComponent hairColor={hairColor} def={hairDef} hairStyle={hairStyle} parent={props} pos={1} /></View>
        break; 
        case 2:  case 3: 
        shownHair = <View style={styles.hair2}><HairComponent hairStyle={hairStyle} hairColor={hairColor} def={hairDef}  parent={props} pos={1} /></View>
        break; 
        case 4: case 11:
        shownHair = <View style={styles.hair4}><HairComponent hairStyle={hairStyle} hairColor={hairColor} def={hairDef}  parent={props} pos={1} /></View>
        break; 
        case 5: case 6: case 7: case 8: case 9: case 10: 
        shownHair = <View style={styles.hair5}><HairComponent hairStyle={hairStyle} hairColor={hairColor} def={hairDef}  parent={props} pos={1} /></View>
        break;  
    }

    switch(topStyle){
        case 1: 
        shownTop = <SvgSweaterComplete style={styles.topStyle} primary={primaryTop} secondary={secondaryTop}/>
        break; 
        case 2: 
        shownTop = <SvgTSHirtComplete style={styles.tshirtStyle} primary={primaryTop} secondary={secondaryTop} />
        break; 
        case 3: 
        shownTop = <SvgTankTop primary={primaryTop} secondary={secondaryTop} style={styles.tankStyle}/>
        break; 
        case 4: 
        shownTop = <SvgHoodieComplete style={styles.hoodieStyle} primary={primaryTop} secondary={secondaryTop} qtr={qtrTop} tertiary={tertiaryTop}/>
        break; 
    }

    switch(bottomStyle){
        case 1: 
        shownPant = <SvgPantComplete style={styles.pantStyle} primary={primaryBottom} secondary={secondaryBottom} />
        break; 
        case 2: 
        shownPant = <SvgShortsComplete style={styles.shortsStyle} primary={primaryBottom} secondary={secondaryBottom} qtr={qtrBottom}/>
        break; 
        case 3: 
        shownPant = <SvgSkirtComplete style={styles.skirtStyle} primary={primaryBottom} secondary={secondaryBottom}/>
    }

    switch(shoeStyle){
        case 1: 
        shownShoes = <View style={{position: "absolute", height: '100%', width:'100%'}}><SvgBallerina style={styles.ballerinaLeftStyle} primary={shoesPrimary}/><SvgBallerina style={styles.ballerinaRightStyle} primary={shoesPrimary}/></View>
        break; 
        case 2: 
        shownShoes = <View style={{position: "absolute", height: '100%', width:'100%'}}><SvgSneaker style={styles.sneakerLeftStyle} qtr={shoeQtr} secondary={shoeSecondary} primary={shoesPrimary}/><SvgSneaker style={styles.sneakerRightStyle} qtr={shoeQtr} secondary={shoeSecondary} primary={shoesPrimary}/></View>
    }

    if(glasses){
        shownGlasses = <Glasses style={styles.glasses} />
      } else if (sunGlasses) {
        shownGlasses = <SunGlasses style={styles.glasses} />
      }

if(familyMember == 0){
    shownBody = null
    shownHair = null 
    shownTop = null
    shownPant = null
    shownShoes = null
    shownGlasses = null

}

    return (
        <View style={styles.container}>
            {shownBody}
            {shownPant}
            {shownTop}
            {shownShoes}
            {shownHair}
            {shownGlasses}
        </View>
    )
}
export default FamilyBodyComponent; 
