import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from "react-redux";

import { selectLeftArmProsthesis, selectLeftArmOrthosis } from "src/global/reducers/avatar/aidSlice"

import Prosthesis from "./ProsthesisHand"

import { 
  selectSkinPrimary,
  selectSkinDefinition
   } from "src/global/reducers/avatar/skinSlice"

import SvgHand from "./Pos1Hand";
import SvgHandPos2 from "./Pos2Hand";
import SvgHandWave from "./HandWave";
import SvgHandOrthosisPos1 from "./HandOrthosisPos1";

const styles = StyleSheet.create({
  container: {
    height: '60%',
    width: '60%',
    top: '10%',
    left: '20%'
  }, 
  prosthesis: {
    height: '94%',
    width: '94%',
    top: '12%',
    left: '4%'
  }, 

  orthosis: {
    height: '98%',
    width: '98%',
    top: '6%',
    left: '3.0%', 
    transform: [{rotateY: "180deg"}]
  }, 

  prosthesis2: {
    height: '94%',
    width: '94%',
    top: '13%',
    left: '4%',
    transform: [{rotateY: "180deg"}, {rotate: "12deg"}]
  },
})

const LeftHandComponent = (props) => {

const pos = props.pos
const isProsthesis = useSelector(selectLeftArmProsthesis);
const isOrthosis = useSelector(selectLeftArmOrthosis);

const skin = useSelector(selectSkinPrimary);
const def = useSelector(selectSkinDefinition);

let shownPos = null; 

if(pos == 1){
  if(isProsthesis){
    shownPos = <Prosthesis style={styles.prosthesis}/>
  } else if(isOrthosis){
    shownPos = <SvgHandOrthosisPos1 style={styles.orthosis} skin={skin} def={def}/>
  } else {
shownPos = <SvgHand skin={skin} def={def}/>
  }
} else if (pos == 2){
  if(isProsthesis){
    shownPos = <Prosthesis style={styles.prosthesis2}/>
  } else {
  shownPos = <SvgHandPos2 skin={skin} def={def}/>
}
} else if (pos == 4) {
  shownPos = <SvgHandWave skin={skin} def={def}/>
}
    return (
      <View style={styles.container}>
     {shownPos}
      </View>
    );
}

export default LeftHandComponent;
