import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from "react-redux";

import SvgHeadPos1 from "./headPositions/HeadPos1";
import SvgHeadPos2 from "./headPositions/HeadPos2"
import FaceComponent from "./facialExpressions/faceComponent";
import Hair from "../../hair/HairComponent"
import HeadWear from "../../accessories/headWear/HeadWearComponent"
import GlassesComponent from "../../accessories/glasses/GlassesComponent";

import { 
  selectSkinPrimary,
  selectSkinDefinition,
   } from "src/global/reducers/avatar/skinSlice"
import SvgHeadPos3 from "./headPositions/HeadPos3";

const styles = StyleSheet.create({
  container: {
    height: '60%',
    width: '60%',
    top: '10%',
    left: '20%',
  }, 
  child: {
    position: 'absolute', 
    left: '23%',
    bottom: '16%',
    width: '54%',
    height: '54%'
  }
})

const HeadComponent = (props) => {

const pos = props.pos
const isPreview = props.isPreview

const skin = isPreview? props.primary: useSelector(selectSkinPrimary);
const skinDef = isPreview? props.secondary: useSelector(selectSkinDefinition);

let shownHead = null

if(pos == 1){
  shownHead = <SvgHeadPos1 skin={skin} def={skinDef} />
} else if (pos == 2){
  shownHead = <SvgHeadPos2 skin={skin} def={skinDef} />
} else if (pos == 3){
  shownHead = <SvgHeadPos3 skin={skin} def={skinDef} />
}

    return (

      <View style={styles.container}>
        {shownHead}
        <FaceComponent parent={props} pos={props.pos} mood={props.mood}/>
        
        <Hair parent={props} pos={props.pos}/>
        <GlassesComponent pos={props.pos} music={props.music}/>
        <HeadWear music={props.music} pos={props.pos}/>
      </View>
    );
}

export default HeadComponent;
