import * as React from "react";
import Svg, {
  Defs,
  RadialGradient,
  Stop,
  ClipPath,
  Path,
  G,
  Circle,
} from "react-native-svg";

const SvgAngerPos1 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 119.55 70.94"
    {...props}
  >

     {/* Cheeks */}
    <Defs>
      <RadialGradient
        id="AngerPos1_svg__a"
        cx={572.78}
        cy={30.74}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -413.16 17.4)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks}  />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="AngerPos1_svg__b"
        cx={492.91}
        cy={30.74}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -421.51 17.4)"
        gradientUnits="userSpaceOnUse"
        fillOpacity={props.isCheeks}
      >
        <Stop offset={0.08} stopColor={props.cheeks}  />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
      <ClipPath id="AngerPos1_svg__c">
        <Path
          d="M43 25.86c-4.88-11.92-22.5-21.67-32.23-9.63C13.53 29.08 26.9 33 43 25.86Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="AngerPos1_svg__d">
        <Path
          d="M76.46 25.86C81.34 13.94 99 4.19 108.69 16.23 106 29.08 92.58 33 76.46 25.86Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Circle
        cx={99.71}
        cy={44.93}
        r={19.84}
        style={{
          fill: "url(#AngerPos1_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={44.93}
        r={19.84}
        style={{
          fill: "url(#AngerPos1_svg__b)",
          opacity: 0.4,
        }}
      />

      <Path
        d="M43 25.86c-4.88-11.92-22.5-21.67-32.23-9.63C13.53 29.08 26.9 33 43 25.86Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#AngerPos1_svg__c)",
        }}
      >

        {/* Right eyecolor*/}
        <Circle
        fill={props.eyecolor}
          cx={27.02}
          cy={18.31}
          r={8.47}
        />

      {/* Right pupil*/}
        <Circle
          cx={27.02}
          cy={18.31}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        
        {/* Right white eye detail */}
        <Circle
          cx={23.38}
          cy={16.18}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>

       {/* Right upper eyeline */}
      <Path
        d="M43 25.86a39 39 0 0 0-6.49-7.29 28.69 28.69 0 0 0-8-5.15 16.46 16.46 0 0 0-9.09-1.14 21.78 21.78 0 0 0-8.64 4 14.83 14.83 0 0 1 8.27-5.72 14.17 14.17 0 0 1 5.23-.29 19.25 19.25 0 0 1 5 1.43 26.48 26.48 0 0 1 8.21 5.94A28.44 28.44 0 0 1 43 25.86Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      
      {/* Right eyebrow */}
      <Path
        fill={props.eyebrow}
        d="M46.79 14.45a4.59 4.59 0 0 1-2.32.51 10.65 10.65 0 0 1-2.39-.31 16.92 16.92 0 0 1-4.41-1.81 29.23 29.23 0 0 1-3.87-2.63c-1.14-.87-2.28-1.7-3.4-2.49a22.8 22.8 0 0 0-7.06-3.45 21.18 21.18 0 0 0-4-.56c-1.43-.11-2.89 0-4.47.06a13.4 13.4 0 0 1 9-3.15A16.58 16.58 0 0 1 33 4.08a27.71 27.71 0 0 1 3.5 3.12c1 1 2 2.05 3 3a28.81 28.81 0 0 0 3.29 2.64 8.5 8.5 0 0 0 4 1.61Z"
      />

      {/* Skin definitions */}
      <Path
        fill= {props.skinDef}
        d="M54.38 70.94A9.3 9.3 0 0 1 57 69.88a12.33 12.33 0 0 1 2.78-.38 10.6 10.6 0 0 1 2.8.31 7.65 7.65 0 0 1 2.56 1.13c-.93-.13-1.8-.3-2.69-.36a26.15 26.15 0 0 0-2.65-.08 53.1 53.1 0 0 0-5.42.44ZM42 26.42a36 36 0 0 1-9.09 2.9 26 26 0 0 1-9.63.12 17.59 17.59 0 0 1-4.61-1.58 13.47 13.47 0 0 1-3.86-3 17.12 17.12 0 0 1-4-8.63 24.33 24.33 0 0 0 1.83 4.36 18.26 18.26 0 0 0 1.22 2 15 15 0 0 0 1.53 1.75 15.23 15.23 0 0 0 8.1 4.13 29.12 29.12 0 0 0 9.32.11 43.07 43.07 0 0 0 4.64-.87A46.33 46.33 0 0 0 42 26.42Z"
      />
      
       {/* Skin definitions */}
      <Path
      fill= {props.skinDef}
        d="M71 41.44a3.21 3.21 0 0 1-.27 1.86 4 4 0 0 1-1.32 1.5 23.58 23.58 0 0 1-3.11 1.5l-.17.13-.22.21c-.18.17-.39.39-.64.61a6.36 6.36 0 0 1-1.71 1.13 10.5 10.5 0 0 1-7.72 0 6.3 6.3 0 0 1-1.74-1.11c-.49-.43-.92-.93-1.06-1a10.79 10.79 0 0 0-1.39-.63 7.88 7.88 0 0 1-1.65-.87 4.06 4.06 0 0 1-1.31-1.48 3.29 3.29 0 0 1-.32-1.85 4.94 4.94 0 0 0 2.46 1.83 11.76 11.76 0 0 0 1.48.41 11.68 11.68 0 0 1 1.81.49 13.18 13.18 0 0 1 1.61 1.09 5.73 5.73 0 0 0 1.17.62 8.27 8.27 0 0 0 2.8.42 8.15 8.15 0 0 0 2.78-.44 5.94 5.94 0 0 0 1.18-.64c.2-.13.41-.3.66-.49l.45-.31a2.9 2.9 0 0 1 .57-.27 13.35 13.35 0 0 1 1.79-.45 14.24 14.24 0 0 0 1.47-.4 4.61 4.61 0 0 0 2.4-1.86ZM45.07 18.23a14.3 14.3 0 0 0 2.35-1.17 19.48 19.48 0 0 0 2.1-1.6 3.46 3.46 0 0 1-.66 1.24 4.22 4.22 0 0 1-1.07.95 3.87 3.87 0 0 1-2.72.58Z"
      />

       {/* Left white part of eye */}
      <Path
        d="M76.46 25.86C81.34 13.94 99 4.19 108.69 16.23 106 29.08 92.58 33 76.46 25.86Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#AngerPos1_svg__d)",
        }}
      >
        
        {/* Left eyecolor */}
        <Circle
        fill={props.eyecolor}
          cx={92.46}
          cy={18.31}
          r={8.47}
        />

         {/* Left pupil */}
        <Circle
          cx={92.46}
          cy={18.31}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

        {/* Left eye white detail*/}
        <Circle
          cx={89.1}
          cy={16.18}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      
       {/* Left eye lashline*/}
      <Path
        d="M76.46 25.86A28.44 28.44 0 0 1 82 17.59a26.48 26.48 0 0 1 8.21-5.94 19.21 19.21 0 0 1 5-1.43 14.12 14.12 0 0 1 5.22.29 14.83 14.83 0 0 1 8.27 5.72 21.78 21.78 0 0 0-8.64-4A16.46 16.46 0 0 0 91 13.42a28.69 28.69 0 0 0-8 5.15 39 39 0 0 0-6.54 7.29Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      
       {/* Left eyebrow*/}
      <Path
      fill= {props.eyebrow}
        d="M72.69 15.85a13.28 13.28 0 0 0 3.83-2.28c1.14-.91 2.23-1.89 3.29-2.9s2.08-2.05 3.11-3.11a34 34 0 0 1 3.44-3.21A18.21 18.21 0 0 1 95.3.12a11.93 11.93 0 0 1 9.32 2.65 20.26 20.26 0 0 0-8.49.94 27.76 27.76 0 0 0-7 4.15l-3.48 2.7a36.58 36.58 0 0 1-3.87 2.7 21.45 21.45 0 0 1-4.33 2 13.15 13.15 0 0 1-2.34.59 6.06 6.06 0 0 1-2.42 0Z"
      />
      
      {/* Left lower lashline*/}
      <Path
        d="M77.48 26.42a46.33 46.33 0 0 0 4.57 1.28 43.07 43.07 0 0 0 4.64.87 29.12 29.12 0 0 0 9.31-.11 15.23 15.23 0 0 0 8.1-4.13 15 15 0 0 0 1.53-1.75 18.26 18.26 0 0 0 1.22-2 24.33 24.33 0 0 0 1.83-4.36 17.12 17.12 0 0 1-4 8.63 13.56 13.56 0 0 1-3.85 3 17.79 17.79 0 0 1-4.62 1.58 26 26 0 0 1-9.63-.12 36 36 0 0 1-9.1-2.89Z"
        style={{
          fill: "#da9f86",
        }}
      />
      
      {/* Mouth */}
      <Path
        d="M60 55.16c-6.1.22-15.21-7.59-18 4.55s10 5.67 18 5.77c8-.1 20.78 6.29 18-5.77s-11.9-4.33-18-4.55Z"
        stroke= {props.mouth}
        style={{
          strokeLinecap: "round",
          strokeMiterlimit: 10,
          strokeWidth: "1.5px",
          fill: "#fff",
        }}
      />
      <Path
        d="M76.46 59.76a54.94 54.94 0 0 1-8.4.37c-1.4-.07-2.8-.22-4.2-.26s-2.8 0-4.2.12c-2.8.19-5.6.25-8.4.26s-5.61-.17-8.41-.49v-.1c2.8-.31 5.61-.43 8.41-.48s5.6.07 8.4.26c1.4.09 2.8.15 4.2.11s2.8-.18 4.2-.25a56.23 56.23 0 0 1 8.4.36Z"
        style={{
          fill: "#b2b2b2",
        }}
      />

       {/* Left eyelashes */}
      <Path
      opacity= {props.eyelashes}
        d="m106.85 14.54 1.4-1.37a18.52 18.52 0 0 0 1.25-1.41 13.19 13.19 0 0 0 1.9-3.33 13.55 13.55 0 0 1-1 3.83 15.31 15.31 0 0 1-.91 1.81l-1 1.69ZM104.44 12.35c.46-.45.8-.71 1.15-1.09a10 10 0 0 0 1-1.17A12.82 12.82 0 0 0 108 7.27a13 13 0 0 1-.51 3.24 10.67 10.67 0 0 1-.62 1.59c-.23.51-.58 1.05-.79 1.44ZM101.29 10.93c.35-.31.63-.54.92-.83a7.42 7.42 0 0 0 .78-.89A7.48 7.48 0 0 0 104.13 7a8 8 0 0 1-.23 2.61 8.65 8.65 0 0 1-.44 1.3c-.17.42-.4.84-.56 1.2Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Left freckles */}
      <G
        opacity= {props.freckles}
        >
      <Circle
        fill= {props.freckleColor}
        cx={26.7}
        cy={38.54}
        r={0.91}
      />
      <Circle
      fill= {props.freckleColor}
        cx={37.01}
        cy={40.53}
        r={0.91}
      />
      <Circle
        cx={43.69}
        cy={35.08}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={50.27}
        cy={32.31}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={55.92}
        cy={35.08}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={63.01}
        cy={35.08}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={59.94}
        cy={31.53}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={68.91}
        cy={32.31}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={54.36}
        cy={27.93}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={49.36}
        cy={37.07}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={81.26}
        cy={40.53}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={91.57}
        cy={38.54}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={74.58}
        cy={35.08}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={64.82}
        cy={28.15}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={68.91}
        cy={37.07}
        r={0.78}
        fill= {props.freckleColor}
      />
</G>
       {/* Right eyelashes */} 
      <Path
      opacity= {props.eyelashes}
        d="m11.61 15.39-1-1.68a16.12 16.12 0 0 1-.91-1.81 13.53 13.53 0 0 1-1-3.84 13.15 13.15 0 0 0 1.9 3.33 16.92 16.92 0 0 0 1.25 1.42l1.4 1.37ZM14 13.18c-.2-.39-.55-.93-.79-1.44a10.67 10.67 0 0 1-.62-1.59 13.07 13.07 0 0 1-.5-3.24 12.12 12.12 0 0 0 1.41 2.81 10 10 0 0 0 1 1.18c.35.38.7.64 1.15 1.08ZM17.16 11.76c-.17-.35-.4-.78-.57-1.19a9 9 0 0 1-.44-1.3 8 8 0 0 1-.22-2.61 7.52 7.52 0 0 0 1.91 3.08c.29.28.58.52.92.83Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgAngerPos1;