import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";
import { ImagePropTypes } from "react-native";

const SvgDisgustPos1 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 115.75 78.61"
    {...props}
  >
    <Defs>
      <ClipPath id="DisgustPos1_svg__b">
        <Path
          d="M41.77 34.73c-2.69-12.58-19.15-24.55-32.23-6.49C13 38.41 26.57 42.37 41.77 34.73Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="DisgustPos1_svg__c">
        <Path
          d="M75.05 34.73c2.69-12.58 19.15-24.55 32.23-6.49-3.45 10.17-17.03 14.13-32.23 6.49Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="DisgustPos1_svg__d">
        <Path
          d="M61 65.86c10.06 0 13.6 5.87 12.39 8.7-1.41 3.26-5.31-.5-15.19-.5-7.13 0-14.77 4.44-16.35 1.26-1.08-2.18 7.62-9.46 19.15-9.46Z"
          style={{
            stroke: "#b46a57",
            strokeMiterlimit: 10,
            strokeWidth: "1.35px",
            fill: "#da9f86",
          }}
        />
      </ClipPath>

      {/* Cheeks */}
      <RadialGradient
        id="DisgustPos1_svg__a"
        cx={721.68}
        cy={39.14}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -550.28 18.32)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeksDef} />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="DisgustPos1_svg__e"
        cx={646.06}
        cy={39.14}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -558.64 18.32)"
        gradientUnits="userSpaceOnUse"
        >
       <Stop offset={0.08} stopColor={props.cheeksDef} />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
    </Defs>
    <G data-name="Layer 2">


      {/* Left eyebrow*/}
      <Path
        d="M76.21 12.21a20.6 20.6 0 0 1 5.52-7 22.88 22.88 0 0 1 8-4.38 18.3 18.3 0 0 1 9.36-.39A15.39 15.39 0 0 1 107 4.88 40.72 40.72 0 0 0 98.68 4a27.61 27.61 0 0 0-7.63 1.17 45 45 0 0 0-7.36 3c-2.45 1.18-4.86 2.58-7.48 4.04Z"
       fill= {props.eyebrow}
      />

      {/* Right white part of eye */}
      <Path
        d="M41.77 34.73c-2.69-12.58-19.15-24.55-32.23-6.49C13 38.41 26.57 42.37 41.77 34.73Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#DisgustPos1_svg__b)",
        }}
      >

        {/* Right eyecolor*/}
        <Circle
          cx={29.77}
          cy={27.18}
          r={8.47}
          fill= {props.eyecolor}
        />

        {/* Right pupil*/}
        <Circle
          cx={29.77}
          cy={27.18}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

        {/* Right eye white detail*/}
        <Circle
          cx={26.13}
          cy={25.05}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Right upper lashline */}
      <Path
        d="M41.77 34.73a23.1 23.1 0 0 0-5.49-9 18.76 18.76 0 0 0-8.75-5.28 13.91 13.91 0 0 0-9.82 1.18 22.83 22.83 0 0 0-4.31 2.91c-1.35 1.14-2.59 2.44-3.86 3.75A19.25 19.25 0 0 1 16.85 20a14.31 14.31 0 0 1 5.42-1.89 15.26 15.26 0 0 1 5.75.44 18.84 18.84 0 0 1 9.27 6.23 19.82 19.82 0 0 1 4.48 9.95Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Skin definitions */}
      <Path
        d="M12.08 20a13.72 13.72 0 0 1 4.43-3.64 14.85 14.85 0 0 1 5.57-1.73 14.19 14.19 0 0 1 5.8.55 15 15 0 0 1 2.69 1.08A21.45 21.45 0 0 1 33 17.79c-.93-.26-1.78-.64-2.68-.88a25.32 25.32 0 0 0-2.68-.62 18.27 18.27 0 0 0-5.37-.2A19.71 19.71 0 0 0 17 17.38 27.62 27.62 0 0 0 12.08 20ZM101.58 17.45a26.2 26.2 0 0 0-5.33-1.59 19.52 19.52 0 0 0-5.39-.25 17.73 17.73 0 0 0-5.23 1.24A23.21 23.21 0 0 0 83.12 18c-.83.42-1.59 1-2.46 1.38a21.55 21.55 0 0 1 2.06-2 15 15 0 0 1 2.42-1.58 14.37 14.37 0 0 1 5.59-1.66 15.11 15.11 0 0 1 5.8.61 13.83 13.83 0 0 1 5.05 2.7ZM40.75 35.28a35.41 35.41 0 0 1-8.48 2.9 28.13 28.13 0 0 1-9 .53 20.11 20.11 0 0 1-4.45-1 15.94 15.94 0 0 1-4-2.19 15.36 15.36 0 0 1-3.17-3.27 17.76 17.76 0 0 1-2.08-4 18.12 18.12 0 0 0 5.7 6.62 17.81 17.81 0 0 0 8.12 2.86 32.67 32.67 0 0 0 8.77-.29 42.84 42.84 0 0 0 4.34-.9c1.42-.35 2.84-.78 4.25-1.26Z"
        fill={props.skinDef}
      />

      {/* Left eye white part*/}
      <Path
        d="M75.05 34.73c2.69-12.58 19.15-24.55 32.23-6.49-3.45 10.17-17.03 14.13-32.23 6.49Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#DisgustPos1_svg__c)",
        }}
      >
        {/* Left eyecolor*/}
        <Circle
          cx={96.05}
          cy={27.18}
          r={8.47}
         fill={props.eyecolor}
        />

        {/* Left pupil*/}
        <Circle
          cx={96.05}
          cy={27.18}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

        {/* Left eye white detail*/}
        <Circle
          cx={92.69}
          cy={25.05}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Left upper lashline */}
      <Path
        d="M75.05 34.73a19.9 19.9 0 0 1 4.48-10 18.82 18.82 0 0 1 9.28-6.23 15.19 15.19 0 0 1 5.74-.44A14.42 14.42 0 0 1 100 20a19.23 19.23 0 0 1 7.3 8.25c-1.27-1.31-2.51-2.61-3.86-3.75a22.83 22.83 0 0 0-4.31-2.91 13.89 13.89 0 0 0-9.83-1.19 18.79 18.79 0 0 0-8.76 5.28 23.1 23.1 0 0 0-5.49 9.05Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Left upper lashline */}
      <Path
        d="M76.07 35.28c1.41.48 2.83.91 4.28 1.25a42.84 42.84 0 0 0 4.34.9 32.67 32.67 0 0 0 8.77.29 17.89 17.89 0 0 0 8.13-2.86 18.19 18.19 0 0 0 5.69-6.62 17.76 17.76 0 0 1-2.08 4 15.12 15.12 0 0 1-3.2 3.25 15.94 15.94 0 0 1-4 2.19 20.11 20.11 0 0 1-4.45 1 28.15 28.15 0 0 1-9-.53 35.41 35.41 0 0 1-8.48-2.87Z"
        style={{
          fill: "#da9f86",
        }}
      />

      {/* Nose */}
      <Path
      fill= {props.skinDef}
        d="M69.71 52.3a3.24 3.24 0 0 1-.27 1.87 4.06 4.06 0 0 1-1.32 1.5 24.93 24.93 0 0 1-3.12 1.5.92.92 0 0 0-.17.13l-.22.21c-.18.17-.39.39-.64.6a6.52 6.52 0 0 1-1.71 1.13 9.43 9.43 0 0 1-3.86.76 9.65 9.65 0 0 1-3.85-.72 6.54 6.54 0 0 1-1.74-1.11c-.49-.43-.92-.93-1.06-1a9.45 9.45 0 0 0-1.39-.64 7.83 7.83 0 0 1-1.66-.88 4.09 4.09 0 0 1-1.31-1.49 3.28 3.28 0 0 1-.32-1.85 4.89 4.89 0 0 0 2.46 1.83 13.7 13.7 0 0 0 1.48.42 10.65 10.65 0 0 1 1.81.49 12.29 12.29 0 0 1 1.61 1.08 5.27 5.27 0 0 0 1.17.62 8.27 8.27 0 0 0 2.8.42 7.69 7.69 0 0 0 2.78-.44 5.94 5.94 0 0 0 1.18-.64c.2-.13.41-.29.66-.48s.28-.2.45-.31A3 3 0 0 1 64 55a13.15 13.15 0 0 1 1.79-.44c.52-.13 1-.25 1.47-.41a4.61 4.61 0 0 0 2.45-1.85Z"
        style={{
          fill: "#b9896f",
        }}
      />

      {/* Inner mouth */}
      <Path
        d="M61 65.86c10.06 0 13.6 5.87 12.39 8.7-1.41 3.26-5.31-.5-15.19-.5-7.13 0-14.77 4.44-16.35 1.26-1.08-2.18 7.62-9.46 19.15-9.46Z"
        style={{
          fill: "#da9f86",
        }}
      />
      <G
        style={{
          clipPath: "url(#DisgustPos1_svg__d)",
        }}
      >

        {/* Teeth */}
        <Path
          d="M45.07 69.05s14.79.88 31.44 0c0 0-10.73-13.12-31.44 0Z"
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Mouth */}
      <Path
      stroke= {props.mouth}
        d="M61 65.86c10.06 0 13.6 5.87 12.39 8.7-1.41 3.26-5.31-.5-15.19-.5-7.13 0-14.77 4.44-16.35 1.26-1.08-2.18 7.62-9.46 19.15-9.46Z"
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          strokeWidth: "1.35px",
        }}
      />

      {/* Skin definition */}
      <Path
        d="M52.3 78.61a13.87 13.87 0 0 1 3.14-1 19.17 19.17 0 0 1 3.29-.38 13.12 13.12 0 0 1 6.44 1.39c-1.1-.16-2.15-.32-3.22-.39s-2.13-.12-3.2-.08c-2.14.03-4.26.24-6.45.46Z"
        fill={props.skinDef}
      />

      {/* Right eyebrow */}
      <Path
        d="M44.13 18.44a5.23 5.23 0 0 1-2.29.36 12.06 12.06 0 0 1-2.32-.28 20.49 20.49 0 0 1-4.37-1.42 37.52 37.52 0 0 1-4-2.06c-1.25-.72-2.46-1.43-3.65-2.08a25.62 25.62 0 0 0-7.3-2.8 48.25 48.25 0 0 0-8.47-.69 15.34 15.34 0 0 1 4.09-2.14 14.91 14.91 0 0 1 4.68-.84 17 17 0 0 1 9.2 2.59 30.21 30.21 0 0 1 3.73 2.62c1.12.88 2.23 1.75 3.37 2.59s2.2 1.65 3.43 2.41a12.07 12.07 0 0 0 3.9 1.74Z"
        fill={props.eyebrow}
      />

      {/* Skin definition */}
      <Path
        d="M42.32 20.81a18.59 18.59 0 0 0 3.19-.76 9.19 9.19 0 0 0 1.49-.64 14.57 14.57 0 0 0 1.41-.87 4.08 4.08 0 0 1-1.12 1.33 4.91 4.91 0 0 1-1.54.84 5.48 5.48 0 0 1-3.43.1Z"
        fill={props.skinDef}
      />

    {/* Freckles */}
      <G
      opacity= {props.freckles}
      >
      <Circle
        cx={25.71}
        cy={48.45}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={36.02}
        cy={50.43}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={42.7}
        cy={44.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={49.27}
        cy={42.21}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={54.92}
        cy={44.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={62.01}
        cy={44.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.95}
        cy={41.44}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={67.92}
        cy={42.21}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={53.37}
        cy={37.83}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={48.37}
        cy={46.97}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={80.27}
        cy={50.43}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={90.58}
        cy={48.45}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={73.59}
        cy={44.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={63.82}
        cy={38.06}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={67.92}
        cy={46.97}
        r={0.78}
        fill= {props.freckleColor}
      />
    </G>

      {/* Eyelashes */}
      <Path
      opacity = {props.eyelashes}
        d="m105.1 25.63 1.73-.91a16.57 16.57 0 0 0 1.6-1 13.11 13.11 0 0 0 2.77-2.65 13.38 13.38 0 0 1-2.09 3.38 16.22 16.22 0 0 1-1.39 1.48l-1.45 1.33ZM103.41 22.84c.56-.3 1-.45 1.41-.71a10.29 10.29 0 0 0 1.25-.86 12.11 12.11 0 0 0 2.15-2.3 12.56 12.56 0 0 1-1.4 3 11.13 11.13 0 0 1-1 1.35c-.37.42-.86.84-1.16 1.15ZM100.8 20.59c.41-.2.76-.34 1.11-.53a8.07 8.07 0 0 0 1-.64 7.43 7.43 0 0 0 1.72-1.77 8.3 8.3 0 0 1-1 2.44 7.73 7.73 0 0 1-.79 1.11c-.28.36-.62.7-.88 1ZM10.17 27.53l-1.45-1.32c-.48-.47-1-1-1.39-1.48a13.63 13.63 0 0 1-2.08-3.38A13.11 13.11 0 0 0 8 24a14.75 14.75 0 0 0 1.6 1l1.73.91ZM11.84 24.73c-.3-.32-.79-.74-1.16-1.16a10.41 10.41 0 0 1-1-1.35 13.13 13.13 0 0 1-1.41-3 12.47 12.47 0 0 0 2.16 2.3 9.49 9.49 0 0 0 1.25.85c.44.26.85.42 1.41.71ZM14.46 22.48c-.26-.3-.6-.64-.89-1a9.45 9.45 0 0 1-.79-1.12 8.27 8.27 0 0 1-1-2.44 7.84 7.84 0 0 0 1.71 1.78 7.08 7.08 0 0 0 1 .63c.35.19.7.33 1.11.53Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Some cheeks thing */}
      <Circle
        cx={95.91}
        cy={53.37}
        r={19.84}
        style={{
          fill: "url(#DisgustPos1_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={53.37}
        r={19.84}
        style={{
          fill: "url(#DisgustPos1_svg__e)",
          opacity: 0.4,
        }}
      />
    </G>
  </Svg>
);

export default SvgDisgustPos1;
