import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgExcitedPos1 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 119.55 91.85"
    {...props}
  >
    <Defs>
      <ClipPath id="ExcitedPos1_svg__c">
        <Path
          d="M43 41c0-14.81-23-29.6-32.23-6.49C14.28 49.41 33.94 49.37 43 41Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="ExcitedPos1_svg__d">
        <Path
          d="M76.33 41c0-14.81 23-29.6 32.23-6.49-3.49 14.9-23.15 14.86-32.23 6.49Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="ExcitedPos1_svg__e">
        <Path
          d="M59.15 73.58a100.17 100.17 0 0 1-23.75-3.36s3.44 19.32 23.75 19.32 23.76-19.32 23.76-19.32a100.2 100.2 0 0 1-23.76 3.36Z"
          style={{
            stroke: "#b46a57",
            strokeMiterlimit: 10,
            strokeWidth: "1.5px",
            fill: "#b46a57",
          }}
        />
      </ClipPath>


      {/* Cheeks */}
      <RadialGradient
        id="ExcitedPos1_svg__a"
        cx={648.03}
        cy={45.62}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -480.53 19.19)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="ExcitedPos1_svg__b"
        cx={568.16}
        cy={45.62}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -488.89 19.19)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
    </Defs>
    <G data-name="Layer 2">
      <Circle
        cx={99.71}
        cy={60.04}
        r={19.84}
        style={{
          fill: "url(#ExcitedPos1_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={60.04}
        r={19.84}
        style={{
          fill: "url(#ExcitedPos1_svg__b)",
          opacity: 0.4,
        }}
      />

      {/* Right eyebrow*/}
      <Path
        d="M39.88 5.75a73.09 73.09 0 0 0-8-.78 34.83 34.83 0 0 0-7.41.47 30.25 30.25 0 0 0-7.06 2.06c-1.21.4-2.31 1.07-3.53 1.61S11.55 10.42 10.2 11c.31-.63.67-1.24 1-1.85a10.47 10.47 0 0 1 1.25-1.75 17.42 17.42 0 0 1 3.16-3A18.12 18.12 0 0 1 23.74 1a19.5 19.5 0 0 1 8.74.48 16.84 16.84 0 0 1 7.4 4.27Z"
        fill={props.eyebrow}
      />
      
      {/* Nose */}
      <Path
        d="M71 58.55a3.24 3.24 0 0 1-.27 1.87 4.06 4.06 0 0 1-1.32 1.5 24.93 24.93 0 0 1-3.11 1.5.92.92 0 0 0-.17.13l-.22.21c-.18.17-.39.39-.64.6a6.52 6.52 0 0 1-1.71 1.13 9.43 9.43 0 0 1-3.87.76 9.65 9.65 0 0 1-3.85-.72 6.54 6.54 0 0 1-1.74-1.11c-.49-.43-.92-.93-1.06-1a9.45 9.45 0 0 0-1.39-.64 7.83 7.83 0 0 1-1.65-.89 4.09 4.09 0 0 1-1.31-1.49 3.26 3.26 0 0 1-.32-1.85 4.89 4.89 0 0 0 2.46 1.83 11.74 11.74 0 0 0 1.48.42 10.65 10.65 0 0 1 1.81.49 12.29 12.29 0 0 1 1.61 1.08 5.27 5.27 0 0 0 1.17.62 8.27 8.27 0 0 0 2.8.42 7.69 7.69 0 0 0 2.73-.41 5.46 5.46 0 0 0 1.18-.64c.2-.13.41-.29.66-.48l.45-.31a3 3 0 0 1 .57-.28 13.15 13.15 0 0 1 1.79-.44 14.21 14.21 0 0 0 1.47-.41A4.61 4.61 0 0 0 71 58.55Z"
        fill={props.skinDef}
      />
      
      {/* Right white part of eye */}
      <Path
        d="M43 41c0-14.81-23-29.6-32.23-6.49C14.28 49.41 33.94 49.37 43 41Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#ExcitedPos1_svg__c)",
        }}
      >

        {/* Right eyecolor*/}
        <Circle
          cx={27.02}
          cy={34.43}
          r={8.47}
          fill={props.eyecolor}
        />

        {/* Right pupil*/}
        <Circle
          cx={27.02}
          cy={34.43}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

        {/* Red eye white detail*/}
        <Circle
          cx={23.38}
          cy={32.3}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Right upper lashline */}
      <Path
        d="M43 41a25.29 25.29 0 0 0-4.46-11 16.79 16.79 0 0 0-9.34-6.43 13.61 13.61 0 0 0-10.84 2c-3.24 2.11-5.6 5.41-7.59 9A18.4 18.4 0 0 1 17.33 24a14.25 14.25 0 0 1 5.9-2.62 14.53 14.53 0 0 1 6.46.25 17.36 17.36 0 0 1 10 7.52A22.22 22.22 0 0 1 43 41Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Skin definitions */}
      <Path
        d="M16.17 20.65a12.57 12.57 0 0 1 4.74-3.12 15 15 0 0 1 5.68-1 15.71 15.71 0 0 1 5.64 1.13 17.48 17.48 0 0 1 2.57 1.26 23.38 23.38 0 0 1 2.28 1.67c-.9-.31-1.74-.7-2.6-1l-1.31-.43-.64-.22-.66-.16-1.31-.32-1.33-.21a8.46 8.46 0 0 0-1.33-.15 9.87 9.87 0 0 0-1.33-.1h-1.34c-.44 0-.88.1-1.32.13a24.06 24.06 0 0 0-2.64.5 22.26 22.26 0 0 0-5.1 2.02ZM42.45 41.5a14.25 14.25 0 0 1-4 2.78A28.13 28.13 0 0 1 34 46a24.79 24.79 0 0 1-9.7.89 15.54 15.54 0 0 1-8.91-4 15.18 15.18 0 0 1-3-3.9 19.91 19.91 0 0 1-1.59-4.58 23.79 23.79 0 0 0 2 4.34 15 15 0 0 0 3 3.57 15.81 15.81 0 0 0 8.52 3.52 27.3 27.3 0 0 0 9.39-.63 28.89 28.89 0 0 0 4.54-1.45 16.05 16.05 0 0 0 4.2-2.26Z"
        fill={props.skinDef}
      />

      {/* Left eyebrow */}
      <Path
        d="M79.87 3.83a17.4 17.4 0 0 1 7.49-3.4 20.59 20.59 0 0 1 8.42 0c.69.19 1.4.31 2.08.56s1.34.53 2 .81 1.26.7 1.87 1.08c.3.19.62.36.91.57l.82.7a15 15 0 0 1 4.69 6.85 55.79 55.79 0 0 0-6.64-3.87l-.8-.4c-.27-.12-.56-.22-.83-.33-.57-.19-1.09-.46-1.65-.63l-1.69-.51c-.56-.17-1.15-.26-1.71-.42a44.89 44.89 0 0 0-7.17-.9c-2.49-.12-5.03-.12-7.79-.11Z"
        fill={props.eyebrow}
      />
      
      {/* Left white part of eye */}
      <Path
        d="M76.33 41c0-14.81 23-29.6 32.23-6.49-3.49 14.9-23.15 14.86-32.23 6.49Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#ExcitedPos1_svg__d)",
        }}
      >

        {/* Left eyecolor*/}
        <Circle
          cx={92.33}
          cy={34.43}
          r={8.47}
          fill={props.eyecolor}
        />

        {/* Left pupil*/}
        <Circle
          cx={92.33}
          cy={34.43}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

        {/* Left eye white detail*/}
        <Circle
          cx={88.97}
          cy={32.3}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Left upper lashline */}
      <Path
        d="M76.33 41a22.22 22.22 0 0 1 3.34-11.79 17.36 17.36 0 0 1 10-7.52 14.53 14.53 0 0 1 6.46-.25A14.25 14.25 0 0 1 102 24a18.34 18.34 0 0 1 6.54 10.45c-2-3.56-4.35-6.86-7.59-9a13.6 13.6 0 0 0-10.83-2A16.78 16.78 0 0 0 80.79 30a25.41 25.41 0 0 0-4.46 11Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Skin definitions */}
      <Path
        d="M103.18 20.65a22.26 22.26 0 0 0-5.1-2 23.88 23.88 0 0 0-2.63-.5c-.45 0-.89-.09-1.33-.13h-1.34a9.94 9.94 0 0 0-1.33.06 8.6 8.6 0 0 0-1.33.15l-1.32.21-1.31.32-.67.16-.64.22-1.31.43c-.86.31-1.7.7-2.6 1a22.36 22.36 0 0 1 2.29-1.67 16.89 16.89 0 0 1 2.56-1.26 15.76 15.76 0 0 1 5.65-1.13 15 15 0 0 1 5.67 1 12.57 12.57 0 0 1 4.74 3.14ZM76.9 41.5a16 16 0 0 0 4.16 2.34 28.45 28.45 0 0 0 4.53 1.45 27.32 27.32 0 0 0 9.39.63 15.81 15.81 0 0 0 8.52-3.52 15 15 0 0 0 3-3.57 23.79 23.79 0 0 0 2-4.34 19.91 19.91 0 0 1-1.5 4.58 15.18 15.18 0 0 1-3 3.9 15.54 15.54 0 0 1-8.91 4A24.79 24.79 0 0 1 85.4 46a28.49 28.49 0 0 1-4.55-1.75 14.4 14.4 0 0 1-3.95-2.75Z"
        fill={props.skinDef}
      />

      {/* Inner mouth */}
      <Path
        d="M59.15 73.58a100.17 100.17 0 0 1-23.75-3.36s3.44 19.32 23.75 19.32 23.76-19.32 23.76-19.32a100.2 100.2 0 0 1-23.76 3.36Z"
        fill={props.mouth}
      />
      <G
        style={{
          clipPath: "url(#ExcitedPos1_svg__e)",
        }}
      >

        {/* Tongue */}
        <Path
          d="M40.78 81.35s7.15-.47 18.64-.47c10 0 19 .47 19 .47s-19.13 23.65-37.64 0Z"
          style={{
            fill: "#da9f86",
          }}
        />

        {/* Teeth */}
        <Path
          d="M36.58 72.6S57 81 82.27 72.6c0 0 7.1-6.95-1-7.42C42.45 62.94 28.81 63 36.58 72.6Z"
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Mouth */}
      <Path
      stroke={props.mouth}
        d="M59.15 73.58a100.17 100.17 0 0 1-23.75-3.36s3.44 19.32 23.75 19.32 23.76-19.32 23.76-19.32a100.2 100.2 0 0 1-23.76 3.36Z"
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          strokeWidth: "1.5px",
        }}
      />
      
      {/* Eyelashes */}
      <Path
       opacity = {props.eyelashes}
        d="m106.75 30.38 1.77-.82a17.7 17.7 0 0 0 1.64-.93 13.08 13.08 0 0 0 2.9-2.52 13.39 13.39 0 0 1-2.25 3.28 16.2 16.2 0 0 1-1.46 1.41l-1.51 1.26ZM105.19 27.52c.58-.27 1-.41 1.45-.65a9 9 0 0 0 1.28-.79 12.36 12.36 0 0 0 2.26-2.2 12.86 12.86 0 0 1-1.54 2.9 11.24 11.24 0 0 1-1.11 1.3c-.39.4-.9.79-1.22 1.1ZM102.69 25.14c.42-.18.77-.3 1.13-.48a6.25 6.25 0 0 0 1-.58 7.52 7.52 0 0 0 1.79-1.69 8.1 8.1 0 0 1-1.07 2.39 8.77 8.77 0 0 1-.85 1.08c-.3.33-.65.66-.92.94ZM12 32.39l-1.51-1.26A16.2 16.2 0 0 1 9 29.72a13.39 13.39 0 0 1-2.25-3.28A13.08 13.08 0 0 0 9.64 29a17.7 17.7 0 0 0 1.64.93l1.77.82ZM13.49 29.51c-.32-.31-.83-.7-1.22-1.1a11.24 11.24 0 0 1-1.11-1.3 13 13 0 0 1-1.54-2.89 12.3 12.3 0 0 0 2.26 2.19 9 9 0 0 0 1.28.79c.46.24.87.38 1.45.65ZM16 27.13c-.27-.28-.62-.6-.92-.94a8.77 8.77 0 0 1-.85-1.08 8.1 8.1 0 0 1-1.07-2.39 7.52 7.52 0 0 0 1.79 1.69A7.13 7.13 0 0 0 16 25c.36.17.71.29 1.13.47Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      <G
       opacity= {props.freckles}>
      <Circle
        cx={25.69}
        cy={56.45}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={36}
        cy={58.43}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={42.68}
        cy={52.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={49.26}
        cy={50.21}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={54.91}
        cy={52.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={61.99}
        cy={52.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.93}
        cy={49.44}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={67.9}
        cy={50.21}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={53.35}
        cy={45.83}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={48.35}
        cy={54.97}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={80.25}
        cy={58.43}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={90.56}
        cy={56.45}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={73.57}
        cy={52.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={63.81}
        cy={46.06}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={67.9}
        cy={54.97}
        r={0.78}
        fill= {props.freckleColor}
      />
      </G>
    </G>
  </Svg>
);

export default SvgExcitedPos1;
