import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgFearPos1 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 121.68 94.32"
    {...props}
  >
    <Defs>
      <ClipPath id="FearPos1_svg__c">
        <Path
          d="M44 48.4c0-14.8-23-29.6-32.23-6.48C15.22 56.84 34.88 56.79 44 48.4Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="FearPos1_svg__d">
        <Path
          d="M60.57 80.72c13.4 0 20.22 5.49 18.87 8.64-1.57 3.63-10.7-.22-18.88-.22-8 0-17.3 3.85-18.86.22-1.36-3.15 6.01-8.64 18.87-8.64Z"
          style={{
            stroke: "#b46a57",
            strokeMiterlimit: 10,
            strokeWidth: "1.5px",
            fill: "#da9f86",
          }}
        />
      </ClipPath>
      <ClipPath id="FearPos1_svg__e">
        <Path
          d="M77 48.4c0-14.8 23-29.6 32.23-6.48C105.72 56.84 86.06 56.79 77 48.4Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>

      {/* Cheeks */}
      <RadialGradient
        id="FearPos1_svg__a"
        cx={600.56}
        cy={55.89}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -435.91 19.75)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="FearPos1_svg__b"
        cx={518.32}
        cy={54.4}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -444.26 19.75)"
        gradientUnits="userSpaceOnUse"
      >
      <Stop offset={0.08} stopColor={props.cheeks} />
      <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
    </Defs>

    <G data-name="Layer 2">

      {/* Eyelashes */}
      <Path
      opacity={props.eyelashes}
        d="m107 38.37 1.77-.83a17.7 17.7 0 0 0 1.64-.93 12.82 12.82 0 0 0 2.9-2.52 13.39 13.39 0 0 1-2.31 3.28 16.2 16.2 0 0 1-1.46 1.41L108 40ZM105.39 35.5c.58-.27 1-.41 1.44-.65a8.58 8.58 0 0 0 1.29-.79 12.3 12.3 0 0 0 2.26-2.19 13 13 0 0 1-1.54 2.89 11.24 11.24 0 0 1-1.11 1.3c-.39.4-.9.8-1.22 1.1ZM102.89 33.13c.42-.18.77-.31 1.13-.48a7.13 7.13 0 0 0 1-.59 7.33 7.33 0 0 0 1.79-1.69 8.1 8.1 0 0 1-1.07 2.39 8.77 8.77 0 0 1-.85 1.08c-.3.34-.65.66-.92.94ZM12.22 41l-1.51-1.26a16.2 16.2 0 0 1-1.46-1.41A13.39 13.39 0 0 1 7 35.07a13 13 0 0 0 2.9 2.52 17.7 17.7 0 0 0 1.64.93l1.77.83ZM13.75 38.14c-.32-.3-.83-.7-1.22-1.1a10.46 10.46 0 0 1-1.11-1.3 13 13 0 0 1-1.54-2.89A12.3 12.3 0 0 0 12.14 35a8.58 8.58 0 0 0 1.29.79c.45.24.86.38 1.44.65ZM16.26 35.76c-.28-.28-.63-.6-.93-.94a8.46 8.46 0 0 1-1.92-3.47A7.51 7.51 0 0 0 15.2 33a7.69 7.69 0 0 0 1 .59c.36.17.71.3 1.13.48Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Cheeks */}
      <Circle
        cx={101.84}
        cy={69.8}
        r={19.84}
        style={{
          fill: "url(#FearPos1_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={68.47}
        r={19.84}
        style={{
          fill: "url(#FearPos1_svg__b)",
          opacity: 0.4,
        }}
      />

      {/* Right white part of eye */}
      <Path
        d="M44 48.4c0-14.8-23-29.6-32.23-6.48C15.22 56.84 34.88 56.79 44 48.4Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#FearPos1_svg__c)",
        }}
      >

        {/* Right eyecolor*/}
        <Circle
          cx={27.95}
          cy={41.85}
          r={8.47}
          fill={props.eyecolor}
        />

        {/* Rightpupil*/}
        <Circle
          cx={27.95}
          cy={41.85}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

        {/* Right eye white detail*/}
        <Circle
          cx={24.31}
          cy={39.72}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Right upper lashline */}
      <Path
        d="M44 48.4a25.23 25.23 0 0 0-4.45-11 16.83 16.83 0 0 0-9.4-6.4 13.67 13.67 0 0 0-10.84 2c-3.23 2.11-5.59 5.42-7.59 9a18.41 18.41 0 0 1 6.55-10.45 14.41 14.41 0 0 1 5.89-2.63 14.82 14.82 0 0 1 6.46.25 17.46 17.46 0 0 1 10 7.52A22.26 22.26 0 0 1 44 48.4Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Right eyebrow */}
      <Path
        d="M43.94 2.77a16.85 16.85 0 0 1-6.86 6.31 41.87 41.87 0 0 1-8.56 3.21c-2.86.78-5.64 1.41-8.36 2.22a63.21 63.21 0 0 0-8.23 3 18.19 18.19 0 0 1 6.84-6.3A37.71 37.71 0 0 1 27.33 8c2.87-.84 5.67-1.43 8.42-2.19a45 45 0 0 0 8.19-3.04Z"
        fill={props.eyebrow}
      />

      {/* Skin definitions */}
      <Path
        d="M54.14 94.32a13.71 13.71 0 0 1 3.14-1 19.06 19.06 0 0 1 3.29-.38A13.12 13.12 0 0 1 67 94.32c-1.1-.16-2.15-.32-3.22-.39s-2.13-.12-3.2-.08c-2.13.04-4.26.25-6.44.47ZM17.1 28.07A12.62 12.62 0 0 1 21.84 25a14.86 14.86 0 0 1 5.68-1 15.68 15.68 0 0 1 5.64 1.14 17 17 0 0 1 2.57 1.25A27.4 27.4 0 0 1 38 28c-.91-.3-1.74-.7-2.61-1l-1.3-.43-.65-.22-.66-.16c-.44-.1-.88-.21-1.31-.33l-1.33-.2a8.47 8.47 0 0 0-1.33-.16c-.44 0-.88-.09-1.33-.06h-1.31c-.44 0-.89.1-1.33.13a22 22 0 0 0-2.64.51 22.87 22.87 0 0 0-5.1 1.99ZM43.38 48.92a14.49 14.49 0 0 1-4 2.79 27.09 27.09 0 0 1-4.54 1.74 24.84 24.84 0 0 1-9.71.89 15.55 15.55 0 0 1-8.91-3.94 15.35 15.35 0 0 1-3-3.9 20.07 20.07 0 0 1-1.59-4.58 22.8 22.8 0 0 0 2 4.33 15 15 0 0 0 3 3.58 15.87 15.87 0 0 0 8.52 3.52 27.36 27.36 0 0 0 9.4-.64 27.13 27.13 0 0 0 4.53-1.45 15.61 15.61 0 0 0 4.3-2.34Z"
        fill={props.skinDef}
      />

      {/* Nose */}
      <Path
        d="M71.89 66a3.21 3.21 0 0 1-.27 1.86 4 4 0 0 1-1.31 1.5 23.58 23.58 0 0 1-3.11 1.5L67 71l-.22.21c-.18.17-.39.39-.64.61a6.36 6.36 0 0 1-1.71 1.13 9.37 9.37 0 0 1-3.86.75 9.53 9.53 0 0 1-3.84-.7A6.3 6.3 0 0 1 55 71.84c-.49-.43-.92-.93-1.06-1a10.56 10.56 0 0 0-1.38-.63 8 8 0 0 1-1.67-.89 4.15 4.15 0 0 1-1.31-1.48 3.29 3.29 0 0 1-.33-1.84 5 5 0 0 0 2.47 1.83 11.6 11.6 0 0 0 1.47.41 12.06 12.06 0 0 1 1.82.49 13.7 13.7 0 0 1 1.6 1.09 5.45 5.45 0 0 0 1.17.61 9.16 9.16 0 0 0 5.58 0 5.67 5.67 0 0 0 1.18-.64c.2-.13.41-.3.66-.49s.28-.2.46-.31a3.65 3.65 0 0 1 .56-.28 14.83 14.83 0 0 1 1.78-.47 14.24 14.24 0 0 0 1.47-.4A4.57 4.57 0 0 0 71.89 66Z"
        fill={props.skinDef}
      />

      {/* Inner mouth */}
      <Path
        d="M60.57 80.72c13.4 0 20.22 5.49 18.87 8.64-1.57 3.63-10.7-.22-18.88-.22-8 0-17.3 3.85-18.86.22-1.36-3.15 6.01-8.64 18.87-8.64Z"
        style={{
          fill: "#da9f86",
        }}
      />


      <G
        style={{
          clipPath: "url(#FearPos1_svg__d)",
        }}
      >
        {/* Teeth */}
        <Path
          d="M45.46 83.48a256 256 0 0 0 30 0 29.77 29.77 0 0 0-30 0Z"
          style={{
            fill: "#fff",
          }}
        />
      </G>

  {/* Mouth */}
      <Path
    stroke = {props.mouth}
        d="M60.57 80.72c13.4 0 20.22 5.49 18.87 8.64-1.57 3.63-10.7-.22-18.88-.22-8 0-17.3 3.85-18.86.22-1.36-3.15 6.01-8.64 18.87-8.64Z"
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          strokeWidth: "1.5px",
        }}
      />

      {/* Skin definitions */}
      <Path
        d="M45.7 6.93a14.49 14.49 0 0 0 1.07-1.61 14 14 0 0 0 .86-1.68 15 15 0 0 0 .66-1.77L48.84 0a6.39 6.39 0 0 1 0 2 7.27 7.27 0 0 1-.54 1.94 6.13 6.13 0 0 1-2.6 2.99Z"
        fill={props.skinDef}
      />

      {/* Left white part of eye */}
      <Path
        d="M77 48.4c0-14.8 23-29.6 32.23-6.48C105.72 56.84 86.06 56.79 77 48.4Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#FearPos1_svg__e)",
        }}
      >

        {/* Left eyecolor */}
        <Circle
          cx={92.98}
          cy={41.85}
          r={8.47}
          fill={props.eyecolor}
        />

        {/* Left pupil */}
        <Circle
          cx={92.98}
          cy={41.85}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

        {/* Left eye white detail*/}
        <Circle
          cx={88.72}
          cy={39.72}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>


      {/* Left eye upper lashline*/}
      <Path
        d="M77 48.4a22.35 22.35 0 0 1 3.33-11.79 17.46 17.46 0 0 1 10-7.52 14.82 14.82 0 0 1 6.46-.25 14.39 14.39 0 0 1 5.9 2.63 18.45 18.45 0 0 1 6.54 10.45c-2-3.56-4.36-6.87-7.59-9a13.66 13.66 0 0 0-10.84-2 16.77 16.77 0 0 0-9.34 6.44A25.25 25.25 0 0 0 77 48.4Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Left eyebrow */}
      <Path
        d="M75 2.77c2.72 1.27 5.23 2.44 7.79 3.5s5.09 2 7.68 3l7.86 2.86a62.07 62.07 0 0 1 8 3.52 35 35 0 0 1-8.8-.08 39.9 39.9 0 0 1-8.56-2.08A32.45 32.45 0 0 1 81 9.34a20.74 20.74 0 0 1-6-6.57Z"
        fill={props.eyebrow}
      />

      {/* Skin definitions */}
      <Path
        d="M103.83 28.07a22.69 22.69 0 0 0-5.1-2 22 22 0 0 0-2.64-.51c-.44 0-.88-.09-1.33-.13h-1.33c-.44 0-.89 0-1.33.06a8.47 8.47 0 0 0-1.33.16l-1.33.2c-.43.12-.87.23-1.31.33l-.66.16-.64.22-1.31.44c-.86.3-1.7.7-2.6 1a27.23 27.23 0 0 1 2.28-1.67 17.42 17.42 0 0 1 2.57-1.25 15.72 15.72 0 0 1 5.64-1.14 14.83 14.83 0 0 1 5.68 1 12.55 12.55 0 0 1 4.74 3.13ZM77.55 48.92a15.77 15.77 0 0 0 4.15 2.34 27 27 0 0 0 4.54 1.45 27.29 27.29 0 0 0 9.39.64 15.84 15.84 0 0 0 8.52-3.52 15.23 15.23 0 0 0 3-3.58 23.39 23.39 0 0 0 2-4.33 20.07 20.07 0 0 1-1.59 4.58 15.35 15.35 0 0 1-3 3.9 15.53 15.53 0 0 1-8.91 3.94 24.86 24.86 0 0 1-9.65-.89 27.42 27.42 0 0 1-4.54-1.74 14.49 14.49 0 0 1-3.91-2.79Z"
        fill={props.skinDef}
      />

      <G
      opacity= {props.freckles}
      >
      <Circle
        cx={26.53}
        cy={63.79}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={36.84}
        cy={65.78}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={43.52}
        cy={60.32}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={50.09}
        cy={57.56}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={55.74}
        cy={60.32}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={62.83}
        cy={60.32}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={59.77}
        cy={56.78}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={68.74}
        cy={57.56}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={54.19}
        cy={53.18}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={49.19}
        cy={62.32}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={81.09}
        cy={65.78}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={91.4}
        cy={63.79}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={74.41}
        cy={60.32}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={64.64}
        cy={53.4}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={68.74}
        cy={62.32}
        r={0.78}
        fill= {props.freckleColor}
      />
      </G>

    </G>
  </Svg>
);

export default SvgFearPos1;
