import * as React from "react";
import Svg, {
  Defs,
  RadialGradient,
  Stop,
  ClipPath,
  Path,
  G,
  Circle,
} from "react-native-svg";

const SvgJoyPos1 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 119.55 77.37"
    {...props}
  >

    {/* Cheeks */}
   
    <Defs>
      <RadialGradient
        id="JoyPos1_svg__a"
        cx={571.61}
        cy={38.95}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -412.11 18.28)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks}  />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="JoyPos1_svg__b"
        cx={491.74}
        cy={38.95}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -420.47 18.28)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks}  />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
      <ClipPath id="JoyPos1_svg__c">
        <Path
          d="M43 34.1c-2.67-12.58-19.13-24.55-32.21-6.48C14.25 37.78 27.82 41.74 43 34.1Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="JoyPos1_svg__d">
        <Path
          d="M76.3 34.1c2.7-12.58 19.15-24.55 32.23-6.48-3.45 10.16-17.03 14.12-32.23 6.48Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <Circle
        cx={99.71}
        cy={53.16}
        r={19.84}
        style={{
          fill: "url(#JoyPos1_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={53.16}
        r={19.84}
        style={{
          fill: "url(#JoyPos1_svg__b)",
          opacity: 0.4,
        }}
      />
      

      {/* Left eyebrow*/}
      <Path
      fill={props.eyebrow}
        d="M78.46 7.38a19.14 19.14 0 0 1 6.84-5.21A22.49 22.49 0 0 1 93.81 0a18.89 18.89 0 0 1 8.77 1.62 15.4 15.4 0 0 1 6.64 5.6A49.4 49.4 0 0 0 101.48 5 31.72 31.72 0 0 0 94 4.52a49.2 49.2 0 0 0-7.59 1c-2.56.48-5.16 1.16-7.95 1.86Z"
      />

      {/* Right white part of eye */}
      <Path
        d="M43 34.1c-2.67-12.58-19.13-24.55-32.21-6.48C14.25 37.78 27.82 41.74 43 34.1Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#JoyPos1_svg__c)",
        }}
      >

        {/* Left eyecolor*/}
        <Circle
         fill={props.eyecolor}
          cx={27.02}
          cy={26.55}
          r={8.47}
        />
        
         {/* Left pupil*/}
        <Circle
          cx={27.02}
          cy={26.55}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

        {/* Left eye white detail*/}
        <Circle
          cx={23.38}
          cy={24.42}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>

       {/* Left upper lashline */}
      <Path
        d="M43 34.1a23.1 23.1 0 0 0-5.49-9 18.74 18.74 0 0 0-8.76-5.28A13.89 13.89 0 0 0 19 21a23.82 23.82 0 0 0-4.31 2.91 52.42 52.42 0 0 0-3.86 3.76 19.19 19.19 0 0 1 7.31-8.25 14 14 0 0 1 5.42-1.89 15.05 15.05 0 0 1 5.75.43 18.84 18.84 0 0 1 9.27 6.23A19.82 19.82 0 0 1 43 34.1Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Right eyebrow */}
      <Path
      fill={props.eyebrow}
        d="M40.75 7.38c-2.79-.7-5.39-1.35-8-1.87a49.2 49.2 0 0 0-7.59-1 31.84 31.84 0 0 0-7.44.49A49.61 49.61 0 0 0 10 7.25a15.4 15.4 0 0 1 6.64-5.6A18.89 18.89 0 0 1 25.4 0a22.49 22.49 0 0 1 8.51 2.14 19.14 19.14 0 0 1 6.84 5.24Z"
      />

      {/* Mouth */}
      <Path
      fill= {props.mouth}
        d="M38 62.62a2.84 2.84 0 0 1 1.06.74c.34.31.66.66 1 1a8.87 8.87 0 0 0 2.38 1.55A33.17 33.17 0 0 0 47.77 68a43.46 43.46 0 0 0 11.42 1.64A39 39 0 0 0 70.58 68a33.11 33.11 0 0 0 5.31-2.14 9 9 0 0 0 2.36-1.58c.36-.32.69-.66 1-1a2.94 2.94 0 0 1 1.08-.75l.31-.09a1.3 1.3 0 0 1 1.48 1.91A3.25 3.25 0 0 1 81 65.57a13.27 13.27 0 0 1-1.39.74l-1.46.69c-.45.25-.9.48-1.35.71a35.23 35.23 0 0 1-5.67 2.21 41.08 41.08 0 0 1-12 1.52 45.94 45.94 0 0 1-11.93-1.58 37 37 0 0 1-5.69-2.16c-.92-.45-1.78-1-2.76-1.37a9.86 9.86 0 0 1-1.41-.72 3.22 3.22 0 0 1-1.21-1.15 1.3 1.3 0 0 1 1.47-1.9Z"
      />

      {/* Skin definitions */}
      <Path
      fill={props.skinDef}
        d="M52.15 74.83a52.84 52.84 0 0 0 7.59.54c1.23 0 2.47 0 3.72-.18s2.51-.29 3.88-.36a10.58 10.58 0 0 1-3.57 1.89 13.3 13.3 0 0 1-8.06 0 9.39 9.39 0 0 1-3.56-1.89ZM16.17 16.43a14 14 0 0 1 5-2.71 14.89 14.89 0 0 1 5.83-.61 14.32 14.32 0 0 1 5.59 1.66A15.11 15.11 0 0 1 35 16.35a21.44 21.44 0 0 1 2 2c-.86-.43-1.62-1-2.46-1.38a22.23 22.23 0 0 0-2.5-1.12 17.72 17.72 0 0 0-5.24-1.24 19.56 19.56 0 0 0-5.39.25 26.92 26.92 0 0 0-5.24 1.57ZM102.83 16.43a26.81 26.81 0 0 0-5.33-1.58 19.52 19.52 0 0 0-5.39-.25 17.73 17.73 0 0 0-5.23 1.24A23.21 23.21 0 0 0 84.37 17c-.83.41-1.59.95-2.46 1.38a21.55 21.55 0 0 1 2.06-2 14.68 14.68 0 0 1 2.43-1.58 14.28 14.28 0 0 1 5.6-1.69 14.92 14.92 0 0 1 5.8.61 14 14 0 0 1 5.03 2.71ZM42 34.65a35.43 35.43 0 0 1-8.48 2.91 27.85 27.85 0 0 1-9 .52 20.11 20.11 0 0 1-4.45-1 15.94 15.94 0 0 1-4-2.19 15.55 15.55 0 0 1-3.17-3.26 18.2 18.2 0 0 1-2.08-4 18.17 18.17 0 0 0 5.7 6.61 17.81 17.81 0 0 0 8.12 2.86 32.67 32.67 0 0 0 8.77-.29 42.8 42.8 0 0 0 4.34-.89c1.42-.36 2.84-.79 4.25-1.27Z"
      />
      
      {/* Right white part of eye */}
      <Path
        d="M76.3 34.1c2.7-12.58 19.15-24.55 32.23-6.48-3.45 10.16-17.03 14.12-32.23 6.48Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#JoyPos1_svg__d)",
        }}
      >

      {/* Right eyecolor */}
        <Circle
          fill={props.eyecolor}
          cx={92.3}
          cy={26.55}
          r={8.47}
        />
        
        {/* Right pupil */}
        <Circle
          cx={92.3}
          cy={26.55}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />

         {/* Right eye white detail*/}
        <Circle
          cx={88.94}
          cy={24.42}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Right eye lower lashline*/}
      <Path
      fill={props.skinDef}
        d="M77.32 34.65c1.41.48 2.83.91 4.28 1.26a42.8 42.8 0 0 0 4.34.89 32.67 32.67 0 0 0 8.77.29 17.89 17.89 0 0 0 8.13-2.86 18.24 18.24 0 0 0 5.69-6.61 18.2 18.2 0 0 1-2.08 4 15.3 15.3 0 0 1-3.17 3.26 15.94 15.94 0 0 1-4 2.19 20.11 20.11 0 0 1-4.45 1 27.87 27.87 0 0 1-9-.52 35.43 35.43 0 0 1-8.51-2.9Z"
      />

      {/* Right eye upper lashline*/}
      <Path
        d="M76.26 34.1a19.8 19.8 0 0 1 4.47-10A18.82 18.82 0 0 1 90 17.91a15 15 0 0 1 5.74-.43 14 14 0 0 1 5.43 1.89 19.11 19.11 0 0 1 7.3 8.25 52.42 52.42 0 0 0-3.86-3.76 23.47 23.47 0 0 0-4.3-2.86 13.88 13.88 0 0 0-9.81-1.18 18.71 18.71 0 0 0-8.75 5.28 22.87 22.87 0 0 0-5.49 9Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      {/* Nose */}
      <Path
      fill={props.skinDef}
        d="M71 51.67a3.23 3.23 0 0 1-.27 1.87A4.06 4.06 0 0 1 69.37 55a24.93 24.93 0 0 1-3.11 1.5.92.92 0 0 0-.17.13l-.22.21c-.18.17-.39.39-.64.61a6.49 6.49 0 0 1-1.71 1.12 10.44 10.44 0 0 1-7.72 0 6.54 6.54 0 0 1-1.74-1.11c-.49-.43-.92-.93-1.06-1a9.57 9.57 0 0 0-1.39-.63A8.37 8.37 0 0 1 50 55a4.14 4.14 0 0 1-1.31-1.48 3.31 3.31 0 0 1-.32-1.86 5 5 0 0 0 2.46 1.84 13.74 13.74 0 0 0 1.48.41 11.68 11.68 0 0 1 1.81.49 12.29 12.29 0 0 1 1.61 1.08 5.27 5.27 0 0 0 1.17.62 8.27 8.27 0 0 0 2.8.43 7.91 7.91 0 0 0 2.78-.45 5.88 5.88 0 0 0 1.18-.63l.66-.49.45-.31a3 3 0 0 1 .57-.28 13.15 13.15 0 0 1 1.79-.44 12.08 12.08 0 0 0 1.47-.41 4.61 4.61 0 0 0 2.4-1.85Z"
      />

      {/* Freckles */}
      <G
      opacity= {props.freckles}
      >
      <Circle
        fill= {props.freckleColor}
        cx={26.4}
        cy={46.58}
        r={0.91}
      />
      <Circle
        fill= {props.freckleColor}
        cx={36.7}
        cy={48.57}
        r={0.91}
      />
      <Circle
        fill= {props.freckleColor}
        cx={43.39}
        cy={43.11}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={49.96}
        cy={40.34}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={55.61}
        cy={43.11}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={62.7}
        cy={43.11}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={59.64}
        cy={39.57}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={68.61}
        cy={40.34}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={54.06}
        cy={35.96}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={49.06}
        cy={45.1}
        r={0.91}
      />
      <Circle
        fill= {props.freckleColor}
        cx={80.96}
        cy={48.57}
        r={0.91}
      />
      <Circle
        fill= {props.freckleColor}
        cx={91.27}
        cy={46.58}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={74.28}
        cy={43.11}
        r={0.78}
      />
      <Circle
        fill= {props.freckleColor}
        cx={64.51}
        cy={36.19}
        r={0.91}
      />
      <Circle
        fill= {props.freckleColor}
        cx={68.61}
        cy={45.1}
        r={0.78}
      />
      </G>

        {/* Eyelashes */}
      <Path
        opacity = {props.eyelashes}
        d="m11.79 26.58-1.45-1.33A16.22 16.22 0 0 1 9 23.77a13.67 13.67 0 0 1-2.09-3.38A13.35 13.35 0 0 0 9.63 23a17.89 17.89 0 0 0 1.6 1L13 25ZM13.46 23.77c-.31-.31-.8-.73-1.17-1.15a10.13 10.13 0 0 1-1-1.35 12.6 12.6 0 0 1-1.41-3A12.11 12.11 0 0 0 12 20.6a10.29 10.29 0 0 0 1.25.86c.45.26.85.41 1.41.71ZM16.07 21.52c-.26-.29-.6-.64-.88-1a9.35 9.35 0 0 1-.79-1.11 8 8 0 0 1-1-2.45 7.08 7.08 0 0 0 1.71 1.78 8.89 8.89 0 0 0 1 .64l1.12.53ZM106.54 25.18l1.73-.91a14.75 14.75 0 0 0 1.6-1 13.11 13.11 0 0 0 2.77-2.65 13.63 13.63 0 0 1-2.08 3.38c-.44.52-.91 1-1.39 1.48l-1.45 1.32ZM104.85 22.39c.56-.29 1-.45 1.41-.71a9.49 9.49 0 0 0 1.25-.85 12.79 12.79 0 0 0 2.16-2.3 13.13 13.13 0 0 1-1.41 3 11.13 11.13 0 0 1-1.05 1.35c-.37.42-.86.84-1.16 1.16ZM102.24 20.14c.41-.2.76-.34 1.11-.53a7.08 7.08 0 0 0 1-.63 7.84 7.84 0 0 0 1.71-1.78 8.27 8.27 0 0 1-1 2.44 9.45 9.45 0 0 1-.79 1.12c-.29.35-.63.69-.89 1Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgJoyPos1;