import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgUnsurePos1 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 119.55 78.53"
    {...props}
  >
    <Defs>
      <ClipPath id="unsurePos1_svg__c">
        <Path
          d="M43 39.63c-2.69-12.58-19.15-24.56-32.23-6.49C14.25 43.31 27.82 47.27 43 39.63Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="unsurePos1_svg__d">
        <Path
          d="M76.3 39.63c2.7-12.58 19.15-24.56 32.23-6.49-3.45 10.17-17.03 14.13-32.23 6.49Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="unsurePos1_svg__e">
        <Path
          d="M43 39.51C40.3 26.93 23.84 15 10.76 33 14.22 43.19 27.8 47.15 43 39.51Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="unsurePos1_svg__f">
        <Path
          d="M76.28 39.51C79 26.93 95.43 15 108.51 33c-3.46 10.19-17.04 14.15-32.23 6.51Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
        {/* Cheeks */}
      <RadialGradient
        id="unsurePos1_svg__a"
        cx={751.43}
        cy={44.5}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -573.12 18.84)"
        gradientUnits="userSpaceOnUse"
        fillOpacity={props.isCheeks}
      >
        <Stop offset={0.08} stopColor={props.cheeks}/>
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="unsurePos1_svg__b"
        cx={671.56}
        cy={44.5}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -581.47 18.84)"
        xlinkHref="#unsurePos1_svg__a"
          gradientUnits="userSpaceOnUse"
        fillOpacity={props.isCheeks}
      >
          <Stop offset={0.08} stopColor={props.cheeks}  />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
    </Defs>
    <G data-name="Layer 2">
      <Circle
        cx={99.71}
        cy={58.69}
        r={19.84}
        style={{
          fill: "url(#unsurePos1_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={58.69}
        r={19.84}
        style={{
          fill: "url(#unsurePos1_svg__b)",
          opacity: 0.4,
        }}
      />
      <Path
        d="M43 39.63c-2.69-12.58-19.15-24.56-32.23-6.49C14.25 43.31 27.82 47.27 43 39.63Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos1_svg__c)",
        }}
      >
        <Circle
          cx={27.02}
          cy={32.08}
          r={8.47}
          style={{
            fill: "#9c7962",
          }}
        />
        <Circle
          cx={27.02}
          cy={32.08}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={23.38}
          cy={29.94}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
        {/* Right eyelid*/}
      <Path
        d="M16.17 22A15 15 0 0 1 35 21.87a20.39 20.39 0 0 1 2 2c-.86-.43-1.62-1-2.46-1.38A20.85 20.85 0 0 0 16.17 22ZM102.83 22a20.87 20.87 0 0 0-18.46.53c-.83.41-1.59 1-2.46 1.38a20.5 20.5 0 0 1 2.06-2 15 15 0 0 1 18.86.09ZM42 40.18c-9 4.4-22.5 6.17-29.13-3.06a18 18 0 0 1-2.08-4c5.92 12 20.39 10.77 31.21 7Z"
       fill={props.skinDef}
      />
      <Path
        d="M76.3 39.63c2.7-12.58 19.15-24.56 32.23-6.49-3.45 10.17-17.03 14.13-32.23 6.49Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos1_svg__d)",
        }}
      >
        <Circle
          cx={92.3}
          cy={32.08}
          r={8.47}
          style={{
            fill: "#9c7962",
          }}
        />
        <Circle
          cx={92.3}
          cy={32.08}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={88.94}
          cy={29.94}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M77.32 40.18c10.82 3.74 25.29 5 31.21-7a18 18 0 0 1-2.08 4c-6.63 9.23-20.12 7.46-29.13 3.06Z"
        style={{
          fill: "#da9f86",
        }}
      />
      {/* Nose*/}
      <Path
        d="M71 57.2c.45 3-2.77 4-4.7 4.87-.4.28-.62.59-1 .94a9.17 9.17 0 0 1-11.17.06c-.49-.43-.92-.93-1.06-1a28.81 28.81 0 0 1-3-1.52 3.6 3.6 0 0 1-1.63-3.34A4.94 4.94 0 0 0 50.78 59c1.13.43 2 .43 3.29.91A12.29 12.29 0 0 1 55.68 61a7.7 7.7 0 0 0 7.93 0c2.28-2.14 5.51-.93 7.35-3.78Z"
       fill={props.skinDef}
      />
      <Path
        d="M45 2.4c-5.66 7.68-16.36 7.7-24.81 9.38A62 62 0 0 0 11.7 14a18 18 0 0 1 7.42-5.61C27.58 4.79 36.46 5.77 45 2.4Z"
        style={{
          fill: "#9c7962",
        }}
      />
      <Path
        d="M46.34 6.71a18.91 18.91 0 0 0 3.8-6.59 6.85 6.85 0 0 1-3.8 6.59Z"
        fill={props.skinDef}
      />
      <Path
        d="M74.66 2.82a235.67 235.67 0 0 0 24.58 5.24 59.91 59.91 0 0 1 8.44 2.12 38.23 38.23 0 0 1-17.47.82c-5.78-1.09-11.73-3.52-15.55-8.18Z"
        fill={props.skinDef}
      />
      {/* Mouth */}
      <Path
        d="M43.49 75.84c1.16-1 2.59-1.19 4-1.63a67.53 67.53 0 0 1 20.54-3c2.09.06 4.18.26 6.29.26a4.34 4.34 0 0 1 2.11.47 1.35 1.35 0 0 1 .34 1.87 1.71 1.71 0 0 1-1.94.53c-4.77-1.6-9.94-1.45-14.89-.91-4 .61-8 1.29-11.63 3-1.25.51-2.4 1.49-3.73 1.65a1.33 1.33 0 0 1-1.06-2.24Z"
        fill={props.mouth}
      />

         {/* Freckles */}
         <G
        opacity= {props.freckles}
        >
      <Circle
        cx={27.73}
        cy={51.6}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={38.04}
        cy={53.58}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={44.72}
        cy={48.13}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={51.29}
        cy={45.36}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={56.94}
        cy={48.13}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={64.03}
        cy={48.13}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={60.97}
        cy={44.58}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={69.94}
        cy={45.36}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={55.39}
        cy={40.98}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={50.39}
        cy={50.12}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={82.29}
        cy={53.58}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={92.6}
        cy={51.6}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={75.61}
        cy={48.13}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={65.84}
        cy={41.2}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={69.94}
        cy={50.12}
        r={0.78}
        fill= {props.freckleColor}
      />
      </G>
        {/* Left eyelashes */}
      <Path
      opacity= {props.eyelashes}
        d="M106.31 30a16.42 16.42 0 0 0 6.11-4.57 17.18 17.18 0 0 1-4.93 6.18L106.31 30ZM104.63 27.16a11.24 11.24 0 0 0 4.81-3.87 12.28 12.28 0 0 1-3.62 5.47l-1.19-1.6ZM102 24.9a8.13 8.13 0 0 0 3.84-2.9 7.91 7.91 0 0 1-1 2.44 12.31 12.31 0 0 1-1.67 2.11L102 24.9ZM11.64 31.56a17.15 17.15 0 0 1-4.92-6.18A13.11 13.11 0 0 0 9.49 28a28.79 28.79 0 0 0 3.33 2l-1.18 1.61ZM13.31 28.76a12.17 12.17 0 0 1-3.61-5.47 12.42 12.42 0 0 0 2.15 2.3 12.51 12.51 0 0 0 2.66 1.57l-1.2 1.6ZM15.93 26.51A9.27 9.27 0 0 1 13.29 22a8.18 8.18 0 0 0 3.83 2.94l-1.19 1.61Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      {/* Left eyebrow*/}
      <Path
        d="M45 2.29C39.3 10 28.6 10 20.16 11.67a63.58 63.58 0 0 0-8.49 2.23 18.26 18.26 0 0 1 7.42-5.61c8.46-3.61 17.34-2.64 25.87-6Z"
        fill= {props.eyebrow}
      />
      <Path
        d="M46.31 6.6a18.86 18.86 0 0 0 3.8-6.6 6.85 6.85 0 0 1-3.8 6.6Z"
        fill= {props.skinDef}
      />
      {/* Left eyebrow*/}
      <Path
        d="M74.64 2.7A235 235 0 0 0 99.21 8a59.85 59.85 0 0 1 8.44 2.11 38 38 0 0 1-17.47.82C84.4 9.79 78.45 7.36 74.64 2.7Z"
        fill= {props.eyebrow}
      />
      <Path
        d="M43 39.51C40.3 26.93 23.84 15 10.76 33 14.22 43.19 27.8 47.15 43 39.51Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos1_svg__e)",
        }}
      >
          {/* Left eyecolor */}
        <Circle
          cx={26.99}
          cy={31.96}
          r={8.47}
          fill= {props.eyecolor}
        />
        <Circle
          cx={26.99}
          cy={31.96}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={23.35}
          cy={29.83}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M43 39.51c-3.36-9.35-14-17.78-23.83-12.74-3.17 1.49-5.78 3.86-8.41 6.23a17.87 17.87 0 0 1 7.08-8.66C28.63 17.66 42.18 28.1 43 39.51Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M16.14 21.85A15 15 0 0 1 35 21.76a20.33 20.33 0 0 1 2 2c-.86-.43-1.62-1-2.45-1.38a20.9 20.9 0 0 0-18.46-.52ZM102.8 21.85a20.9 20.9 0 0 0-18.46.52c-.83.41-1.59.95-2.45 1.38a20.33 20.33 0 0 1 2-2 15 15 0 0 1 18.86.09ZM42 40.06c-9 4.4-22.51 6.17-29.13-3.05a17.82 17.82 0 0 1-2.09-4c5.92 12 20.4 10.77 31.22 7Z"
        fill={props.skinDef}
      />
      <Path
        d="M76.28 39.51C79 26.93 95.43 15 108.51 33c-3.46 10.19-17.04 14.15-32.23 6.51Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#unsurePos1_svg__f)",
        }}
      >
          {/* Left eyecolor */}
        <Circle
          cx={92.28}
          cy={31.96}
          r={8.47}
          fill= {props.eyecolor}
        />
        <Circle
          cx={92.28}
          cy={31.96}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={88.92}
          cy={29.83}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M77.29 40.06c10.82 3.74 25.3 5 31.21-7a17.78 17.78 0 0 1-2.08 4c-6.63 9.22-20.12 7.45-29.13 3.05Z"
        fill={props.skinDef}
      />
      <Path
        d="M76.23 39.51c.77-11.42 14.36-21.85 25.14-15.14a17.84 17.84 0 0 1 7.09 8.63c-2.63-2.4-5.25-4.77-8.4-6.26-9.85-5-20.47 3.38-23.83 12.74Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgUnsurePos1;
