import * as React from "react";
import Svg, {
  Defs,
  RadialGradient,
  Stop,
  ClipPath,
  Path,
  G,
  Circle,
} from "react-native-svg";

const SvgAngerPos2 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 65.56 71.6" {...props}>

  
  {/* Cheeks */}
    <Defs>
      <RadialGradient
        id="AngerPos2_svg__a"
        cx={523.18}
        cy={96.01}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -448.61 -38.94)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
      <ClipPath id="AngerPos2_svg__b">
        <Path
        fillOpacity={props.isCheeks}
          d="M43 28c1.11-13.75-12.6-24.55-32.21-8.51C19.12 29.13 30.8 35 43 28Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">

      {/* freckles */}
      <G 
      opacity= {props.freckles}
      >
      <Circle
        cx={29.16}
        cy={42.98}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={39.46}
        cy={44.97}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={46.15}
        cy={39.51}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={52.72}
        cy={36.75}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.37}
        cy={39.51}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={56.82}
        cy={32.37}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={51.82}
        cy={41.51}
        r={0.91}
        fill= {props.freckleColor}
      />
      </G>

      {/* Cheeks */}
      <Circle
        cx={19.84}
        cy={47.03}
        r={19.84}
        fillOpacity={props.isCheeks}
        style={{
          opacity: 0.4,
          fill: "url(#AngerPos2_svg__a)",
        }}
      />
      <Path
        d="M43 28c1.11-13.75-12.6-24.55-32.21-8.51C19.12 29.13 30.8 35 43 28Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#AngerPos2_svg__b)",
        }}
      >
        {/* eyecolor*/}
        <Circle
          cx={36.18}
          cy={21.42}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={37.18}
          cy={21.42}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={33.54}
          cy={19.29}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M43 28c0-10.33-6.47-17.6-17-15.13-5.48 1.13-10.27 3.92-15.21 6.62a32.8 32.8 0 0 1 9.26-6.66C32.63 6.54 45.21 13.19 43 28Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M42 28.52c-8.56 4.88-19.93 2.78-26.83-4.06a35.58 35.58 0 0 1-4.38-5 60 60 0 0 0 4.8 4.54A25.85 25.85 0 0 0 42 28.52Z"
        style={{
          fill: "#da9f86",
        }}
      />

      {/* Eyebrow */}
      <Path
        d="M48.64 10.26C45.92 12 42.21 11 39.38 10c-5.15-2-9.85-5.77-15.45-6.26a28.77 28.77 0 0 0-8.46.78c4.42-5.26 12.2-5.73 18-2.43 5.12 2.58 9.14 8 15.2 8.17Z"
        fill={props.eyebrow}
      />
      <Path
        d="M47.51 14.25a14.14 14.14 0 0 0 4-3.41 4.09 4.09 0 0 1-4 3.41Z"
        fill={props.eyebrow}
      />
      <Path
        d="M65.29 59.12c-6.51.74-16.1-7.57-18.9 4.57-2.56 11.15 7.66 6.07 15.5 5.38a27 27 0 0 0 3.4-9.95Z"
        style={{
          fill: "#fff",
        }}
      />
      
{/* Mouth */}
      <Path
        d="M61.27 69.13c-7.84.69-17.44 5.71-14.88-5.44 2.8-12.14 12.33-4.36 18.42-4.58"
       stroke={props.mouth}
        style={{
          fill: "none",
          stroke: "#b46a57",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
          strokeWidth: "1.5px",
        }}
      />
      <Path
        d="M63.23 64.51a14.28 14.28 0 0 1-6-.17c-2-.12-4 .26-6 .08a20.24 20.24 0 0 1-4-.68v-.1c3.36-.72 6.65.07 10 .37a14.27 14.27 0 0 1 6 .4v.1Z"
        style={{
          fill: "",
        }}
      />

      {/* Eyelashes */}
      <Path
       opacity= {props.eyelashes}
        d="m13.5 17.91-1-1.72a17 17 0 0 1-.84-1.84 13.54 13.54 0 0 1-.91-3.87 13 13 0 0 0 1.79 3.4 18.48 18.48 0 0 0 1.19 1.46l1.35 1.41ZM16 15.78c-.19-.4-.52-.95-.74-1.46a10.71 10.71 0 0 1-.56-1.62 12.51 12.51 0 0 1-.39-3.25 12 12 0 0 0 1.31 2.86 9.81 9.81 0 0 0 .91 1.21c.34.39.67.66 1.11 1.12ZM19.16 14.48c-.15-.36-.36-.8-.52-1.22a8.92 8.92 0 0 1-.39-1.26 8 8 0 0 1-.14-2.62 7.53 7.53 0 0 0 1.06 2.23 8.36 8.36 0 0 0 .75.92c.28.29.56.53.89.86Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgAngerPos2;