import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgDisgustPos2 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 78.37 70.93" {...props}>
    <Defs>
      <ClipPath id="DisgustPos2_svg__b">
        <Path
          d="M43 28.29c1.78-15.69-12.6-22.52-32.21-6.48 8.33 9.64 18.86 13.97 32.21 6.48Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="DisgustPos2_svg__c">
        <Path
          d="M61.82 69.46c-7.71-.58-16.34 2.54-17.62-1.19-1.1-3.25 7.9-8 20.72-7a29.94 29.94 0 0 1-3.1 8.19Z"
          style={{
            fill: "#da9f86",
          }}
        />
      </ClipPath>

      {/* Cheeks */}
      <RadialGradient
        id="DisgustPos2_svg__a"
        cx={650.33}
        cy={96.33}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -562.47 -38.9)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks}/>
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
    </Defs>

    <G data-name="Layer 2">
      <G
      opacity= {props.freckles}
      >
      <Circle
        cx={29.16}
        cy={43.3}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={39.46}
        cy={45.29}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={46.15}
        cy={39.83}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={52.72}
        cy={37.07}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.37}
        cy={39.83}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={56.82}
        cy={32.69}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={51.82}
        cy={41.83}
        r={0.91}
        fill= {props.freckleColor}
      />
      </G>

      {/* Cheeks */}
      <Circle
        cx={19.84}
        cy={47.35}
        r={19.84}
        fillOpacity={props.isCheeks}
        style={{
          opacity: 0.4,
          fill: "url(#DisgustPos2_svg__a)",
        }}
      />
      <Path
        d="M43 28.29c1.78-15.69-12.6-22.52-32.21-6.48 8.33 9.64 18.86 13.97 32.21 6.48Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#DisgustPos2_svg__b)",
        }}
      >
        
        {/* eyecolor*/}
        <Circle
          cx={36.18}
          cy={21.74}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={37.18}
          cy={21.74}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={33.54}
          cy={19.61}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M43 28.29c-.23-15.11-10-17.7-22.28-11.74-3.38 1.52-6.61 3.42-9.95 5.26a38.4 38.4 0 0 1 9.15-6.88c12.63-7 25.37-2.69 23.08 13.36Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M15.27 13.64a16.24 16.24 0 0 1 17.79-3.93 33.14 33.14 0 0 0-17.79 3.93ZM42 28.84a21.35 21.35 0 0 1-26.79-2.1 32.74 32.74 0 0 1-4.42-4.93 54.86 54.86 0 0 0 4.82 4.45A23.75 23.75 0 0 0 42 28.84Z"
        fill={props.skinDef}
      />

      {/* Eyebrow */}
      <Path
        d="M45.87 8.2c-2.55 2-6.33 1.36-9.24.62-5.32-1.58-10.33-4.9-16-4.89a28.86 28.86 0 0 0-8.36 1.55C16.25-.16 24-1.33 30 1.44c5.34 2.1 9.83 7.11 15.88 6.76Z"
        fill={props.eyebrow}
      />
      <Path
        d="M45.11 12.28a14.34 14.34 0 0 0 3.66-3.75 4.1 4.1 0 0 1-3.66 3.75Z"
        fill={props.eyebrow}
      />
      <Path
        d="M61.82 69.46c-7.71-.58-16.34 2.54-17.62-1.19-1.1-3.25 7.9-8 20.72-7a29.94 29.94 0 0 1-3.1 8.19Z"
        style={{
          fill: "#da9f86",
        }}
      />
      <G
        style={{
          clipPath: "url(#DisgustPos2_svg__c)",
        }}
      >
        <Path
          d="M48.42 62.71a258 258 0 0 0 30 2.36 29.77 29.77 0 0 0-30-2.36Z"
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Mouth */}
      <Path
        d="M61.19 69.48c-7.71-.58-15.71 2.59-17-1.15-1.1-3.25 8-8 20.2-7"
        stroke={props.mouth}
        style={{
          fill: "none",
          stroke: "#b46a57",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
          strokeWidth: "1.5px",
        }}
      />

      {/* Eyelashes */}
      <Path
       opacity= {props.eyelashes}
        d="M13 19.85a17 17 0 0 1-2.7-7.43 13.82 13.82 0 0 0 3 4.86l1.35 1.41L13 19.85ZM15.52 17.73a12.21 12.21 0 0 1-1.7-6.34 12.44 12.44 0 0 0 1.32 2.86 12.29 12.29 0 0 0 2 2.34l-1.64 1.14ZM18.71 16.42a9.17 9.17 0 0 1-1.05-5.15 8.23 8.23 0 0 0 2.69 4l-1.64 1.14Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgDisgustPos2;
