import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgExcitedPos2 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 67.26 91.19" {...props}>
    <Defs>
      <ClipPath id="ExcitedPos2_svg__b">
        <Path
          d="M43 40.18c3-15.58-10.86-30.77-32.21-6.49C18.67 43.8 30.06 50.26 43 40.18Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="ExcitedPos2_svg__c">
        <Path
          d="M55.14 90.8c-13.34-5-14.77-19.51-14.77-19.51A194.54 194.54 0 0 0 64.47 75a42.41 42.41 0 0 1-9.33 15.8Z"
          style={{
            fill: "#b46a57",
          }}
        />
      </ClipPath>

      {/* Cheeks */}
      <RadialGradient
        id="ExcitedPos2_svg__a"
        cx={573.22}
        cy={108.22}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -493.41 -37.66)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
    </Defs>
    <G data-name="Layer 2">
      <G  opacity= {props.freckles}>
      <Circle
        cx={29.16}
        cy={55.19}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={39.46}
        cy={57.17}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={46.15}
        cy={51.72}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={52.72}
        cy={48.95}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.37}
        cy={51.72}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={56.82}
        cy={44.57}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={51.82}
        cy={53.71}
        r={0.91}
        fill= {props.freckleColor}
      />
      </G>

  {/* Cheeks */}
      <Circle
        cx={19.84}
        cy={59.24}
        r={19.84}
        fillOpacity={props.isCheeks}
        style={{
          opacity: 0.4,
          fill: "url(#ExcitedPos2_svg__a)",
        }}
      />
      <Path
        d="M43 40.18c3-15.58-10.86-30.77-32.21-6.49C18.67 43.8 30.06 50.26 43 40.18Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#ExcitedPos2_svg__b)",
        }}
      >
          {/* eyecolor*/}
        <Circle
          cx={36.18}
          cy={33.63}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={37.18}
          cy={33.63}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={33.54}
          cy={31.5}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M43 40.18c1.13-11.43-4.08-21.41-16.75-16.56-5.8 2.25-10.59 6.17-15.48 10.07a38.06 38.06 0 0 1 9.07-8.88c14.27-10 27.25-1.87 23.16 15.37Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M18.49 18.51c5.57-4.17 17.51-8.61 21.88-.88-5.75-5.76-15.32-1.23-21.88.88ZM43 40.18c-9.22 8.68-21.57 6.68-29.4-2.72l-1.48-1.84c-.46-.64-.91-1.28-1.35-1.93a42.29 42.29 0 0 0 6.69 6.49c7.69 6.21 17.77 6 25.54 0Z"
        fill={props.skinDef}
      />

      {/* Eyebrow */}
      <Path
        d="M42.58 4.92c-9-2.22-17.67 0-25.86 3.7a36.93 36.93 0 0 1-3.81 1.59A21.76 21.76 0 0 1 26.5.45C32.08-.76 38.8.4 42.58 4.92Z"
        fill={props.eyebrow}
      />

      {/* Mouth */}
      <Path
        d="M55.14 90.8c-13.34-5-14.77-19.51-14.77-19.51A194.54 194.54 0 0 0 64.47 75a42.41 42.41 0 0 1-9.33 15.8Z"
        fill={props.mouth}
      />
      <G
        style={{
          clipPath: "url(#ExcitedPos2_svg__c)",
        }}
      >
        <Path
          d="M41.36 73.75s9.12 4.61 23.09 5.54C71 79.72 64 72 64 72a36.83 36.83 0 0 0-14.76-6s-14.88-2.46-7.88 7.75Z"
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M64 75.09a169.44 169.44 0 0 1-23.62-3.8s1 14.13 14.36 19.15"
        stroke={props.mouth}
        style={{
          fill: "none",
          stroke: "#b46a57",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
          strokeWidth: "1.5px",
        }}
      />

      {/* Eyelashes */}
      <Path
      opacity= {props.eyelashes}
        d="M13.23 31.5a17.27 17.27 0 0 1-3.6-7 12.9 12.9 0 0 0 2.19 3.14 28.08 28.08 0 0 0 2.89 2.54l-1.48 1.32ZM15.42 29.09A12.33 12.33 0 0 1 13 23a12.56 12.56 0 0 0 1.66 2.68 12.24 12.24 0 0 0 2.29 2.06l-1.49 1.34ZM18.43 27.4a9.29 9.29 0 0 1-1.68-5 8.18 8.18 0 0 0 3.17 3.64l-1.49 1.36Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgExcitedPos2;
