import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgFearPos2 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 78.38 90.59" {...props}>
    <Defs>
      <ClipPath id="FearPos2_svg__b">
        <Path
          d="M43 47.94c3-15.57-10.88-30.76-32.23-6.48C18.67 51.56 30.06 58 43 47.94Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="FearPos2_svg__c">
        <Path
          d="M61.83 89.12c-7.71-.59-16.35 2.55-17.62-1.19-1.11-3.25 7.9-8 20.72-7a30.46 30.46 0 0 1-3.1 8.19Z"
          style={{
            fill: "#da9f86",
          }}
        />
      </ClipPath>

      {/* Cheeks */}
      <RadialGradient
        id="FearPos2_svg__a"
        cx={548.27}
        cy={115.98}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -471.08 -36.85)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
    </Defs>
    <G data-name="Layer 2">
      <G
      opacity= {props.freckles}>
      <Circle
        cx={29.16}
        cy={62.95}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={39.46}
        cy={64.94}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={46.15}
        cy={59.49}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={52.72}
        cy={56.72}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.37}
        cy={59.49}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={56.82}
        cy={52.34}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={51.82}
        cy={61.48}
        r={0.91}
        fill= {props.freckleColor}
      />
      </G>
      
      {/* Cheeks */}
      <Circle
        cx={19.84}
        cy={67}
        r={19.84}
        fillOpacity={props.isCheeks}
        style={{
          opacity: 0.4,
          fill: "url(#FearPos2_svg__a)",
        }}
      />
      <Path
        d="M43 47.94c3-15.57-10.88-30.76-32.23-6.48C18.67 51.56 30.06 58 43 47.94Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#FearPos2_svg__b)",
        }}
      >
        {/* eyecolor*/}
        <Circle
          cx={36.18}
          cy={41.39}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={37.18}
          cy={41.39}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={33.54}
          cy={39.26}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M43 47.94c1.13-11.42-4.08-21.41-16.75-16.56-5.8 2.26-10.59 6.17-15.48 10.08a37.68 37.68 0 0 1 9.07-8.88c14.27-10 27.25-1.87 23.16 15.36Z"
        style={{
          fill: "#1d1d1b",
        }}
      />


      <Path
        d="M18.49 26.28c6-4.38 16.37-8 22-1.32A10 10 0 0 1 42 28a14.83 14.83 0 0 0-2.08-2.55c-6.08-5.33-14.8-1.58-21.43.83ZM43 47.94c-9.22 8.68-21.57 6.69-29.4-2.71l-1.48-1.84c-.46-.64-.91-1.28-1.35-1.93A43.19 43.19 0 0 0 17.48 48c7.69 6.21 17.77 5.95 25.54 0ZM61.83 89.12c-7.71-.59-16.35 2.55-17.62-1.19-1.11-3.25 7.9-8 20.72-7a30.46 30.46 0 0 1-3.1 8.19Z"
        fill={props.skinDef}
      />
      <G
        style={{
          clipPath: "url(#FearPos2_svg__c)",
        }}
      >
        <Path
          d="M48.43 82.36a258 258 0 0 0 29.95 2.36 29.78 29.78 0 0 0-29.95-2.36Z"
          style={{
            fill: "#fff",
          }}
        />
      </G>

      {/* Eyebrow */}
      <Path
        d="M46 2.77C41.15 11 30.5 12 22.26 14.51a63.21 63.21 0 0 0-8.23 3 18.19 18.19 0 0 1 6.84-6.3C28.94 6.84 37.87 7 46 2.77Z"
        fill={props.eyebrow}
      />
      <Path
        d="M47.8 6.93A18.79 18.79 0 0 0 50.94 0a6.86 6.86 0 0 1-3.14 6.93Z"
        fill={props.eyebrow}
      />

      {/* Mouth */}
      <Path
        d="M61.19 89.13c-7.71-.58-15.71 2.59-17-1.15-1.11-3.25 8-8 20.2-7"
        stroke={props.mouth}
        style={{
          fill: "none",
          strokeLinecap: "round",
          strokeMiterlimit: 10,
          strokeWidth: "1.5px",
        }}
      />

      {/* Eyelashes */}
      <Path
      opacity= {props.eyelashes}
        d="M13.36 39.11a17.24 17.24 0 0 1-3.6-7 13.9 13.9 0 0 0 3.56 4.45l1.52 1.23-1.48 1.36ZM15.55 36.69a12.33 12.33 0 0 1-2.46-6.08 12.56 12.56 0 0 0 1.66 2.68A12.24 12.24 0 0 0 17 35.35l-1.49 1.34ZM18.56 35a9.26 9.26 0 0 1-1.68-5 8.18 8.18 0 0 0 3.17 3.64L18.56 35Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgFearPos2;