import * as React from "react";
import Svg, {
  Defs,
  RadialGradient,
  Stop,
  ClipPath,
  Path,
  G,
  Circle,
} from "react-native-svg";

const SvgSadPos2 = (props) => (
  <Svg xmlns="http://www.w3.org/2000/svg" viewBox="0 0 65.4 71.89" {...props}>
    <Defs>
      <RadialGradient
        id="SadPos2_svg__a"
        cx={625.19}
        cy={99.82}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -539.95 -38.54)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeks} stopOpacity={0} />
      </RadialGradient>
      <ClipPath id="SadPos2_svg__b">
        <Path
          d="M43 31.78c3.9-11.89-10.64-16.6-32.23-6.48C22.93 35.42 36.89 38.9 43 31.78Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
    </Defs>
    <G data-name="Layer 2">
      <G
      opacity= {props.freckles}
      >
      <Circle
        cx={29.16}
        cy={46.79}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={39.46}
        cy={48.78}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={46.15}
        cy={43.33}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={52.72}
        cy={40.56}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={58.37}
        cy={43.33}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={56.82}
        cy={36.18}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={51.82}
        cy={45.32}
        r={0.91}
        fill= {props.freckleColor}
      />
      </G>

       {/* Cheeks */}
      <Circle
        cx={19.84}
        cy={50.84}
        r={19.84}
        fillOpacity={props.isCheeks}
        style={{
          opacity: 0.4,
          fill: "url(#SadPos2_svg__a)",
        }}
      />
      <Path
        d="M43 31.78c3.9-11.89-10.64-16.6-32.23-6.48C22.93 35.42 36.89 38.9 43 31.78Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#SadPos2_svg__b)",
        }}
      >
        {/* eyecolor*/}
        <Circle
          cx={36.18}
          cy={29.23}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={37.18}
          cy={29.23}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={33.54}
          cy={27.1}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M43 31.78c1.85-11.31-9-12-17.24-10.27-5.09.92-9.93 2.47-15 3.79a42 42 0 0 1 9.5-4.43c9.2-3.33 27.16-3.64 22.73 10.91Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      {/* Mouth */}
      <Path
        d="M46.19 69.73c.87-1 2.12-1.17 3.29-1.59A56.8 56.8 0 0 1 55 66a39.51 39.51 0 0 1 9.28-1.88 1 1 0 1 1 .13 2.07 35.42 35.42 0 0 0-8.83 1.61A26.84 26.84 0 0 0 50.4 70c-.91.59-1.68 1.62-2.74 1.84a1.34 1.34 0 0 1-1.47-2.09Z"
        fill={props.mouth}
      />

      {/* Eyebrow */}
      <Path
        d="M41.42 1C37.28 8.65 27.14 11.21 19 11.21a29.61 29.61 0 0 1-8.36-1.37 66.27 66.27 0 0 1 8-2.16C26.41 5.82 34.22 4.51 41.42 1Z"
        fill={props.eyebrow}
      />
      <Path
        d="M19.91 17.47c6.58-3.13 16-4.71 21.74.83a9.61 9.61 0 0 1 1.78 2.75 13.85 13.85 0 0 0-2.27-2.2c-6.22-4.28-14.28-2.54-21.25-1.38Z"
        fill={props.eyebrow}
      />
      <Path
        d="M41.54 5a15.35 15.35 0 0 0 4.29-5 5.64 5.64 0 0 1-4.29 5Z"
        style={{
          fill: "#b9896f",
        }}
      />
      <Path
        d="M19.91 31.78c-8.43-4-3.64 8.13-7.22 7.35-4.1-.88 1.8-5.79-1.9-13.83M15.63 41c-2.85 4.82-1.79 10 .61 9.29 3.11-.86-.09-5.71-.61-9.29Z"
        style={{
          fill: "#96c0e0",
        }}
      />
      <Path
        d="M43 31.78c-4.45 5.06-12.22 5-18.11 2.75l-3.13-1.35a50.53 50.53 0 0 1-7.59-4.92c-1.14-1-2.29-2-3.4-3 2.47 1.7 4.89 3.43 7.47 4.95C25.5 34.51 35.8 37.9 43 31.74Z"
        style={{
          fill: "#da9f86",
        }}
      />

      {/* Eyelashes */}
      <Path
       opacity= {props.eyelashes}
        d="M14.41 24.09c-.35-.42-.79-.93-1.14-1.43a14.14 14.14 0 0 1-1-1.56 14.23 14.23 0 0 1-1.34-3.34 13.1 13.1 0 0 0 2.14 2.74 12.46 12.46 0 0 0 1.28 1.13c.45.35.88.63 1.41 1ZM17.08 23.42a10.4 10.4 0 0 1-1.22-1.26 9.78 9.78 0 0 1-.93-1.44 11.48 11.48 0 0 1-1.07-3.11 11.3 11.3 0 0 0 1.87 2.52 8.52 8.52 0 0 0 1.16.94 8.33 8.33 0 0 0 1.29.68ZM20 22.78a18.79 18.79 0 0 1-2-2.37 9.44 9.44 0 0 1-1.28-2.73 8.7 8.7 0 0 0 2 2.05 18 18 0 0 0 2.44 1.48Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
    </G>
  </Svg>
);

export default SvgSadPos2;
