import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgDisgustPos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 113.3 78.38"
    {...props}
  >
    <Defs>
      <ClipPath id="DisgustPos3_svg__c">
        <Path
          d="M78.89 35.36c3.78-13 20.69-27.27 30.74-8.49-2.79 10.37-15.08 15.13-30.74 8.49Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="DisgustPos3_svg__d">
        <Path
          d="M42.73 35.26C40 22.68 23.58 10.71 10.5 28.78 14 39 27.53 42.9 42.73 35.26Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="DisgustPos3_svg__e">
        <Path
          d="M64.68 65.25c10-1.25 13.84 5.26 12.75 8.15-1.25 3.31-5.46-1-15.19.17-7.08.88-14.56 5.09-16.28 2-1.17-2.14 6.73-8.82 18.72-10.32Z"
          style={{
            stroke: "#b46a57",
            strokeMiterlimit: 10,
            strokeWidth: "1.35px",
            fill: "#da9f86",
          }}
        />
      </ClipPath>

       {/* Cheeks */}
      <RadialGradient
        id="DisgustPos3_svg__a"
        cx={719.27}
        cy={164.32}
        r={19.54}
        gradientTransform="matrix(.9 0 0 .9 -548.08 -92.93)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="DisgustPos3_svg__b"
        cx={643.6}
        cy={164.58}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -556.43 -92.93)"
        
        gradientUnits="userSpaceOnUse"
      >
          <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
    </Defs>
    <G data-name="Layer 2">
      <Path
        d="M108.94 56.26a67.2 67.2 0 0 1-8.23 17.55c-11 0-19.84-8.42-19.84-19.38a19.84 19.84 0 0 1 19.84-19.84c10.96 0 12.29 8.79 8.23 21.67Z"
        style={{
          fill: "url(#DisgustPos3_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={54.43}
        r={19.84}
        style={{
          fill: "url(#DisgustPos3_svg__a)",
          opacity: 0.4,
        }}
      />
      <Path
        d="M104.1 15.42c-6.1-3.13-12.45-1.56-17.5 2.46-.71.58-1.41 1.17-2.18 1.73.52-.78 1.09-1.53 1.68-2.27 4.4-5.24 12.82-7 18-1.92Z"
      fill={props.skinDef}
      />
      <Path
        d="M78.89 35.36c3.78-13 20.69-27.27 30.74-8.49-2.79 10.37-15.08 15.13-30.74 8.49Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#DisgustPos3_svg__c)",
        }}
      >
        {/* Left eye*/}
        <Circle
          cx={98.37}
          cy={26.86}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={98.37}
          cy={26.86}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={94.88}
          cy={24.95}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M79.94 35.84c10.46 2.74 25.93 4 29.69-9a15.71 15.71 0 0 1-1.39 4.2c-5.47 10-19.3 8.31-28.3 4.77Z"
        style={{
          fill: "#da9f86",
        }}
      />
      <Path
        d="M78.84 35.36c1-10.8 12.77-23.58 24.13-17.56a14.94 14.94 0 0 1 6.62 9.08c-2.33-2.62-4.73-5.27-7.88-6.65-10.25-4.23-19.37 6.4-22.87 15.13Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      {/* Nose */}
      <Path
        d="M64.49 42.86a7.41 7.41 0 0 0 3.22 4.67c1.8 1.27 4 2.1 5.12 4.39 1.86 3.9-1.15 7.9-5.06 8.48a9.06 9.06 0 0 1-3.28.08c3.11-1.48 7.19-3.55 5.79-7.35-.52-1.27-2.41-2.35-4-4a6.47 6.47 0 0 1-1.8-6.29Z"
        fill={props.skinDef}
      />

       {/* Eyebrow */}
      <Path
        d="M78.17 13.74C82.37 4 96-4.67 105.66 2.85c4.24 4.12 1.14 1.82-1.83 1.32-9.38-2-18 5.11-25.66 9.57Z"
        fill={props.eyebrow}
      />
      <Path
        d="M42.73 35.26C40 22.68 23.58 10.71 10.5 28.78 14 39 27.53 42.9 42.73 35.26Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#DisgustPos3_svg__d)",
        }}
      >
         {/* eyecolor*/}
        <Circle
          cx={30.73}
          cy={27.71}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={30.73}
          cy={27.71}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={27.09}
          cy={25.58}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M42.73 35.26c-3.36-9.35-14-17.78-23.83-12.74-3.16 1.49-5.77 3.86-8.4 6.26a17.87 17.87 0 0 1 7.08-8.66c10.79-6.71 24.34 3.73 25.15 15.14Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

      
      <Path
        d="M13.05 20.5a15 15 0 0 1 18.48-3.74 21.45 21.45 0 0 1 2.4 1.56c-.93-.26-1.78-.63-2.68-.88a20.86 20.86 0 0 0-18.2 3.06ZM41.71 35.81c-9 4.41-22.5 6.17-29.13-3.05a18.2 18.2 0 0 1-2.08-4c5.92 12 20.39 10.77 31.21 7ZM64.68 65.25c10-1.25 13.84 5.26 12.75 8.15-1.25 3.31-5.46-1-15.19.17-7.08.88-14.56 5.09-16.28 2-1.17-2.14 6.73-8.82 18.72-10.32Z"
        fill={props.skinDef}
      />
      <G
        style={{
          clipPath: "url(#DisgustPos3_svg__e)",
        }}
      >
        <Path
          d="M48.9 69.14a313.86 313.86 0 0 0 31.41-1.39S69 55.12 48.9 69.14Z"
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M64.68 65.25c10-1.25 13.84 5.26 12.75 8.15-1.25 3.31-5.46-1-15.19.17-7.08.88-14.56 5.09-16.28 2-1.17-2.14 6.73-8.82 18.72-10.32Z"
        stroke={props.mouth}
        style={{
          fill: "none",
          stroke: "#b46a57",
          strokeMiterlimit: 10,
          strokeWidth: "1.35px",
        }}
      />
      <Path
        d="M56.55 78.38c3.91-1.9 8.84-2.43 12.85-.57a44.38 44.38 0 0 0-12.85.57Z"
        fill={props.skinDef}
      />
      {/* Eyebrow */}
      <Path
        d="M45.09 19a8.3 8.3 0 0 1-4.61.09c-7-1.37-12.37-7.09-19.37-8.37a49.23 49.23 0 0 0-8.47-.72c5.11-3.94 12.67-3.8 18-.39 5 2.92 8.8 7.72 14.48 9.36Z"
        fill={props.eyebrow}
      />
      <Path
        d="M43.28 21.34a13.2 13.2 0 0 0 6.08-2.27 5.3 5.3 0 0 1-6.08 2.27Z"
        fill={props.skinDef}
      />
      <Path
      opacity= {props.eyelashes}
        d="M107.2 23.2a16.47 16.47 0 0 0 6.1-4.57 17.19 17.19 0 0 1-4.93 6.19l-1.17-1.62ZM105.51 20.41a11.17 11.17 0 0 0 4.81-3.87A12.11 12.11 0 0 1 106.7 22l-1.19-1.6ZM102.89 18.15a8.13 8.13 0 0 0 3.83-2.94 7.91 7.91 0 0 1-1 2.44 11.93 11.93 0 0 1-1.67 2.11l-1.2-1.61ZM12.23 26.91a17.19 17.19 0 0 1-4.93-6.19 13.11 13.11 0 0 0 2.77 2.65 27.41 27.41 0 0 0 3.33 1.92l-1.17 1.62ZM13.89 24.1a12.17 12.17 0 0 1-3.61-5.47 12.11 12.11 0 0 0 2.15 2.3 12.34 12.34 0 0 0 2.66 1.57l-1.2 1.6ZM16.51 21.85a9.18 9.18 0 0 1-2.63-4.55 8.19 8.19 0 0 0 3.82 2.95l-1.19 1.6Z"
        style={{
          fill: "#1d1d1b",
        }}
      />

    {/* freckles */}
      <G 
     opacity= {props.freckles}
      >
      <Circle
        cx={32.12}
        cy={47.11}
        r={0.91}
       fill= {props.freckleColor}
      />
      <Circle
        cx={42.42}
        cy={49.09}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={49.11}
        cy={43.64}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={55.68}
        cy={40.87}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={61.33}
        cy={43.64}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={68.42}
        cy={43.64}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={65.36}
        cy={40.1}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={74.33}
        cy={40.87}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={59.78}
        cy={36.49}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={54.78}
        cy={45.63}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={86.68}
        cy={49.09}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={96.99}
        cy={47.11}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={79.99}
        cy={43.64}
        r={0.78}
        fill= {props.freckleColor}
      />
      <Circle
        cx={70.23}
        cy={36.72}
        r={0.91}
        fill= {props.freckleColor}
      />
      <Circle
        cx={74.33}
        cy={45.63}
        r={0.78}
        fill= {props.freckleColor}
      />
      </G>
    </G>
  </Svg>
);

export default SvgDisgustPos3;
