import * as React from "react";
import Svg, {
  Defs,
  ClipPath,
  Path,
  RadialGradient,
  Stop,
  G,
  Circle,
} from "react-native-svg";

const SvgFearPos3 = (props) => (
  <Svg
    xmlns="http://www.w3.org/2000/svg"
    xmlnsXlink="http://www.w3.org/1999/xlink"
    viewBox="0 0 114.24 93.66"
    {...props}
  >
    <Defs>
      <ClipPath id="FearPos3_svg__c">
        <Path
          d="M42.86 48.4c0-14.8-23-29.6-32.23-6.48 3.49 14.92 23.15 14.87 32.23 6.48Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <ClipPath id="FearPos3_svg__d">
        <Path
          d="M63.1 79.73c12.8-1.33 20.5 4.38 19.31 7.61-1.36 3.71-10.44 0-18.85.8-7.92.76-17.07 4.78-18.83 1.24-1.53-3.07 5.58-8.33 18.37-9.65Z"
          style={{
            stroke: "#b46a57",
            strokeMiterlimit: 10,
            strokeWidth: "1.5px",
            fill: "#da9f86",
          }}
        />
      </ClipPath>
      <ClipPath id="FearPos3_svg__e">
        <Path
          d="M77.89 46.4c3-18.17 24.79-28.85 31.22-6.48-2.55 14.72-20.95 14.72-31.22 6.48Z"
          style={{
            fill: "#fff",
          }}
        />
      </ClipPath>
      <RadialGradient
        id="FearPos3_svg__a"
        cx={617.21}
        cy={176.9}
        r={19.54}
        gradientTransform="matrix(.9 0 0 .9 -456.69 -91.62)"
        gradientUnits="userSpaceOnUse"
      >
        <Stop offset={0.08} stopColor={props.cheeks} />
        <Stop offset={0.96} stopColor={props.cheeksDef} stopOpacity={0} />
      </RadialGradient>
      <RadialGradient
        id="FearPos3_svg__b"
        cx={541.53}
        cy={177.15}
        r={22.16}
        gradientTransform="matrix(.9 0 0 .9 -465.05 -91.62)"
        xlinkHref="#FearPos3_svg__a"
      />
    </Defs>
    <G data-name="Layer 2">
      <Path
      opacity= {props.eyelashes}
        d="M107.92 35.87a16.37 16.37 0 0 0 6.32-4.27 17.2 17.2 0 0 1-5.24 5.94l-1.1-1.67ZM106.37 33a11.08 11.08 0 0 0 5-3.63 12.14 12.14 0 0 1-3.87 5.29L106.37 33ZM103.87 30.63a8.18 8.18 0 0 0 4-2.76 8 8 0 0 1-1.08 2.4 12.21 12.21 0 0 1-1.77 2l-1.11-1.66ZM12.25 39.06A17.16 17.16 0 0 1 7 33.12a13.21 13.21 0 0 0 2.89 2.51 27.56 27.56 0 0 0 3.42 1.76l-1.1 1.67ZM13.78 36.18a12.28 12.28 0 0 1-3.87-5.29 12.3 12.3 0 0 0 2.26 2.19 12.24 12.24 0 0 0 2.73 1.44l-1.12 1.66ZM16.29 33.81a9.17 9.17 0 0 1-2.85-4.42 8.28 8.28 0 0 0 4 2.76l-1.12 1.66Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M108.94 68.83a67.2 67.2 0 0 1-8.23 17.55c-11 0-19.84-8.42-19.84-19.38a19.84 19.84 0 0 1 19.84-19.84c10.96 0 12.29 8.84 8.23 21.67Z"
        style={{
          fill: "url(#FearPos3_svg__a)",
          opacity: 0.4,
        }}
      />
      <Circle
        cx={19.84}
        cy={67}
        r={19.84}
        style={{
          fill: "url(#FearPos3_svg__a)",
          opacity: 0.4,
        }}
      />
      {/* Nose */}
      <Path
        d="M64.49 55.43a7.41 7.41 0 0 0 3.22 4.67c1.8 1.27 4 2.1 5.12 4.39 1.86 3.9-1.15 7.9-5.06 8.48a9.29 9.29 0 0 1-3.28.09c3.11-1.49 7.19-3.56 5.79-7.36-.52-1.27-2.41-2.34-4-4a6.47 6.47 0 0 1-1.8-6.29Z"
        fill={props.skinDef}
      />
      <Path
        d="M42.86 48.4c0-14.8-23-29.6-32.23-6.48 3.49 14.92 23.15 14.87 32.23 6.48Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#FearPos3_svg__c)",
        }}
      >
        <Circle
          cx={26.86}
          cy={41.85}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={26.86}
          cy={41.85}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={23.22}
          cy={39.72}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M42.86 48.4c-2-11.55-12.86-22.14-24.38-15.08-3.18 2-5.6 5.14-7.85 8.6a17.52 17.52 0 0 1 6.27-10.83c5.33-4.29 13.44-3.74 18.61.51 5.08 3.92 7.61 10.63 7.35 16.8Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M42.84 2.77C38 11 27.3 12 19.06 14.51a64.3 64.3 0 0 0-8.23 3 18.19 18.19 0 0 1 6.84-6.3c8.08-4.41 17-4.3 25.17-8.48Z"
        fill={props.eyebrow}
      />
      <Path
        d="M57.42 93.66c3.89-1.94 8.81-2.51 12.85-.69a44.4 44.4 0 0 0-12.85.69ZM16 28.07c5.45-5.74 15.22-5.21 20.91-.09-1.5-.57-3-1.18-4.55-1.65A21.28 21.28 0 0 0 16 28.07ZM42.29 48.92c-2.28 2.33-5.43 3.6-8.5 4.53-7.66 2.41-17.69.89-21.57-7a20.07 20.07 0 0 1-1.59-4.58 23.39 23.39 0 0 0 2 4.33c5.95 10 21.25 8.58 29.65 2.67ZM63.1 79.73c12.8-1.33 20.5 4.38 19.31 7.61-1.36 3.71-10.44 0-18.85.8-7.92.76-17.07 4.78-18.83 1.24-1.53-3.07 5.58-8.33 18.37-9.65Z"
        fill={props.cheeks}
      />
      <G
        style={{
          clipPath: "url(#FearPos3_svg__d)",
        }}
      >
        <Path
          d="M48.17 83.31a256.09 256.09 0 0 0 30-1.63 29.78 29.78 0 0 0-30 1.63Z"
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M63.1 79.73c12.8-1.33 20.5 4.38 19.31 7.61-1.36 3.71-10.44 0-18.85.8-7.92.76-17.07 4.78-18.83 1.24-1.53-3.07 5.58-8.33 18.37-9.65Z"
        stroke={props.mouth}
        style={{
          fill: "none",
          strokeMiterlimit: 10,
          strokeWidth: "1.5px",
        }}
      />
      <Path
        d="M44.6 6.93A18.81 18.81 0 0 0 47.75 0a6.85 6.85 0 0 1-3.15 6.93Z"
        fill={props.skinDef}
      />
      <Path
        d="M77.89 46.4c3-18.17 24.79-28.85 31.22-6.48-2.55 14.72-20.95 14.72-31.22 6.48Z"
        style={{
          fill: "#fff",
        }}
      />
      <G
        style={{
          clipPath: "url(#FearPos3_svg__e)",
        }}
      >
        <Circle
          cx={92.89}
          cy={39.85}
          r={8.47}
          fill={props.eyecolor}
        />
        <Circle
          cx={92.89}
          cy={39.85}
          r={4.23}
          style={{
            fill: "#1d1d1b",
          }}
        />
        <Circle
          cx={88.62}
          cy={37.72}
          r={1.92}
          style={{
            fill: "#fff",
          }}
        />
      </G>
      <Path
        d="M77.89 46.4c-.19-10.62 8.54-21.67 19.88-20.25 6.74.68 11.69 7.21 11.34 13.77-2.67-7.38-9-12.7-17.1-10.39-7.55 2-12.31 9.55-14.12 16.87Z"
        style={{
          fill: "#1d1d1b",
        }}
      />
      <Path
        d="M76.9.77a233 233 0 0 0 23.33 9.35 62.19 62.19 0 0 1 8 3.52 38.11 38.11 0 0 1-17.36-2.16C85.32 9.42 79.87 6 76.9.77Z"
        fill={props.eyebrow}
      />
      <Path
        d="M105.73 26.07c-4.52-3.7-10.39-3.57-15.6-2-1.6.49-3.74 1.34-5.31 1.9 5.65-4.84 16.11-6.89 20.91.09ZM78.45 46.92c5 3.58 11.69 4.71 17.73 4.22a14 14 0 0 0 12.93-11.22 17 17 0 0 1-1.27 4.56C103 55.2 86 53.75 78.45 46.92Z"
        fill={props.cheeks}
      />

      {/* freckles */}
      <G 
     opacity= {props.freckles}
      >
      <Circle
        cx={31.25}
        cy={59.95}
        r={0.91}
        fill={props.cheeks}
      />
      <Circle
        cx={41.56}
        cy={61.94}
        r={0.91}
        fill={props.cheeks}
      />
      <Circle
        cx={48.24}
        cy={56.48}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={54.82}
        cy={53.72}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={60.47}
        cy={56.48}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={67.55}
        cy={56.48}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={64.49}
        cy={52.94}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={73.46}
        cy={53.72}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={58.91}
        cy={49.34}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={53.91}
        cy={58.47}
        r={0.91}
        fill={props.cheeks}
      />
      <Circle
        cx={85.81}
        cy={61.94}
        r={0.91}
        fill={props.cheeks}
      />
      <Circle
        cx={96.12}
        cy={59.95}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={79.13}
        cy={56.48}
        r={0.78}
        fill={props.cheeks}
      />
      <Circle
        cx={69.37}
        cy={49.56}
        r={0.91}
        fill={props.cheeks}
      />
      <Circle
        cx={73.46}
        cy={58.47}
        r={0.78}
        fill={props.cheeks}
      />
      </G>
    </G>
  </Svg>
);

export default SvgFearPos3;
