import React from "react";
import { StyleSheet  } from "react-native";
import { useSelector } from "react-redux";

// import * as hues from "../../../../utils/constants/hueHandler"

import { 
  selectSkinPrimary,
  selectSkinDefinition, 
  selectMouth, 
  selectCheecks, 
  selectCheeksGradiant } from "src/global/reducers/avatar/skinSlice"

// import { selectMood } from "src/global/reducers/avatar/moodStyleSlice"
import { selectLashes, selectIsFreckles, selectIsCheeks } from 'src/global/reducers/avatar/featuresSlice'
import { selectEyeColor } from 'src/global/reducers/avatar/eyesSlice'
import { selectHairDefinition } from 'src/global/reducers/avatar/hairStyleSlice'

import SvgExcitedPos3 from "./Pos3/ExcitedPos3"
import SvgJoyPos3 from "./Pos3/JoyPos3"
import SvgDisgustPos3 from "./Pos3/DisgustPos3"
import SvgSadPos3 from "./Pos3/SadPos3"
import SvgFearPos3 from "./Pos3/FearPos3"
import SvgShamePos3 from "./Pos3/ShamePos3"
import SvgAngerPos3 from "./Pos3/AngerPos3"
    
import Anger from "./Pos1/AngerPos1";
import Joy from "./Pos1/JoyPos1";
import Fear from "./Pos1/FearPos1";
import Excited from "./Pos1/ExcitedPos1"
import Shame from "./Pos1/ShamePos1"
import Sad from "./Pos1/SadPos1"
import Unsure from './Pos1/UnsurePos1'
import Disgust from "./Pos1/DisgustPos1"
import SvgAngerPos2 from "./Pos2/AngerPos2";
import SvgDisgustPos2 from "./Pos2/DisgustPos2";
import SvgExcitedPos2 from "./Pos2/ExcitedPos2";
import SvgFearPos2 from "./Pos2/FearPos2";
import SvgJoyPos2 from "./Pos2/JoyPos2";
import SvgSadPos2 from "./Pos2/SadPos2";
import SvgShamePos2 from "./Pos2/ShamePos2";
import SvgUnsurePos3 from "./Pos3/UnsurePos3";

const styles = StyleSheet.create({ 
    expressionStyle: {
    position: 'absolute', 
    left: '24%',
    top: '34%',
    width: '52%',
    height: '52%'
  }, 
 unsureStyle: {
    position: 'absolute', 
    left: '25.1%',
    top: '34%',
    width: '51%',
    height: '51%'
  }, 

  expressionStyle2: {
    position: 'absolute', 
    left: '51%',
    top: '43.5%',
    width: '40%',
    height: '40%'
  }, 

  excitedStyle2: {
    position: 'absolute', 
    left: '47.2%',
    top: '40.5%',
    width: '46%',
    height: '46%'
  },  

  fearStyle2: {
    position: 'absolute', 
    left: '47.4%',
    top: '36%',
    width: '48%',
    height: '48%'
  },

  joyStyle2: {
    position: 'absolute', 
    left: '48.5%',
    top: '42%',
    width: '39.5%',
    height: '39.5%'
  },

  sadStyle2: {
    position: 'absolute', 
    left: '48.5%',
    top: '42%',
    width: '39.5%',
    height: '39.5%'
  },

  shameStyle2: {
    position: 'absolute', 
    left: '50%',
    top: '45%',
    width: '37%',
    height: '37%'
  },

    angerStyle: {
    position: 'absolute', 
    left: '24%',
    top: '38%',
    width: '52%',
    height: '52%'
  }, 
  angerStyle2: {
    position: 'absolute', 
    left: '46.7%',
    top: '42.5%',
    width: '42%',
    height: '42%'
  }, 
  stylePos3: {
    position: 'absolute', 
    left: '34.5%',
    top: '41.0%',
    width: '46%',
    height: '46%'
  }, 
  styleDisgustPos3: {
    position: 'absolute', 
    left: '34.6%',
    top: '39%',
    width: '45%',
    height: '45%'
  }, 
  styleExcitedPos3: {
    position: 'absolute', 
    left: '32.6%',
    top: '36%',
    width: '50%',
    height: '50%'
  }, 
  styleFearPos3: {
    position: 'absolute', 
    left: '33.4%',
    top: '33%',
    width: '50%',
    height: '50%'
  }, 
  styleJoyPos3: {
    position: 'absolute', 
    left: '34.5%',
    top: '39%',
    width: '45%',
    height: '45%'
  }, 
  styleSadPos3: {
    position: 'absolute', 
    left: '34.5%',
    top: '38%',
    width: '46%',
    height: '46%'
  }, 
  styleShamePos3: {
    position: 'absolute', 
    left: '34.5%',
    top: '38%',
    width: '46%',
    height: '46%'
  }, 
  styleUnsurePos3: {
    position: 'absolute', 
    left: '34.2%',
    top: '38%',
    width: '45%',
    height: '45%'
  }, 
})

const FaceComponent = (props) => {

const pos = props.pos

let isCheeks = null
if(props.parent.cheekPreview){
  isCheeks = props.parent.cheeks
} else {
isCheeks = useSelector(selectIsCheeks);
}

let eyelashes = null
if(props.parent.lashPreview){
  eyelashes = props.parent.lashes
} else {
  eyelashes = useSelector(selectLashes);
}

let freckles = null
if(props.parent.frecklePreview){
  freckles = props.parent.freckles
} else{
 freckles = useSelector(selectIsFreckles) 
}

const skin = useSelector(selectSkinPrimary);
const skinDef = useSelector(selectSkinDefinition);

const cheeksColor = isCheeks ? useSelector(selectCheecks) : skin;
const cheeksDef = isCheeks ? useSelector(selectCheeksGradiant) : skin;
const mouth = useSelector(selectMouth);
const eyecolor = useSelector(selectEyeColor);
const eyebrow = useSelector(selectHairDefinition);
const freckleColor = cheeksColor;

const mood = props.mood;

let shownMood = null

if(pos == 1){
switch(mood){
  case 0: 
    shownMood = null
    break;
  case 1: 
    shownMood = <Anger style = {styles.angerStyle} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
                eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
                skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;
  case 2: 
  shownMood = <Disgust style = {styles.expressionStyle} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
  break; 
  case 3: 
    shownMood = <Excited style = {styles.expressionStyle} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
  break; 
  case 4: 
  shownMood = <Fear style = {styles.expressionStyle} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
          eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
          skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
  break;
  case 5: 
  shownMood = <Joy style = {styles.expressionStyle} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
            eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
            skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
  break;  
  case 6: 
  shownMood = <Sad style = {styles.expressionStyle} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
            eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
            skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
  break;
  case 7: 
  shownMood = <Shame style = {styles.expressionStyle} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
            eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
            skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
  break;
  case 8: 
  shownMood = <Unsure style = {styles.unsureStyle} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
  eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
  skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
  break; 
}
} else if (pos == 2){
  switch(mood){
    case 0: 
      shownMood = null
      break;
    case 1: 
      shownMood = <SvgAngerPos2 style = {styles.angerStyle2} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
                  eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
                  skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
      break;
    case 2: 
    shownMood = <SvgDisgustPos2 style = {styles.expressionStyle2} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
                eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
                skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break; 
    case 3: 
      shownMood = <SvgExcitedPos2 style = {styles.excitedStyle2} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
                eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
                skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break; 
    case 4: 
    shownMood = <SvgFearPos2 style = {styles.fearStyle2} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
            eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
            skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;
    case 5: 
    shownMood = <SvgJoyPos2 style = {styles.joyStyle2} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;  
    case 6: 
    shownMood = <SvgSadPos2 style = {styles.sadStyle2} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;
    case 7: 
    shownMood = <SvgShamePos2 style = {styles.shameStyle2} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;
  }
} else if (pos == 3){
  switch(mood){
    case 0: 
      shownMood = null
      break;
    case 1: 
      shownMood = <SvgAngerPos3 style = {styles.stylePos3} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
                  eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
                  skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
      break;
    case 2: 
    shownMood = <SvgDisgustPos3 style = {styles.styleDisgustPos3} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
                eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
                skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break; 
    case 3: 
      shownMood = <SvgExcitedPos3 style = {styles.styleExcitedPos3} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
                eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
                skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break; 
    case 4: 
    shownMood = <SvgFearPos3 style = {styles.styleFearPos3} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
            eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
            skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;
    case 5: 
    shownMood = <SvgJoyPos3 style = {styles.styleJoyPos3} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;  
    case 6: 
    shownMood = <SvgSadPos3 style = {styles.styleSadPos3} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;
    case 7: 
    shownMood = <SvgShamePos3 style = {styles.styleShamePos3} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;
    case 8: 
    shownMood = <SvgUnsurePos3 style = {styles.styleUnsurePos3} mouth={mouth} isCheeks = {isCheeks} cheeks={cheeksColor} cheeksDef={cheeksDef}
              eyecolor={eyecolor} eyebrow={eyebrow} freckleColor={freckleColor}
              skinDef={skinDef} freckles={freckles} eyelashes={eyelashes}/>
    break;
  }
}

    return (
        shownMood
    );
}

export default FaceComponent;
