import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from "react-redux";

import { 
  selectSkinPrimary,
   } from 'src/global/reducers/avatar/skinSlice'

import { selectLeftLegProsthesis, selectLeftLegOrthosis } from 'src/global/reducers/avatar/aidSlice'

import {
    selectBottom, selectBottomPrimary, selectBottomSecondary, selectBottomQuaternary
  } from 'src/global/reducers/avatar/bottomStyleSlice'

import ProsthesisLeg from "./ProsthesisLeg"
import LegPos1 from "./LegPos1"
import SvgLeftPantLeg from "../../clothing/bottoms/pant/Pos1/PantLeftLeg";
import SvgLegPos2 from "./LegPos2";
import SvgPantLegPos2 from "../../clothing/bottoms/pant/Pos2/PantLegPos2";
import SvgLegPos3 from "./LegPos3";

import SvgPantLegPos4 from "../../clothing/bottoms/pant/Pos4/PantPos4LeftLeg"
import SvgSkirtPos4 from "../../clothing/bottoms/skirt/SkirtPos4"

import SvgPantPos3 from "../../clothing/bottoms/pant/Pos3/PantLeftLegPos3"
import SvgLegOrtosisPos1 from "./LegOrthosisPos1";
import SvgLegOrthosisPos2 from "./LegOrthosisPos2";


const styles = StyleSheet.create({
  container: {
    height: '60%',
    width: '60%',
    top: '10%',
    left: '20%'
  }, 
  prosthesis: {
    position: 'absolute', 
    left: '3.5%',
    top: '6.5%',
    width: '93%',
    height: '93%',
    transform: [{rotateY: "180deg"}]
  },
  orthosis: {
    position: 'absolute', 
    left: '1.6%',
    top: '6.5%',
    width: '97%',
    height: '97%',
    transform: [{rotateY: "180deg"}]
  },

  prosthesis2: {
    position: 'absolute', 
    left: '2%',
    top: '6.5%',
    transform: [{rotateY: "180deg"}, {rotate: "10deg"}]
  },

  orthosis2: {
    position: 'absolute', 
    left: '5.0%',
    top: '6.5%',
    width: '97%',
    height: '97%',
    transform: [{rotate: "-15deg"}]
  },

  pant: {
    position: 'absolute', 
    left: '7.5%',
    top: '6.5%',
    width: '86%',
    height: '86%'
  }, 
  pant2: {
    position: 'absolute', 
    left: '5.7%',
    top: '6.5%',
    width: '86.5%',
    height: '86.5%'
  }, 
  pant3: {
    position: 'absolute', 
    left: '8.5%',
    top: '7.5%',
    width: '87%',
    height: '87%'
  },
  pant5: {
    position: 'absolute', 
    left: '4.0%',
    top: '-0.7%',
    width: '92%',
    height: '92%'
  },
  pant4: {
    position: 'absolute', 
    left: '2.7%',
    top: '-4%',
    width: '96%',
    height: '96%',
  }, 
  skirt4: {
    position: 'absolute', 
    left: '4.5%',
    top: '-29%',
    width: '62%',
    height: '62%',
  }
})

const LeftLegComponent = (props) => {

const pos = props.pos
const horse = props.horse
const isProsthesis = useSelector(selectLeftLegProsthesis);
const isOrthosis = useSelector(selectLeftLegOrthosis);

const bottomPrimary = useSelector(selectBottomPrimary);
const bottomSecondary = useSelector(selectBottomSecondary);
const qtr = useSelector(selectBottomQuaternary);
  
let pant = useSelector(selectBottom);
switch(props.clothing){
  case 1: 
  pant = 1
  break;
  case 2: 
  pant = 0
  break; 
  case 3: 
  pant = 0 
  break;
  case 6: 
  pant = 0; 
  break; 
  case 7:
  pant = 1  
}

const skin = useSelector(selectSkinPrimary);

let shownPant = null; 
let shownPos = null;

if(pos == 1){
  if(isProsthesis){
    shownPos = <ProsthesisLeg style={styles.prosthesis}/>
  } else if(isOrthosis){
    shownPos = <SvgLegOrtosisPos1 style={styles.orthosis} skin={skin}/>
  } else {
  shownPos = <LegPos1 skin={skin}/>
  }
if(pant == 1){
    shownPant= <SvgLeftPantLeg style={styles.pant}
    primary={bottomPrimary} secondary={bottomSecondary}/>
} 
} else if (pos == 2){
  if(isProsthesis){
    shownPos = <ProsthesisLeg/>
  }else if(isOrthosis){
      shownPos = <SvgLegOrthosisPos2 skin={skin}/>
  } else {
    shownPos = <SvgLegPos2 skin={skin}/>
  }

  if(pant == 1){
    shownPant= <SvgPantLegPos2 style={styles.pant2}
    primary={bottomPrimary} secondary={bottomSecondary}/>
} 
} else if (pos == 3){
  if(isProsthesis){
    shownPos = <ProsthesisLeg style={styles.prosthesis2}/>
  }else if(isOrthosis){
    shownPos = <SvgLegOrthosisPos2 skin={skin} style={styles.orthosis2}/>
  } else {
  shownPos = <SvgLegPos3 skin={skin}/>
  }
  if(pant == 1){
    shownPant= <SvgPantPos3  style={styles.pant3}
    primary={bottomPrimary} secondary={bottomSecondary}/>
} 
} else if (pos == 4){
  if(isProsthesis){
    shownPos = <ProsthesisLeg style={styles.prosthesis}/>
  }
  else {
  shownPos = <LegPos1 skin={skin}/>
  }
if(pant == 1){
    shownPant= <SvgPantLegPos4 style={styles.pant4}
    primary={bottomPrimary} secondary={bottomSecondary}/>
} else if(pant == 3){
  shownPant= <SvgSkirtPos4 style={styles.skirt4}
    primary={bottomPrimary} secondary={bottomSecondary}/>
}
} else if(pos == 5){
  if(isProsthesis){
    shownPos = <ProsthesisLeg style={styles.prosthesis2}/>
  } else {
  shownPos = <SvgLegPos3 skin={skin}/>
  }
  if(pant == 1){
    shownPant= <SvgPantPos3  style={styles.pant5}
    primary={bottomPrimary} secondary={bottomSecondary}/>
} 
}
    return (
      <View style={styles.container}>
       {shownPos}
       {shownPant}
        </View>
    );
}
export default LeftLegComponent;
