import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from "react-redux";

import { 
  selectSkinPrimary,
   } from 'src/global/reducers/avatar/skinSlice'

import { selectRightLegProsthesis, selectRightLegOrthosis } from 'src/global/reducers/avatar/aidSlice'

import {
    selectBottom, selectBottomPrimary, selectBottomSecondary, selectBottomQuaternary
  } from 'src/global/reducers/avatar/bottomStyleSlice'

import ProsthesisLeg from "./ProsthesisLeg"
import LegPos1 from "./LegPos1"
import SvgRightPantLeg from "../../clothing/bottoms/pant/Pos1/PantRightLeg";
import SvgLegPos2 from "./LegPos2";
import SvgPantLegPos2 from "../../clothing/bottoms/pant/Pos2/PantLegPos2";
import SvgPantLegPos4 from "../../clothing/bottoms/pant/Pos4/PantPos4RightLeg"
import SvgLegOrtosisPos1 from "./LegOrthosisPos1";
import SvgLegOrthosisPos2 from "./LegOrthosisPos2";


const styles = StyleSheet.create({
  container: {
    height: '60%',
    width: '60%',
    top: '10%',
    left: '20%'
  }, 

  prosthesis: {
    position: 'absolute', 
    left: '3.5%',
    top: '6.5%',
    width: '93%',
    height: '93%',
    transform: [{rotateY: "180deg"}]
  },
  orthosis: {
    position: 'absolute', 
    left: '1.4%',
    top: '6.5%',
    width: '97%',
    height: '97%',
    transform: [{rotateY: "180deg"}]
  },

  pos2: {
    transform: [{rotateY: "180deg"}]
  },

  pos2Prosthesis: {
    transform: [{rotateY: "180deg"}], 
    top: '3%',
    left: '0%'
  },
  pant: {
    position: 'absolute', 
    left: '7.2%',
    top: '6.5%',
    width: '86%',
    height: '86%'
  }, 
  pant3: {
    position: 'absolute', 
    left: '8.2%',
    top: '6.5%',
    width: '87%',
    height: '87%'
  }, 

  pant2: {
    position: 'absolute', 
    left: '5.7%',
    top: '6.5%',
    width: '86.5%',
    height: '86.5%'
  }, 
  pant4: {
    position: 'absolute', 
    left: '2.7%',
    top: '-4%',
    width: '96%',
    height: '96%', 
    transform: [{rotateY: "180deg"}], 
  }
})

const RightLegComponent = (props) => {

const pos = props.pos
const isProsthesis = useSelector(selectRightLegProsthesis);
const isOrthosis = useSelector(selectRightLegOrthosis);

const bottomPrimary = useSelector(selectBottomPrimary);
const bottomSecondary = useSelector(selectBottomSecondary);
const qtr = useSelector(selectBottomQuaternary);
  
let pant = useSelector(selectBottom);
switch(props.clothing){
  case 1: 
  pant = 1
  break;
  case 2: 
  pant = 0
  break; 
  case 3: 
  pant = 0;
  break; 
  case 7: 
  pant = 1
   
}
const skin = useSelector(selectSkinPrimary);

let shownPant = null; 
let shownPos = null; 

if(pos == 1){
  if(isProsthesis){
    shownPos = <ProsthesisLeg style={styles.prosthesis}/>
  } else if(isOrthosis){
    shownPos = <SvgLegOrtosisPos1 style={styles.orthosis} skin={skin}/>
  } else {
  shownPos = <LegPos1 skin={skin}/>
  }
if(pant == 1){
    shownPant= <SvgRightPantLeg style={[styles.pant, {transform: [{rotateY: "180deg"}]}]}
    primary={bottomPrimary} secondary={bottomSecondary}/>
} 
} else if (pos == 2){
  if(isProsthesis){
    shownPos = <ProsthesisLeg style={styles.pos2Prosthesis}/>
  } else if(isOrthosis){
    shownPos = <SvgLegOrthosisPos2/>
  }else {
  shownPos = <SvgLegPos2 style={styles.pos2} skin={skin}/>
  }
  if(pant == 1){
    shownPant= <SvgPantLegPos2 style={styles.pant2}
    primary={bottomPrimary} secondary={bottomSecondary}/>
} 
} else if (pos == 3){
  shownPos = <LegPos1 skin={skin}/>
if(pant == 1){
    shownPant= <SvgRightPantLeg style={[styles.pant3, {transform: [{rotateY: "180deg"}]}]}
    primary={bottomPrimary} secondary={bottomSecondary}/>
} 
} else if (pos == 4){
  if(isProsthesis){
    shownPos = <ProsthesisLeg style={styles.prosthesis}/>
  } else if(isOrthosis){
    shownPos = <SvgLegOrtosisPos1 style={styles.orthosis} skin={skin}/>
  } 
  else {
  shownPos = <LegPos1 skin={skin}/>
  }
  if(pant == 1){
    shownPant = <SvgPantLegPos4 style={styles.pant4} primary={bottomPrimary} secondary={bottomSecondary}/>
  }
}
    return (
      <View style={[styles.container, {transform: [{rotateY: "180deg"}]}]}>
        {shownPos}
        {shownPant}
        </View>
    );
}

export default RightLegComponent;
