import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from "react-redux";

import ShoulderPos1 from "./ShoulderPos1"

import {
  selectSkinPrimary,
  selectSkinDefinition
} from "src/global/reducers/avatar/skinSlice"

import {
  selectTopPrimary,
  selectTopSecondary,
  selectTop
} from "src/global/reducers/avatar/topStyleSlice"

import SvgHoodieShoulder from "../../clothing/tops/hoodie/Pos1/RightShoulder";
import SvgSweaterShoulder from "../../clothing/tops/sweater/Pos1/Shoulder";
import SvgTShirtShoulder from "../../clothing/tops/tShirt/Shoulder";
import SvgShoulderPos2 from "./ShoulderPos2";
import SvgHoodieShoulderPos2 from "../../clothing/tops/hoodie/Pos2/HoodieShoulderPos2";
import SvgSweaterShoulderPos2 from "../../clothing/tops/sweater/Pos2/SweaterShoulderPos2";
import SvgTShirtShoulderPos2 from "../../clothing/tops/tShirt/TShirtShoulderPos2";
import SvgFrontOverArmPos3 from "./RightShoulderPos3";

import SvgHoodieShoulderPos3 from "../../clothing/tops/hoodie/Pos3/HoodieRightShoulderPos3"
import SvgSweaterRightShoulderPos3 from "../../clothing/tops/sweater/Pos3/SweaterRightShoulderPos3"
import SvgTShirtShoulderPos3 from "../../clothing/tops/tShirt/TShirtRightArmPos3"

import JacketPos1 from "../../clothing/jackets/outer/Pos1/JacketOverArmPos1"
import JacketPos3 from "../../clothing/jackets/outer/Pos3/JacketRightOverArmPos3"
import WinterJacketPos1 from "../../clothing/jackets/winter/Pos1/WinterJacketOverArmPos1"
import WinterJacketPos3 from "../../clothing/jackets/winter/Pos3/WinterJacketRightOverArmPos31"

const styles = StyleSheet.create({
  container: {
    height: '60%',
    width: '60%',
    top: '10%',
    left: '20%'
  },
  sweater: {
    position: 'absolute',
    left: '11%',
    top: '6%',
    width: '78%',
    height: '78%',
    transform: [{ rotateY: "180deg" }]
  },
  tankTop: {
    position: 'absolute',
    left: '17%',
    top: '9%',
    width: '66%',
    height: '66%'
  },
  hoodie: {
    position: 'absolute',
    left: '-3%',
    top: '4.5%',
    width: '100%',
    height: '100%',
  },
  jacket: {
    position: 'absolute',
    left: '-3%',
    top: '4.5%',
    width: '100%',
    height: '100%',
    transform: [{ rotateY: "180deg" }]
  },

  hoodiePos2: {
    position: 'absolute',
    left: '0%',
    top: '-1%',
    width: '100%',
    height: '100%',

  },

  hoodiePos3: {
    position: 'absolute',
    left: '-1%',
    top: '-2%',
    width: '102%',
    height: '102%',
    transform: [{ rotate: "6.5deg" }]
  },

  jacket3: {
    position: 'absolute',
    left: '-9.5%',
    top: '-1.2%',
    width: '114%',
    height: '114%'
  },

  sweater: {
    position: 'absolute',
    left: '-2.5%',
    top: '0.5%',
    width: '106%',
    height: '106%'
  },

  sweaterPos2: {
    position: 'absolute',
    left: '-7.5%',
    top: '-3.5%',
    width: '112%',
    height: '112%'
  },
  sweaterPos3: {
    position: 'absolute',
    left: '-3.5%',
    top: '-3.5%',
    width: '106%',
    height: '106%'
  },

  tShirt: {
    position: 'absolute',
    left: '10.5%',
    top: '2.5%',
    width: '80%',
    height: '80%'
  },

  tShirtPos2: {
    position: 'absolute',
    left: '6.5%',
    top: '-4%',
    width: '84%',
    height: '84%'
  },
  tShirtPos3: {
    position: 'absolute',
    left: '8.5%',
    top: '-2%',
    width: '80%',
    height: '80%'
  },
  shoulder: {
    transform: [{ rotateY: "180deg" }]
  },
})

const RightShoulderComponent = (props) => {

  const pos = props.pos
  const gym = props.isGym

  const primaryColor = useSelector(selectTopPrimary);
  let secondaryColor = useSelector(selectTopSecondary);

  let top = useSelector(selectTop);
  switch (props.clothing) {
    case 1:
      top = 6
      break;
    case 2:
      top = 2
      secondaryColor = primaryColor
      break;
    case 3:
      top = 0
      break;
    case 7:
      top = 5
      break;
  }
  const skin = useSelector(selectSkinPrimary);
  const def = useSelector(selectSkinDefinition);

  let shownTop = null;
  let shownPos = null;

  if (pos == 1) {
    shownPos = <ShoulderPos1 style={styles.shoulder} skin={skin} def={def} />
    switch (top) {
      case 1:
        shownTop = <SvgSweaterShoulder style={[styles.sweater, { transform: [{ rotateY: "180deg" }] }]}
          secondary={secondaryColor} />
        break;
      case 2:
        shownTop = <SvgTShirtShoulder style={[styles.tShirt, { transform: [{ rotateY: "180deg" }] }]}
          secondary={secondaryColor} />
        break;
      case 4:
        shownTop = <SvgHoodieShoulder style={styles.hoodie}
          primary={primaryColor} secondary={secondaryColor} />
        break;
      case 5:
        shownTop = <JacketPos1 style={styles.jacket}
          primary={primaryColor} secondary={secondaryColor} />
        break;
      case 6:
        shownTop = <WinterJacketPos1 style={styles.hoodie}
          primary={primaryColor} secondary={secondaryColor} />
        break;
    }
  } else if (pos == 2) {
    shownPos = <SvgShoulderPos2 skin={skin} def={def} />
    switch (top) {
      case 1:
        shownTop = <SvgSweaterShoulderPos2 style={styles.sweaterPos2}
          secondary={secondaryColor} />
        break;
      case 2:
        shownTop = <SvgTShirtShoulderPos2 style={styles.tShirtPos2}
          secondary={secondaryColor} />
        break;
      case 4:
        shownTop = <SvgHoodieShoulderPos2 style={styles.hoodiePos2}
          primary={primaryColor} secondary={secondaryColor} />
        break;
    }
  } else if (pos == 3) {
    shownPos = <SvgFrontOverArmPos3 skin={skin} def={def} />
    switch (top) {
      case 1:
        shownTop = <SvgSweaterRightShoulderPos3 style={styles.sweaterPos3}
          secondary={secondaryColor} />
        break;
      case 2:
        shownTop = <SvgTShirtShoulderPos3 style={styles.tShirtPos3}
          secondary={secondaryColor} />
        break;
      case 4:
        shownTop = <SvgHoodieShoulderPos3 style={styles.hoodiePos3}
          primary={primaryColor} secondary={secondaryColor} />
        break;
      case 5:
        shownTop = <JacketPos3 style={styles.jacket3}
          primary={primaryColor} secondary={secondaryColor} />
        break;
      case 6:
        shownTop = <WinterJacketPos3 style={styles.jacket3}
          primary={primaryColor} secondary={secondaryColor} />
        break;
    }
  }
  return (
    <View style={styles.container}>
      {shownPos}
      {shownTop}
    </View>
  );
}

export default RightShoulderComponent;
