import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from "react-redux";

// import * as hues from "../../../utils/constants/hueHandler"

import { 
  selectSkinPrimary,
  selectSkinDefinition,
   } from "src/global/reducers/avatar/skinSlice"

import {
    selectBottom, selectBottomPrimary, selectBottomSecondary, selectBottomQuaternary
  } from "src/global/reducers/avatar/bottomStyleSlice"
import SvgLeftThighPant from "../../clothing/bottoms/pant/Pos1/PantLeftThigh";
import SvgShortsLeftThigh from "../../clothing/bottoms/shorts/Pos1/ShortsLeftThigh";
import SvgThigh from "./positions/ThighPos1";
import SvgThighPos4 from "./positions/ThighPos4"
import SvgThighPos2 from "./positions/ThighPos2";
import SvgPantThighPos2 from "../../clothing/bottoms/pant/Pos2/PantThighPos2";
import SvgShortsLegPos2 from "../../clothing/bottoms/shorts/Pos2/ShortsLegPos2";
import SvgLeftThighPos3 from "./positions/ThighPos3";
import SvgLeftPantPos3 from "../../clothing/bottoms/pant/Pos3/PantLeftThighPos3"
import SvgLeftShortsPos3 from "../../clothing/bottoms/shorts/Pos3/ShortsLeftLegPos3"  
import SvgThighPos3Sitting from "./positions/ThighSittingPos3"

const styles = StyleSheet.create({
  container: {
    height: '60%',
    width: '60%',
    top: '7.5%',
    left: '20%'
  }, 
  pant: {
    position: 'absolute', 
    left: '0%',
    top: '10%',
    width: '100%',
    height: '100%'
  }, 
  pos4: {
    width: '53%',
    height: '53%', 
    position: 'absolute', 
    left: '24.5%',
    top: "1%", 
    transform: [{rotateY: "180deg"}]
  },

  pant2: {
    position: 'absolute', 
    left: '-2%',
    top: '0%',
    width: '104%',
    height: '104%'
  }, 
  pant3: {
    position: 'absolute', 
    left: '-0.5%',
    top: '7.5%',
    width: '104%',
    height: '104%'
  }, 
  pant5: {
    position: 'absolute', 
    left: '1%',
    top: '-19.8%',
    width: '92%',
    height: '92%', 
    transform: [{rotate: "-52deg"}]
  }, 
  shorts5: {
    position: 'absolute', 
    left: '1%',
    top: '-13.8%',
    width: '70%',
    height: '70%', 
    transform: [{rotate: "-58deg"}]
  }, 

  shorts: {
    position: 'absolute', 
    left: '20%',
    top: '11%',
    width: '62%',
    height: '62%'
  }, 

  shorts2: {
    position: 'absolute', 
    left: '12%',
    top: '0%',
    width: '76%',
    height: '76%'
  }, 
  shorts3: {
    position: 'absolute', 
    left: '16.5%',
    top: '8.5%',
    width: '66%',
    height: '66%'
  }, 
  pos5: {
    width: '52%',
    height: '52%', 
    position: 'absolute', 
    left: '24.5%',
    top: "1%"
  },
  pos6: {
    width: '52%',
    height: '52%', 
    position: 'absolute', 
    left: '24.5%',
    top: "1%"
  },
})

const LeftThighComponent = (props) => {

  const pos = props.pos
  const gym = props.isGym

  const bottomPrimary = useSelector(selectBottomPrimary);
 let bottomSecondary =  useSelector(selectBottomSecondary);
let qtr = useSelector(selectBottomQuaternary);
  
  let pant = useSelector(selectBottom);
  switch(props.clothing){
    case 1: 
    pant = 1
    break;
    case 2: 
    pant = 0
    bottomSecondary = bottomPrimary
    qtr = null
    break;
    case 3: 
    pant = 0
    break; 
    case 7: 
    pant = 1
  }

const skin = useSelector(selectSkinPrimary);
const def = useSelector(selectSkinDefinition);

let shownPant = null; 
let shownPos = null

if (pos == 1){
  shownPos = <SvgThigh skin={skin} def={def}/>
  switch(pant){
  case 1: 
  shownPant = <SvgLeftThighPant style={styles.pant}
  primary={bottomPrimary} secondary={bottomSecondary}/>
  break;
  case 2: 
  shownPant = <SvgShortsLeftThigh style={styles.shorts}
  primary={bottomPrimary} secondary={bottomSecondary} qtr={qtr}/>
  break; 
}
} else if (pos == 2){
  shownPos = <SvgThighPos2 skin={skin}/>
  switch(pant){
    case 1: 
    shownPant = <SvgPantThighPos2 style={styles.pant2}
    primary={bottomPrimary} secondary={bottomPrimary}/>
    break;
    case 2: 
    shownPant = <SvgShortsLegPos2 style={styles.shorts2}
    primary={bottomPrimary} secondary={bottomSecondary} qtr={qtr}/>
    break; 
  }
} else if (pos == 3){
  shownPos = <SvgLeftThighPos3 skin={skin} def={def}/>
  switch(pant){
    case 1: 
    shownPant = <SvgLeftPantPos3 style={styles.pant3}
    primary={bottomPrimary} secondary={bottomSecondary}/>
    break;
    case 2: 
    shownPant = <SvgLeftShortsPos3 style={styles.shorts3}
    primary={bottomPrimary} secondary={bottomSecondary} qtr={qtr}/>
    break; 
  }
}  else if (pos == 4){
  shownPos = <SvgThighPos4 style={styles.pos4} skin={skin} def={def}/>
}  else if (pos == 5){
  shownPos = <SvgThighPos3Sitting style={styles.pos5} skin={skin} def={def}/>
  if(props.isCycle || props.cycleLying){
    switch(pant){
      case 1: 
      shownPant = <SvgLeftPantPos3 style={styles.pant5}
      primary={bottomPrimary} secondary={bottomSecondary}/>
      break;
      case 2: 
      shownPant = <SvgLeftShortsPos3 style={styles.shorts5}
      primary={bottomPrimary} secondary={bottomSecondary} qtr={qtr}/>
      break; 
    }
  }
 
}
else if (pos == 6){
  shownPos = <SvgThighPos3Sitting style={styles.pos6} skin={skin} def={def}/>
  // if(props.isCycle || props.cycleLying){
  //   switch(pant){
  //     case 1: 
  //     shownPant = <SvgLeftPantPos3 style={styles.pant5}
  //     primary={bottomPrimary} secondary={bottomSecondary}/>
  //     break;
  //     case 2: 
  //     shownPant = <SvgLeftShortsPos3 style={styles.shorts5}
  //     primary={bottomPrimary} secondary={bottomSecondary} qtr={qtr}/>
  //     break; 
  //   }
  // }
}
 
    return (
      <View style={styles.container}>
        {shownPos}
        {shownPant}
        
      </View>
    );
}

export default LeftThighComponent;
