import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from "react-redux";

// import * as hues from "../../../utils/constants/hueHandler"

import {
  selectSkinPrimary,
  selectSkinDefinition,
} from "src/global/reducers/avatar/skinSlice"

import {
  selectBottom, selectBottomPrimary, selectBottomSecondary, selectBottomQuaternary
} from "src/global/reducers/avatar/bottomStyleSlice"

// import SvgLeftPantPos3 from "../../clothing/bottoms/pant/Pos3/PantLeftThighPos3"
// import SvgLeftShortsPos3 from "../../clothing/bottoms/shorts/Pos3/ShortsLeftLegPos3"
// import SvgRightPantPos3Sitting from '../../clothing/bottoms/pant/Pos3/PantRightThighSittingPos3'

import SvgShortsLeftThigh from "../../clothing/bottoms/shorts/Pos1/ShortsLeftThigh";
import SvgThigh from "./positions/ThighPos1";
import SvgThighPos4 from "./positions/ThighPos4"
import SvgPantRightThigh from "../../clothing/bottoms/pant/Pos1/PantRightThigh";
import SvgThighPos2 from "./positions/ThighPos2";
import SvgPantThighPos2 from "../../clothing/bottoms/pant/Pos2/PantThighPos2";
import SvgShortsLegPos2 from "../../clothing/bottoms/shorts/Pos2/ShortsLegPos2";
import SvgThighPos3Sitting from "./positions/ThighSittingPos3"


const styles = StyleSheet.create({
  container: {
    height: '62%',
    width: '62%',
    top: '7.5%',
    left: '19%'
  },
  pant: {
    position: 'absolute',
    left: '0%',
    top: '10%',
    width: '100%',
    height: '100%'
  },

  pant2: {
    position: 'absolute',
    left: '-2%',
    top: '0%',
    width: '104%',
    height: '104%'
  },
  pant3: {
    position: 'absolute',
    left: '1%',
    top: '10%',
    width: '101%',
    height: '101%'
  },

  shorts: {
    position: 'absolute',
    left: '20%',
    top: '11%',
    width: '62%',
    height: '62%'
  },
  pos2: {
    transform: [{ rotateY: "180deg" }]
  },

  pos4: {
    transform: [{ rotateY: "180deg" }],
    width: '52%',
    height: '52%',
    position: 'absolute',
    left: '24.5%',
    top: "1%"
  },
  pant5: {
    position: 'absolute',
    left: '20%',
    top: '-0.8%',
    width: '62%',
    height: '62%',
    transform: [{ rotateY: "180deg" }]
  },
  pantCycle: {
    position: 'absolute',
    left: '20%',
    top: '-0.8%',
    width: '62%',
    height: '62%',
    transform: [{ rotate: "90deg" }]
  },

  pos5: {
    transform: [{ rotateY: "180deg" }],
    width: '52%',
    height: '52%',
    position: 'absolute',
    left: '24.5%',
    top: "1%"
  },

  shorts2: {
    position: 'absolute',
    left: '12%',
    top: '0%',
    width: '76%',
    height: '76%'
  },
  shorts3: {
    position: 'absolute',
    left: '20%',
    top: '11%',
    width: '64%',
    height: '64%'
  },
})

const RightThighComponent = (props) => {

  const pos = props.pos
  const gym = props.isGym

  const bottomPrimary = useSelector(selectBottomPrimary);
  let bottomSecondary = useSelector(selectBottomSecondary);
  let qtr = useSelector(selectBottomQuaternary);

  let pant = useSelector(selectBottom);
  switch (props.clothing) {
    case 1:
      pant = 1
      break;
    case 2:
      pant = 0
      bottomSecondary = bottomPrimary
      qtr = null
      break;
    case 3:
      pant = 0
      break;
    case 7:
      pant = 1
  }
  const skin = useSelector(selectSkinPrimary);
  const def = useSelector(selectSkinDefinition);

  let shownPant = null;
  let shownPos = null;

  if (pos == 1) {
    shownPos = <SvgThigh skin={skin} def={def} />
    switch (pant) {
      case 1:
        shownPant = <SvgPantRightThigh style={[styles.pant, { transform: [{ rotateY: "180deg" }] }]}
          primary={bottomPrimary} secondary={bottomSecondary} pocket={bottomSecondary} />
        break;
      case 2:
        shownPant = <SvgShortsLeftThigh style={styles.shorts}
          primary={bottomPrimary} secondary={bottomSecondary} qtr={qtr} />
        break;
      case 4:
        shownPant = <SvgPantRightThigh style={[styles.pant, { transform: [{ rotateY: "180deg" }] }]}
          primary={bottomPrimary} secondary={bottomSecondary} pocket={bottomPrimary} />
        break;
    }
  } else if (pos == 2) {
    shownPos = <SvgThighPos2 skin={skin} />
    switch (pant) {
      case 1:
        shownPant = <SvgPantThighPos2 style={styles.pant2}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 2:
        shownPant = <SvgShortsLegPos2 style={styles.shorts2}
          primary={bottomPrimary} secondary={bottomSecondary} qtr={qtr} />
        break;
    }
  } else if (pos == 3) {
    shownPos = <SvgThigh skin={skin} def={def} />
    switch (pant) {
      case 1:
        shownPant = <SvgPantRightThigh style={[styles.pant3, { transform: [{ rotateY: "180deg" }] }]}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 2:
        shownPant = <SvgShortsLeftThigh style={styles.shorts3}
          primary={bottomPrimary} secondary={bottomSecondary} qtr={qtr} />
        break;
    }
  } else if (pos == 4) {
    shownPos = <SvgThighPos4 style={styles.pos4} skin={skin} def={def} />
  } else if (pos == 5) {
    shownPos = <SvgThighPos3Sitting style={styles.pos5} skin={skin} def={def} />
  }
  return (
    <View style={[styles.container, { transform: [{ rotateY: "180deg" }] }]}>
      {shownPos}
      {shownPant}
    </View>
  );
}

export default RightThighComponent;
