import React from "react";
import { StyleSheet, View, Pressable } from "react-native";
import { useSelector } from "react-redux";

import {
  selectBottom, selectBottomPrimary, selectBottomSecondary, selectBottomQuaternary
} from "src/global/reducers/avatar/bottomStyleSlice"

import {
  selectSwimWearStyle
} from "src/global/reducers/avatar/swimWearSlice"

import {
  selectSkinPrimary,
  selectSkinDefinition
} from "src/global/reducers/avatar/skinSlice"

import {
  selectTopPrimary,
  selectTopSecondary,
  selectTopTertiary,
  selectTopQuaternary,
  selectTop
} from "src/global/reducers/avatar/topStyleSlice"

import SvgTorsoPos1 from "./torsoPositions/TorsoPos1";
import SvgSweater from "../../clothing/tops/sweater/Pos1/TorsoSweater";
import SvgTankTop from "../../clothing/tops/tankTop/Pos1/TankTop";
import SvgHoodie from "../../clothing/tops/hoodie/Pos1/TorsoHoodie"
import SvgPantTorso from "../../clothing/bottoms/pant/Pos1/PantTorso";
import SvgShortsTorso from "../../clothing/bottoms/shorts/Pos1/ShortsTorso";
import SvgSkirt from "../../clothing/bottoms/skirt/Pos1Skirt";
import SvgPantTorsoPos4 from "../../clothing/bottoms/pant/Pos4/PantTorsoPos4"

import SvgTorsoPos2 from "./torsoPositions/TorsoPos2";
import SvgHoodieTorsoPos2 from "../../clothing/tops/hoodie/Pos2/HoodieTorsoPos2";
import SvgSweaterTorsoPos2 from "../../clothing/tops/sweater/Pos2/SweaterTorsoPos2";
import SvgTankTopPos2 from "../../clothing/tops/tankTop/Pos2/TankTopPos2";
import SvgPantTorsoPos2 from "../../clothing/bottoms/pant/Pos2/PantTorsoPos2";
import SvgShortsTorsoPos2 from "../../clothing/bottoms/shorts/Pos2/ShortsTorsoPos2";
import SvgSkirtPos2 from "../../clothing/bottoms/skirt/SkirtPos2";
import SvgShortsPos4 from "../../clothing/bottoms/shorts/Pos4/ShortsPos4"
import Pos3SittingPant from '../../clothing/bottoms/pant/Pos3/PantTorsoPos3Sitting'
import ShortsPos3SittingRight from '../../clothing/bottoms/shorts/Pos3/ShortsRightPos3Sitting'
import ShortsPos3SittingLeft from '../../clothing/bottoms/shorts/Pos3/ShortsLeftPos3Sitting'
import BathingSuitPos3 from '../../clothing/swimWear/BathingSuitPos3'

import SvgTorsoPos3 from "./torsoPositions/TorsoPos3";
import SvgHoodieTorsoPos3 from "../../clothing/tops/hoodie/Pos3/HoodieTorsoPos3"
import SvgTankTopPos3 from "../../clothing/tops/tankTop/Pos3/TankTopPos3"
import SvgTshirtTorsoPos3 from "../../clothing/tops/tShirt/TShirtTorsoPos3"
import SvgPantTorsoPos3 from "../../clothing/bottoms/pant/Pos3/PantTorsoPos3"
import SvgShortsTorsoPos3 from "../../clothing/bottoms/shorts/Pos3/ShortsTorsoPos3"

import JacketPos3 from "../../clothing/jackets/outer/Pos3/JacketTorsoPos3"
import JacketPos1 from "../../clothing/jackets/outer/Pos1/JacketTorsoPos1"
import WinterJacketPos3 from "../../clothing/jackets/winter/Pos3/WinterJacketTorsoPos3"
import WinterJacketPos1 from "../../clothing/jackets/winter/Pos1/WinterJacketTorsoPos1"
import SvgRightThighSittingPos3Pant from "../../clothing/bottoms/pant/Pos3/PantRightThighSittingPos3";
import SvgPantLeftLegPos3 from "../../clothing/bottoms/pant/Pos3/PantLeftThighPos3";
import SvgBathingSuit from "../../clothing/swimWear/BathingSuit";
import SvgBathingShorts from "../../clothing/swimWear/BathingShorts";
import SvgSkirtPos7 from "../../clothing/bottoms/skirt/SkirtPos7";
import SvgShortsPos7 from "../../clothing/bottoms/shorts/Pos7Shorts";
import SvgBathingShortsPos7 from "../../clothing/swimWear/BathingShortsPos7";
import SvgBathingSuitPos7 from "../../clothing/swimWear/BathingSuitPos7";
import SvgTrainingShortsPos7 from "../../clothing/bottoms/trainingShorts/TrainingShortsPos7";
import SvgBathingShortsPos3 from "../../clothing/swimWear/BathingShortsPos3";
import SvgTrainingShortsPos3 from "../../clothing/bottoms/trainingShorts/TrainingShortsPos3";
import SvgSittingTraining from "../../clothing/bottoms/trainingShorts/TrainingShortSitting";
import SvgSkirtPos7Horse from "../../clothing/bottoms/skirt/SkirtPos7Horse";
import SvgShortsPos7Horse from "../../clothing/bottoms/shorts/Pos7ShortsHorse";
import SvgPantPos7Horse from "../../clothing/bottoms/pant/Pos7Horse";
import SvgBathingSuitPos4 from "../../clothing/swimWear/BathingSuitPos4";
import SvgBathingShortsPos4 from "../../clothing/swimWear/BathingShortsPos4";


const styles = StyleSheet.create({
  container: {
    height: '100%',
    width: '100%',
    top: '0%'
  },
  sweater: {
    position: 'absolute',
    left: '11%',
    top: '6%',
    width: '78%',
    height: '78%'
  },
  tankTop: {
    position: 'absolute',
    left: '17%',
    top: '9%',
    width: '66%',
    height: '66%'
  },
  tankTop3: {
    position: 'absolute',
    left: '18%',
    top: '8%',
    width: '66%',
    height: '66%'
  },
  hoodie: {
    position: 'absolute',
    left: '12.5%',
    top: '6.5%',
    width: '75%',
    height: '75%'
  },
  hoodie3: {
    position: 'absolute',
    left: '13.7%',
    top: '5%',
    width: '75%',
    height: '75%'
  },
  bathingSuit3: {
    position: 'absolute',
    left: '1.6%',
    top: '8.5%',
    width: '100%',
    height: '100%'
  },

  bathingSuit5: {
    position: 'absolute',
    left: '3.5%',
    top: '8.5%',
    width: '94%',
    height: '94%'
  },

  jacket3: {
    position: 'absolute',
    left: '-1.1%',
    top: '5%',
    width: '102.6%',
    height: '102.6%'
  },
  jacket1: {
    position: 'absolute',
    left: '-2.7%',
    top: '5%',
    width: '106%',
    height: '106%'
  },

  bathingSuitpos4: {
    position: 'absolute',
    left: '3.2%',
    top: '7.5%',
    width: '94%',
    height: '94%'
  },


  bathingSuit1: {
    position: 'absolute',
    left: '3.7%',
    top: '8%',
    width: '94%',
    height: '94%'
  },

  pant2: {
    position: 'absolute',
    left: '28%',
    top: '66%',
    width: '43.6%',
    height: '43.6%'
  },
  pant3: {
    position: 'absolute',
    left: '28%',
    top: '66%',
    width: '43.6%',
    height: '43.6%'
  },
  bathingPant: {
    position: 'absolute',
    left: '18%',
    top: '66%',
    width: '64%',
    height: '64%'
  },

  pant5: {
    position: 'absolute',
    left: '30%',
    top: '62%',
    width: '44.6%',
    height: '44.6%',
    transform: [{ rotateY: "180deg" }],
  },

  pant5Horse: {
    position: 'absolute',
    left: '30%',
    top: '55%',
    width: '62.6%',
    height: '62.6%',
  },
  pant5HorsePos7: {
    position: 'absolute',
    left: '3.5%',
    top: '57.9%',
    width: '112.6%',
    height: '112.6%',
  },

  pant5Cycle: {
    position: 'absolute',
    left: '30%',
    top: '56.5%',
    width: '44.6%',
    height: '44.6%',
    transform: [{ rotateY: "180deg" }],
  },

  skirt5Cycle: {
    position: 'absolute',
    left: '32%',
    top: '53.5%',
    width: '70.6%',
    height: '70.6%',
  },

  skirt5CycleLying: {
    position: 'absolute',
    left: '30%',
    top: '62.5%',
    width: '74.6%',
    height: '74.6%',
  },
  pant5Swim: {
    position: 'absolute',
    left: '30%',
    top: '58.5%',
    width: '44.6%',
    height: '44.6%',
    transform: [{ rotateY: "180deg" }],
  },
  trainingPant3: {
    position: 'absolute',
    left: '19%',
    top: '66.5%',
    width: '66.6%',
    height: '66.6%',

  },

  pant5CycleLying: {
    position: 'absolute',
    left: '29%',
    top: '64.5%',
    width: '44.6%',
    height: '44.6%',
    transform: [{ rotateY: "180deg" }],
  },

  shortsCycleLying: {
    position: 'absolute',
    left: '29%',
    top: '64.5%',
    width: '74.6%',
    height: '74.6%',
    transform: [{ rotate: '10deg' }],
  },
  pant: {
    position: 'absolute',
    left: '27.7%',
    top: '66%',
    width: '44.5%',
    height: '44.5%'
  },
  pant4: {
    position: 'absolute',
    left: '22.2%',
    top: '62%',
    width: '55.5%',
    height: '55.5%'
  },
  pantThighLeft: {
    position: 'absolute',
    left: '32.2%',
    top: '45.5%',
    width: '78.5%',
    height: '78.5%',
    transform: [{ rotate: "-50deg" }]
  },
  pantThighRight: {
    position: 'absolute',
    left: '27.2%',
    top: '72%',
    width: '51.5%',
    height: '51.5%',
    transform: [{ rotate: "-5deg" }]
  },

  pantThighLeftPlay: {
    position: 'absolute',
    left: '31.2%',
    top: '45%',
    width: '85.5%',
    height: '85.5%',
    transform: [{ rotate: "-53deg" }]
  },

  pantThighRightPlay: {
    position: 'absolute',
    left: '27.2%',
    top: '75%',
    width: '55.5%',
    height: '55.5%',
    transform: [{ rotate: "5deg" }]
  },

  pantThighLeftSki: {
    position: 'absolute',
    left: '32.2%',
    top: '45.5%',
    width: '78.5%',
    height: '78.5%',
    transform: [{ rotate: "-70deg" }]
  },

  pantThighRightSki: {
    position: 'absolute',
    left: '27.2%',
    top: '72%',
    width: '51.5%',
    height: '51.5%',
    transform: [{ rotate: "15deg" }]
  },

  pantThighLeftSkates: {
    position: 'absolute',
    left: '32.2%',
    top: '45.5%',
    width: '81.5%',
    height: '81.5%',
    transform: [{ rotate: "-55deg" }]
  },

  pantThighRightSkates: {
    position: 'absolute',
    left: '37.2%',
    top: '72%',
    width: '51.5%',
    height: '51.5%',
    transform: [{ rotate: "15deg" }]
  },

  pantThighRightCycle: {
    position: 'absolute',
    left: '32.2%',
    top: '62%',
    width: '60.5%',
    height: '60.5%',
    transform: [{ rotate: "-12deg" }]
  },
  swimShortsPos1: {
    position: 'absolute',
    left: '17.2%',
    top: '68%',
    width: '66%',
    height: '66%'
  },

  swimShortsStyle: {
    position: 'absolute',
    left: '27.2%',
    top: '50%',
    width: '75%',
    height: '75%'
  },

  trainPant: {
    position: 'absolute',
    left: '31.2%',
    top: '54.5%',
    width: '70%',
    height: '70%'
  },

  pantThighRightCycleLying: {
    position: 'absolute',
    left: '32.2%',
    top: '79%',
    width: '60.5%',
    height: '60.5%',
    transform: [{ rotate: "2deg" }]
  },
  shortsThighLeft: {
    position: 'absolute',
    left: '53.5%',
    top: '66.8%',
    width: '35.5%',
    height: '35.5%',
    transform: [{ rotateY: "180deg" }, { rotate: "-25deg" }]
  },

  pantThighLeftHorse: {
    position: 'absolute',
    left: '32.2%',
    top: '46.2%',
    width: '66.5%',
    height: '66.5%',
    transform: [{ rotate: "-50deg" }]
  },
  shortsThighLeftHorse: {
    position: 'absolute',
    left: '53.5%',
    top: '66.8%',
    width: '35.5%',
    height: '35.5%',
    transform: [{ rotateY: "180deg" }, { rotate: "-25deg" }]
  },
  shortsThighRight: {
    position: 'absolute',
    left: '27.2%',
    top: '76.8%',
    width: '41.5%',
    height: '41.5%',
    transform: [{ rotateY: "180deg" }]
  },

  shortsThighRightCycle: {
    position: 'absolute',
    left: '34.2%',
    top: '72.2%',
    width: '41.5%',
    height: '41.5%',
    transform: [{ rotateY: "180deg" }, { rotate: "16deg" }]
  },

  shortsThighRightSwim: {
    position: 'absolute',
    left: '34.2%',
    top: '76.2%',
    width: '41.5%',
    height: '41.5%',
    transform: [{ rotateY: "180deg" }, { rotate: "10deg" }]
  },

  shortsThighRightCycleLying: {
    position: 'absolute',
    left: '34.2%',
    top: '87.2%',
    width: '41.5%',
    height: '41.5%',
    transform: [{ rotateY: "180deg" }, { rotate: "0deg" }]
  },
  shorts4: {
    position: 'absolute',
    left: '23.7%',
    top: '64%',
    width: '52.5%',
    height: '52.5%'
  },
  bathingShorts4: {
    position: 'absolute',
    left: '17.7%',
    top: '56%',
    width: '62.5%',
    height: '62.5%'
  },

  pantPos2: {
    position: 'absolute',
    left: '30.2%',
    top: '66%',
    width: '40%',
    height: '40%'
  },
  skirt: {
    position: 'absolute',
    left: '4%',
    top: '62%',
    width: '92%',
    height: '92%'
  },
  skirtSitting: {
    position: 'absolute',
    left: '30%',
    top: '57%',
    width: '73%',
    height: '73%'
  },
  skirtSittingHorse: {
    position: 'absolute',
    left: '31%',
    top: '60%',
    width: '65%',
    height: '65%'
  },


  skirtPos2: {
    position: 'absolute',
    left: '3.5%',
    top: '62%',
    width: '94%',
    height: '94%'
  },
  shortsSitting: {
    position: 'absolute',
    left: '30%',
    top: '54%',
    width: '67%',
    height: '67%'
  },
})

const TorsoComponent = (props) => {

  const pos = props.pos

  const primaryColor = useSelector(selectTopPrimary);
  const secondaryColor = useSelector(selectTopSecondary);
  const tertiaryColor = useSelector(selectTopTertiary);
  const quaternaryColor = useSelector(selectTopQuaternary);

  const gym = props.isGym

  const bottomPrimary = useSelector(selectBottomPrimary);
  let bottomSecondary = useSelector(selectBottomSecondary);
  let bottomQtr = useSelector(selectBottomQuaternary);

  let isSwimShorts = false;

  let pant = useSelector(selectBottom);
  let swimWear = useSelector(selectSwimWearStyle);
  let top = useSelector(selectTop);
  switch (props.clothing) {
    case 1:
      top = 6
      pant = 1
      break;
    case 2:
      top = 2
      pant = 5
      break;
    case 3:
      switch (swimWear) {
        case 1:
          top = 7
          pant = 0
          break;
        case 2:
          swimShorts = true
          isSwimShorts = true
          top = 0;
          pant = 4
      }
      break;
    case 7:
      top = 5
      pant = 1
  }

  const skin = useSelector(selectSkinPrimary);
  const def = useSelector(selectSkinDefinition);

  let shownTop = null;
  let shownPant = null;
  let shownPos = null;
  let shownThighRight = null;
  let shownThighLeft = null;
  let swimShorts = null;



  if (pos == 1) {
    shownPos = <SvgTorsoPos1 skin={skin} def={def} />
    switch (top) {
      case 1:
        shownTop = <SvgSweater style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 2:
        shownTop = <SvgSweater style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 3:
        shownTop = <SvgTankTop style={styles.tankTop}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 4:
        shownTop = <SvgHoodie style={styles.hoodie}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 5:
        shownTop = <JacketPos1 style={styles.jacket1}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 6:
        shownTop = <WinterJacketPos1 style={styles.jacket1}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 7:
        shownTop = <SvgBathingSuit style={styles.bathingSuit1}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
    }

    switch (pant) {
      case 1:
        shownPant = <SvgPantTorso style={styles.pant2}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 2:
        shownPant = <SvgShortsTorso style={styles.pant}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 3:
        shownPant = <SvgSkirt style={styles.skirt}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
    }
    if (isSwimShorts) {
      shownPant = <SvgBathingShorts style={styles.swimShortsPos1} />
    }
  } else if (pos == 2) {
    shownPos = <SvgTorsoPos2 skin={skin} def={def} />
    switch (top) {
      case 1:
        shownTop = <SvgSweaterTorsoPos2 style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 2:
        shownTop = <SvgSweaterTorsoPos2 style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 3:
        shownTop = <SvgTankTopPos2 style={styles.tankTop}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 4:
        shownTop = <SvgHoodieTorsoPos2 style={styles.hoodie}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
    }

    switch (pant) {
      case 1:
        shownPant = <SvgPantTorsoPos2 style={styles.pantPos2}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 2:
        shownPant = <SvgShortsTorsoPos2 style={styles.pantPos2}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 3:
        shownPant = <SvgSkirtPos2 style={styles.skirtPos2}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
    }

  } else if (pos == 3) {
    shownPos = <SvgTorsoPos3 skin={skin} def={def} />
    switch (top) {
      case 1:
        shownTop = <SvgTshirtTorsoPos3 style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 2:
        shownTop = <SvgTshirtTorsoPos3 style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 3:
        shownTop = <SvgTankTopPos3 style={styles.tankTop3}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 4:
        shownTop = <SvgHoodieTorsoPos3 style={styles.hoodie3}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 5:
        shownTop = <JacketPos3 style={styles.jacket3}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} qtr={quaternaryColor} />
        break;
      case 6:
        shownTop = <WinterJacketPos3 style={styles.jacket3}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 7:
        shownTop = <BathingSuitPos3 style={styles.bathingSuit3} />
        break;
    }

    switch (pant) {
      case 1:
        shownPant = <SvgPantTorsoPos3 style={styles.pant3}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 2:
        shownPant = <SvgShortsTorsoPos3 style={styles.pant3}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 3:
        shownPant = <SvgSkirt style={styles.skirt}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 4:
        shownPant = <SvgBathingShortsPos3 style={styles.bathingPant}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 5:
        shownPant = <SvgTrainingShortsPos3 style={styles.trainingPant3}
          primary={bottomQtr} secondary={bottomSecondary} qtr={bottomPrimary} />
        break;
    }
  } else if (pos == 4) {
    shownPos = <SvgTorsoPos1 skin={skin} def={def} />
    switch (pant) {
      case 1:
        shownPant = <SvgPantTorsoPos4 style={styles.pant4}
          primary={bottomPrimary} secondary={bottomSecondary} />
        break;
      case 2:
        shownPant = <SvgShortsPos4 style={styles.shorts4}
          primary={bottomPrimary} secondary={bottomSecondary} qtr={bottomQtr} />
        break;
      case 4:
        shownPant = <SvgBathingShortsPos4 style={styles.bathingShorts4}
          primary={bottomQtr} secondary={bottomSecondary} qtr={bottomPrimary} />
        break;
      case 5:
        shownPant = <SvgSittingTraining style={styles.shorts4}
          primary={bottomQtr} secondary={bottomSecondary} qtr={bottomPrimary} />
        break;
    }
    switch (top) {
      case 1:
        shownTop = <SvgSweater style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 2:
        shownTop = <SvgSweater style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 3:
        shownTop = <SvgTankTop style={styles.tankTop}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 4:
        shownTop = <SvgHoodie style={styles.hoodie}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 5:
        shownTop = <JacketPos1 style={styles.jacket1}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} qtr={quaternaryColor} />
        break;
      case 6:
        shownTop = <WinterJacketPos1 style={styles.jacket1}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 7:
        shownTop = <SvgBathingSuitPos4 style={styles.bathingSuitpos4}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
    }
  } else if (pos == 5) {
    shownPos = <SvgTorsoPos3 skin={skin} def={def} />
    switch (top) {
      case 1:
        shownTop = <SvgTshirtTorsoPos3 style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 2:
        shownTop = <SvgTshirtTorsoPos3 style={styles.sweater}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 3:
        shownTop = <SvgTankTopPos3 style={styles.tankTop3}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 4:
        shownTop = <SvgHoodieTorsoPos3 style={styles.hoodie3}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 5:
        shownTop = <JacketPos3 style={styles.jacket3}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} qtr={quaternaryColor} />
        break;
      case 6:
        shownTop = <WinterJacketPos3 style={styles.jacket3}
          primary={primaryColor} secondary={secondaryColor}
          tertiary={tertiaryColor} quaternary={quaternaryColor} />
        break;
      case 7:
        shownTop = <SvgBathingSuitPos7 style={styles.bathingSuit5} />
        break;
    }

    if (props.horse) {
      switch (pant) {
        case 1:
          shownPant = <SvgPantPos7Horse style={styles.pant5HorsePos7}
            primary={bottomPrimary} secondary={bottomSecondary} />

          break;
        case 2:
          shownPant = <SvgShortsPos7Horse style={styles.pant5Horse}
            primary={bottomPrimary} secondary={bottomSecondary} qtr={bottomQtr} />
          break;
        case 3:
          shownPant = <SvgSkirtPos7Horse style={styles.skirtSittingHorse}
            primary={bottomPrimary} secondary={bottomSecondary} />
          break;
      }
    } else if (props.isSittingSki) {
      switch (pant) {
        case 1:
          shownPant = <Pos3SittingPant style={styles.pant5}
            primary={bottomPrimary} secondary={bottomSecondary} />
          shownThighRight = <SvgRightThighSittingPos3Pant style={styles.pantThighRightSki}
            primary={bottomPrimary} secondary={bottomSecondary} />
          shownThighLeft = <SvgPantLeftLegPos3 style={styles.pantThighLeftSki}
            primary={bottomPrimary} secondary={bottomSecondary} />
          break;
        case 2:
          shownPant = <Pos3SittingPant style={styles.pant5}
            primary={bottomPrimary} secondary={bottomSecondary} />
          shownThighRight = <ShortsPos3SittingRight style={styles.shortsThighRight}
            primary={bottomPrimary} secondary={bottomSecondary} qtr={bottomQtr} />
          shownThighLeft = <ShortsPos3SittingLeft style={styles.shortsThighLeft}
            primary={bottomPrimary} secondary={bottomSecondary} />
          break;
        case 5:
          shownPant = <SvgTrainingShortsPos7 style={styles.trainPant}
            primary={bottomQtr} secondary={bottomSecondary} qtr={bottomPrimary} />
          break;
      }
    }
    else if (props.isSkates) {

      shownPant = <Pos3SittingPant style={styles.pant5}
        primary={bottomPrimary} secondary={bottomSecondary} />
      shownThighRight = <SvgRightThighSittingPos3Pant style={styles.pantThighRightSkates}
        primary={bottomPrimary} secondary={bottomSecondary} />
      shownThighLeft = <SvgPantLeftLegPos3 style={styles.pantThighLeftSkates}
        primary={bottomPrimary} secondary={bottomSecondary} />

    } else if (props.isPlay) {
      shownPant = <Pos3SittingPant style={styles.pant5}
        primary={bottomPrimary} secondary={bottomSecondary} />
      shownThighRight = <SvgRightThighSittingPos3Pant style={styles.pantThighRightPlay}
        primary={bottomPrimary} secondary={bottomSecondary} />
      shownThighLeft = <SvgPantLeftLegPos3 style={styles.pantThighLeftPlay}
        primary={bottomPrimary} secondary={bottomSecondary} />

    } else if (props.isCycle) {
      switch (pant) {
        case 1:
          shownPant = <Pos3SittingPant style={styles.pant5Cycle}
            primary={bottomPrimary} secondary={bottomSecondary} />
          shownThighRight = <SvgRightThighSittingPos3Pant style={styles.pantThighRightCycle}
            primary={bottomPrimary} secondary={bottomSecondary} />
          break;
        case 2:
          shownPant = <Pos3SittingPant style={styles.pant5Cycle}
            primary={bottomPrimary} secondary={bottomSecondary} />
          shownThighRight = <ShortsPos3SittingRight style={styles.shortsThighRightCycle}
            primary={bottomPrimary} secondary={bottomSecondary} qtr={bottomQtr} />
          break;
        case 3:
          shownPant = <SvgSkirtPos7 style={styles.skirt5Cycle}
            primary={bottomPrimary} secondary={bottomSecondary} />
          break;
      }
    } else if (props.cycleLying) {
      switch (pant) {
        case 1:
          shownPant = <Pos3SittingPant style={styles.pant5CycleLying}
            primary={bottomPrimary} secondary={bottomSecondary} />
          shownThighRight = <SvgRightThighSittingPos3Pant style={styles.pantThighRightCycleLying}
            primary={bottomPrimary} secondary={bottomSecondary} />
          break;
        case 2:
          shownPant = <SvgShortsPos7 style={styles.shortsCycleLying}
            primary={bottomPrimary} secondary={bottomSecondary} qtr={bottomQtr} />
          break;
        case 3:
          shownPant = <SvgSkirtPos7 style={styles.skirt5CycleLying}
            primary={bottomPrimary} secondary={bottomSecondary} />
          break;
      }
    }
    else {
      switch (pant) {
        case 1:
          shownPant = <SvgShortsPos7 style={styles.shortsSitting}
            primary={bottomPrimary} secondary={bottomSecondary} qtr={null} hide={null} hide2={bottomPrimary} />
          break;
        case 2:
          shownPant = <SvgShortsPos7 style={styles.shortsSitting}
            primary={bottomPrimary} secondary={bottomSecondary} qtr={bottomQtr} hide={bottomQtr} hide2={bottomPrimary} />
          break;
        case 5:
          shownPant = <SvgTrainingShortsPos7 style={styles.shortsSitting}
            primary={bottomQtr} secondary={bottomSecondary} qtr={bottomPrimary} />
          break;
        case 3:
          shownPant = <SvgSkirtPos7 style={styles.skirtSitting}
            primary={bottomPrimary} secondary={bottomSecondary} />
          break;
      }
    }
    if (props.clothing == 3) {
      shownPant = <SvgBathingShortsPos7 style={styles.swimShortsStyle}
        primary={bottomPrimary} secondary={bottomSecondary} />
    }
  }

  if (swimWear == 1 && props.clothing == 3) {
    shownPant = null
    shownThighRight = null
  }
  return (
    <View style={styles.container} >
      {shownPos}
      {shownThighLeft}
      {shownThighRight}
      {shownPant}
      {shownTop}

    </View>
  );
}

export default TorsoComponent;
