import React from "react";
import { StyleSheet, View } from "react-native";
import { useSelector } from 'react-redux';
import { selectHair, selectHairColor, selectHairDefinition } from 'src/global/reducers/avatar/hairStyleSlice'

import LongBraids from "./Pos1/LongBraidsPos1"
import LongCurly from "./Pos1/LongCurlyPos1"
import LongPony from "./Pos1/LongPonyPos1"
import LongStraight from "./Pos1/LongStraightPos1"
import Scalped from "./Pos1/ScalpedPos1"
import ShortCurly from "./Pos1/ShortCurlyPos1"
import ShortCurtain from "./Pos1/ShortCurtainPos1"
import ShortFade from "./Pos1/ShortFadePos1"
import ShortStraight from "./Pos1/ShortStraightPos1"
import ShortStyled from "./Pos1/ShortStyledPos1"
import Shoulder from "./Pos1/ShoulderPos1"

import SvgLongBraidPos3 from "./Pos3/LongBraidPos3"
import SvgLongCurlyPos3 from "./Pos3/LongCurlyPos3"
import SvgLongPonyPos3 from "./Pos3/LongPonyPos3"
import SvgLongStraightPos3 from "./Pos3/LongStraightPos3"
import SvgScalpedPos3 from "./Pos3/ScalpedPos3"
import SvgShortCurlyPos3 from "./Pos3/ShortCurlyPos3" 
import SvgShortCurtainPos3 from "./Pos3/ShortCurtainPos3"
import SvgShortFadePos3 from "./Pos3/ShortFadePos3"
import SvgShortStraightPos3 from "./Pos3/ShortStraightPos3"
import SvgShortStyledPos3 from "./Pos3/ShortStyledPos3"
import SvgShoulderPos3 from "./Pos3/ShoulderPos3"

// import * as hues from "../../utils/constants/hueHandler"
import SvgLongBraidPos2 from "./Pos2/LongBraidPos2";
import SvgLongCurlyPos2 from "./Pos2/LongCurlyPos2";
import SvgLongPonyPos2 from "./Pos2/LongPonyPos2";
import SvgLongStraightPos2 from "./Pos2/LongStraightPos2";
import SvgScalpedPos2 from "./Pos2/ScalpedPos2";
import SvgShortCurlyPos2 from "./Pos2/ShortCurlyPos2";
import SvgShortCurtainPos2 from "./Pos2/ShortCurtainPos2";
import SvgShortFadePos2 from "./Pos2/ShortFadePos2";
import SvgShortStraightPos2 from "./Pos2/ShortStraightPos2";
import SvgShortStyledPos2 from "./Pos2/ShortStyledPos2";
import SvgShoulderPos2 from "./Pos2/ShoulderPos2";

const styles = StyleSheet.create({ 
    hairStyleBraids: {
    position: 'absolute', 
    right: '-29.7%',
    top: '-2%',
    width: '159%',
    height: '159%'
  }, 

  hairStyleBraids2: {
    position: 'absolute', 
    right: '-25.7%',
    top: '-5%',
    width: '156%',
    height: '156%'
  }, 

  hairStyleBraids3: {
    position: 'absolute', 
    right: '-32%',
    top: '-1.9%',
    width: '159%',
    height: '159%'
  }, 

  hairStyleLongCurly: {
    position: 'absolute', 
    right: '-4%',
    top: '-2.2%',
    width: '106%',
    height: '106%'
  }, 

  hairStyleLongCurly2: {
    position: 'absolute', 
    right: '4%',
    top: '-5%',
    width: '108%',
    height: '108%'
  }, 

  hairStyleLongCurly3: {
    position: 'absolute', 
    right: '-1.7%',
    top: '-2.2%',
    width: '105%',
    height: '105%'
  }, 

  hairStylePony: {
    position: 'absolute', 
    right: '-27%',
    top: '-2.2%',
    width: '154%',
    height: '154%'
  }, 

  hairStylePony2: {
    position: 'absolute', 
    right: '-19%',
    top: '-1%',
    width: '145%',
    height: '145%'
  }, 
  hairStylePony3: {
    position: 'absolute', 
    right: '-27%',
    top: '-2.2%',
    width: '154%',
    height: '154%'
  }, 

  hairStyleStraight: {
    position: 'absolute', 
    right: '-24.2%',
    top: '-2.1%',
    width: '149.5%',
    height: '149.5%'
  }, 

  hairStyleStraight2: {
    position: 'absolute', 
    right: '-18%',
    top: '-0%',
    width: '149.5%',
    height: '149.5%'
  }, 
  hairStyleStraight3: {
    position: 'absolute', 
    right: '-26.2%',
    top: '-1.1%',
    width: '147.5%',
    height: '147.5%'
  },

  hairStyleScalped: {
    position: 'absolute', 
    right: '20%',
    top: '-4%',
    width: '60%',
    height: '60%'
  }, 

  hairStyleScalped2: {
    position: 'absolute', 
    right: '8.5%',
    top: '-1.1%',
    width: '91.5%',
    height: '91.5%'
  }, 

  hairStyleScalped3: {
    position: 'absolute', 
    right: '20%',
    top: '-3%',
    width: '60%',
    height: '60%'
  }, 
  hairStyleShortCurly: {
    position: 'absolute', 
    right: '20%',
    top: '-5%',
    width: '61%',
    height: '61%'
  }, 

 
  hairStyleShortCurly3: {
    position: 'absolute', 
    right: '18%',
    top: '-5%',
    width: '62.5%',
    height: '62.5%'
  }, 

  hairStyleShortCurly2: {
    position: 'absolute', 
    right: '9%',
    top: '-4%',
    width: '93%',
    height: '93%'
  }, 

  hairStyleShortCurtain: {
    position: 'absolute', 
    right: '12.5%',
    top: '-10.5%',
    width: '74%',
    height: '74%'
  }, 

  hairStyleShortCurtain2: {
    position: 'absolute', 
    right: '10%',
    top: '-5%',
    width: '94%',
    height: '94%'
  }, 

  hairStyleShortCurtain3: {
    position: 'absolute', 
    right: '7.5%',
    top: '-10.5%',
    width: '74%',
    height: '74%'
  }, 

  hairStyleShortFade: {
    position: 'absolute', 
    right: '19%',
    top: '-7%',
    width: '65%',
    height: '65%'
  }, 

  hairStyleShortFade2: {
    position: 'absolute', 
    right: '6%',
    top: '-7%',
    width: '96%',
    height: '96%'
  }, 
  hairStyleShortFade3: {
    position: 'absolute', 
    right: '18.5%',
    top: '-7%',
    width: '64%',
    height: '64%'
  },

  hairStyleShortStraight: {
    position: 'absolute', 
    right: '16%',
    top: '-9%',
    width: '68%',
    height: '68%'
  }, 

  hairStyleShortStraight2: {
    position: 'absolute', 
    right: '5%',
    top: '-9%',
    width: '98%',
    height: '98%'
  }, 
  hairStyleShortStraight3: {
    position: 'absolute', 
    right: '14.5%',
    top: '-9%',
    width: '68%',
    height: '68%'
  }, 

  hairStyleShortStyled: {
    position: 'absolute', 
    right: '20%',
    top: '-6%',
    width: '60%',
    height: '60%'
  }, 

  hairStyleShortStyled2: {
    position: 'absolute', 
    right: '5%',
    top: '-9.5%',
    width: '100%',
    height: '100%'
  }, 
  hairStyleShortStyled3: {
    position: 'absolute', 
    right: '18.5%',
    top: '-6.5%',
    width: '64%',
    height: '64%'
  }, 

  hairStyleShoulder: {
    position: 'absolute', 
    right: '-4%',
    top: '-1.5%',
    width: '108%',
    height: '108%'
  }, 

  hairStyleShoulder2: {
    position: 'absolute', 
    right: '6.2%',
    top: '-1.5%',
    width: '108%',
    height: '108%'
  }, 
  hairStyleShoulder3: {
    position: 'absolute', 
    right: '-4%',
    top: '-1.5%',
    width: '108%',
    height: '108%'
  }, 
})

const HairComponent = (props) => {

  const pos = props.pos

  let hair = null; 
  let mainColor = null; 
  let defColor = null; 

  if(props.parent.hairPreview){
    hair = props.parent.hairStyle
  } 
  else {
    hair = useSelector(selectHair);
    mainColor = useSelector(selectHairColor);
    defColor = useSelector(selectHairDefinition);
  }

  if(props.hairStyle){
    mainColor = props.hairColor
    defColor = props.def
    hair = props.hairStyle
  }
    

    let shownHair = <div />

if(pos == 1){
    switch(hair){ 
        case 0: 
        shownHair = null
        break; 
        case 1: 
        shownHair = <LongBraids style= {styles.hairStyleBraids} main={mainColor} def={defColor} />
        break; 
        case 2: 
        shownHair = <LongCurly style= {styles.hairStyleLongCurly} main={mainColor} def={defColor} />
        break; 
        case 3: 
        shownHair = <LongPony style= {styles.hairStylePony} main={mainColor} def={defColor} />
        break;
        case 4: 
        shownHair = <LongStraight style= {styles.hairStyleStraight} main={mainColor} def={defColor} />
        break; 
        case 5: 
        shownHair = <Scalped style= {styles.hairStyleScalped} main={mainColor} def={defColor} />
        break;
        case 6: 
        shownHair = <ShortCurly style= {styles.hairStyleShortCurly} main={mainColor} def={defColor} />
        break;
        case 7: 
        shownHair = <ShortCurtain style= {styles.hairStyleShortCurtain} main={mainColor} def={defColor} />
        break;
        case 8: 
        shownHair = <ShortFade style= {styles.hairStyleShortFade} main={mainColor} def={defColor} />
        break;
        case 9: 
        shownHair = <ShortStraight style= {styles.hairStyleShortStraight} main={mainColor} def={defColor} />
        break;
        case 10: 
        shownHair = <ShortStyled style= {styles.hairStyleShortStyled} main={mainColor} def={defColor} />
        break;
        case 11: 
        shownHair = <Shoulder style= {styles.hairStyleShoulder} main={mainColor} def={defColor} />
        break;
    }
  } else if (pos == 2) {
    switch(hair){ 
      case 0: 
      shownHair = null
      break; 
      case 1: 
      shownHair = <SvgLongBraidPos2 style= {styles.hairStyleBraids2} main={mainColor} def={defColor} />
      break; 
      case 2: 
      shownHair = <SvgLongCurlyPos2 style= {styles.hairStyleLongCurly2} main={mainColor} def={defColor} />
      break; 
      case 3: 
      shownHair = <SvgLongPonyPos2 style= {styles.hairStylePony2} main={mainColor} def={defColor} />
      break;
      case 4: 
      shownHair = <SvgLongStraightPos2 style= {styles.hairStyleStraight2} main={mainColor} def={defColor} />
      break; 
      case 5: 
      shownHair = <SvgScalpedPos2 style= {styles.hairStyleScalped2} main={mainColor} def={defColor} />
      break;
      case 6: 
      shownHair = <SvgShortCurlyPos2 style= {styles.hairStyleShortCurly2} main={mainColor} def={defColor} />
      break;
      case 7: 
      shownHair = <SvgShortCurtainPos2 style= {styles.hairStyleShortCurtain2} main={mainColor} def={defColor} />
      break;
      case 8: 
      shownHair = <SvgShortFadePos2 style= {styles.hairStyleShortFade2} main={mainColor} def={defColor} />
      break;
      case 9: 
      shownHair = <SvgShortStraightPos2 style= {styles.hairStyleShortStraight2} main={mainColor} def={defColor} />
      break;
      case 10: 
      shownHair = <SvgShortStyledPos2 style= {styles.hairStyleShortStyled2} main={mainColor} def={defColor} />
      break;
      case 11: 
      shownHair = <SvgShoulderPos2 style= {styles.hairStyleShoulder2} main={mainColor} def={defColor} />
      break;
  }
  } else if (pos == 3) {
    switch(hair){ 
      case 0: 
      shownHair = null
      break; 
      case 1: 
      shownHair = <SvgLongBraidPos3 style= {styles.hairStyleBraids3} main={mainColor} def={defColor} />
      break; 
      case 2: 
      shownHair = <SvgLongCurlyPos3 style= {styles.hairStyleLongCurly3} main={mainColor} def={defColor} />
      break; 
      case 3: 
      shownHair = <SvgLongPonyPos3 style= {styles.hairStylePony3} main={mainColor} def={defColor} />
      break;
      case 4: 
      shownHair = <SvgLongStraightPos3 style= {styles.hairStyleStraight3} main={mainColor} def={defColor} />
      break; 
      case 5: 
      shownHair = <SvgScalpedPos3 style= {styles.hairStyleScalped3} main={mainColor} def={defColor} />
      break;
      case 6: 
      shownHair = <SvgShortCurlyPos3 style= {styles.hairStyleShortCurly3} main={mainColor} def={defColor} />
      break;
      case 7: 
      shownHair = <SvgShortCurtainPos3 style= {styles.hairStyleShortCurtain3} main={mainColor} def={defColor} />
      break;
      case 8: 
      shownHair = <SvgShortFadePos3 style= {styles.hairStyleShortFade3} main={mainColor} def={defColor} />
      break;
      case 9: 
      shownHair = <SvgShortStraightPos3 style= {styles.hairStyleShortStraight3} main={mainColor} def={defColor} />
      break;
      case 10: 
      shownHair = <SvgShortStyledPos3 style= {styles.hairStyleShortStyled3} main={mainColor} def={defColor} />
      break;
      case 11: 
      shownHair = <SvgShoulderPos3 style= {styles.hairStyleShoulder3} main={mainColor} def={defColor} />
      break;
  }
}
    return (
      shownHair
    );
}

export default HairComponent;
