import React from 'react';
import {
    View,
    StyleSheet
} from 'react-native';

import * as colorPalette from 'src/global/constants/colorPalette.js';
import AvatarPos4 from 'src/global/avatar/AvatarPos4Component.js';
import BackButton from 'src/global/components/buttons/BackButton.js';

function AvatarBackButton({ navigation }) {
    
    return (
        <View style={styles.container}>
            <BackButton 
                buttonColor={colorPalette.SALMON_PINK}
                onPress={() => navigation.goBack()}
            />
            <View style={styles.avatarContainer}>
                <AvatarPos4 mood={5} wheelChair={true}/>
            </View>
        </View>
    );
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
    },

    avatarContainer: {
        position: 'absolute',
        height: '70%', 
        width: '60%',
        alignItems: 'center',
        bottom: '5%',
        left: '15%',
    },
});

export default AvatarBackButton;