import React from 'react';
import {
  Pressable,
  StyleSheet,
  Text,
} from 'react-native';
import { Ionicons } from '@expo/vector-icons';
import fonts from 'src/assets/fonts/fonts';
import metrics from 'src/global/constants/metrics';
// import colorPalette from '../../utils/constants/colorPalette';
// import haptics from '../../utils/constants/haptics';

const BackButton = (props) => {

  buttonColor = props.buttonColor;

  return (
    <Pressable style={[styles.buttonStyle, { backgroundColor: buttonColor }]} onPress={props.onPress}>
      <Ionicons name='chevron-back-sharp' style={styles.backButtonIcon} />
      <Text style={styles.backText}>Tilbake</Text>
    </Pressable>
  )
}

const styles = StyleSheet.create({
  buttonStyle: {
    position: 'absolute',
    top: metrics.width / 50,
    left: metrics.width / 40,
    flexDirection: 'row',
    alignItems: 'center',
    justifyContent: 'center',
    borderRadius: metrics.width / 75,
    padding: metrics.width / 1000,
    paddingRight: metrics.width / 75,
  },
  backButtonIcon: {
    // color: "#673E31",
    color: '#232021',
    fontSize: fonts.size.font20,
  },
  backText: {
    fontSize: fonts.size.font16,
    fontFamily: "MyriadPro",
    color: "#232021",
    top: metrics.height / 300,
  },
  backButtonContainer: {
    flex: 1,
  }
})

export default BackButton;


