import React, {
  useEffect,
  useState,
} from 'react';
import { useDispatch } from 'react-redux'
import { View, Text, TouchableOpacity } from 'react-native';

const ClosetCard = (props) => {

  const item = props.item
  const dispatch = useDispatch()

  const sound = props.sound;
  const playSound = props.playSound;

  const clickHandler = () => {
    playSound(sound);

    dispatch(item.handler);
    dispatch(item.colors);
  }

  return(
    <View style={{width: '100%', height: '100%'}}>
        <TouchableOpacity onPress={() => clickHandler()}>
          {item.preview} 
        </TouchableOpacity>
    </View>
  );
}
export default ClosetCard;