import React from "react";
import { StyleSheet, View } from "react-native";
import { selectShowColors, selectColorMargin, selectColorOption } from 'src/global/reducers/closet/closetSlice'
import { useSelector, useDispatch } from "react-redux";
// import Face from "../../assets/icons/FacialFeatures"
import ColorCard from 'src/global/components/cards/ColorCards';

// import * as hues from '../../utils/constants/hueHandler'

const ColorDrawer = () => {

  const colorOptions = useSelector(selectColorOption)
  const show = useSelector(selectShowColors)
  const bottomMargin = useSelector(selectColorMargin)
  const dispatch = useDispatch()

  const styles = StyleSheet.create({
    container: {
      position: 'absolute',
      flexDirection: 'column',
      justifyContent: 'center',
      width: '82%',
      height: '12%',
      backgroundColor: "#FEF2E0",
      right: '0%',
      bottom: bottomMargin,
      //borderTopEndRadius: 20, 
      //borderTopStartRadius: 20, 
      shadowOffset: {
        width: 10,
        height: 0,
      },
      shadowOpacity: 0.37,
      shadowRadius: 7.49,
      elevation: 12,
    },

    colorRow: {
      flexDirection: 'row',
      justifyContent: 'space-around',
      width: '100%',
      height: '80%',
      bottom: '0%',
      right: '0%',
      paddingLeft: 10

    },
    color: {
      flex: 1
    }
  })

  return (
    <View style={styles.container}>

      <View style={styles.colorRow}>
        {colorOptions.map((item) => (
          <View key={item.number} style={styles.color}>
            <ColorCard item={item} />
          </View>
        ))}
      </View>
    </View>
  )
}
export default ColorDrawer;
