import * as React from 'react';
import { View, SafeAreaView, ScrollView, StyleSheet, Dimensions } from 'react-native';
import ClosetCard from 'src/global/components/cards/ClosetCard';
import * as closet from 'src/global/constants/closetElements';
import { selectActiveMember } from 'src/global/reducers/closet/closetSlice';
import { useDispatch, useSelector } from 'react-redux';

const win = Dimensions.get('window');

const styles = StyleSheet.create({
    grid: {
        flex: 1,
        width: '100%',
        height: '100%',
        backgroundColor: '#D5B79E'
    },
    row: {
        flexWrap: 'wrap',
        flexDirection: 'row',
        alignItems: 'flex-start',
        justifyContent: 'flex-start',
        width: '100%',
        marginTop: '3%', 
        marginBottom: '18%',
    },
    column: {
        marginHorizontal: '1.5%',
        marginBottom: 15,
        paddingVertical: 10,
        paddingHorizontal: 20,
        width: '30.333%',
        // minHeight: 150,
        // maxHeight: 200,
        maxHeight: win.height/4.2,
        alignItems: 'center',
        justifyContent: 'center',
        backgroundColor: '#FEF2E0',
        elevation: 5,
        borderWidth: 2,
        borderColor: "#B58C70",
        borderRadius: 10,
    }
});

const ClosetGrid = (props) => {

    const sound = props.sound;
    const playSound = props.playSound;

    const activeMember = useSelector(selectActiveMember)

    let items = null
    if(props.isParent){
        if(activeMember == 1){
            items = closet.hairStylesFamily
    switch(props.closetItems){
        case closet.accessoriesFamily: 
        items = closet.accessoriesFamily
        break; 
        case closet.clothesFamily: 
        items = closet.clothesFamily
        break; 
        case closet.hairStylesFamily: 
        items = closet.hairStylesFamily
        break; 
    } 
    } else {
        items = closet.hairStylesFamilyTwo
        switch(props.closetItems){
            case closet.accessoriesFamilyTwo: 
            items = closet.accessoriesFamilyTwo
            break; 
            case closet.clothesFamilyTwo: 
            items = closet.clothesFamilyTwo
            break; 
            case closet.hairStylesFamilyTwo: 
            items = closet.hairStylesFamilyTwo
            break;
    } }
    } else { 
        items = closet.hairStyles
    switch(props.closetItems){
        case closet.accessories: 
        items = closet.accessories
        break; 
        case closet.clothes: 
        items = closet.clothes
        break; 
        case closet.swimWear: 
        items = closet.swimWear
        break; 
        case closet.aid: 
        items = closet.aid
        break; 
        case closet.hairStyles: 
        items = closet.hairStyles
        break; 
    }
    }
    return(
        <SafeAreaView style={styles.grid}>
        <ScrollView style={styles.grid}>
            <View style={styles.row}>
                {
                    items.map((item) => (
                        <View key={item.number}
                            style={styles.column}>
                            <ClosetCard item={item}
                                        sound={sound}
                                        playSound={playSound}
                            />  
                        </View>
                    ))
                }
            </View>
        </ScrollView>
    </SafeAreaView>
    )
}
export default ClosetGrid;
