import * as React from 'react';
import { View, TouchableOpacity, StyleSheet, Pressable, Text } from 'react-native';
// import ClosetCard from '../../components/cards/ClosetCard'
// import SvgEyeColor from '../../assets/icons/Eye';
// import SvgSkinColor from '../../assets/icons/Skin';
// import SvgFeatures from '../../assets/icons/Features';
// import * as closet from '../../global/constants/closetElements'
// import SvgManPos1Svg from '../../avatar/body/adult/ManPos1'
// import SvgMan from '../../avatar/ManAvatar';
import FamilyBodyComponent from 'src/global/avatar/body/adult/FamilyBody';
// import SvgWomanHead from '../../assets/previews/WomanHead';
// import SvgManHead from '../../assets/previews/ManHead';

import { useDispatch, useSelector } from 'react-redux';
import { setActiveMember, selectActiveMember } from 'src/global/reducers/closet/closetSlice';
import { setBody } from 'src/global/reducers/avatar/familyMemberSlice';
import { setBodyTwo } from 'src/global/reducers/avatar/familyMemberTwoSlice';
import SvgManSymbol from 'src/assets/icons/ManSymbol';
import SvgWomanSymbol from 'src/assets/icons/WomanSymbol';
import metrics from 'src/global/constants/metrics';
import fonts from 'src/assets/fonts/fonts';

const styles = StyleSheet.create({
    grid: {
        flex: 1, 
        width: '100%',
        height: '100%',
        backgroundColor: '#D5B79E', 
        flexDirection: 'column', 
        justifyContent: 'space-around',
    }, 
    row: {
        flex: 2.5, 
        flexDirection: 'row', 
        justifyContent: 'space-around', 
        marginBottom: metrics.screenWidth/8,
    }, 
    row2: {
        flex: 1, 
        justifyContent: 'space-around', 
        bottom: '6%',
        marginHorizontal: '5%', 
        backgroundColor: '#FEF2E0',
        elevation: 5,
        borderWidth: metrics.screenHeight/350,
        borderColor: "#B58C70",
        borderRadius: 10,
    }, 
    avatarContainer: {
        flex: 1,
        flexDirection: 'column',
        alignItems: 'center',
        overflow: 'hidden',
    }, 
    bodyView: {
        flex: 1,
        flexDirection: 'row',
        top: '10%', 
        marginHorizontal: '5%',
        marginBottom: 15,
        alignItems: 'center',
        justifyContent: 'center',
        backgroundColor: '#FEF2E0',
        elevation: 5,
        borderWidth: metrics.screenHeight/350,
        borderColor: "#B58C70",
        borderRadius: 10,
    }, 
    genderView: {
        height: '60%',
        width: '60%', 
        alignSelf: 'center',
    },
    genderContainer: {
        flex: 1,
        flexDirection: 'row'
    },
    chooseAvatarButton: {
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'center',
        borderRadius: metrics.screenHeight/10,
        borderWidth: metrics.screenWidth /250,
        borderColor: '#B58C70',
        padding: metrics.screenHeight /150,
        paddingLeft: metrics.screenHeight /40,
        paddingRight: metrics.screenHeight / 40,
        marginBottom: metrics.screenHeight /100,
        marginTop: metrics.screenHeight /100,
    },
    chooseText: {
        color: '#B58C70',
        fontSize: fonts.size.font11,
        fontFamily: 'MyriadPro-Bold',
        fontWeight: 'bold'
    },
    chooseTextSelected: {
        color: '#FEF2E0',
        fontSize: fonts.size.font11,
        fontFamily: 'MyriadPro-Bold',
        fontWeight: 'bold'
    },
    chooseAvatarButtonSelected: {
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'center',
        backgroundColor: '#B58C70',
        borderColor: '#B58C70',
        borderRadius: metrics.screenHeight/10,
        borderWidth: metrics.screenWidth /250,
        padding: metrics.screenHeight /150,
        paddingLeft: metrics.screenHeight /40,
        paddingRight: metrics.screenHeight / 40,
        marginBottom: metrics.screenHeight /100,
        marginTop: metrics.screenHeight /100,
    },
    avatarBody: {
        flex:1
    },
    avatarBodySelected: {
        flex: 1,
        opacity: 0.5,
    }
})


const FeaturesGrid = (props) => {
    const dispatch = useDispatch()
    const activeMember = useSelector(selectActiveMember)

    const genderHandlerMan = () => {
        if(activeMember == 1){
            dispatch(setBody(1))
        } else {
            dispatch(setBodyTwo(1))
        }
    }

    const genderHandlerWoman= () => {
        if(activeMember == 1){
            dispatch(setBody(2))
        } else {
            dispatch(setBodyTwo(2))
        }
    }

    return (
        <View style={styles.grid}>
            <View style={styles.row}>
                <View style={styles.bodyView}>
                    <Pressable style={styles.avatarContainer} onPress={() => dispatch(setActiveMember(1))}>
                        <View avatarBodyContainer style={activeMember == 1 ? styles.avatarBody : styles.avatarBodySelected}>
                            <FamilyBodyComponent member={1} />
                        </View>
                        <View style={[activeMember == 1 ? styles.chooseAvatarButtonSelected : styles.chooseAvatarButton]}>
                            <Text style={[activeMember == 1 ? styles.chooseTextSelected : styles.chooseText]}>Velg</Text>
                        </View>
                    </Pressable>
                    <Pressable style={styles.avatarContainer} onPress={() => dispatch(setActiveMember(2))}>
                    <View avatarBodyContainer style={activeMember == 2 ? styles.avatarBody : styles.avatarBodySelected}>
                            <FamilyBodyComponent member={2}/>
                    </View>
                        <View style={[activeMember == 2 ? styles.chooseAvatarButtonSelected : styles.chooseAvatarButton]}>
                            <Text style={[activeMember == 2 ? styles.chooseTextSelected : styles.chooseText]}>Velg</Text>
                        </View>
                    </Pressable>
                </View>
            </View>
            <View style={styles.genderContainer}>
            <View style={styles.row2}>
                <TouchableOpacity style={styles.genderView} onPress={genderHandlerWoman}>
                    <SvgWomanSymbol />
                </TouchableOpacity>
            </View>

            <View style={styles.row2}>
                <TouchableOpacity style={styles.genderView} onPress={genderHandlerMan}>
                    <SvgManSymbol />
                </TouchableOpacity>
            </View>
            </View>
        </View>
    )
}
export default FeaturesGrid;
