import React from 'react';
import { useDispatch, useSelector } from 'react-redux'
import { View, Text, TouchableOpacity } from 'react-native';
import { selectWheelChair, selectWalker } from 'src/global/reducers/avatar/aidSlice';

import AvatarPos3 from 'src/global/avatar/AvatarPos3Component'
import AvatarPos4 from 'src/global/avatar/AvatarPos4Component'
import AvatarPos3Walker from 'src/global/avatar/activityPositions/Pos3Walker'
import AvatarBathing1 from 'src/global/avatar/activityPositions/Bathinghappy'
import AvatarBathing2 from 'src/global/avatar/activityPositions/BathingVHappy'
import AvatarCanoe from 'src/global/avatar/activityPositions/Canoe'
import AvatarSitting from 'src/global/avatar/activityPositions/SittingNoSki'
import { getType } from '@reduxjs/toolkit';
import AvatarComponent from 'src/global/avatar/AvatarComponent';

const ActivityHandler = (props) => {

    const activity = props.activity
    const choice = props.choice
    const isWheelChair = useSelector(selectWheelChair);
    const isWalker = useSelector(selectWalker);
    
    let functionLevel = 1
    if(isWheelChair){
        functionLevel = 3
    } else if(isWalker){
        functionLevel = 2
    }

    let shownAvatar = null

    switch(activity){
        case 1: 
        switch(choice){
            case 1: 
            switch(functionLevel){
                case 1: 
                shownAvatar = <AvatarPos3 clothing={swimSuit} />
                break; 
                case 2: 
                shownAvatar = <AvatarPos3Walker clothing ={swimSuit} />
                break; 
                case 3: 
                shownAvatar = <AvatarPos4 clothing={swimSuit}/>
                break;
            }
            break; 
            case 2: 
            shownAvatar = <AvatarPos4 clothing={swimsuit} />
            break; 
            case 3: 
            shownAvatar = <AvatarBathing1 clothing={swimsuit}/>
            break; 
            case 4: 
            shownAvatar = <AvatarBathing2 clothing={swimsuit} />
        }
        case 2: 
        shownAvatar = <AvatarCanoe />
        break; 
        case 3: 
        switch(choice){
            case 1: 
            switch(functionLevel){
                case 1: 
                shownAvatar = <AvatarSitting clothing={gym}/>
                break; 
                case 2: 
                shownAvatar = <AvatarSitting clothing={gym}/>
                break; 
                case 3: 
                shownAvatar =  <AvatarPos4 clothing={swimSuit} wheelChair={true}/>
                break;
            }
            break; 
            case 2: 
            switch(functionLevel){
                case 1: 
                shownAvatar = <AvatarComponent clothing={gym} />
                break; 
                case 2: 
                shownAvatar = <AvatarComponent clothing={gym} />
                break; 
                case 3: 
                shownAvatar = <AvatarPos4 />
                break;
            }
        }
    }

    return (
    <View>

    </View>

    );
}
export default ActivityHandler;
