import React from 'react';

import { setSkin } from 'src/global/reducers/avatar/skinSlice';
import { setEyeColor } from 'src/global/reducers/avatar/eyesSlice';
import { setHairStyle } from 'src/global/reducers/avatar/hairStyleSlice';
import { setBottomStyle } from 'src/global/reducers/avatar/bottomStyleSlice';
import { setTopStyle } from 'src/global/reducers/avatar/topStyleSlice';
import { setHeadWearStyle } from 'src/global/reducers/avatar/headWearStyleSlice';
import { setAid, setProsthesis } from 'src/global/reducers/avatar/aidSlice';
import { setShoesStyle } from 'src/global/reducers/avatar/shoeStyleSlice';
import { setAccessoriesStyle } from 'src/global/reducers/avatar/accessoriesStyleSlice';
import { setFeatures } from 'src/global/reducers/avatar/featuresSlice';
import { setSwimWearStyle } from 'src/global/reducers/avatar/swimWearSlice';
import {
  setBeard,
  setBodyColors,
  setEyeColorFamily,
  setHairStyleFamily,
  setTopStyleFamily,
  setBottomStyleFamily,
  setShoeStyleFamily,
  setGlassesStyle
} from 'src/global/reducers/avatar/familyMemberSlice';

import Hoodie from 'src/assets/previews/HoodieComplete';
import TankTop from 'src/assets/previews/TankTopComplete';
import Sweater from 'src/assets/previews/SweaterComplete';
import TShirt from 'src/assets/previews/TSHirtComplete';
import Pant from 'src/assets/previews/PantComplete';
import Skirt from 'src/assets/previews/SkirtComplet';
import Shorts from 'src/assets/previews/ShortsComplete';
import Ballerinas from 'src/assets/previews/Ballerinas';
import Sneakers from 'src/assets/previews/Sneakers';
import Bow from 'src/assets/previews/Bow';
import HeadBand from 'src/assets/previews/HeadBand';
import HairHoop from 'src/assets/previews/HairHoop';
import HeadSet from 'src/assets/previews/HeadSet';
import Glasses from 'src/global/avatar/accessories/glasses/Pos1/GlassesPos1';
import SunGlasses from 'src/global/avatar/accessories/glasses/Pos1/SunglassesPos1';

import ShortStyled from 'src/assets/previews/ShortStyledPos1';
import ShortFade from 'src/assets/previews/ShortFadePos1';
import ShortCurly from 'src/assets/previews/ShortCurlyPos1';
import ShortStraight from 'src/assets/previews/ShortStraightPos1';
import ShortCurtain from 'src/assets/previews/ShortCurtainPos1';
import Shoulder from 'src/assets/previews/ShoulderPos1';
import Scalped from 'src/assets/previews/ScalpedPos1';
import LongBraid from 'src/assets/previews/LongBraidsPos1';
import LongCurly from 'src/assets/previews/LongCurlyPos1';
import LongPony from 'src/assets/previews/LongPonyPos1';
import LongStraight from 'src/assets/previews/LongStraightPos1';

import Eye from 'src/assets/previews/Eye';
import EyeLash from 'src/assets/previews/EyeLash';
import Freckle from 'src/assets/previews/Freckle';
import Cheeks from 'src/assets/previews/Cheeks';
import Beard from 'src/assets/previews/Beard';

import HeadComponent from 'src/global/avatar/body/head/HeadComponent';
import SvgBathingSuit from 'src/global/avatar/clothing/swimWear/BathingSuit';
import SvgBathingShorts from 'src/global/avatar/clothing/swimWear/BathingShorts';
import SvgWheelChair from 'src/global/avatar/aid/wheelChair/WheelChairPos1';
import SvgWalker from 'src/global/avatar/aid/walker/Walker';
import SvgProsthesisArm from 'src/global/avatar/body/arm/ProsthesisArm';
import SvgRight from 'src/assets/previews/ProsthesisArm';
import SvgProsthesisLeg from 'src/global/avatar/body/leg/ProsthesisLeg';
import ProsthesisSvgLeg from 'src/assets/previews/PrsothesisLeg';
import { setColorOptions } from 'src/global/reducers/closet/closetSlice';
import {
  setEyeColorFamilyTwo,
  setHairStyleFamilyTwo,
  setBottomStyleFamilyTwo,
  setShoeStyleFamilyTwo,
  setTopStyleFamilyTwo,
  setGlassesStyleTwo,
  setBeardTwo,
  setBodyColorsTwo
} from 'src/global/reducers/avatar/familyMemberTwoSlice';
import SvgArmOthosisPreview from 'src/assets/previews/ArmOrthosis';
import SvgLegOrthosisPreview from 'src/assets/previews/LegOrthosis';

//Skincolors. Preview will be the SVG-element to show
export const features = [
  {
    number: 1,
    preview: <Eye color={'#69734D'} lashes={false} />,
    handler: setEyeColor('#69734D'),
    colors: setColorOptions(6)
  },
  {
    number: 2,
    preview: <Eye color={'#9C7963'} lashes={false} />,
    handler: setEyeColor('#9C7963'),
    colors: setColorOptions(6)
  },
  {
    number: 3,
    preview: <Eye color={'#7189B4'} lashes={false} />,
    handler: setEyeColor('#7189B4'),
    colors: setColorOptions(6)
  },
  {
    number: 4,
    preview: <Freckle freckle={false} primary='#FAD1B3' secondary={'#CA9478'} />,
    handler: setSkin(1),
    colors: setColorOptions(6)
  },
  {
    number: 5,
    preview: <Freckle freckle={false} primary={'#EAC291'} secondary={'#B8896F'} />,
    handler: setSkin(2),
    colors: setColorOptions(6)
  },
  {
    number: 6,
    preview: <Freckle freckle={false} primary={'#BE885C'} secondary={'#60311D'} />,
    handler: setSkin(3),
    colors: setColorOptions(6)
  },
  {
    number: 7,
    preview: <Freckle freckle={false} primary={'#90664D'} secondary={'#1D1D1B'} />,
    handler: setSkin(4),
    colors: setColorOptions(6)
  },
  {
    number: 8,
    preview: <EyeLash color={'#7189B4'} lashes={true} />,
    handler: setFeatures(1),
    colors: setColorOptions(6)
  },
  {
    number: 9,
    preview: <Freckle primary='#FAD1B3' secondary={'#CA9478'} />,
    handler: setFeatures(3),
    colors: setColorOptions(6)
  },
];

export const familyPicker = [
  {
    number: 1,
    preview: <Eye color={'#69734D'} lashes={false} />,
    handler: setBeard(),
    colors: setColorOptions
  },
  {
    number: 2,
    preview: <Eye color={'#69734D'} lashes={false} />,
    handler: setBeard(),
    colors: setColorOptions
  },
]


export const featuresFamily = [
  {
    number: 1,
    preview: <Eye color={'#69734D'} lashes={false} />,
    handler: setEyeColorFamily('#69734D'),
    colors: setColorOptions(6)
  },
  {
    number: 2,
    preview: <Eye color={'#9C7963'} lashes={false} />,
    handler: setEyeColorFamily('#9C7963'),
    colors: setColorOptions(6)
  },
  {
    number: 3,
    preview: <Eye color={'#7189B4'} lashes={false} />,
    handler: setEyeColorFamily('#7189B4'),
    colors: setColorOptions(6)
  },
  {
    number: 4,
    preview: <Freckle freckle={false} primary='#FAD1B3' secondary={'#CA9478'} />,
    handler: setBodyColors(1),
    colors: setColorOptions(6)
  },
  {
    number: 5,
    preview: <Freckle freckle={false} primary={'#EAC291'} secondary={'#B8896F'} />,
    handler: setBodyColors(2),
    colors: setColorOptions(6)
  },
  {
    number: 6,
    preview: <Freckle freckle={false} primary={'#BE885C'} secondary={'#60311D'} />,
    handler: setBodyColors(3),
    colors: setColorOptions(6)
  },
  {
    number: 7,
    preview: <Freckle freckle={false} primary={'#90664D'} secondary={'#1D1D1B'} />,
    handler: setBodyColors(4),
    colors: setColorOptions(6)
  },
  {
    number: 8,
    preview: <EyeLash color={'#7189B4'} lashes={true} />,
    handler: setFeatures(1),
    colors: setColorOptions(6)
  },
  {
    number: 9,
    preview: <Freckle primary='#FAD1B3' secondary={'#CA9478'} />,
    handler: setFeatures(3),
    colors: setColorOptions(6)
  },
];


//Eye
export const eyes = [
  {
    number: 1,
    preview: <Eye color={'#69734D'} lashes={false} />,
    handler: setEyeColor('#69734D'),
    colors: setColorOptions(6)
  },
  {
    number: 2,
    preview: <Eye color={'#9C7963'} lashes={false} />,
    handler: setEyeColor('#9C7963'),
    colors: setColorOptions(6)
  },
  {
    number: 3,
    preview: <Eye color={'#7189B4'} lashes={false} />,
    handler: setEyeColor('#7189B4'),
    colors: setColorOptions(6)
  }
];

//Eye FamilyMember
export const eyesFamily = [
  {
    number: 1,
    preview: <Eye color={'#69734D'} lashes={false} />,
    handler: setEyeColorFamily('#69734D'),
    colors: setColorOptions(6)
  },
  {
    number: 2,
    preview: <Eye color={'#9C7963'} lashes={false} />,
    handler: setEyeColorFamily('#9C7963'),
    colors: setColorOptions(6)
  },
  {
    number: 3,
    preview: <Eye color={'#7189B4'} lashes={false} />,
    handler: setEyeColorFamily('#7189B4'),
    colors: setColorOptions(6)
  }
];

//Eye FamilyMember
export const eyesFamilyTwo = [
  {
    number: 1,
    preview: <Eye color={'#69734D'} lashes={false} />,
    handler: setEyeColorFamilyTwo('#69734D'),
    colors: setColorOptions(6)
  },
  {
    number: 2,
    preview: <Eye color={'#9C7963'} lashes={false} />,
    handler: setEyeColorFamilyTwo('#9C7963'),
    colors: setColorOptions(6)
  },
  {
    number: 3,
    preview: <Eye color={'#7189B4'} lashes={false} />,
    handler: setEyeColorFamilyTwo('#7189B4'),
    colors: setColorOptions(6)
  }
];

//SkinColors 
export const skins = [
  {
    number: 4,
    preview: <Freckle freckle={false} primary='#FAD1B3' secondary={'#CA9478'} />,
    handler: setSkin(1),
    colors: setColorOptions(6)
  },
  {
    number: 5,
    preview: <Freckle freckle={false} primary={'#EAC291'} secondary={'#B8896F'} />,
    handler: setSkin(2),
    colors: setColorOptions(6)
  },
  {
    number: 6,
    preview: <Freckle freckle={false} primary={'#BE885C'} secondary={'#60311D'} />,
    handler: setSkin(3),
    colors: setColorOptions(6)
  },
  {
    number: 7,
    preview: <Freckle freckle={false} primary={'#90664D'} secondary={'#1D1D1B'} />,
    handler: setSkin(4),
    colors: setColorOptions(6)
  },
];


//SkinColors 
export const skinsFamily = [
  {
    number: 4,
    preview: <Freckle freckle={false} primary='#FAD1B3' secondary={'#CA9478'} />,
    handler: setBodyColors(1),
    colors: setColorOptions(6)
  },
  {
    number: 5,
    preview: <Freckle freckle={false} primary={'#EAC291'} secondary={'#B8896F'} />,
    handler: setBodyColors(2),
    colors: setColorOptions(6)
  },
  {
    number: 6,
    preview: <Freckle freckle={false} primary={'#BE885C'} secondary={'#60311D'} />,
    handler: setBodyColors(3),
    colors: setColorOptions(6)
  },
  {
    number: 7,
    preview: <Freckle freckle={false} primary={'#90664D'} secondary={'#1D1D1B'} />,
    handler: setBodyColors(4),
    colors: setColorOptions(6)
  },
];

export const skinsFamilyTwo = [
  {
    number: 4,
    preview: <Freckle freckle={false} primary='#FAD1B3' secondary={'#CA9478'} />,
    handler: setBodyColorsTwo(1),
    colors: setColorOptions(6)
  },
  {
    number: 5,
    preview: <Freckle freckle={false} primary={'#EAC291'} secondary={'#B8896F'} />,
    handler: setBodyColorsTwo(2),
    colors: setColorOptions(6)
  },
  {
    number: 6,
    preview: <Freckle freckle={false} primary={'#BE885C'} secondary={'#60311D'} />,
    handler: setBodyColorsTwo(3),
    colors: setColorOptions(6)
  },
  {
    number: 7,
    preview: <Freckle freckle={false} primary={'#90664D'} secondary={'#1D1D1B'} />,
    handler: setBodyColorsTwo(4),
    colors: setColorOptions(6)
  },
];

export const facialFeatures = [
  {
    number: 8,
    preview: <EyeLash color={'#7189B4'} lashes={true} />,
    handler: setFeatures(1),
    colors: setColorOptions(6)
  },
  {
    number: 9,
    preview: <Freckle primary='#FAD1B3' secondary={'#CA9478'} />,
    handler: setFeatures(3),
    colors: setColorOptions(6)
  }
];

export const facialFeaturesFamily = [
  {
    number: 8,
    preview: <Beard />,
    handler: setBeard(),
    colors: setColorOptions(6)
  },
];

export const facialFeaturesFamilyTwo = [
  {
    number: 8,
    preview: <Beard />,
    handler: setBeardTwo(),
    colors: setColorOptions(6)
  },
];


//Eyecolors
export const skinColors = [
  {
    number: 1,
    preview: <HeadComponent isPreview={true} primary={'#FAD1B3'} secondary={'#CA9478'} />,
    handler: setSkin(1),
    colors: setColorOptions(6)
  },
  {
    number: 2,
    preview: <HeadComponent isPreview={true} primary={'#EAC291'} secondary={'#B8896F'} />,
    handler: setSkin(2),
    colors: setColorOptions(6)
  },
  {
    number: 3,
    preview: <HeadComponent isPreview={true} primary={'#BE885C'} secondary={'#60311D'} />,
    handler: setSkin(3),
    colors: setColorOptions(6)
  },
  {
    number: 4,
    preview: <HeadComponent isPreview={true} primary={'#90664D'} secondary={'#1D1D1B'} />,
    handler: setSkin(4),
    colors: setColorOptions(6)
  },
];

/* //Facial features
export const facialFeatures = [
   
   {
        number: 1, 
        preview: <HeadComponent lashPreview={true} lashes={false} />,
        handler: setFeatures(1), 
        colors : setColorOptions(6),
        text: 'Uten øyevipper'
    }, 
 {
        number: 3, 
        preview: <HeadComponent cheekPreview={true} cheeks={true}/>, 
        handler: setFeatures(3), 
        colors : setColorOptions(6),
        text: 'Kinn'
    }, 
    {
        number: 4, 
        preview: <HeadComponent cheekPreview={true} cheeks={false}/>, 
        handler: setFeatures(4), 
        colors : setColorOptions(6),
        text: 'Uten kinn'
    },
   {
        number: 5, 
        preview: <HeadComponent frecklePreview={true} freckles={true} />, 
        handler: setFeatures(5), 
        colors : setColorOptions(6),
        text: 'Fregner'
    }, 
    {
        number: 6, 
        preview: <HeadComponent frecklePreview={true} freckles={false}/>, 
        handler: setFeatures(6), 
        colors : setColorOptions(6),
        text: 'Uten fregner'
    },
]; */

export const hairStylesFamily = [
  {
    number: 1,
    preview: <LongBraid hairPreview={true} hairStyle={0} />,
    handler: setHairStyleFamily(1),
    colors: setColorOptions(7)
  },

  {
    number: 2,
    preview: <LongCurly hairPreview={true} hairStyle={1} />,
    handler: setHairStyleFamily(2),
    colors: setColorOptions(7)
  },

  {
    number: 3,
    preview: <LongPony hairPreview={true} hairStyle={2} />,
    handler: setHairStyleFamily(3),
    colors: setColorOptions(7)
  },

  {
    number: 4,
    preview: <LongStraight hairPreview={true} hairStyle={3} />,
    handler: setHairStyleFamily(4),
    colors: setColorOptions(7)
  },

  {
    number: 5,
    preview: <Scalped hairPreview={true} hairStyle={4} />,
    handler: setHairStyleFamily(5),
    colors: setColorOptions(7)
  },

  {
    number: 6,
    preview: <ShortCurly hairPreview={true} hairStyle={5} />,
    handler: setHairStyleFamily(6),
    colors: setColorOptions(7)
  },

  {
    number: 7,
    preview: <ShortCurtain hairPreview={true} hairStyle={6} />,
    handler: setHairStyleFamily(7),
    colors: setColorOptions(7)
  },

  {
    number: 8,
    preview: <ShortFade hairPreview={true} hairStyle={7} />,
    handler: setHairStyleFamily(8),
    colors: setColorOptions(7)
  },

  {
    number: 9,
    preview: <ShortStraight hairPreview={true} hairStyle={8} />,
    handler: setHairStyleFamily(9),
    colors: setColorOptions(7)
  },

  {
    number: 10,
    preview: <ShortStyled hairPreview={true} hairStyle={9} />,
    handler: setHairStyleFamily(10),
    colors: setColorOptions(7)
  },

  {
    number: 11,
    preview: <Shoulder hairPreview={true} hairStyle={10} />,
    handler: setHairStyleFamily(11),
    colors: setColorOptions(7)
  }
];


export const hairStylesFamilyTwo = [
  {
    number: 1,
    preview: <LongBraid hairPreview={true} hairStyle={0} />,
    handler: setHairStyleFamilyTwo(1),
    colors: setColorOptions(11)
  },

  {
    number: 2,
    preview: <LongCurly hairPreview={true} hairStyle={1} />,
    handler: setHairStyleFamilyTwo(2),
    colors: setColorOptions(11)
  },

  {
    number: 3,
    preview: <LongPony hairPreview={true} hairStyle={2} />,
    handler: setHairStyleFamilyTwo(3),
    colors: setColorOptions(11)
  },

  {
    number: 4,
    preview: <LongStraight hairPreview={true} hairStyle={3} />,
    handler: setHairStyleFamilyTwo(4),
    colors: setColorOptions(11)
  },

  {
    number: 5,
    preview: <Scalped hairPreview={true} hairStyle={4} />,
    handler: setHairStyleFamilyTwo(5),
    colors: setColorOptions(11)
  },

  {
    number: 6,
    preview: <ShortCurly hairPreview={true} hairStyle={5} />,
    handler: setHairStyleFamilyTwo(6),
    colors: setColorOptions(11)
  },

  {
    number: 7,
    preview: <ShortCurtain hairPreview={true} hairStyle={6} />,
    handler: setHairStyleFamilyTwo(7),
    colors: setColorOptions(11)
  },

  {
    number: 8,
    preview: <ShortFade hairPreview={true} hairStyle={7} />,
    handler: setHairStyleFamilyTwo(8),
    colors: setColorOptions(11)
  },

  {
    number: 9,
    preview: <ShortStraight hairPreview={true} hairStyle={8} />,
    handler: setHairStyleFamilyTwo(9),
    colors: setColorOptions(11)
  },

  {
    number: 10,
    preview: <ShortStyled hairPreview={true} hairStyle={9} />,
    handler: setHairStyleFamilyTwo(10),
    colors: setColorOptions(11)
  },

  {
    number: 11,
    preview: <Shoulder hairPreview={true} hairStyle={10} />,
    handler: setHairStyleFamilyTwo(11),
    colors: setColorOptions(11)
  }
];

//Hair styles
export const hairStyles = [
  {
    number: 1,
    preview: <LongBraid hairPreview={true} hairStyle={0} />,
    handler: setHairStyle(1),
    colors: setColorOptions(1)
  },

  {
    number: 2,
    preview: <LongCurly hairPreview={true} hairStyle={1} />,
    handler: setHairStyle(2),
    colors: setColorOptions(1)
  },

  {
    number: 3,
    preview: <LongPony hairPreview={true} hairStyle={2} />,
    handler: setHairStyle(3),
    colors: setColorOptions(1)
  },

  {
    number: 4,
    preview: <LongStraight hairPreview={true} hairStyle={3} />,
    handler: setHairStyle(4),
    colors: setColorOptions(1)
  },

  {
    number: 5,
    preview: <Scalped hairPreview={true} hairStyle={4} />,
    handler: setHairStyle(5),
    colors: setColorOptions(1)
  },

  {
    number: 6,
    preview: <ShortCurly hairPreview={true} hairStyle={5} />,
    handler: setHairStyle(6),
    colors: setColorOptions(1)
  },

  {
    number: 7,
    preview: <ShortCurtain hairPreview={true} hairStyle={6} />,
    handler: setHairStyle(7),
    colors: setColorOptions(1)
  },

  {
    number: 8,
    preview: <ShortFade hairPreview={true} hairStyle={7} />,
    handler: setHairStyle(8),
    colors: setColorOptions(1)
  },

  {
    number: 9,
    preview: <ShortStraight hairPreview={true} hairStyle={8} />,
    handler: setHairStyle(9),
    colors: setColorOptions(1)
  },

  {
    number: 10,
    preview: <ShortStyled hairPreview={true} hairStyle={9} />,
    handler: setHairStyle(10),
    colors: setColorOptions(1)
  },

  {
    number: 11,
    preview: <Shoulder hairPreview={true} hairStyle={10} />,
    handler: setHairStyle(11),
    colors: setColorOptions(1)
  }
];

//Tops
export const clothes = [
  {
    number: 1,
    preview: <Sweater />,
    handler: setTopStyle(1),
    colors: setColorOptions(2)
  },

  {
    number: 2,
    preview: <TShirt />,
    handler: setTopStyle(2),
    colors: setColorOptions(2)
  },

  {
    number: 3,
    preview: <TankTop />,
    handler: setTopStyle(3),
    colors: setColorOptions(2)
  },

  {
    number: 4,
    preview: <Hoodie />,
    handler: setTopStyle(4),
    colors: setColorOptions(2)
  },
  {
    number: 5,
    preview: <Pant primary='#889B71' secondary='#69734D' />,
    handler: setBottomStyle(1),
    colors: setColorOptions(3)
  },

  {
    number: 6,
    preview: <Shorts primary='#889B71' secondary='#69734D' tertiary='#454B31' quarternary='#AAB897' />,
    handler: setBottomStyle(2),
    colors: setColorOptions(3)
  },

  {
    number: 7,
    preview: <Skirt primary='#889B71' secondary='#69734D' />,
    handler: setBottomStyle(3),
    colors: setColorOptions(3)
  },
  {
    number: 8,
    preview: <Ballerinas />,
    handler: setShoesStyle(2),
    colors: setColorOptions(4)
  },
  {
    number: 9,
    preview: <Sneakers />,
    handler: setShoesStyle(1),
    colors: setColorOptions(4)
  }
];

//Tops
export const clothesFamily = [
  {
    number: 1,
    preview: <Sweater />,
    handler: setTopStyleFamily(1),
    colors: setColorOptions(8)
  },

  {
    number: 2,
    preview: <TShirt />,
    handler: setTopStyleFamily(2),
    colors: setColorOptions(8)
  },

  {
    number: 3,
    preview: <TankTop />,
    handler: setTopStyleFamily(3),
    colors: setColorOptions(8)
  },

  {
    number: 4,
    preview: <Hoodie />,
    handler: setTopStyleFamily(4),
    colors: setColorOptions(8)
  },
  {
    number: 5,
    preview: <Pant primary='#889B71' secondary='#69734D' />,
    handler: setBottomStyleFamily(1),
    colors: setColorOptions(10)
  },

  {
    number: 6,
    preview: <Shorts primary='#889B71' secondary='#69734D' tertiary='#454B31' quarternary='#AAB897' />,
    handler: setBottomStyleFamily(2),
    colors: setColorOptions(10)
  },

  {
    number: 7,
    preview: <Skirt primary='#889B71' secondary='#69734D' />,
    handler: setBottomStyleFamily(3),
    colors: setColorOptions(10)
  },
  {
    number: 8,
    preview: <Ballerinas />,
    handler: setShoeStyleFamily(1),
    colors: setColorOptions(9)
  },
  {
    number: 9,
    preview: <Sneakers />,
    handler: setShoeStyleFamily(2),
    colors: setColorOptions(9)
  }
];

export const clothesFamilyTwo = [
  {
    number: 1,
    preview: <Sweater />,
    handler: setTopStyleFamilyTwo(1),
    colors: setColorOptions(12)
  },

  {
    number: 2,
    preview: <TShirt />,
    handler: setTopStyleFamilyTwo(2),
    colors: setColorOptions(12)
  },

  {
    number: 3,
    preview: <TankTop />,
    handler: setTopStyleFamilyTwo(3),
    colors: setColorOptions(12)
  },

  {
    number: 4,
    preview: <Hoodie />,
    handler: setTopStyleFamilyTwo(4),
    colors: setColorOptions(12)
  },
  {
    number: 5,
    preview: <Pant primary='#889B71' secondary='#69734D' />,
    handler: setBottomStyleFamilyTwo(1),
    colors: setColorOptions(14)
  },

  {
    number: 6,
    preview: <Shorts primary='#889B71' secondary='#69734D' tertiary='#454B31' quarternary='#AAB897' />,
    handler: setBottomStyleFamilyTwo(2),
    colors: setColorOptions(14)
  },

  {
    number: 7,
    preview: <Skirt primary='#889B71' secondary='#69734D' />,
    handler: setBottomStyleFamilyTwo(3),
    colors: setColorOptions(14)
  },
  {
    number: 8,
    preview: <Ballerinas />,
    handler: setShoeStyleFamilyTwo(1),
    colors: setColorOptions(13)
  },
  {
    number: 9,
    preview: <Sneakers />,
    handler: setShoeStyleFamilyTwo(2),
    colors: setColorOptions(13)
  }
];

//bathingsuit
export const swimWear = [
  {
    number: 1,
    preview: <SvgBathingSuit />,
    handler: setSwimWearStyle(1),
    colors: setColorOptions(6)
  },
  {
    number: 2,
    preview: <SvgBathingShorts />,
    handler: setSwimWearStyle(2),
    colors: setColorOptions(6)
  }
];

//aid
export const aid = [
  {
    number: 1,
    preview: <SvgWalker />,
    handler: setAid(1),
    colors: setColorOptions(6)
  },
  {
    number: 2,
    preview: <SvgWheelChair />,
    handler: setAid(2),
    colors: setColorOptions(6)
  },
  {
    number: 3,
    preview: <SvgRight />,
    handler: setProsthesis(2),
    colors: setColorOptions(6)
  },
  {
    number: 4,
    preview: <SvgRight style={{ transform: [{ rotateY: '180deg' }] }} />,
    handler: setProsthesis(1),
    colors: setColorOptions(6)
  },
  {
    number: 5,
    preview: <ProsthesisSvgLeg />,
    handler: setProsthesis(4),
    colors: setColorOptions(6)
  },
  {
    number: 6,
    preview: <ProsthesisSvgLeg style={{ transform: [{ rotateY: '180deg' }] }} />,
    handler: setProsthesis(3),
    colors: setColorOptions(6)
  },
  {
    number: 7,
    preview: <SvgArmOthosisPreview style={{ transform: [{ rotateY: '180deg' }] }} />,
    handler: setProsthesis(5),
    colors: setColorOptions(6)
  },
  {
    number: 8,
    preview: <SvgArmOthosisPreview />,
    handler: setProsthesis(6),
    colors: setColorOptions(6)
  },
  {
    number: 9,
    preview: <SvgLegOrthosisPreview />,
    handler: setProsthesis(8),
    colors: setColorOptions(6)
  },
  {
    number: 10,
    preview: <SvgLegOrthosisPreview style={{ transform: [{ rotateY: '180deg' }] }} />,
    handler: setProsthesis(7),
    colors: setColorOptions(6)
  },
];


//HeadWear 
export const headWear = [
  {
    number: 1,
    preview: <Bow />,
    handler: setHeadWearStyle(1),
    colors: setColorOptions(5)
  },

  {
    number: 2,
    preview: <HairHoop />,
    handler: setHeadWearStyle(2),
    colors: setColorOptions(5)
  },

  {
    number: 3,
    preview: <HeadBand />,
    handler: setHeadWearStyle(3),
    colors: setColorOptions(5)
  },

  {
    number: 4,
    preview: <HeadSet />,
    handler: setHeadWearStyle(4),
    colors: setColorOptions(5)
  }
];

export const accessories = [

  {
    number: 1,
    preview: <Glasses />,
    handler: setAccessoriesStyle(1),
    colors: setColorOptions(5)
  },
  {
    number: 2,
    preview: <SunGlasses />,
    handler: setAccessoriesStyle(2),
    colors: setColorOptions(5)
  },
  {
    number: 3,
    preview: <Bow />,
    handler: setHeadWearStyle(1),
    colors: setColorOptions(5)
  },

  {
    number: 4,
    preview: <HairHoop />,
    handler: setHeadWearStyle(2),
    colors: setColorOptions(5)
  },

  {
    number: 5,
    preview: <HeadBand />,
    handler: setHeadWearStyle(3),
    colors: setColorOptions(5)
  },

  {
    number: 6,
    preview: <HeadSet />,
    handler: setHeadWearStyle(4),
    colors: setColorOptions(5)
  }
];


export const accessoriesFamily = [

  {
    number: 1,
    preview: <Glasses />,
    handler: setGlassesStyle(1),
    colors: setColorOptions(5)
  },
  {
    number: 2,
    preview: <SunGlasses />,
    handler: setGlassesStyle(2),
    colors: setColorOptions(5)
  }
];

export const accessoriesFamilyTwo = [

  {
    number: 1,
    preview: <Glasses />,
    handler: setGlassesStyleTwo(1),
    colors: setColorOptions(5)
  },
  {
    number: 2,
    preview: <SunGlasses />,
    handler: setGlassesStyleTwo(2),
    colors: setColorOptions(5)
  }
];
