import { setHairColor } from 'src/global/reducers/avatar/hairStyleSlice'
import { setTopColor } from 'src/global/reducers/avatar/topStyleSlice'
import { setBottomColor } from 'src/global/reducers/avatar/bottomStyleSlice'
import { setShoesColor } from 'src/global/reducers/avatar/shoeStyleSlice'
import { setHeadWearColor } from 'src/global/reducers/avatar/headWearStyleSlice'
import {
  setBottomColorsFamilyTwo,
  setShoeColorsFamilyTwo,
  setTopColorsFamilyTwo,
  setHairColorFamilyTwo
} from 'src/global/reducers/avatar/familyMemberTwoSlice'
import {
  setHairColorFamily,
  setTopColorsFamily,
  setBottomColorsFamily,
  setShoeColorsFamily
} from 'src/global/reducers/avatar/familyMemberSlice'
import * as hues from "./hues"


//colorGroups
export const hairColors = [
  {
    number: 1,
    preview: "lightBlonde",
    color: hues.LIGHT_BLONDE_HAIR,
    handler: setHairColor({
      color: hues.LIGHT_BLONDE_HAIR,
      definition: hues.LIGHT_BLONDE_HAIR_DEF
    },
    )
  },
  {
    number: 2,
    preview: "darkBlonde",
    color: hues.DARK_BLONDE_HAIR,
    handler: setHairColor({
      color: hues.DARK_BLONDE_HAIR,
      definition: hues.DARK_BLONDE_HAIR_DEF
    },
    )

  },
  {
    number: 3,
    preview: "redHair",
    color: hues.RED_HAIR,
    handler: setHairColor({
      color: hues.RED_HAIR,
      definition: hues.RED_HAIR_DEF
    },
    )
  },
  {

    number: 4,
    preview: "lightBrown",
    color: hues.LIGHT_BROWN_HAIR,
    handler: setHairColor({
      color: hues.LIGHT_BROWN_HAIR,
      definition: hues.LIGHT_BROWN_HAIR_DEF
    },
    )

  },
  {
    number: 5,
    preview: "darkBrown",
    color: hues.DARK_BROWN_HAIR,
    handler: setHairColor({
      color: hues.DARK_BROWN_HAIR,
      definition: hues.DARK_BROWN_HAIR_DEF
    },
    )

  },

  {
    number: 6,
    preview: "blackHair",
    color: hues.BLACK_HAIR,
    handler: setHairColor({
      color: hues.BLACK_HAIR,
      definition: hues.BLACK_HAIR_DEF
    },
    )

  },

  {
    number: 7,
    preview: "pinkHair",
    color: hues.PINK_HAIR,
    handler: setHairColor({
      color: hues.PINK_HAIR,
      definition: hues.PINK_HAIR_DEF
    },
    )
  },
];

export const hairColorsFamily = [
  {
    number: 1,
    preview: "lightBlonde",
    color: hues.LIGHT_BLONDE_HAIR,
    handler: setHairColorFamily({
      hairPrimary: hues.LIGHT_BLONDE_HAIR,
      hairDef: hues.LIGHT_BLONDE_HAIR_DEF
    },
    )
  },
  {
    number: 2,
    preview: "darkBlonde",
    color: hues.DARK_BLONDE_HAIR,
    handler: setHairColorFamily({
      hairPrimary: hues.DARK_BLONDE_HAIR,
      hairDef: hues.DARK_BLONDE_HAIR_DEF
    },
    )

  },
  {
    number: 3,
    preview: "redHair",
    color: hues.RED_HAIR,
    handler: setHairColorFamily({
      hairPrimary: hues.RED_HAIR,
      hairDef: hues.RED_HAIR_DEF
    },
    )
  },
  {

    number: 4,
    preview: "lightBrown",
    color: hues.LIGHT_BROWN_HAIR,
    handler: setHairColorFamily({
      hairPrimary: hues.LIGHT_BROWN_HAIR,
      hairDef: hues.LIGHT_BROWN_HAIR_DEF
    },
    )

  },
  {
    number: 5,
    preview: "darkBrown",
    color: hues.DARK_BROWN_HAIR,
    handler: setHairColorFamily({
      hairPrimary: hues.DARK_BROWN_HAIR,
      hairDef: hues.DARK_BROWN_HAIR_DEF
    },
    )

  },

  {
    number: 6,
    preview: "blackHair",
    color: hues.BLACK_HAIR,
    handler: setHairColorFamily({
      hairPrimary: hues.BLACK_HAIR,
      hairDef: hues.BLACK_HAIR_DEF
    },
    )

  },

  {
    number: 7,
    preview: "pinkHair",
    color: hues.GREY_QUATERNARY,
    handler: setHairColorFamily({
      hairPrimary: hues.GREY_QUATERNARY,
      hairDef: hues.GREY_PRIMARY
    },
    )
  },
];

export const hairColorsFamilyTwo = [
  {
    number: 1,
    preview: "lightBlonde",
    color: hues.LIGHT_BLONDE_HAIR,
    handler: setHairColorFamilyTwo({
      hairPrimary: hues.LIGHT_BLONDE_HAIR,
      hairDef: hues.LIGHT_BLONDE_HAIR_DEF
    },
    )
  },
  {
    number: 2,
    preview: "darkBlonde",
    color: hues.DARK_BLONDE_HAIR,
    handler: setHairColorFamilyTwo({
      hairPrimary: hues.DARK_BLONDE_HAIR,
      hairDef: hues.DARK_BLONDE_HAIR_DEF
    },
    )

  },
  {
    number: 3,
    preview: "redHair",
    color: hues.RED_HAIR,
    handler: setHairColorFamilyTwo({
      hairPrimary: hues.RED_HAIR,
      hairDef: hues.RED_HAIR_DEF
    },
    )
  },
  {

    number: 4,
    preview: "lightBrown",
    color: hues.LIGHT_BROWN_HAIR,
    handler: setHairColorFamilyTwo({
      hairPrimary: hues.LIGHT_BROWN_HAIR,
      hairDef: hues.LIGHT_BROWN_HAIR_DEF
    },
    )

  },
  {
    number: 5,
    preview: "darkBrown",
    color: hues.DARK_BROWN_HAIR,
    handler: setHairColorFamilyTwo({
      hairPrimary: hues.DARK_BROWN_HAIR,
      hairDef: hues.DARK_BROWN_HAIR_DEF
    },
    )

  },

  {
    number: 6,
    preview: "blackHair",
    color: hues.BLACK_HAIR,
    handler: setHairColorFamilyTwo({
      hairPrimary: hues.BLACK_HAIR,
      hairDef: hues.BLACK_HAIR_DEF
    },
    )

  },

  {
    number: 7,
    preview: "pinkHair",
    color: hues.GREY_QUATERNARY,
    handler: setHairColorFamilyTwo({
      hairPrimary: hues.GREY_QUATERNARY,
      hairDef: hues.GREY_PRIMARY
    },
    )
  },
];



export const topColors = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setTopColor({
      primary: hues.PINK_PRIMARY,
      secondary: hues.PINK_SECONDARY,
      tertiary: hues.PINK_TERTIARY,
      quaternary: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setTopColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },
    )
  },

  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setTopColor({
      primary: hues.GREEN_PRIMARY,
      secondary: hues.GREEN_SECONDARY,
      tertiary: hues.GREEN_TERTIARY,
      quaternary: hues.GREEN_QUATERNARY
    },
    )
  },

  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setTopColor({
      primary: hues.LIGHT_BLUE_PRIMARY,
      secondary: hues.LIGHT_BLUE_SECONDARY,
      tertiary: hues.LIGHT_BLUE_TERTIARY,
      quaternary: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },

  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setTopColor({
      primary: hues.BLUE_PRIMARY,
      secondary: hues.BLUE_SECONDARY,
      tertiary: hues.BLUE_TERTIARY,
      quaternary: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setTopColor({
      primary: hues.PURPLE_PRIMARY,
      secondary: hues.PURPLE_SECONDARY,
      tertiary: hues.PURPLE_TERTIARY,
      quaternary: hues.PURPLE_QUATERNARY
    },
    )
  },

  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setTopColor({
      primary: hues.DARK_GREY_PRIMARY,
      secondary: hues.DARK_GREY_SECONDARY,
      tertiary: hues.DARK_GREY_TERTIARY,
      quaternary: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];
export const topColorsFamilyTwo = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setTopColorsFamilyTwo({
      topPrimaryColor: hues.PINK_PRIMARY,
      topSecondaryColor: hues.PINK_SECONDARY,
      topTertiaryColor: hues.PINK_TERTIARY,
      topQuaternaryColor: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setTopColorsFamilyTwo({
      topPrimaryColor: hues.ORANGE_PRIMARY,
      topSecondaryColor: hues.ORANGE_SECONDARY,
      topTertiaryColor: hues.ORANGE_TERTIARY,
      topQuaternaryColor: hues.ORANGE_QUATERNARY
    },
    )
  },

  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setTopColorsFamilyTwo({
      topPrimaryColor: hues.GREEN_PRIMARY,
      topSecondaryColor: hues.GREEN_SECONDARY,
      topTertiaryColor: hues.GREEN_TERTIARY,
      topQuaternaryColor: hues.GREEN_QUATERNARY
    },
    )
  },

  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setTopColorsFamilyTwo({
      topPrimaryColor: hues.LIGHT_BLUE_PRIMARY,
      topSecondaryColor: hues.LIGHT_BLUE_SECONDARY,
      topTertiaryColor: hues.LIGHT_BLUE_TERTIARY,
      topQuaternaryColor: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },

  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setTopColorsFamilyTwo({
      topPrimaryColor: hues.BLUE_PRIMARY,
      topSecondaryColor: hues.BLUE_SECONDARY,
      topTertiaryColor: hues.BLUE_TERTIARY,
      topQuaternaryColor: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setTopColorsFamilyTwo({
      topPrimaryColor: hues.PURPLE_PRIMARY,
      topSecondaryColor: hues.PURPLE_SECONDARY,
      topTertiaryColor: hues.PURPLE_TERTIARY,
      topQuaternaryColor: hues.PURPLE_QUATERNARY
    },
    )
  },

  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setTopColorsFamilyTwo({
      topPrimaryColor: hues.DARK_GREY_PRIMARY,
      topSecondaryColor: hues.DARK_GREY_SECONDARY,
      topTertiaryColor: hues.DARK_GREY_TERTIARY,
      topQuaternaryColor: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];


export const topColorsFamily = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setTopColorsFamily({
      topPrimaryColor: hues.PINK_PRIMARY,
      topSecondaryColor: hues.PINK_SECONDARY,
      topTertiaryColor: hues.PINK_TERTIARY,
      topQuaternaryColor: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setTopColorsFamily({
      topPrimaryColor: hues.ORANGE_PRIMARY,
      topSecondaryColor: hues.ORANGE_SECONDARY,
      topTertiaryColor: hues.ORANGE_TERTIARY,
      topQuaternaryColor: hues.ORANGE_QUATERNARY
    },
    )
  },

  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setTopColorsFamily({
      topPrimaryColor: hues.GREEN_PRIMARY,
      topSecondaryColor: hues.GREEN_SECONDARY,
      topTertiaryColor: hues.GREEN_TERTIARY,
      topQuaternaryColor: hues.GREEN_QUATERNARY
    },
    )
  },

  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setTopColorsFamily({
      topPrimaryColor: hues.LIGHT_BLUE_PRIMARY,
      topSecondaryColor: hues.LIGHT_BLUE_SECONDARY,
      topTertiaryColor: hues.LIGHT_BLUE_TERTIARY,
      topQuaternaryColor: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },

  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setTopColorsFamily({
      topPrimaryColor: hues.BLUE_PRIMARY,
      topSecondaryColor: hues.BLUE_SECONDARY,
      topTertiaryColor: hues.BLUE_TERTIARY,
      topQuaternaryColor: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setTopColorsFamily({
      topPrimaryColor: hues.PURPLE_PRIMARY,
      topSecondaryColor: hues.PURPLE_SECONDARY,
      topTertiaryColor: hues.PURPLE_TERTIARY,
      topQuaternaryColor: hues.PURPLE_QUATERNARY
    },
    )
  },

  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setTopColorsFamily({
      topPrimaryColor: hues.DARK_GREY_PRIMARY,
      topSecondaryColor: hues.DARK_GREY_SECONDARY,
      topTertiaryColor: hues.DARK_GREY_TERTIARY,
      topQuaternaryColor: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];


export const shoeColors = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setShoesColor({
      primary: hues.PINK_PRIMARY,
      secondary: hues.PINK_SECONDARY,
      tertiary: hues.PINK_TERTIARY,
      quaternary: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setShoesColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },
    )
  },


  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setShoesColor({
      primary: hues.GREEN_PRIMARY,
      secondary: hues.GREEN_SECONDARY,
      tertiary: hues.GREEN_TERTIARY,
      quaternary: hues.GREEN_QUATERNARY
    },
    )
  },

  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setShoesColor({
      primary: hues.LIGHT_BLUE_PRIMARY,
      secondary: hues.LIGHT_BLUE_SECONDARY,
      tertiary: hues.LIGHT_BLUE_TERTIARY,
      quaternary: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },

  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setShoesColor({
      primary: hues.BLUE_PRIMARY,
      secondary: hues.BLUE_SECONDARY,
      tertiary: hues.BLUE_TERTIARY,
      quaternary: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setShoesColor({
      primary: hues.PURPLE_PRIMARY,
      secondary: hues.PURPLE_SECONDARY,
      tertiary: hues.PURPLE_TERTIARY,
      quaternary: hues.PURPLE_QUATERNARY
    },
    )
  },

  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setShoesColor({
      primary: hues.DARK_GREY_PRIMARY,
      secondary: hues.DARK_GREY_SECONDARY,
      tertiary: hues.DARK_GREY_TERTIARY,
      quaternary: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];

export const shoeColorsFamily = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setShoeColorsFamily({
      shoePrimaryColor: hues.PINK_PRIMARY,
      shoeSecondaryColor: hues.PINK_SECONDARY,
      shoeQuaternaryColor: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setShoeColorsFamily({
      shoePrimaryColor: hues.ORANGE_PRIMARY,
      shoeSecondaryColor: hues.ORANGE_SECONDARY,
      shoeQuaternaryColor: hues.ORANGE_QUATERNARY
    },
    )
  },


  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setShoeColorsFamily({
      shoePrimaryColor: hues.GREEN_PRIMARY,
      shoeSecondaryColor: hues.GREEN_SECONDARY,
      shoeQuaternaryColor: hues.GREEN_QUATERNARY
    },
    )
  },

  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setShoeColorsFamily({
      shoePrimaryColor: hues.LIGHT_BLUE_PRIMARY,
      shoeSecondaryColor: hues.LIGHT_BLUE_SECONDARY,
      shoeQuaternaryColor: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },

  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setShoeColorsFamily({
      shoePrimaryColor: hues.BLUE_PRIMARY,
      shoeSecondaryColor: hues.BLUE_SECONDARY,
      shoeQuaternaryColor: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setShoeColorsFamily({
      shoePrimaryColor: hues.PURPLE_PRIMARY,
      shoeSecondaryColor: hues.PURPLE_SECONDARY,
      shoeQuaternaryColor: hues.PURPLE_QUATERNARY
    },
    )
  },

  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setShoeColorsFamily({
      shoePrimaryColor: hues.DARK_GREY_PRIMARY,
      shoeSecondaryColor: hues.DARK_GREY_SECONDARY,
      shoeQuaternaryColor: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];

export const shoeColorsFamilyTwo = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setShoeColorsFamilyTwo({
      shoePrimaryColor: hues.PINK_PRIMARY,
      shoeSecondaryColor: hues.PINK_SECONDARY,
      shoeQuaternaryColor: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setShoeColorsFamilyTwo({
      shoePrimaryColor: hues.ORANGE_PRIMARY,
      shoeSecondaryColor: hues.ORANGE_SECONDARY,
      shoeQuaternaryColor: hues.ORANGE_QUATERNARY
    },
    )
  },


  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setShoeColorsFamilyTwo({
      shoePrimaryColor: hues.GREEN_PRIMARY,
      shoeSecondaryColor: hues.GREEN_SECONDARY,
      shoeQuaternaryColor: hues.GREEN_QUATERNARY
    },
    )
  },

  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setShoeColorsFamilyTwo({
      shoePrimaryColor: hues.LIGHT_BLUE_PRIMARY,
      shoeSecondaryColor: hues.LIGHT_BLUE_SECONDARY,
      shoeQuaternaryColor: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },

  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setShoeColorsFamilyTwo({
      shoePrimaryColor: hues.BLUE_PRIMARY,
      shoeSecondaryColor: hues.BLUE_SECONDARY,
      shoeQuaternaryColor: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setShoeColorsFamilyTwo({
      shoePrimaryColor: hues.PURPLE_PRIMARY,
      shoeSecondaryColor: hues.PURPLE_SECONDARY,
      shoeQuaternaryColor: hues.PURPLE_QUATERNARY
    },
    )
  },

  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setShoeColorsFamilyTwo({
      shoePrimaryColor: hues.DARK_GREY_PRIMARY,
      shoeSecondaryColor: hues.DARK_GREY_SECONDARY,
      shoeQuaternaryColor: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];


export const headWearColors = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setHeadWearColor({
      primary: hues.PINK_PRIMARY,
      secondary: hues.PINK_SECONDARY,
      tertiary: hues.PINK_TERTIARY,
      quaternary: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setHeadWearColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },
    )
  },


  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setHeadWearColor({
      primary: hues.GREEN_PRIMARY,
      secondary: hues.GREEN_SECONDARY,
      tertiary: hues.GREEN_TERTIARY,
      quaternary: hues.GREEN_QUATERNARY
    },
    )
  },

  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setHeadWearColor({
      primary: hues.LIGHT_BLUE_PRIMARY,
      secondary: hues.LIGHT_BLUE_SECONDARY,
      tertiary: hues.LIGHT_BLUE_TERTIARY,
      quaternary: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },

  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setHeadWearColor({
      primary: hues.BLUE_PRIMARY,
      secondary: hues.BLUE_SECONDARY,
      tertiary: hues.BLUE_TERTIARY,
      quaternary: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setHeadWearColor({
      primary: hues.PURPLE_PRIMARY,
      secondary: hues.PURPLE_SECONDARY,
      tertiary: hues.PURPLE_TERTIARY,
      quaternary: hues.PURPLE_QUATERNARY
    },
    )
  },

  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setHeadWearColor({
      primary: hues.DARK_GREY_PRIMARY,
      secondary: hues.DARK_GREY_SECONDARY,
      tertiary: hues.DARK_GREY_TERTIARY,
      quaternary: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];
export const bottomColors = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setBottomColor ? setBottomColor({
      primary: hues.PINK_PRIMARY,
      secondary: hues.PINK_SECONDARY,
      tertiary: hues.PINK_TERTIARY,
      quaternary: hues.PINK_QUATERNARY
    },
    ) : setHeadWearColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },)
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setBottomColor ? setBottomColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },
    ) : setHeadWearColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },)
  },


  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setBottomColor ? setBottomColor({
      primary: hues.GREEN_PRIMARY,
      secondary: hues.GREEN_SECONDARY,
      tertiary: hues.GREEN_TERTIARY,
      quaternary: hues.GREEN_QUATERNARY
    },
    ) : setHeadWearColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },)
  },

  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setBottomColor ? setBottomColor({
      primary: hues.LIGHT_BLUE_PRIMARY,
      secondary: hues.LIGHT_BLUE_SECONDARY,
      tertiary: hues.LIGHT_BLUE_TERTIARY,
      quaternary: hues.LIGHT_BLUE_QUATERNARY
    },
    ) : setHeadWearColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },)
  },

  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setBottomColor ? setBottomColor({
      primary: hues.BLUE_PRIMARY,
      secondary: hues.BLUE_SECONDARY,
      tertiary: hues.BLUE_TERTIARY,
      quaternary: hues.BLUE_QUATERNARY
    },
    ) : setHeadWearColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },)
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setBottomColor ? setBottomColor({
      primary: hues.PURPLE_PRIMARY,
      secondary: hues.PURPLE_SECONDARY,
      tertiary: hues.PURPLE_TERTIARY,
      quaternary: hues.PURPLE_QUATERNARY
    },
    ) : setHeadWearColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },)
  },

  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setBottomColor ? setBottomColor({
      primary: hues.DARK_GREY_PRIMARY,
      secondary: hues.DARK_GREY_SECONDARY,
      tertiary: hues.DARK_GREY_TERTIARY,
      quaternary: hues.DARK_GREY_QUATERNARY
    },
    ) : setHeadWearColor({
      primary: hues.ORANGE_PRIMARY,
      secondary: hues.ORANGE_SECONDARY,
      tertiary: hues.ORANGE_TERTIARY,
      quaternary: hues.ORANGE_QUATERNARY
    },)
  },

];

export const bottomColorsFamily = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setBottomColorsFamily({
      bottomPrimaryColor: hues.PINK_PRIMARY,
      bottomSecondaryColor: hues.PINK_SECONDARY,
      bottomTertiaryColor: hues.PINK_TERTIARY,
      bottomQuaternaryColor: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setBottomColorsFamily({
      bottomPrimaryColor: hues.ORANGE_PRIMARY,
      bottomSecondaryColor: hues.ORANGE_SECONDARY,
      bottomTertiaryColor: hues.ORANGE_TERTIARY,
      bottomQuaternaryColor: hues.ORANGE_QUATERNARY
    },
    )
  },

  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setBottomColorsFamily({
      bottomPrimaryColor: hues.GREEN_PRIMARY,
      bottomSecondaryColor: hues.GREEN_SECONDARY,
      bottomTertiaryColor: hues.GREEN_TERTIARY,
      bottomQuaternaryColor: hues.GREEN_QUATERNARY
    },
    )
  },
  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setBottomColorsFamily({
      bottomPrimaryColor: hues.LIGHT_BLUE_PRIMARY,
      bottomSecondaryColor: hues.LIGHT_BLUE_SECONDARY,
      bottomTertiaryColor: hues.LIGHT_BLUE_TERTIARY,
      bottomQuaternaryColor: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },
  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setBottomColorsFamily({
      bottomPrimaryColor: hues.BLUE_PRIMARY,
      bottomSecondaryColor: hues.BLUE_SECONDARY,
      bottomTertiaryColor: hues.BLUE_TERTIARY,
      bottomQuaternaryColor: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setBottomColorsFamily({
      bottomPrimaryColor: hues.PURPLE_PRIMARY,
      bottomSecondaryColor: hues.PURPLE_SECONDARY,
      bottomTertiaryColor: hues.PURPLE_TERTIARY,
      bottomQuaternaryColor: hues.PURPLE_QUATERNARY
    },
    )
  },
  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setBottomColorsFamily({
      bottomPrimaryColor: hues.DARK_GREY_PRIMARY,
      bottomSecondaryColor: hues.DARK_GREY_SECONDARY,
      bottomTertiaryColor: hues.DARK_GREY_TERTIARY,
      bottomQuaternaryColor: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];


export const bottomColorsFamilyTwo = [
  {
    number: 1,
    preview: "pink",
    color: hues.PINK_PRIMARY,
    handler: setBottomColorsFamilyTwo({
      bottomPrimaryColor: hues.PINK_PRIMARY,
      bottomSecondaryColor: hues.PINK_SECONDARY,
      bottomTertiaryColor: hues.PINK_TERTIARY,
      bottomQuaternaryColor: hues.PINK_QUATERNARY
    },
    )
  },
  {
    number: 2,
    preview: "orange",
    color: hues.ORANGE_PRIMARY,
    handler: setBottomColorsFamilyTwo({
      bottomPrimaryColor: hues.ORANGE_PRIMARY,
      bottomSecondaryColor: hues.ORANGE_SECONDARY,
      bottomTertiaryColor: hues.ORANGE_TERTIARY,
      bottomQuaternaryColor: hues.ORANGE_QUATERNARY
    },
    )
  },

  {
    number: 3,
    preview: "green",
    color: hues.GREEN_PRIMARY,
    handler: setBottomColorsFamilyTwo({
      bottomPrimaryColor: hues.GREEN_PRIMARY,
      bottomSecondaryColor: hues.GREEN_SECONDARY,
      bottomTertiaryColor: hues.GREEN_TERTIARY,
      bottomQuaternaryColor: hues.GREEN_QUATERNARY
    },
    )
  },
  {
    number: 4,
    preview: "lightBlue",
    color: hues.LIGHT_BLUE_PRIMARY,
    handler: setBottomColorsFamilyTwo({
      bottomPrimaryColor: hues.LIGHT_BLUE_PRIMARY,
      bottomSecondaryColor: hues.LIGHT_BLUE_SECONDARY,
      bottomTertiaryColor: hues.LIGHT_BLUE_TERTIARY,
      bottomQuaternaryColor: hues.LIGHT_BLUE_QUATERNARY
    },
    )
  },
  {
    number: 5,
    preview: "blue",
    color: hues.BLUE_PRIMARY,
    handler: setBottomColorsFamilyTwo({
      bottomPrimaryColor: hues.BLUE_PRIMARY,
      bottomSecondaryColor: hues.BLUE_SECONDARY,
      bottomTertiaryColor: hues.BLUE_TERTIARY,
      bottomQuaternaryColor: hues.BLUE_QUATERNARY
    },
    )
  },
  {
    number: 6,
    preview: "purple",
    color: hues.PURPLE_PRIMARY,
    handler: setBottomColorsFamilyTwo({
      bottomPrimaryColor: hues.PURPLE_PRIMARY,
      bottomSecondaryColor: hues.PURPLE_SECONDARY,
      bottomTertiaryColor: hues.PURPLE_TERTIARY,
      bottomQuaternaryColor: hues.PURPLE_QUATERNARY
    },
    )
  },
  {
    number: 7,
    preview: "darkGrey",
    color: hues.DARK_GREY_PRIMARY,
    handler: setBottomColorsFamilyTwo({
      bottomPrimaryColor: hues.DARK_GREY_PRIMARY,
      bottomSecondaryColor: hues.DARK_GREY_SECONDARY,
      bottomTertiaryColor: hues.DARK_GREY_TERTIARY,
      bottomQuaternaryColor: hues.DARK_GREY_QUATERNARY
    },
    )
  },

];
