const createAtGlobal = new Date().toISOString();

const createEmptyMeals = (createdAt) => {
    const meals = [];
    const times = ['08:00', '12:00', '14:00', '20:00'];
    const types = ['Frokost', 'Lunsj', 'Middag', 'Kveldsmat'];
    types.forEach((type, index) => {
        meals.push({
            createdAt: createdAt,
            time: times[index],
            type: type,
            foods: [],
        });
    });
    return meals;
};

const newMealPlan = (planId) => {
    return {
        id: planId,
        createdAt: createAtGlobal,
        startDay: getMondayThisWeek(createAtGlobal),
        days: [],
    };
};

const newMealDay = {
    createdAt: createAtGlobal,
    meals: createEmptyMeals(createAtGlobal),
};



// weeks param adds weeks from current. if the plan is for next week weeks = 1.
function getMondayThisWeek(d, weeks = 0) {
    const date = new Date(d);
    // date.setHours(0, 0, 0, 1) // gir feil dag
    date.setDate(date.getDate() - (date.getDay() || 7) + 1 + (weeks * 7));
    // console.log(date);
    return date;
}

// function getMondayThisWeek(d, weeks = 0) {
//     const date = new Date(d);
//     // date.setHours(0, 0, 0, 1) // gir feil dag

//     const daysSinceSunday = date.getDay() || 7;
//     const daysUntilMonday = 1 - daysSinceSunday;
//     date.setDate(date.getDate() + daysUntilMonday);

//     const daysToAdd = weeks * 7;
//     date.setDate(date.getDate() + daysToAdd);

//     console.log(date);
//     return date;
// }

// function getMondayThisWeek(dateInput, firstDayOfWeekIndex = 1) {
//     const dateObject = new Date(dateInput);
//     const dayOfWeek = dateObject.getDay();
//     console.log('dayOfWeek', dayOfWeek);
//     const firstDayOfWeek = new Date(dateObject),
//         diff = dayOfWeek >= firstDayOfWeekIndex ?
//             dayOfWeek - firstDayOfWeekIndex :
//             6 - dayOfWeek;
//     console.log('diff', diff);

//     firstDayOfWeek.setDate(dateObject.getDate() - diff)
//     // firstDayOfWeek.setHours(0,0,0,0) // gir feil dag
//     console.log('firstDayOfWeek', firstDayOfWeek);
//     return firstDayOfWeek
// }

export { newMealDay, newMealPlan }