import SvgBathingSuit from 'src/assets/objects/dynamic/BathingSuit';
import SvgBathingSuitWHanger from 'src/assets/objects/dynamic/BathingSuitWHanger';
import SvgBeanie from 'src/assets/objects/dynamic/Beanie';
import SvgBooks from 'src/assets/objects/dynamic/Books';
import SvgBoots from 'src/assets/objects/dynamic/Boots';
import SvgCat from 'src/assets/objects/dynamic/Cat';
import SvgCoffeCan from 'src/assets/objects/dynamic/CoffeCan';
import SvgDetergent from 'src/assets/objects/dynamic/Detergent';
import SvgHoodie from 'src/assets/objects/dynamic/Hoodie';
import SvgHoodieHanger from 'src/assets/objects/dynamic/HoodieHanger';
import SvgIPad from 'src/assets/objects/dynamic/IPad';
import SvgMedicines from 'src/assets/objects/dynamic/Medicines';
import SvgMittens from 'src/assets/objects/dynamic/Mittens';
import SvgOutWearHanger from 'src/assets/objects/dynamic/OutWearHanger';
import SvgOutwearPos1 from 'src/assets/objects/dynamic/OutWearPos1';
import SvgPackedClothing from 'src/assets/objects/dynamic/PackedClothing';
import SvgPan from 'src/assets/objects/dynamic/Pan';
import SvgPlunger from 'src/assets/objects/dynamic/Plunger';
import SvgRainCoat from 'src/assets/objects/dynamic/RainCoat';
import SvgRainCoatHanger from 'src/assets/objects/dynamic/RainCoatHanger';
import SvgServiceDog from 'src/assets/objects/dynamic/ServiceDog';
import SvgShampoo from 'src/assets/objects/dynamic/Shampoo';
import SvgShorts from 'src/assets/objects/dynamic/Shorts';
import SvgShortsWHanger from 'src/assets/objects/dynamic/ShortsWHanger';
import SvgSkiGear from 'src/assets/objects/dynamic/SkiGear';
import SvgSneakers from 'src/assets/objects/dynamic/Sneakers';
import SvgTeddyBear from 'src/assets/objects/dynamic/TeddyBear';
import SvgToothBrush from 'src/assets/objects/dynamic/ToothBrush';
import SvgTopHanger from 'src/assets/objects/dynamic/TopHanger';
import SvgTopPos1 from 'src/assets/objects/dynamic/TopPos1';
import SvgTowels from 'src/assets/objects/dynamic/Towels';
import SvgToyCar from 'src/assets/objects/dynamic/ToyCar';
import SvgTrainingClothesHanger from 'src/assets/objects/dynamic/TraingClothesHanger';
import SvgTrainingClothes from 'src/assets/objects/dynamic/TrainingClothes';
import SvgWinterBoots from 'src/assets/objects/dynamic/WinterBoots';
import SvgWrench from 'src/assets/objects/dynamic/Wrench';

export const Objects = [
    {
        id: 'c0f761c351a18394',
        info: {
            name: 'Skiutstyr',
            description: `Ski, staver og skistøvler.`,
            tags: [
                `Ta med skiutstyr hvis du har`,
                `Ellers har vi skiutstyr du kan låne hvis du ikke har selv`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '-1.5%',
                top: '44%',
            },
            scale: 6,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/ski_equipment.m4a'),
    },
    {
        id: '157a6034f3f657f0',
        info: {
            name: 'Badebukse',
            description: `Du må ha med deg badetøy til å bade i bassenget.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '26%',
                top: '43.15%',
            },
            scale: 2,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/swimwear.m4a'),
    },
    {
        id: 'f577a7ed9c2d7794',
        info: {
            name: 'Badedrakt',
            description: `Du må ha med deg badetøy til å bade i bassenget.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '28.3%',
                top: '43.15%',
            },
            scale: 2.4,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/swimwear.m4a'),
    },
    {
        id: 'c6dc5751c805e8ed',
        info: {
            name: 'Lue',
            description: `Varme klær er viktig når vi skal være mye ute.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '19%',
                top: '29.7%',
            },
            scale: 1.15,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/warm_clothing_2.m4a'),
    },
    {
        id: '8c02efe24210e03e',
        info: {
            name: 'Bøker',
            description: `Skolebøker må du ha med deg. Du kan også ta med deg noen bøker du ønsker å lese.`,
            tags: [
                `Du kommer til å ha skoletimer mens du er hos oss`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '65%',
                top: '21.45%',
            },
            scale: 1.5,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/school_books.m4a'),
    },
    {
        id: '46e85c421b77d776',
        info: {
            name: 'Støvler',
            description: `Varme klær er viktig når vi skal være mye ute.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: false,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '91%',
                top: '72%',
            },
            scale: 1.35,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/rainboots.m4a'),
    },
    {
        id: 'e46415e84e0b1f35',
        info: {
            name: 'Katt',
            description: `Førerhunder og servicehunder kan bli med, katten må nok bli igjen hjemme og passe på huset.`,
            tags: [
            ],
        },
        features: {
            addible: false,
            allowed: false,
            display: true,
            required: false,
            convenient: false,
            packed: false,
        },
        styles: {
            position: {
                left: '62%',
                top: '49.75%',
            },
            scale: 1.35,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/cat.m4a'),
    },
    {
        id: '51688c9d2c1e4ab0',
        info: {
            name: 'Kaffekanne',
            description: `Drikker du kaffe da?`,
            tags: [
                `Vi har kaffe her til mor og far`,
            ],
        },
        features: {
            addible: false,
            allowed: false,
            display: true,
            required: false,
            convenient: false,
            packed: false,
        },
        styles: {
            position: {
                left: '64%',
                top: '34.65%',
            },
            scale: 1,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/coffee_can.m4a'),
    },
    {
        id: '05882647cf455bd3',
        info: {
            name: 'Vaskemiddel',
            description: `Hos oss må dere vaske klær selv, men vaskemiddel kan dere kjøpe etter dere kommer.`,
            tags: [
                `Det kan bli mye å pakke hvis dere skal ta med vaskemiddel på turen`,
            ],
        },
        features: {
            addible: false,
            allowed: false,
            display: true,
            required: false,
            convenient: false,
            packed: false,
        },
        styles: {
            position: {
                left: '51%',
                top: '59%',
            },
            scale: 1.3,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/detergent.m4a'),
    },
    {
        id: '37b9fc63febfbceb',
        info: {
            name: 'Reinjakke',
            description: `Varme klær er viktig når vi skal være mye ute.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '25.5%',
                top: '25.15%',
            },
            scale: 2,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/raincoat.m4a'),
    },
    {
        id: '9ce0c7e6f18bd941',
        info: {
            name: 'Hettegenser',
            description: `Ta gjerne med et par gensere.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: false,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '27%',
                top: '25.15%',
            },
            scale: 2,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/clothing.m4a'),
    },
    {
        id: '83db4c36b2e07939',
        info: {
            name: 'Bluse',
            description: `Det kan være greit å ta med seg noen klær til innendørs bruk, eller hvis det er varmt ute.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: false,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '30%',
                top: '25.15%',
            },
            scale: 1.5,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/clothing.m4a'),
    },
    {
        id: '4dba0c2fe6abcde8',
        info: {
            name: 'iPad',
            description: `Du kan ta med deg telefon og nettbrett.`,
            tags: [
                `Men du må ikke ta bilder av andre`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: false,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '77%',
                top: '35.3%',
            },
            scale: 1,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/phone_and_ipad.m4a'),
    },
    {
        id: 'd922a8a1cc569821',
        info: {
            name: 'Medisiner',
            description: `Medisinene dine må du ha med deg.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '90.3%',
                top: '58.1%',
            },
            scale: 0.8,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/medicines.m4a'),
    },
    {
        id: 'caacd36afafc6fa6',
        info: {
            name: 'Votter',
            description: `Varme klær er viktig når vi skal være mye ute.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '71%',
                top: '51.5%',
            },
            scale: 1,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/warm_clothing_2.m4a'),
    },
    {
        id: '1fa5d969d3719704',
        info: {
            name: 'Yttertøy',
            description: `Varme klær er viktig når vi skal være mye ute.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '-4.5%',
                top: '38.6%',
            },
            scale: 5,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/warm_clothing_3.m4a'),
    },
    {
        id: 'b431978ae45e7136',
        info: {
            name: 'Klær',
            description: `Du må ha klær med deg.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '18.75%',
                top: '42%',
            },
            scale: 1.7,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/clothing.m4a'),
    },
    {
        id: '2c350dd7372dbae2',
        info: {
            name: 'Stekepanne',
            description: `Det er ikke mulighet for å lage mat på kjøkkenet, vi har kokker som lager mat.`,
            tags: [
                `Det er ikke tilgang til kjøkken, vi har kantine`,
            ],
        },
        features: {
            addible: false,
            allowed: false,
            display: true,
            required: false,
            convenient: false,
            packed: false,
        },
        styles: {
            position: {
                left: '50%',
                top: '85%',
            },
            scale: 2.25,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/pan.m4a'),
    },
    {
        id: '32a7439b47b5a4f6',
        info: {
            name: 'Avløpspumpe',
            description: ``,
            tags: [],
        },
        features: {
            addible: false,
            allowed: false,
            display: true,
            required: false,
            convenient: false,
            packed: false,
        },
        styles: {
            position: {
                left: '38.5%',
                top: '54%',
            },
            scale: 2,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/plunger.m4a'),
    },
    {
        id: '444cf25df972cb33',
        info: {
            name: 'Servicehund',
            description: `Førerhund og servicehund kan bli med til oss.`,
            tags: [
                `Andre dyr må bli igjen hjemme`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: false,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '48%',
                top: '63%',
            },
            scale: 3,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/service_dog.m4a'),
    },
    {
        id: '3c1e589f7304d654',
        info: {
            name: 'Shampoo',
            description: `Shampoo og balsam kan du ta med deg.`,
            tags: [
                `Kan være greit å kjøpe etter dere kommer`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '71%',
                top: '22.9%',
            },
            scale: 1,
        }
    },
    {
        id: 'ed06708c158d82ca',
        info: {
            name: 'JoggeSko',
            description: `Joggesko trenger du når du skal delta på aktiviteter.`,
            tags: [
                `Ta gjerne med for innendørs og utendørs bruk`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '29%',
                top: '59.5%',
            },
            scale: 1.5,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/sneakers.m4a'),
    },
    {
        id: '71f0bc0dae3fff55',
        info: {
            name: 'Bamse',
            description: `Du kan ta med deg en kosebamse eller to.`,
            tags: [
                `Fint om du ikke tar med alle hvis du har masse bamser`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: false,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '70%',
                top: '33.5%',
            },
            scale: 1.25,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/teddybear.m4a'),
    },
    {
        id: '5b4d7ef51be3f559',
        info: {
            name: 'Tannbørste',
            description: `Tannbørste og tannkrem må være med.`,
            tags: [
                `Dette kan også være greit å kjøpe etter dere kommer`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '77%',
                top: '25.12%',
            },
            scale: 1,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/toothbrush.m4a'),
    },
    {
        id: '85b6cf37df90d858',
        info: {
            name: 'Håndklær',
            description: `Håndklær og sengetøy trenger du ikke å ta med deg.`,
            tags: [
                `Du kan ta med eget hvis du har veldig lyst til det`,
            ],
        },
        features: {
            addible: false,
            allowed: false,
            display: true,
            required: false,
            convenient: false,
            packed: false,
        },
        styles: {
            position: {
                left: '18.75%',
                top: '16.9%',
            },
            scale: 1.5,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/towels.m4a'),
    },
    {
        id: 'b25b2fc1c102f9fe',
        info: {
            name: 'Lekebil',
            description: `Leker kan du ta med deg, men vi har masse leker du kan låne.`,
            tags: [
                `Du må passe på lekene du tar med slik at du ikke mister de`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: false,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '34%',
                top: '80%',
            },
            scale: 1.5,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/toys.m4a'),
    },
    {
        id: 'f9013475ea8dd269',
        info: {
            name: 'Treningstøy',
            description: `Treningstøy må du ha med deg, du skal nok være med på en del aktiviteter.`,
            tags: [
                `Det kan være greit å ha klær man kan være aktiv i`,
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: true,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '34.35%',
                top: '11.45%',
            },
            scale: 3,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/gymclothes.m4a'),
    },
    {
        id: '38bdb0d0e158cc1b',
        info: {
            name: 'Støvletter',
            description: `Varme sko og ullsokker er godt å ha med seg.`,
            tags: [
            ],
        },
        features: {
            addible: true,
            allowed: true,
            display: true,
            required: false,
            convenient: true,
            packed: false,
        },
        styles: {
            position: {
                left: '22%',
                top: '61.5%',
            },
            scale: 1.25,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/warm_clothing_1.m4a'),
    },
    {
        id: '3dace1eb66da2fba',
        info: {
            name: 'Skiftenøkkel',
            description: `Vi ønsker ikke at folk tar med ting de ikke trenger, eller ting som kan være farlig.`,
            tags: [
                `Verktøyskassen må bli hjemme`,
            ],
        },
        features: {
            addible: false,
            allowed: false,
            display: true,
            required: false,
            convenient: false,
            packed: false,
        },
        styles: {
            position: {
                left: '23%',
                top: '70%',
            },
            scale: 1.25,
        },
        sound: require('src/assets/sounds/archive/female/hanna_jonsrud/packingmodulesounds/wrench.m4a'),
    },
];
