const PuzzleOneMock = {
  id: 'e5fa44f2b31c1fb553b6021e7360d07d5d91ff5e',
  name: 'PuzzleOne',
  route: 'AvatarBuilder',
  style: {
    placement: {
      width: 'narrow',
      height: 'short',
      ratio: 540,
      left: 0.055,
    },
    // Puzzle piece style when clicked
    clicked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#ffe5ad',
          two: '#ffdd9d',
        },
      },
      child: {
        eye: {
          color: '#69734d',
          lid: '#1d1d1b',
          pupil: '#000',
          reflection: '#fff',
          white: '#fff',
        },
        hair: {
          color: '#dc8d55',
          contour: '#9b5426',
        },
        mouth: '#b56a58',
        skin: {
          color: '#e9c191',
          contour: '#b8896f',
        },
      },
    },
    // Disabled style for puzzle piece
    disabled: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: 'gray',
          two: '#ffdd9d',
        },
      },
      child: {
        eye: {
          color: '#69734d',
          lid: '#1d1d1b',
          pupil: '#000',
          reflection: '#fff',
          white: '#fff',
        },
        hair: {
          color: '#dc8d55',
          contour: '#9b5426',
        },
        mouth: '#b56a58',
        skin: {
          color: '#e9c191',
          contour: '#b8896f',
        },
      },
    },
    // Load this style if the puzzle piece is locked
    locked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: 'black',
          two: '#ffdd9d',
        },
      },
      child: {
        eye: {
          color: '#69734d',
          lid: '#1d1d1b',
          pupil: '#000',
          reflection: '#fff',
          white: '#fff',
        },
        hair: {
          color: '#dc8d55',
          contour: '#9b5426',
        },
        mouth: '#b56a58',
        skin: {
          color: '#e9c191',
          contour: '#b8896f',
        },
      },
    },
    // Piece isn't clicked, locked or disabled
    unclicked: {
      puzzle: {
        stroke: '#fff',
        background: {
          one: '#e2effa',
          two: '#d8eaf8',
        },
      },
      child: {
        eye: {
          color: '#6fa3bf',
          lid: '#5b7e9a',
          pupil: '#000',
          reflection: '#fff',
          white: '#fff',
        },
        hair: {
          color: '#6fa3bf',
          contour: '#5b7e9a',
        },
        mouth: '#5b7e9a',
        skin: {
          color: '#bfdcec',
          contour: '#6fa3bf',
        },
      },
    },
  },
  // This state decides puzzle piece styling
  state: {
    disabled: false,
    locked: false,
    clicked: false,
  },
};

export { PuzzleOneMock };
