import { createSlice } from '@reduxjs/toolkit'

export const activeYouSlice = createSlice({
    name: 'activeYou', 
    initialState: {
        activities: 0, 
        pool: 0, 
        gym: 0, 
        alpin: 0, 
        horse: 0, 
        canoe: 0, 
        skates: 0, 
        cycle: 0, 
        hike: 0, 
        climbing: 0, 
        outdoor: 0, 
        screenActivity: 0, 
        playOutside: 0, 
        moveMusic: 0,
        skiing: 0
    }, 
        reducers: {
            setActivities: (state, action) => {
                state.activities = action.payload
            }, 
            setPool: (state, action) => {
                state.pool = action.payload
            },  
            setGym: (state, action) => {
                state.gym = action.payload
            },  
            setAlpin: (state, action) => {
                state.alpin = action.payload
            }, 
            setHorse: (state, action) => {
                state.horse = action.payload
            }, 
            setCanoe: (state, action) => {
                state.canoe = action.payload
            }, 
            setSkates: (state, action) => {
                state.skates = action.payload
            }, 
            setCycle: (state, action) => {
                state.cycle = action.payload
            }, 
            setHike: (state, action) => {
                state.hike = action.payload
            }, 
            setClimbing: (state, action) => {
                state.climbing = action.payload
            }, 
            setOutdoor: (state, action) => {
                state.outdoor = action.payload
            }, 
            setScreen: (state, action) => {
                state.screenActivity = action.payload
            }, 
            setPlayOutside: (state, action) => {
                state.playOutside = action.payload
            }, 
            setMoveMusic: (state, action) => {
                state.moveMusic = action.payload
            },
            setSkiing: (state, action) => {
                state.skiing = action.payload
            }
        }
            
     });

     export const {setPlayOutside, setMoveMusic, setScreen, setOutdoor, setClimbing, setHike, setActivities, setAlpin, setCanoe, setCycle, setGym, setHorse, setPool, setSkates, setSkiing } = activeYouSlice.actions; 

     export const selectActivities = state => state.activeYou.activities; 
     export const selectPool = state => state.activeYou.pool; 
     export const selectGym = state => state.activeYou.gym; 
     export const selectAlpin = state => state.activeYou.alpin; 
     export const selectHorse= state => state.activeYou.horse;
     export const selectCanoe = state => state.activeYou.canoe;  
     export const selectSkates = state => state.activeYou.skates; 
     export const selectCycle = state => state.activeYou.cycle; 
     export const selectHike = state => state.activeYou.hike;
     export const selectClimbing = state => state.activeYou.climbing;
     export const selectOutdoor = state => state.activeYou.outdoor;
     export const selectScreen = state => state.activeYou.screenActivity;
     export const selectPlayOutside = state => state.activeYou.playOutside;
     export const selectMoveMusic = state => state.activeYou.moveMusic;
     export const selectSkiing = state => state.activeYou.skiing

     export default activeYouSlice.reducer; 