import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';


export const accessoriesStyleSlice = createSlice({
    name: 'accessoriesStyle', 
    initialState: {
        glasses: true,
        sunGlasses: false,
       primaryColor: hues.ORANGE_PRIMARY, 
       secondaryColor: hues.ORANGE_SECONDARY, 
       tertiaryColor: hues.ORANGE_TERTIARY,
       quaternaryColor: hues.ORANGE_QUATERNARY
    }, 
    reducers: {
        setAccessoriesStyle: (state, action) => {
               switch(action.payload){
                   case 1: 
                   state.glasses = !state.glasses
                   state.sunGlasses = false
                   break; 
                   case 2: 
                   state.sunGlasses = !state.sunGlasses
                   state.glasses = false
                   break; 
               }
        }, 

        setAccessoriesColor: (state, action) => {
            switch(action.payload){
                case 1: 
                state.primaryColor = hues.PINK_PRIMARY;
                state.secondaryColor = hues.PINK_SECONDARY;
                state.tertiaryColor = hues.PINK_TERTIARY;
                state.quaternaryColor = hues.PINK_QUATERNARY;
                break; 
                case 2: 
                state.primaryColor = hues.ORANGE_PRIMARY;
                state.secondaryColor = hues.ORANGE_SECONDARY;
                state.tertiaryColor = hues.ORANGE_TERTIARY;
                state.quaternaryColor = hues.ORANGE_QUATERNARY;
                break; 
                case 3: 
                state.primaryColor = hues.YELLOW_PRIMARY;
                state.secondaryColor = hues.YELLOW_SECONDARY;
                state.tertiaryColor = hues.YELLOW_TERTIARY;
                state.quaternaryColor = hues.YELLOW_QUATERNARY;
                break; 
                case 4: 
                state.primaryColor = hues.GREEN_PRIMARY;
                state.secondaryColor = hues.GREEN_SECONDARY;
                state.tertiaryColor = hues.GREEN_TERTIARY;
                state.quaternaryColor = hues.GREEN_QUATERNARY;
                break; 
                case 5: 
                state.primaryColor = hues.LIGHT_BLUE_PRIMARY;
                state.secondaryColor = hues.LIGHT_BLUE_SECONDARY;
                state.tertiaryColor = hues.LIGHT_BLUE_TERTIARY;
                state.quaternaryColor = hues.LIGHT_BLUE_QUATERNARY;
                break; 
                case 6: 
                state.primaryColor = hues.BLUE_PRIMARY;
                state.secondaryColor = hues.BLUE_SECONDARY;
                state.tertiaryColor = hues.BLUE_TERTIARY;
                state.quaternaryColor = hues.BLUE_QUATERNARY;
                break; 
                case 7: 
                state.primaryColor = hues.DARK_BLUE_PRIMARY;
                state.secondaryColor = hues.DARK_BLUE_SECONDARY;
                state.tertiaryColor = hues.DARK_BLUE_TERTIARY;
                state.quaternaryColor = hues.DARK_BLUE_QUATERNARY;
                break; 
                case 8: 
                state.primaryColor = hues.DARK_BLUE_PRIMARY;
                state.secondaryColor = hues.DARK_BLUE_SECONDARY;
                state.tertiaryColor = hues.DARK_BLUE_TERTIARY;
                state.quaternaryColor = hues.DARK_BLUE_QUATERNARY;
                break; 
                case 9: 
                state.primaryColor = hues.PURPLE_PRIMARY;
                state.secondaryColor = hues.PURPLE_SECONDARY;
                state.tertiaryColor = hues.PURPLE_TERTIARY;
                state.quaternaryColor = hues.PURPLE_QUATERNARY;
                break; 
                case 10: 
                state.primaryColor = hues.GREY_PRIMARY;
                state.secondaryColor = hues.GREY_SECONDARY;
                state.tertiaryColor = hues.GREY_TERTIARY;
                state.quaternaryColor = hues.GREY_QUATERNARY;
                break; 
                case 11: 
                state.primaryColor = hues.BROWN_PRIMARY;
                state.secondaryColor = hues.BROWN_SECONDARY;
                state.tertiaryColor = hues.BROWN_TERTIARY;
                state.quaternaryColor = hues.BROWN_QUATERNARY;
                break; 
                case 12: 
                state.primaryColor = hues.DARK_GREY_PRIMARY;
                state.secondaryColor = hues.DARK_GREY_SECONDARY;
                state.tertiaryColor = hues.DARK_GREY_TERTIARY;
                state.quaternaryColor = hues.DARK_GREY_QUATERNARY;
                break;
        }
    }
    }
});

export const {  setAccessoriesStyle, setAccessoriesColor } = accessoriesStyleSlice.actions;

export const selectIsGlasses = state => state.accessoriesStyle.glasses;
export const selectIsSunGlasses = state => state.accessoriesStyle.sunGlasses;

export const selectAccessories = state => state.accessoriesStyle.style; 
export const selectAccessoriesPrimary = state => state.accessoriesStyle.primaryColor;
export const selectAccessoriesSecondary = state => state.accessoriesStyle.secondaryColor;
export const selectAccessoriesTertiary = state => state.accessoriesStyle.tertiaryColor;
export const selectAccessoriesQuaternary = state => state.accessoriesStyle.quaternaryColor;

export default accessoriesStyleSlice.reducer;
