import { createSlice } from '@reduxjs/toolkit'

export const aidSlice = createSlice({
    name: 'aid', 
    initialState: {
       style: 0,
       isLeftArmProsthesis: false, 
       isRightArmProsthesis: false, 
       isLeftLegProsthesis: false, 
       isRightLegProsthesis: false,
       isLeftLegOrthosis: false, 
       isRightLegOrthosis: false, 
       isLeftArmOrthosis: false, 
       isRightArmOrthosis: false, 
       isWalker: false, 
       isWheelChair: false
    }, 
    reducers: {
        setAid: (state, action) => {
               switch(action.payload){
                   case 1: 
                   state.isWalker = !state.isWalker
                   state.isWheelChair = false
                   break; 
                   case 2: 
                   state.isWheelChair = !state.isWheelChair
                   state.isWalker = false
               }
        }, 
        setProsthesis: (state, action) =>{
            switch(action.payload){
                case 1: 
                state.isLeftArmProsthesis = !state.isLeftArmProsthesis
                state.isLeftArmOrthosis = false
                break; 
                case 2: 
                state.isRightArmProsthesis = !state.isRightArmProsthesis
                state.isRightArmOrthosis = false
                break; 
                case 3: 
                state.isLeftLegProsthesis = !state.isLeftLegProsthesis
                state.isLeftLegOrthosis = false
                break;
                case 4: 
                state.isRightLegProsthesis = !state.isRightLegProsthesis
                state.isRightLegOrthosis = false
                break;
                case 5: 
                state.isRightArmOrthosis = !state.isRightArmOrthosis
                state.isRightArmProsthesis = false
                break; 
                case 6: 
                state.isLeftArmOrthosis = !state.isLeftArmOrthosis
                state.isLeftArmProsthesis = false
                break; 
                case 7: 
                state.isLeftLegOrthosis = !state.isLeftLegOrthosis
                state.isLeftLegProsthesis = false
                break; 
                case 8: 
                state.isRightLegOrthosis = !state.isRightLegOrthosis
                state.isRightLegProsthesis = false
                break; 
            }
        }
    }
});

export const { setAid } = aidSlice.actions;
export const { setProsthesis } = aidSlice.actions; 

export const selectAid = state => state.aid.style; 
export const selectLeftArmProsthesis = state => state.aid.isLeftArmProsthesis; 
export const selectRightArmProsthesis = state => state.aid.isRightArmProsthesis; 
export const selectLeftLegProsthesis = state => state.aid.isLeftLegProsthesis; 
export const selectRightLegProsthesis = state => state.aid.isRightLegProsthesis; 
export const selectWalker = state => state.aid.isWalker;
export const selectWheelChair = state => state.aid.isWheelChair;
export const selectLeftArmOrthosis = state => state.aid.isLeftArmOrthosis;
export const selectRightArmOrthosis = state => state.aid.isRightArmOrthosis; 
export const selectLeftLegOrthosis = state => state.aid.isLeftLegOrthosis; 
export const selectRightLegOrthosis = state => state.aid.isRightLegOrthosis;

export default aidSlice.reducer;