import { createSlice } from '@reduxjs/toolkit'

export const bodyPoseSlice = createSlice({
    name: 'poseState', 
    initialState: {
       pose: 1, 
       leftOverArm : 1, 
       leftUnderArm: 1, 
       rightOverArm: 1,
       rightUnderArm: 1, 
       mainPart: 1, 
       legs: 1
    }, 
    reducers: { 
     setPose: (state, action) => {
         state.pose = action.payload;
     }, 
     setLeftOverArm: (state, action) => {
         state.leftOverArm = action.payload;
     }, 
     setLeftUnderArm: (state, action) => {
         state.leftUnderArm = action.payload;
     }, 
     setRightOverArm: (state, action) => {
         state.rightOverArm = action.payload;
     }, 
     setRightUnderArm: (state, action) => {
         state.rightUnderArm = action.payload;
     }, 
     setMainPart: (state, action) => {
         state.mainPart = action.payload;
     }, 
     setLegs: (state, action ) => {
         state.legs = action.payload; 
     }
    }
});

export const { setPose, setLeftOverArm, setLeftUnderArm, setRightOverArm, setRightUnderArm, setMainPart } = bodyPoseSlice.actions;

export const selectPose = state => state.poseState.pose;

export const selectLeftOverArm = state => state.poseState.leftOverArm;
export const selectLeftUnder = state => state.poseState.leftUnderArm; 
export const selectRightOverArm = state => state.poseState.rightOverArm;
export const selectRightUnderArm = state => state.poseState.rightUnderArm;
export const selectMainPart = state => state.poseState.mainPart; 
export const setLegs = state => state.poseState.legs;

export default bodyPoseSlice.reducer;