import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';
import AsyncStorage from '@react-native-async-storage/async-storage';

export const bottomStyleSlice = createSlice({
    name: 'bottomStyle', 
    initialState: {
       style: 1,
       primaryColor: hues.BROWN_PRIMARY, 
       secondaryColor:  hues.BROWN_SECONDARY,
       tertiaryColor:  hues.BROWN_TERTIARY,
       quaternaryColor:  hues.BROWN_QUATERNARY
    }, 
    reducers: {
        setBottomStyle: (state, action) => {
               state.style = action.payload;
        }, 
        setBottomColor: (state, action) => {
            state.primaryColor = action.payload.primary;
            state.secondaryColor = action.payload.secondary; 
            state.tertiaryColor = action.payload.tertiary;
            state.quaternaryColor = action.payload.quaternary;     
    }
    }
});

export const { setBottomStyle, setBottomColor } = bottomStyleSlice.actions;

export const selectBottom = state => state.bottomStyle.style; 
export const selectBottomPrimary = state => state.bottomStyle.primaryColor;
export const selectBottomSecondary = state => state.bottomStyle.secondaryColor;
export const selectBottomTertiary = state => state.bottomStyle.tertiaryColor;
export const selectBottomQuaternary = state => state.bottomStyle.quaternaryColor;

export default bottomStyleSlice.reducer;
