import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';

export const eyesSlice = createSlice({
    name: 'eyes', 
    initialState: {
       color: hues.GREEN_EYES
    }, 
    reducers: {
        setEyeColor: (state, action) => {
            state.color = action.payload;
        }
    }
});

export const { setEyeColor } = eyesSlice.actions;

export const selectEyeColor = state => state.eyes.color; 

export default eyesSlice.reducer;
