import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';


export const familyMemberTwoSlice = createSlice({
    name: 'familyMemberTwo', 
    initialState: {
        eyeColor: hues.BROWN_EYES,
        body: 2,
        bodyColors: {
            primary: hues.TAN_SKIN, 
            definition: hues.TAN_SKIN_DEF, 
            mouth: hues.TAN_SKIN_MOUTH, 
            cheeks: hues.TAN_SKIN_CHEEKS, 
            cheek_gradient: hues.TAN_SKIN_GR_CHEEKS, 
        },
        bottomStyle: 1,
        bottomColors: {
            bottomPrimaryColor: hues.BLUE_PRIMARY,
            bottomSecondaryColor:  hues.BLUE_SECONDARY,
            bottomTertiaryColor:  hues.BLUE_TERTIARY,
            bottomQuaternaryColor:  hues.BLUE_QUATERNARY,
        },
        topStyle: 2,
        topColors: {
            topPrimaryColor: hues.DARK_GREY_PRIMARY, 
            topSecondaryColor:  hues.DARK_GREY_SECONDARY,
            topTertiaryColor:  hues.DARK_GREY_TERTIARY,
            topQuaternaryColor:  hues.DARK_GREY_QUATERNARY, 
        },
        shoeStyle: 2, 
        shoeColors: {
            shoePrimaryColor: hues.DARK_GREY_PRIMARY, 
            shoeSecondaryColor: hues.DARK_GREY_SECONDARY, 
            shoeQuaternaryColor: hues.DARK_GREY_QUATERNARY
        }, 
        hairStyle: 5, 
        hairColors: {
            hairPrimary: hues.BLACK_HAIR, 
            hairDef: hues.BLACK_HAIR_DEF
        }, 
        glasses: true, 
        sunglasses: false, 
        beard: true
    }, 
    reducers: {
        setEyeColorFamilyTwo: (state, action) => {
            state.eyeColor = action.payload
        },
        setBodyTwo: (state, action) => {
            state.body = action.payload
        }, 
        setBodyColorsTwo: (state, action) => {
            switch(action.payload){
                case 1: 
                state.bodyColors.primary = hues.FAIR_SKIN
                state.bodyColors.definition = hues.FAIR_SKIN_DEF
                state.bodyColors.mouth = hues.FAIR_SKIN_MOUTH
                break; 
                case 2: 
                state.bodyColors.primary = hues.LIGHT_SKIN
                state.bodyColors.definition = hues.LIGHT_SKIN_DEF
                state.bodyColors.mouth = hues.LIGHT_SKIN_MOUTH
                break;
                case 3: 
                state.bodyColors.primary = hues.TAN_SKIN
                state.bodyColors.definition = hues.TAN_SKIN_DEF
                state.bodyColors.mouth = hues.TAN_SKIN_MOUTH
                break;
                case 4: 
                state.bodyColors.primary = hues.DEEP_SKIN
                state.bodyColors.definition = hues.DEEP_SKIN_DEF
                state.bodyColors.mouth = hues.DEEP_SKIN_MOUTH
                break;
            }
        }, 
        setBottomStyleFamilyTwo: (state, action) => {
            state.bottomStyle = action.payload
        }, 
        setBottomColorsFamilyTwo: (state, action) => {
            state.bottomColors = action.payload
        },
        setTopStyleFamilyTwo: (state, action) => {
            state.topStyle = action.payload
        }, 
        setTopColorsFamilyTwo: (state, action) => {
            state.topColors = action.payload
        }, 
        setShoeStyleFamilyTwo: (state, action) => {
            state.shoeStyle = action.payload
        }, 
        setShoeColorsFamilyTwo: (state, action) => {
            state.shoeColors = action.payload
        }, 
        setHairStyleFamilyTwo: (state, action) => {
            state.hairStyle = action.payload
        }, 
        setHairColorFamilyTwo: (state, action) => {
            state.hairColors = action.payload
        }, 
        setBeardTwo: (state, action) => {
            state.beard = !state.beard
        },
        setGlassesStyleTwo: (state, action) => {
            switch(action.payload){
                case 1: 
                state.glasses = !state.glasses
                state.sunglasses = false
                break; 
                case 2: 
                state.sunglasses = !state.sunglasses
                state.glasses = false
                break; 
            }
     }, 
    }
});

export const { setBodyTwo, setEyeColorFamilyTwo, setBodyColorsTwo, setBottomStyleFamilyTwo, setBottomColorsFamilyTwo, setTopStyleFamilyTwo, setTopColorsFamilyTwo, setShoeStyleFamilyTwo, setShoeColorsFamilyTwo, setHairStyleFamilyTwo, setHairColorFamilyTwo, setBeardTwo, setGlassesStyleTwo } = familyMemberTwoSlice.actions;

export const selectBottomTwo = state => state.familyMemberTwo.bottomStyle; 
export const selectBottomColorsTwo = state => state.familyMemberTwo.bottomColors;
export const selectSkinTwo = state => state.familyMemberTwo.skin;
export const selectBodyTwo = state => state.familyMemberTwo.body;
export const selectTopTwo = state => state.familyMemberTwo.topStyle;
export const selectTopColorsTwo = state => state.familyMemberTwo.topColors;
export const selectShoesTwo = state => state.familyMemberTwo.shoeStyle; 
export const selectShoeColorsTwo = state => state.familyMemberTwo.shoeColors;
export const selectBodyColorsTwo = state => state.familyMemberTwo.bodyColors;
export const selectHairTwo = state => state.familyMemberTwo.hairStyle;
export const selectHairColorsTwo = state => state.familyMemberTwo.hairColors;
export const selectGlassesTwo = state => state.familyMemberTwo.glasses; 
export const selectSunGlassesTwo = state => state.familyMemberTwo.sunglasses;
export const selectEyeColorTwo = state => state.familyMemberTwo.eyeColor;
export const selectBeardTwo = state => state.familyMemberTwo.beard;

export default familyMemberTwoSlice.reducer;
