import { createSlice } from '@reduxjs/toolkit'

export const featuresSlice = createSlice({
    name: 'features', 
    initialState: {
       lashes: 0.0, 
       freckles: false,
       cheeks: true,   
    }, 
    reducers: {
        setFeatures: (state, action) => {
            switch(action.payload){
                case 1: 
                state.lashes =  !state.lashes
                break;
                case 2: 
                state.cheeks = !state.cheeks
                break;
                case 3: 
                state.freckles = !state.freckles
                break;
            }
        }
    }
})

export const { setFeatures } = featuresSlice.actions;

export const selectLashes = state => state.features.lashes;
export const selectIsCheeks = state => state.features.cheeks;
export const selectIsFreckles = state => state.features.freckles;

export default featuresSlice.reducer;