import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';

export const hairStyleSlice = createSlice({
    name: 'hairStyle', 
    initialState: {
       style: 2, 
       color: hues.DARK_BROWN_HAIR,
       definition: hues.DARK_BROWN_HAIR_DEF
    }, 
    reducers: {
        setHairStyle: (state, action) => {
               state.style = action.payload;
        }, 
        setHairColor: (state, action) => {
            state.color = action.payload.color;
            state.definition = action.payload.definition; 
    }
    }
});

export const { setHairStyle, setHairColor } = hairStyleSlice.actions;

export const selectHair = state => state.hairStyle.style; 
export const selectHairColor = state => state.hairStyle.color; 
export const selectHairDefinition = state => state.hairStyle.definition;

export default hairStyleSlice.reducer;
