import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';

export const headWearStyleSlice = createSlice({
    name: 'headWearStyle', 
    initialState: {
       style: 0, 
       primaryColor: hues.YELLOW_PRIMARY, 
       secondaryColor: hues.YELLOW_SECONDARY, 
       tertiaryColor: hues.YELLOW_TERTIARY,  
       quaternaryColor: hues.YELLOW_QUATERNARY
    }, 
    reducers: {
        setHeadWearStyle: (state, action) => {
            if(state.style == action.payload){
                state.style = 0
            } else {
              state.style = action.payload;
            }
        }, 
        setHeadWearColor: (state, action) => {
            state.primaryColor = action.payload.primary;
            state.secondaryColor = action.payload.secondary; 
            state.tertiaryColor = action.payload.tertiary;
            state.quaternaryColor = action.payload.quaternary;         
        }
    }
});

export const { setHeadWearStyle, setHeadWearColor } = headWearStyleSlice.actions;

export const selectHeadWear = state => state.headWearStyle.style; 
export const selectHeadWearColorPrimary = state => state.headWearStyle.primaryColor;
export const selectHeadWearColorSecondary = state => state.headWearStyle.secondaryColor;
export const selectHeadWearColorTertiary = state => state.headWearStyle.tertiaryColor;
export const selectHeadWearColorQuaternary = state => state.headWearStyle.quaternaryColor;

export default headWearStyleSlice.reducer;
