import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';

export const shoesStyleSlice = createSlice({
    name: 'shoesStyle', 
    initialState: {
       style: 1, 
       primaryColor: hues.GREY_PRIMARY, 
       secondaryColor: hues.GREY_SECONDARY, 
       tertiaryColor: hues.GREY_TERTIARY,  
       quaternaryColor: hues.GREY_QUATERNARY
    }, 
    reducers: {
        setShoesStyle: (state, action) => {
               state.style = action.payload;
        }, 
        setShoesColor: (state, action) => {
            state.primaryColor = action.payload.primary;
            state.secondaryColor = action.payload.secondary; 
            state.tertiaryColor = action.payload.tertiary;
            state.quaternaryColor = action.payload.quaternary;           
    }
    }
});

export const { setShoesStyle, setShoesColor } = shoesStyleSlice.actions;

export const selectShoes = state => state.shoesStyle.style; 
export const selectShoeColorPrimary = state => state.shoesStyle.primaryColor;
export const selectShoeColorSecondary = state => state.shoesStyle.secondaryColor;
export const selectShoeColorTertiary = state => state.shoesStyle.tertiaryColor;
export const selectShoeColorQuaternary = state => state.shoesStyle.quaternaryColor;

export default shoesStyleSlice.reducer;
