import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';

export const skinSlice = createSlice({
    name: 'skin', 
    initialState: {
        primary: hues.TAN_SKIN, 
        definition: hues.TAN_SKIN_DEF, 
        mouth: hues.TAN_SKIN_MOUTH, 
        cheecks: hues.TAN_SKIN_CHEEKS, 
        cheeksGradiant: hues.TAN_SKIN_GR_CHEEKS
    }, 
    reducers: {
        setSkin: (state, action) => {
            switch(action.payload){
                case 1: 
                state.primary = hues.FAIR_SKIN;
                state.definition = hues.FAIR_SKIN_DEF;
                state.mouth = hues.FAIR_SKIN_MOUTH;
                state.cheecks = hues.FAIR_SKIN_CHEEKS;
                state.cheeksGradiant = hues.FAIR_SKIN_GR_CHEEKS;
                break;
                case 2: 
                state.primary = hues.LIGHT_SKIN;
                state.definition = hues.LIGHT_SKIN_DEF;
                state.mouth = hues.LIGHT_SKIN_MOUTH;
                state.cheecks = hues.LIGHT_SKIN_CHEEKS;
                state.cheeksGradiant = hues.LIGHT_SKIN_GR_CHEEKS;
                break;
                case 3: 
                state.primary = hues.TAN_SKIN;
                state.definition = hues.TAN_SKIN_DEF;
                state.mouth = hues.TAN_SKIN_MOUTH;
                state.cheecks = hues.TAN_SKIN_CHEEKS;
                state.cheeksGradiant = hues.TAN_SKIN_GR_CHEEKS;
                break;
                case 4: 
                state.primary = hues.DEEP_SKIN;
                state.definition = hues.DEEP_SKIN_DEF;
                state.mouth = hues.DEEP_SKIN_MOUTH;
                state.cheecks = hues.DEEP_SKIN_CHEEKS;
                state.cheeksGradiant = hues.DEEP_SKIN_GR_CHEEKS;
                break;
                default: 
                state.primary = hues.LIGHT_SKIN;
                state.definition = hues.LIGHT_SKIN_DEF;
                state.mouth = hues.LIGHT_SKIN_MOUTH;
                state.cheecks = hues.LIGHT_SKIN_CHEEKS;
            }
        }
    }
})

export const { setSkin } = skinSlice.actions;

export const selectSkinPrimary = state => state.skin.primary;
export const selectSkinDefinition = state => state.skin.definition;
export const selectMouth= state => state.skin.mouth;
export const selectCheecks= state => state.skin.cheecks;
export const selectCheeksGradiant= state => state.skin.cheeksGradiant;

export default skinSlice.reducer;
