import { createSlice } from '@reduxjs/toolkit'

export const swimWearSlice = createSlice({
    name: 'swimWear', 
    initialState: {
        style: 2,
        primaryColor: "#30475D", 
        secondaryColor: "#15273C"
    }, 
    reducers: { 
        setSwimWearStyle: (state, action) => {
            state.style = action.payload
    }, 
    setColor : (state, action) => {
        state.primaryColor = action.payload.primary;
        state.secondaryColor = action.payload.secondary;
    }
}
});

export const { setSwimWearStyle, setColor } = swimWearSlice.actions;

export const selectSwimWearStyle = state => state.swimWear.style;
export const selectPrimaryColor = state => state.swimWear.primaryColor;
export const selectSecondaryColor = state => state.swimWear.secondaryColor;

export default swimWearSlice.reducer;