import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';

export const topStyleSlice = createSlice({
    name: 'topStyle', 
    initialState: {
       style: 1, 
       primaryColor: hues.PURPLE_PRIMARY, 
       secondaryColor: hues.PURPLE_SECONDARY, 
       tertiaryColor: hues.PURPLE_TERTIARY, 
       quaternaryColor: hues.PURPLE_QUATERNARY 
    }, 
    reducers: {
        setTopStyle: (state, action) => {
               state.style = action.payload;
        }, 
        setTopColor: (state, action) => {
           state.primaryColor = action.payload.primary;
           state.secondaryColor = action.payload.secondary; 
           state.tertiaryColor = action.payload.tertiary;
           state.quaternaryColor = action.payload.quaternary;     
        }
    }
});

export const { setTopStyle, setTopColor } = topStyleSlice.actions;

export const selectTop = state => state.topStyle.style; 
export const selectTopPrimary = state => state.topStyle.primaryColor;
export const selectTopSecondary = state => state.topStyle.secondaryColor;
export const selectTopTertiary = state => state.topStyle.tertiaryColor;
export const selectTopQuaternary = state => state.topStyle.quaternaryColor;
export const allTopElements = state => state.topStyle;

export default topStyleSlice.reducer;
