import { createSlice } from '@reduxjs/toolkit';
import * as hues from 'src/global/constants/hues';

export const trainingSlice = createSlice({
    name: 'trainWear', 
    initialState: {
        primaryColorShorts: hues.BLUE_PRIMARY, 
        secondaryColorShorts: hues.BLUE_SECONDARY,
        primaryColorTShirt: hues.PINK_PRIMARY, 
        secondaryColorTShirt: hues.PINK_SECONDARY
    }, 

    reducers: {
        setShortsColor: (state, action) => {
            state.primaryColorShorts = action.payload.primary; 
            state.secondaryColorShorts = action.payload.secondary;
        }, 
        setTShirtColor: (state, action) => {
            state.primaryColorTShirt = action.payload.primary;
            state.secondaryColorTShirt = action.payload.secondary; 
        }
    }
}); 

export const { setShortsColor, setTShirtColor } = trainingSlice.actions; 

export const selectPrimaryShorts = state => state.trainWear.primaryColorShorts; 
export const selectSecondaryShorts = state => state.trainWear.secondaryColorShorts;
export const selectPrimaryTShirt = state => state.trainWear.primaryColorTShirt;
export const selectSecondaryTShirt = state => state.trainWear.secondaryColorTShirt;

export default trainingSlice.reducer;
