import { createSlice } from '@reduxjs/toolkit';
import { Objects } from 'src/global/mock-data/objects.list';

const objectSlice = createSlice({
    name: 'objects',
    initialState: {
        objects: Objects
    },
    reducers: {
        packObject: (state, action) => {
            let selectedObject = state.objects.find((object) => object.id === action.payload);
            selectedObject.features.packed = true;
            state.objects = state.objects;
        },
        unpackObject: (state, action) => {
            let selectedObject = state.objects.find((object) => object.id === action.payload);
            selectedObject.features.packed = false;
            state.objects = state.objects;
        }
    }
});

export const {
    packObject,
    unpackObject,
} = objectSlice.actions;
export default objectSlice.reducer;
