import { createSlice } from '@reduxjs/toolkit';
// import { Objects } from './objects.list';

const objectSlice = createSlice({
    name: 'packedObjects',
    initialState: {
        packedObjects: []
    },
    reducers: {
        addToBackpack: (state, action) => {
            let selectedObject = state.packedObjects.find(object => object.id === action.payload.id);
            let index = state.packedObjects.indexOf(selectedObject);
            if (index < 0) {
                state.packedObjects.push(action.payload);
            }
        },
        removeFromBackpack: (state, action) => {
            let selectedObject = state.packedObjects.find(object => object.id === action.payload.id);
            let index = state.packedObjects.indexOf(selectedObject);
            if (index >= 0) {
              state.packedObjects.splice(index, 1);
            }
        }
    }
});

export const {
    addToBackpack,
    removeFromBackpack,
} = objectSlice.actions;
export default objectSlice.reducer;
