import { createSlice } from '@reduxjs/toolkit'

export const puzzleSlice = createSlice({
  name: 'puzzle',
  initialState: {
    puzzleOne: false,
    puzzleTwo: false,
    puzzleThree: false,
    puzzleFour: false,
    puzzleFive: false,
    puzzleSix: false,
    puzzleColorOverlayGroup1: 'rgba(0, 0, 0, 0.2)',
    puzzleColorOverlayGroup2: 'rgba(0, 0, 0, 0.2)'
  },
  reducers: {
    setPuzzleOne: (state, action) => {
      state.puzzleOne = action.payload;
    },
    setPuzzleTwo: (state, action) => {
      state.puzzleTwo = action.payload;
    },
    setPuzzleThree: (state, action) => {
      state.puzzleThree = action.payload
    },
    setPuzzleFour: (state, action) => {
      state.puzzleFour = action.payload;
    },
    setPuzzleFive: (state, action) => {
      state.puzzleFive = action.payload;
    },
    setPuzzleSix: (state, action) => {
      state.puzzleSix = action.payload;
    },
    setPuzzleColorOverlayGroup1: (state, action) => {
      state.puzzleColorOverlayGroup1 = action.payload;
    },
    setPuzzleColorOverlayGroup2: (state, action) => {
      state.puzzleColorOverlayGroup2 = action.payload;
    }

  }
});

export const {
  setPuzzleOne,
  setPuzzleTwo,
  setPuzzleThree,
  setPuzzleFour,
  setPuzzleFive,
  setPuzzleSix,
  setPuzzleColorOverlayGroup1,
  setPuzzleColorOverlayGroup2,
} = puzzleSlice.actions;


export const selectPuzzleOne = (state) => state.puzzle.puzzleOne;
export const selectPuzzleTwo = (state) => state.puzzle.puzzleTwo;
export const selectPuzzleThree = (state) => state.puzzle.puzzleThree;
export const selectPuzzleFour = (state) => state.puzzle.puzzleFour;
export const selectPuzzleFive = (state) => state.puzzle.puzzleFive;
export const selectPuzzleSix = (state) => state.puzzle.puzzleSix;
export const puzzleLockedColorGroup1 = (state) => state.puzzle.puzzleColorOverlayGroup1;
export const puzzleLockedColorGroup2 = (state) => state.puzzle.puzzleColorOverlayGroup2;

export default puzzleSlice.reducer;
