import AsyncStorage from '@react-native-async-storage/async-storage';

import { environment as env } from 'src/core/environment/environment.js';

const updateUser = async (activityList) => {
  AsyncStorage.mergeItem(
    'user',
    JSON.stringify(activityList),
    () => {
      AsyncStorage.getItem('user', (err, result) => {
        // console.log("new value: " + result)
      });
    });
}; // updateUser end

const postUser = async (activityList) => {
  updateUser(activityList)
  try {
    const value = await AsyncStorage.getItem('user');
    if (value !== null) {
      // console.log(value)
      post(value)
    }
  } catch (error) {
    // console.log("error retrieving data")
  }
}; // postUser end

const postPhoto = async (base64String) => {
  const photo = {
    photoString: base64String
  }
  updateUser(photo)
  try {
    const value = await AsyncStorage.getItem('user');
    if (value !== null) {
      // console.log(value)
      post(value)
    }
  } catch (error) {
    // console.log("error retrieving data")
  }
}; // postPhoto end

const post = async (user) => {
  const requestOptions = {
    method: 'POST',
    headers: {
      'Content-Type': 'application/json',
      'x-api-key': env.apikey
    },
    body: user
  };
  fetch(`${env.url}/user`, requestOptions)
    .then(response => console.log(response.status))
}; // post end

const checkPatientNr = async (patientNumber) => {
  let patientInfo = {
    userId: patientNumber
  }

  // const number = JSON.stringify(patientNumber)
  const requestOptions = {
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json',
      'x-api-key': env.apikey
    },
    body: JSON.stringify(patientInfo)
  };

  const response = await fetch(`${env.url}/checkPatientId`, requestOptions);
  const json = await response.json()
  // console.log("RESPONSE :" + json.Items[0].week)

  const patients = json.Items

  let obj = patients.find(o => o.userId === patientNumber);
  return obj;

  // console.log("PASIENTNR: " + JSON.stringify(json)+ " JSON " + json.data)
  //if(JSON.stringify(json).length <= 150){
  /*   return false 
    } else {
        return true
    }  */
}; // checkPatientNr end

export {
  updateUser,
  postUser,
  postPhoto,
  post,
  checkPatientNr,
};
