import React, {
    useEffect,
    useState
} from 'react';
 import {
  StyleSheet,
  View,
} from 'react-native';
// import Svg from 'react-native-svg';
//  import { Button } from 'react-native-web';
// import {WebView} from 'react-native-webview';

import { useDispatch } from 'react-redux';
// import { Ionicons} from '@expo/vector-icons';
//  import Pet from '../assets/images/Pet'
// import { setPuzzleSix } from '../features/reducers/puzzle/puzzleSlice';
import BackButton from 'src/global/components/buttons/BackButton.js';
import { Audio } from 'expo-av';
import { Sounds } from 'src/assets/sounds/sounds';
// import AlpinBody from '../avatar/activityPositions/ChoiceBody/AlpinBody';
// import SkateBody from '../avatar/activityPositions/ChoiceBody/SkateBody';
import * as colorPalette from 'src/global/constants/colorPalette.js';
import CrossCountryBody from 'src/global/avatar/activityPositions/ChoiceBody/CrossCountryBody';

 function Blank ( {navigation} ) {

    useEffect(() => {
        loadSounds();
    }, []);

    const [navBwdSound, setNavBwdSound] = useState(new Audio.Sound());

    const loadSounds = async () => {
        await navBwdSound.unloadAsync();
        await navBwdSound.loadAsync(Sounds.navigation_backward);
    }

    const playSound = async (selectedSound) => {
        await navBwdSound.stopAsync();
        await selectedSound.playAsync();
    }

    //const matterportSDK = require('./matterport.html')
    const dispatch = useDispatch()

    const backToMenu = () => {
        // playSound(navBwdSound);
        navigation.popToTop(); 
    }


     return (
        <View style = {styles.container}>
  <BackButton buttonColor={colorPalette.PEARL_AQUA} onPress={() => backToMenu()}/> 

       <CrossCountryBody choice={3} />
       
        </View>

    );
 }

 const styles = StyleSheet.create({
   container: {
      
         aspectRatio: 23/16,
         height: "80%"
    }, 
    avatar: {
        top: 120
    },

    backText: {
        fontSize: 22,
        fontFamily: "MyriadPro", 
        color: "#8856A1"
    },
    backButton: {  
        position: 'absolute',
        flexDirection: 'row',
        alignItems: 'center',
        justifyContent: 'center',
        backgroundColor: '#EAD3F4',
        borderRadius: 12,
        left: 8,
        top: 20,
        padding: 6,
        paddingRight: 20,
    },

 })


export default Blank;
