import React from 'react';
import {
  Dimensions,
  View,
} from 'react-native';

import AvatarGym from 'src/global/avatar/activityPositions/ChoiceBody/GymBody'
import AvatarCanoe from 'src/global/avatar/activityPositions/ChoiceBody/CanoeBody'
import AvatarAlpin from 'src/global/avatar/activityPositions/ChoiceBody/AlpinBody'
import AvatarHorse from 'src/global/avatar/activityPositions/ChoiceBody/HorseBody'
import AvatarSkates from 'src/global/avatar/activityPositions/ChoiceBody/SkateBody'
import AvatarCycling from 'src/global/avatar/activityPositions/ChoiceBody/CyclingBody'
import AvatarPool from 'src/global/avatar/activityPositions/ChoiceBody/PoolBody'
import PoolBody from 'src/global/avatar/activityPositions/ChoiceBody/PoolBody';
import HikeBody from 'src/global/avatar/activityPositions/ChoiceBody/HikeBody';
import AvatarClimbing from 'src/global/avatar/activityPositions/ChoiceBody/ClimbingBody'
import OutdoorBody from 'src/global/avatar/activityPositions/ChoiceBody/OutdoorBody'
import ScreenBody from 'src/global/avatar/activityPositions/ChoiceBody/ScreenBody'
import PlayOutsideBody from 'src/global/avatar/activityPositions/ChoiceBody/PlayOutsideBody'
import MusicBody from  'src/global/avatar/activityPositions/ChoiceBody/MusicBody'
import AlpinBody from 'src/global/avatar/activityPositions/ChoiceBody/AlpinBody';
import SkateBody from 'src/global/avatar/activityPositions/ChoiceBody/SkateBody';
import CrossCountryBody from 'src/global/avatar/activityPositions/ChoiceBody/CrossCountryBody';

import metrics from 'src/global/constants/metrics';
      
const ActiveYouAvatarPlacement = (props) => {   

    const win = Dimensions.get('window');

        let avatarView = null;
        let avatarViewStyle = null;
        switch(props.activityID){
            case 0: 
            avatarView = <PoolBody choice ={props.mood} />
            switch(props.mood){
                case 0:
                    avatarViewStyle={}
                break;
                case 1:
                    avatarViewStyle={
                        height: '50%',
                        left: 420,
                        bottom: -110,
                        aspectRatio: 23/16,
                        transform: [{scaleX: -1}],
                    }
                break;
                case 2:
                case 5: 
                    avatarViewStyle={
                        height: '50%',
                        // left: 330,
                        left: '60%',
                        // bottom: -150,
                        bottom: '-50%',
                        aspectRatio: 23/16,
                        transform: [{scaleX: -1}],
                    }
                break;
                case 3:
                    avatarViewStyle={
                        height: '70%',
                        left: '10%',
                        bottom: '-40%',
                        // left: win.width/3,
                        // left: 150,
                        // bottom: -180,
                        aspectRatio: 23/16,    
                    }
                break;
                case 4:
                    avatarViewStyle={
                        height: '70%',
                        left: '10%',
                        bottom: '-40%',
                        // left: 150,
                        // bottom: -180,
                        aspectRatio: 23/16,
                    }
            } 
            break;
            case 1: 
                avatarView = <AvatarGym choice = {props.mood} />
                switch(props.mood){
                    case 0:
                        avatarViewStyle={}
                    break;
                    case 1:
                        avatarViewStyle={
                            height: '150%',
                            right: '20%',
                            // left: -220,
                            bottom: 0,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 2:
                    case 5: 
                        avatarViewStyle={
                            height: '120%',
                            left: '-25%',
                            bottom: '5%',
                            // left: -380,
                            // bottom: 60,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 3:
                        avatarViewStyle={
                            height: '120%',
                            // left: 0,
                            bottom: '1%',
                            // bottom: 30,
                            aspectRatio: 23/16,    
                        }
                    break;
                    case 4:
                        avatarViewStyle={
                            height: '120%',
                            bottom: '1%',
                            // left: 0,
                            // bottom: 30,
                            aspectRatio: 23/16,
                        }
                }
            break; 
            case 2:
                avatarView = <HikeBody choice = {props.mood} />
                switch(props.mood){
                    case 0:
                        avatarViewStyle={}
                    break;
                    case 1:
                        avatarViewStyle={
                            height: metrics.screenHeight/3,
                            left: metrics.screenHeight/4,
                            bottom: -metrics.screenHeight/40,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 2:
                    case 5: 
                        avatarViewStyle={
                            height: metrics.screenHeight/3,
                            left: metrics.screenHeight/3,
                            bottom: -metrics.screenHeight/20,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 3:
                        avatarViewStyle={
                            height: metrics.screenHeight/5,
                            left: metrics.screenHeight/2.5,
                            bottom: -metrics.screenHeight/20,
                            aspectRatio: 23/16,    
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 4:
                        avatarViewStyle={
                            height: metrics.screenHeight/5,
                            left: metrics.screenHeight/2.5,
                            bottom: -metrics.screenHeight/20,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                }
            break; 
            case 3:
                avatarView = <AvatarHorse choice = {props.mood} />
                switch(props.mood){
                    case 0:
                        avatarViewStyle={
                            height: '90%',
                            left: 280,
                            bottom: 0,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 1:
                        avatarViewStyle={
                            height: '90%',
                            left: 280,
                            bottom: 0,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 2:
                    case 5: 
                        avatarViewStyle={
                            height: '90%',
                            left: 100,
                            bottom: 0,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 3:
                        avatarViewStyle={
                            height: '120%',
                            left: '-5%',
                            bottom: '35%',
                            // left: -180,
                            // bottom: 230,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 4:
                        avatarViewStyle={
                            height: '120%',
                            left: '-5%',
                            bottom: '35%',
                            // left: -180,
                            // bottom: 230,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                }
            break;
            case 4:
                avatarView = <AvatarCanoe choice = {props.mood} />
                switch(props.mood){
                    case 0:
                        avatarViewStyle={}
                    break;
                    case 1:
                        avatarViewStyle={
                            height: '60%',
                            left: '22%',
                            bottom: '-28%',
                            // left: 80,
                            // bottom: -100,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 2:
                    case 5: 
                        avatarViewStyle={
                            height: '60%',
                            left: '59%',
                            bottom: '-45%',
                            // left: 490,
                            // bottom: -180,
                            aspectRatio: 23/16,
                            
                        }
                    break;
                    case 3:
                        avatarViewStyle={
                            height: '90%',
                            left: '-7%',
                            bottom: '7%',
                            // left: -140,
                            // bottom: 40,
                            aspectRatio: 23/16,    
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 4:
                        avatarViewStyle={
                            height: '70%',
                            left: '5%',
                            bottom: '-5%',
                            // left: ''
                            // left: 20,
                            // bottom: 30,
                            aspectRatio: 23/16,    
                        }
                }
            break;
            case 5:
                avatarView = <AvatarClimbing choice = {props.mood} />
                switch(props.mood){
                    case 0:
                        avatarViewStyle={}
                    break;
                    case 1:
                        avatarViewStyle={
                            height: '124%',
                            left: '20%',
                            bottom: '-15%',
                            // left: 0,
                            // bottom: -86,
                            aspectRatio: 23/16,
                        }
                    break;
                    case 2:
                    case 5: 
                        avatarViewStyle={
                            height: '110%',
                            left: 172,
                            bottom: -54,
                            aspectRatio: 23/16,
                            
                        }
                    break;
                    case 3:
                        avatarViewStyle={
                            height: '110%',
                            left: '40%',
                            bottom: '-10%',
                            // left: 220,
                            // bottom: 108,
                            aspectRatio: 23/16,
                            transform: [{rotate: '-4deg'}],    
                        }
                    break;
                    case 4:
                        avatarViewStyle={
                            height: '110%',
                            left: '40%',
                            bottom: '-10%',
                            // left: 220,
                            // bottom: 108,
                            aspectRatio: 23/16,
                            transform: [{rotate: '-4deg'}],    
                        }
                }
            break;
            case 6:
                avatarView = <AvatarCycling choice = {props.mood} />
                switch(props.mood){
                    case 0:
                        avatarView = <AvatarCycling choice={0} />
                        avatarViewStyle={
                            height: '70%',
                            left: 280,
                            bottom: -110,
                            aspectRatio: 23/16,
                            
                        }
                    break;
                    case 1:
                        avatarViewStyle={
                            height: '60%',
                            left: '50%',
                            bottom: '-30%',
                            // left: 320,
                            // bottom: -100,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 2:
                    case 5: 
                        avatarViewStyle={
                            height: '50%',
                            left: '35%',
                            bottom: '-35%',
                            // left: 280,
                            // bottom: -110,
                            aspectRatio: 23/16,
                        }
                    break;
                    case 3:
                        avatarViewStyle={
                            height: '70%',
                            left: '30%',
                            bottom: '-15%',
                            // left: 230,
                            // bottom: -44,
                            aspectRatio: 23/16,    
                        }
                    break;
                    case 4:
                        avatarViewStyle={
                            height: '70%',
                            left: '30%',
                            bottom: '-15%',
                            // height: '84%',
                            // left: 230,
                            // bottom: -44,
                            aspectRatio: 23/16,   
                        }
                }
                break; 
                case 7: 
                avatarView = <OutdoorBody choice = {props.mood} />
                switch(props.mood){
                    case 0:
                        avatarViewStyle={
                            height: '84%',
                            // left: 280,
                            // bottom: -110,
                            aspectRatio: 23/16,
                            
                        }
                    break;
                    case 1:
                        avatarViewStyle={
                            height: '80%',
                            // left: '40%',
                            bottom: '-30%',
                            // left: 320,
                            // bottom: -100,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 2:
                    case 5: 
                        avatarViewStyle={
                            height: '80%',
                            // left: '40%',
                            bottom: '-30%',
                            // height: '84%',
                            // left: 280,
                            // bottom: -110,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 3:
                        avatarViewStyle={
                            height: '80%',
                            left: '-20%',
                            bottom: '-15%',
                            // height: '84%',
                            // left: 230,
                            // bottom: -44,
                            aspectRatio: 23/16, 
                            // transform: [{scaleX: -1}],   
                        }
                    break;
                    case 4:
                        avatarViewStyle={
                            height: '80%',
                            left: '-25%',
                            bottom: '-15%',
                            // height: '84%',
                            // left: 230,
                            // bottom: -44,
                            aspectRatio: 23/16,
                            // transform: [{scaleX: -1}],   
                        }
                }
                break; 
                case 8: 
                avatarView = <ScreenBody choice = {props.mood} />
                switch(props.mood){
                    case 0:
                        avatarViewStyle={
                            height: '100%',
                            left: 280,
                            bottom: -110,
                            aspectRatio: 23/16,
                            
                        }
                    break;
                    case 1:
                        avatarViewStyle={
                            height: '200%',
                            // right: '-8%',
                            bottom: 0,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 2:
                    case 5: 
                        avatarViewStyle={
                            height: '200%',
                            // right: '-8%',
                            bottom: 0,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 3:
                        avatarViewStyle={
                            height: '200%',
                            // right: '-8%',
                            bottom: 0,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    break;
                    case 4:
                        avatarViewStyle={
                            height: '200%',
                            // right: '-8%',
                            bottom: 0,
                            aspectRatio: 23/16,
                            transform: [{scaleX: -1}],
                        }
                    }
                    break; 
                    case 9: 
                    avatarView = <PlayOutsideBody choice = {props.mood} />
                    switch(props.mood){
                        case 0:
                            avatarViewStyle={
                                height: '100%',
                                left: 280,
                                bottom: -110,
                                aspectRatio: 23/16,
                                
                            }
                        break;
                        case 1:
                            avatarViewStyle={
                                height: '140%',
                                left: '-5%',
                                bottom: '0%',
                                // left: -170,
                                // bottom: 122,
                                aspectRatio: 23/16, 
                                transform: [{scaleX: -1}],   
                            }
                        break;
                        case 2:
                        case 5:     
                            avatarViewStyle={
                                height: '140%',
                                left: '-10%',
                                bottom: '15%',
                                // left: -200,
                                // bottom: 152,
                                aspectRatio: 23/16, 
                                transform: [{scaleX: -1}], 
                            }
                        break;
                        case 3:
                            avatarViewStyle={
                                height: '120%',
                                left: 140,
                                bottom: '10%',
                                aspectRatio: 23/16, 
                                
                            }
                        break;
                        case 4:
                            avatarViewStyle={
                                height: '120%',
                                // left: '%',
                                bottom: '10%',
                                // left: 140,
                                // bottom: 2,
                                aspectRatio: 23/16, 
                                transform: [{scaleX: -1}], 
                            }
                        }
                        break; 
                        case 10: 
                        avatarView = <MusicBody choice = {props.mood} />
                        switch(props.mood){
                            case 0:
                                avatarViewStyle={
                                    width: '100%',
                                    left: '-10%',
                                    bottom: 0,
                                    aspectRatio: 23/16, 
                                    transform: [{scaleX: -1}], 
                                }
                            break;
                            case 1:
                                avatarViewStyle={
                                    width: '100%',
                                    left: '-10%',
                                    // left: -180,
                                    bottom: '-10%',
                                    aspectRatio: 23/16, 
                                    transform: [{scaleX: -1}],   
                                }
                            break;
                            case 2:
                            case 5: 
                                avatarViewStyle={
                                    width: '100%',
                                    left: '-20%',
                                    bottom: '10%',
                                    // height: '140%',
                                    // left: -300,
                                    // bottom: 80,
                                    aspectRatio: 23/16, 
                                    transform: [{scaleX: -1}], 
                                }
                            break;
                            case 3:
                                avatarViewStyle={
                                    width: '100%',
                                    left: '-20%',
                                    bottom: '10%',
                                    // height: '140%',
                                    // left: -200,
                                    // bottom: 60,
                                    aspectRatio: 23/16, 
                                    transform: [{scaleX: -1}], 
                                    
                                }
                            break;
                            case 4:
                                avatarViewStyle={
                                    width: '100%',
                                    left: '-20%',
                                    bottom: '10%',
                                    // height: '160%',
                                    // left: -300,
                                    // bottom: 120,
                                    aspectRatio: 23/16, 
                                    transform: [{scaleX: -1}], 
                                }
                            }
                            break;
                            case 11: 
                            avatarView = <AlpinBody choice = {props.mood} />
                            switch(props.mood){
                                case 0:
                                    avatarViewStyle={
                                        width: '50%',
                                        left: '-10%',
                                        bottom: 0,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}], 
                                    }
                                break;
                                case 1:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/3,
                                        left: metrics.screenHeight/30,
                                        // left: -180,
                                        bottom: '-18%',
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                break;
                                case 2:
                                case 5: 
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: '15%',
                                        bottom: '-15%',
                                        // height: '140%',
                                        // left: -300,
                                        // bottom: 80,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}], 
                                    }
                                break;
                                case 3:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: '20%',
                                        bottom: '-15%',
                                        // height: '140%',
                                        // left: -200,
                                        // bottom: 60,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}], 
                                        
                                    }
                                break;
                                case 4:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: '20%',
                                        bottom: '-15%',
                                        // height: '160%',
                                        // left: -300,
                                        // bottom: 120,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}], 
                                    }
                                }
                            break;
                            case 12: 
                            avatarView = <SkateBody choice = {props.mood} />
                            switch(props.mood){
                                case 0:
                                    avatarViewStyle={
                                        width: '50%',
                                        left: '-10%',
                                        bottom: 0,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}], 
                                    }
                                break;
                                case 1:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: metrics.screenHeight/6,
                                        bottom: -metrics.screenHeight/13,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                break;
                                case 2:
                                case 5: 
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: metrics.screenHeight/6,
                                        bottom: -metrics.screenHeight/13,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                break;
                                case 3:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: metrics.screenHeight/6,
                                        bottom: -metrics.screenHeight/13,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                break;
                                case 4:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: metrics.screenHeight/6,
                                        bottom: -metrics.screenHeight/13,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                }
                                break;
                            case 13: 
                            avatarView = <CrossCountryBody choice = {props.mood} />
                            switch(props.mood){
                                case 0:
                                    avatarViewStyle={
                                        width: '50%',
                                        left: '-10%',
                                        bottom: 0,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}], 
                                    }
                                break;
                                case 1:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: metrics.screenHeight/2.5,
                                        bottom: -metrics.screenWidth/30,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                break;
                                case 2:
                                case 5: 
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: metrics.screenHeight/2.5,
                                        bottom: -metrics.screenHeight/25,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                break;
                                case 3:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: metrics.screenHeight/2.5,
                                        bottom: -metrics.screenHeight/40,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                break;
                                case 4:
                                    avatarViewStyle={
                                        width: metrics.screenHeight/2.5,
                                        left: metrics.screenHeight/2.5,
                                        bottom: -metrics.screenHeight/40,
                                        aspectRatio: 23/16, 
                                        transform: [{scaleX: -1}],   
                                    }
                                }
                            


            
        }
        return (
            <View style={avatarViewStyle}>
            {avatarView}
            </View>
        );
    }

export default ActiveYouAvatarPlacement;
