import React, {
  useEffect,
  useState,
} from 'react';
import {
  StyleSheet,
  Text,
} from 'react-native';
import AsyncStorage from '@react-native-async-storage/async-storage';

const DoorSignName = ({ fontStyle }) => {
  const [init, setInit] = useState(false);
  const [userName, setUserName] = useState('');

  const getName = async () => {
    await AsyncStorage.getItem('user', (err, result) => {
      // console.log(result);
      const data = JSON.parse(result);
      setUserName(data.firstName);
    });
  }
  useEffect(() => {
    if (!init) {
      getName();
      setInit(true);
    }
  }, [init]);

  return (
    <>
      <Text style={[
        styles.name,
        fontStyle
      ]}>{ userName }</Text>
    </>
  );
}

const styles = StyleSheet.create({
  name: {
    fontWeight: 'bold',
    letterSpacing: 1.5,
    fontFamily: "MyriadPro",
  }
});

export default DoorSignName;