import React from "react";
import { 
    View, 
    Text, 
    StyleSheet,
    Pressable,
} from 'react-native';
import * as colorPalette from 'src/global/constants/colorPalette';

const TimePicker = (props) => {

    const title = props.title;

    return (
        <>
        <View style={styles.left}>
            <Text style={styles.title}>{title}</Text>
        </View>

        <View style={styles.right}>
            <Pressable>
                <Image source={require('src/assets/images/meal-planner/time-picker/left-arrow.png')}></Image>
            </Pressable>
        </View>
        </>
    )
}

export default TimePicker;

const styles = StyleSheet.create({
    
    left: {
        flex: 1,
        alignContent: 'flex-start',
    },

    right: {
        flex: 1,
        alignContent: 'flex-end',
    },

    title: {
        fontSize: 20,
        fontFamily: "MyriadPro",
        fontWeight: 'bold',
        paddingTop: 25,
    }

})