import React from "react";
import { 
    View, 
    Text, 
    StyleSheet,
} from 'react-native';
import * as colorPalette from 'src/global/constants/colorPalette';
import BackButton from 'src/global/components/buttons/BackButton';
import metrics from 'src/global/constants/metrics';
import { useNavigation } from '@react-navigation/native';

const MealModuleSettings = ({ navigation }) => {
    
    return (
        <View style={styles.screen}>
            <View style={styles.topContainer}>
                <View style={styles.left}>
                    <BackButton buttonColor={colorPalette.SALMON_PINK} onPress={() => navigation.goBack()} />
                </View>
                <View style={styles.middle}>
                    <Text style={styles.title}>Innstillinger</Text>
                </View>
            </View>
            
            <View style={styles.bottomContainer}>
                <View style={styles.left}>
                    <Text style={styles.subtitle}>Tidspunkt for måltid:</Text>
                    <Text style={styles.menuItems}>Frokost</Text>
                    <Text style={styles.menuItems}>Lunsj</Text>
                    <Text style={styles.menuItems}>Middag</Text>
                    <Text style={styles.menuItems}>Kvelds</Text>
                </View>
                <View style={styles.right}>
                    
                </View>
            </View>
        </View>
    )
}

export default MealModuleSettings;

const styles = StyleSheet.create({
    
    screen: {
        flex: 1,
        flexDirection: 'column',
    },

    topContainer: {
        flex: 1,
        backgroundColor: colorPalette.DEEP_PEACH,
        justifyContent: 'center',
    },

    bottomContainer: {
        flex: 5,
        backgroundColor: colorPalette.ANQTIQUE_WHITE,
    },

    left: {
        flex: 1,
        paddingLeft: '25%',
    },

    middle: {
        flex: 3,
        flexDirection: 'column',
    },

    right: {
        flex: 2,
        justifyContent: 'space-evenly',
    },

    title: {
        fontSize: 30,
        fontFamily: "MyriadPro",
        paddingLeft: '20%',
    },

    subtitle: {
        fontSize: 20,
        fontFamily: "MyriadPro",
        fontWeight: 'bold',
        paddingTop: 25,
    },

    menuItems: {
        fontSize: 20,
        fontFamily: "MyriadPro",
        paddingTop: 13,
        paddingLeft: '5%',
    },

})