import React from 'react';
import {
  StyleSheet,
  Text,
  View,
} from 'react-native';

import Avatar from 'src/global/avatar/AvatarComponent';

const EmptyPackedList = () => {
  return (
    <View style={styles.container}>

      <View style={styles.avatarWrapper}>
        <View style={styles.avatar}>
          <Avatar mood={4} />
        </View>
      </View>

      <View style={styles.textWrapper}>
        <Text style={styles.text}>Du har ikke pakket noe enda..</Text>
      </View>

    </View>
  );
}

const EmptyUnpackedList = () => {
  return (
    <View style={styles.container}>

      <View style={styles.avatarWrapper}>
        <View style={styles.avatar}>
          <Avatar mood={3} />
        </View>
      </View>

      <View style={styles.textWrapper}>
        <Text style={styles.text}>Du har pakket alt du trenger!</Text>
      </View>

    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    flex: 1,
  },
  avatarWrapper: {
    overflow: 'hidden',
    width: '100%',
    flex: 7,
    alignItems: 'center',
    justifyContent: 'flex-start',
  },
  avatar: {
    width: '270%',
  },
  textWrapper: {
    flex: 1,
    alignItems: 'center',
    justifyContent: 'center'
  },
  text: {
    fontSize: 20
  }
});

export { EmptyPackedList, EmptyUnpackedList };
