import React from 'react';
import {
    StyleSheet,
    Text,
    View,
} from 'react-native';
import fonts from 'src/assets/fonts/fonts';

function BackpackInfo() {
    return (
        <View style={styles.container}>
            <Text style={[styles.title, styles.bold]}>Din koffert</Text>
            <Text style={[styles.text, styles.bold, { marginBottom: 20 }]}>
                Klarer du å finne det som mangler i kofferten?
            </Text>
            <Text style={styles.text2}>
                Trykk på knappene <Text style={styles.bold}>Pakket</Text> og <Text style={styles.bold}>Ikke pakket</Text> på venstre siden av skjermen for å se hva du har pakket og hva som mangler.
            </Text>
        </View>
    );
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        alignItems: 'center',
        justifyContent: 'center',
        padding: 20
    },
    title: {
        marginBottom: '8%',
        fontSize: fonts.size.font18
    },
    text: {
        fontSize: fonts.size.font14,
        textAlign: 'center'
    },
    text2: {
        fontSize: fonts.size.font12,
        textAlign: 'center'
    },
    bold: {
        fontWeight: 'bold'
    }
});

export default BackpackInfo;
