import React, {
  useEffect,
  useRef,
  useState,
} from 'react';
import {
  StyleSheet,
  Text,
  View,
} from 'react-native';
import metrics from 'src/global/constants/metrics';

import BackpackObject from './backpack.object';
import RequiredObject from './backpack.objectRequired';

const BackpackList = ({ objects, range, selectObject, selectedObjectID, requiredList }) => {
  return(
    <View style={styles.container}>
      <View style={styles.row}>
        {
          !requiredList
            // Render objects for packed list
            ? objects
              .slice(range.start, range.end)
              .map(object => (
                <View style={styles.column}
                      key={object.id}
                >
                  <BackpackObject object={object}
                                  selectObject={selectObject}
                                  highlight={selectedObjectID === object.id ? true : false}
                  />
                </View>
              ))
            // Render objects for required objects(not packed)
            : objects
            .slice(range.start, range.end)
            .map(object => (
              <View style={styles.column}
                    key={object.id}
              >
                <RequiredObject object={object} />
              </View>
            ))
        }
      </View>
    </View>
  );
}

const styles = StyleSheet.create({
  container: {
    width: '100%',
    height: '100%',
  },
  row: {
    flex: 1,
    // padding: ,
    flexDirection: 'row',
    flexWrap: 'wrap',
    justifyContent: 'flex-start',
  },
  column: {
    width: '50%',
    height: '33.3333367%',
    paddingVertical: metrics.screenHeight /100,
    paddingHorizontal: metrics.screenHeight /40,
  }
});

export default BackpackList;
