import React from 'react';
import {
    Pressable,
    StyleSheet,
    Text,
    View,
} from 'react-native';

import SvgBathingSuitWHanger from 'src/assets/objects/dynamic/BathingSuitWHanger';
import SvgBeanie from 'src/assets/objects/dynamic/Beanie';
import SvgBooks from 'src/assets/objects/dynamic/Books';
import SvgBoots from 'src/assets/objects/dynamic/Boots';
import SvgCat from 'src/assets/objects/dynamic/Cat';
import SvgCoffeCan from 'src/assets/objects/dynamic/CoffeCan';
import SvgDetergent from 'src/assets/objects/dynamic/Detergent';
import SvgHoodieHanger from 'src/assets/objects/dynamic/HoodieHanger';
import SvgIPad from 'src/assets/objects/dynamic/IPad';
import SvgMedicines from 'src/assets/objects/dynamic/Medicines';
import SvgMittens from 'src/assets/objects/dynamic/Mittens';
import SvgOutWearHanger from 'src/assets/objects/dynamic/OutWearHanger';
import SvgPackedClothing from 'src/assets/objects/dynamic/PackedClothing';
import SvgPan from 'src/assets/objects/dynamic/Pan';
import SvgPlunger from 'src/assets/objects/dynamic/Plunger';
import SvgRainCoatHanger from 'src/assets/objects/dynamic/RainCoatHanger';
import SvgServiceDog from 'src/assets/objects/dynamic/ServiceDog';
import SvgShampoo from 'src/assets/objects/dynamic/Shampoo';
import SvgShortsWHanger from 'src/assets/objects/dynamic/ShortsWHanger';
import SvgSkiGear from 'src/assets/objects/dynamic/SkiGear';
import SvgSneakers from 'src/assets/objects/dynamic/Sneakers';
import SvgTeddyBear from 'src/assets/objects/dynamic/TeddyBear';
import SvgToothBrush from 'src/assets/objects/dynamic/ToothBrush';
import SvgTopHanger from 'src/assets/objects/dynamic/TopHanger';
import SvgTowels from 'src/assets/objects/dynamic/Towels';
import SvgToyCar from 'src/assets/objects/dynamic/ToyCar';
import SvgTrainingClothesHanger from 'src/assets/objects/dynamic/TraingClothesHanger';
import SvgWinterBoots from 'src/assets/objects/dynamic/WinterBoots';
import SvgWrench from 'src/assets/objects/dynamic/Wrench';
import fonts from 'src/assets/fonts/fonts';

import metrics from 'src/global/constants/metrics';

// Replace render function with getter in object list
function RenderObject(id) {
    switch (id) {
        case 'c0f761c351a18394': return <SvgSkiGear />;
        case '157a6034f3f657f0': return <SvgShortsWHanger />;
        case 'f577a7ed9c2d7794': return <SvgBathingSuitWHanger />;
        case 'c6dc5751c805e8ed': return <SvgBeanie />;
        case '8c02efe24210e03e': return <SvgBooks />;
        case '46e85c421b77d776': return <SvgBoots />;
        case 'e46415e84e0b1f35': return <SvgCat />;
        case '51688c9d2c1e4ab0': return <SvgCoffeCan />;
        case '05882647cf455bd3': return <SvgDetergent />;
        case '37b9fc63febfbceb': return <SvgRainCoatHanger />;
        case '9ce0c7e6f18bd941': return <SvgHoodieHanger />;
        case '83db4c36b2e07939': return <SvgTopHanger />;
        case '4dba0c2fe6abcde8': return <SvgIPad />;
        case 'd922a8a1cc569821': return <SvgMedicines />;
        case 'caacd36afafc6fa6': return <SvgMittens />;
        case '1fa5d969d3719704': return <SvgOutWearHanger />;
        case 'b431978ae45e7136': return <SvgPackedClothing />;
        case '2c350dd7372dbae2': return <SvgPan />;
        case '32a7439b47b5a4f6': return <SvgPlunger />;
        case '444cf25df972cb33': return <SvgServiceDog />;
        case '3c1e589f7304d654': return <SvgShampoo />;
        case 'ed06708c158d82ca': return <SvgSneakers />;
        case '71f0bc0dae3fff55': return <SvgTeddyBear />;
        case '5b4d7ef51be3f559': return <SvgToothBrush />;
        case '85b6cf37df90d858': return <SvgTowels />;
        case 'b25b2fc1c102f9fe': return <SvgToyCar />;
        case 'f9013475ea8dd269': return <SvgTrainingClothesHanger />;
        case '38bdb0d0e158cc1b': return <SvgWinterBoots />;
        case '3dace1eb66da2fba': return <SvgWrench />;
        default: break;
    }
}

function BackpackObject({ object, selectObject, highlight }) {
    
    const select = () => {
        selectObject(object);
    }

    return (
        <Pressable onPress={() => select()}
                   style={[
                       styles.container,
                       highlight ? styles.highlighted : null
                   ]}
        >
            <View style={styles.svg}>
                {
                    RenderObject(object.id)
                }
            </View>
            <Text style={styles.objectName}>
                { object.info.name }
            </Text>
        </Pressable>
    );
}

const styles = StyleSheet.create({
    container: {
        flex: 1,
        padding: 10,
        alignItems: 'center',
        justifyContent: 'center',
    },
    svg: {
        paddingTop: '5%',
        paddingBottom: '5%',
        width: metrics.screenWidth / 8,
        height: metrics.screenWidth / 6,
    },
    highlighted: {
        backgroundColor: 'rgba(0, 0, 0, .075)',
        borderRadius: 10,
    },
    objectName: {
        fontSize: fonts.size.font12,
        fontWeight: 'bold',
    }
});

export default BackpackObject;
